/* 
 * File:   HardwareProfile.h
 * Author: Adu Laptop
 *
 * Created on January 16, 2015, 7:00 PM
 */

#ifndef HARDWAREPROFILE_H
#define	HARDWAREPROFILE_H

//dspic33ep clock
#define GetSystemClock()            (140000000ull)
#define GetPeripheralClock()        (GetSystemClock()/2)
#define GetInstructionClock()       (GetSystemClock()/2)

//horizontal and vertical display resolution
#define DISP_HOR_RESOLUTION          240
#define DISP_VER_RESOLUTION          320

//display driver
#define GFX_USE_DISPLAY_CONTROLLER_IL9341

//interface
#define USE_GFX_PMP
#define USE_8BIT_PMP
#define PMP_DATA_SETUP_TIME         (30)
#define PMP_DATA_WAIT_TIME          (30)
#define PMP_DATA_HOLD_TIME          (30)

//image orientation(can be 0, 90, 180, 270)
#define DISP_ORIENTATION            90

//IOs for controller

//Definitions for reset pin
#define DisplayResetConfig()        _TRISD7 = 0
#define DisplayResetEnable()        _LATD7 = 0
#define DisplayResetDisable()       _LATD7 = 1

//Definitions for RS pin
#define DisplayCmdDataConfig()      _TRISD9 = 0
#define DisplaySetCommand()         _LATD9 = 0
#define DisplaySetData()            _LATD9 = 1

//Definitions for CS pin
#define DisplayConfig()             _TRISD10 = 0
#define DisplayEnable()             _LATD10 = 0
#define DisplayDisable()            _LATD10 = 1

//Definitions for backlight control pin
#define DisplayBacklightConfig()    _TRISD2 = 0
#define DisplayBacklightOff()       _LATD2 = 0
#define DisplayBacklightOn()        _LATD2 = 1

#endif	/* HARDWAREPROFILE_H */

