/*****************************************************************************
 * FileName:        resource.c
 * Processor:       PIC24F, PIC24H, dsPIC
 * Compiler:        MPLAB C30/XC16 (see release notes for tested revision)
 * Linker:          MPLAB LINK30/XC16
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * Copyright(c) 2012 Microchip Technology Inc.  All rights reserved.
 * Microchip licenses to you the right to use, modify, copy and distribute
 * Software only when embedded on a Microchip microcontroller or digital
 * signal controller, which is integrated into your product or third party
 * product (pursuant to the sublicense terms in the accompanying license
 * agreement).
 *
 * You should refer to the license agreement accompanying this Software
 * for additional information regarding your rights and obligations.
 *
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY
 * OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR
 * PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR
 * OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,
 * BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
 * DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL,
 * INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA,
 * COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY
 * CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
 * OR OTHER SIMILAR COSTS.
 *
 *
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * AUTO-GENERATED CODE:  Graphics Resource Converter version: 3.29.06
 *****************************************************************************/

/*****************************************************************************
 * SECTION:  Includes
 *****************************************************************************/
#include <Graphics/Graphics.h>
#include "HardwareProfile.h"

/*****************************************************************************
 * SECTION:  Graphics Library Firmware Check
 *****************************************************************************/
#if(GRAPHICS_LIBRARY_VERSION != 0x0306)
#warning "It is suggested to use Graphics Library version 3.06 with this version of GRC."
#endif


/*****************************************************************************
 * Converted Resources
 * -------------------
 *
 * Bitmaps
 * -------
 * reese - 153x230 pixels, 16-bits per pixel
 *****************************************************************************/

/*****************************************************************************
 * SECTION:  BITMAPS
 *****************************************************************************/

/*********************************
 * Bitmap Structure
 * Label: reese
 * Description:  153x230 pixels, 16-bits per pixel
 ***********************************/
#if defined (__C30__) && (__C30_VERSION__ <= 325)
asm(".section .const, psv");
#else
asm(".section .const, psv, page");
#endif

extern FLASH_BYTE __reese[] __attribute__((section("grc_images"), aligned(2)));
const IMAGE_FLASH reese =
{
    (FLASH | IMAGE_MBITMAP | COMP_NONE),
    (FLASH_BYTE *)__reese
};
asm(".section grc_images, code");
asm(".global ___reese");
asm(".align 2");
asm("___reese:");
/****************************************
 * Bitmap header
 ****************************************/
asm(".byte 0x00");           // Compresssion
asm(".byte 0x10");           // Color Depth
asm(".byte 0xE6, 0x00");     // Height
asm(".byte 0x99, 0x00");     // Width
/********************************
 * Bitmap Image Body
 *********************************/
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x18, 0xBE, 0x55, 0xA5, 0x6D, 0x6B, 0x96, 0xAD, 0x49, 0x42, 0x72, 0x8C");
asm(".byte 0x09, 0x42, 0xB6, 0xAD, 0x2D, 0x5B, 0xAF, 0x73, 0xD7, 0xB5, 0xE8, 0x39, 0xB2, 0x8C, 0x51, 0x84");
asm(".byte 0xC8, 0x31, 0xF4, 0x9C, 0xE8, 0x39, 0xF3, 0x9C, 0xF3, 0x94, 0xD3, 0x94, 0x38, 0xBE, 0x4D, 0x63");
asm(".byte 0x96, 0xAD, 0x6D, 0x6B, 0xF0, 0x7B, 0x69, 0x4A, 0x0C, 0x5B, 0xD6, 0xB5, 0x08, 0x3A, 0x34, 0xA5");
asm(".byte 0xAE, 0x6B, 0x51, 0x84, 0x34, 0x9D, 0x6A, 0x4A, 0x31, 0x84, 0x09, 0x3A, 0xAC, 0x52, 0xB2, 0x8C");
asm(".byte 0xB7, 0xAD, 0xB7, 0xB5, 0x4A, 0x42, 0x76, 0xA5, 0x6B, 0x4A, 0x93, 0x8C, 0xB0, 0x73, 0x4A, 0x4A");
asm(".byte 0xF4, 0x9C, 0x2A, 0x42, 0x15, 0x9D, 0xED, 0x5A, 0xB0, 0x73, 0x29, 0x42, 0x0D, 0x63, 0x32, 0x84");
asm(".byte 0x6B, 0x4A, 0x6F, 0x6B, 0x8C, 0x52, 0x8F, 0x73, 0xB0, 0x7B, 0xAB, 0x62, 0xD4, 0x9C, 0xAC, 0x62");
asm(".byte 0xF8, 0xBD, 0x2E, 0x73, 0x31, 0x8C, 0x96, 0xBD, 0xCC, 0x6A, 0x8F, 0x83, 0x2D, 0x7B, 0xED, 0x62");
asm(".byte 0xCA, 0x41, 0xEE, 0x5A, 0xCE, 0x5A, 0xEA, 0x39, 0xAC, 0x52, 0xC9, 0x39, 0xCA, 0x39, 0x2B, 0x42");
asm(".byte 0x8C, 0x52, 0xB4, 0x9C, 0x29, 0x52, 0xB3, 0xA4, 0xA8, 0x51, 0x8A, 0x62, 0x4F, 0x84, 0x50, 0x84");
asm(".byte 0xD9, 0xD6, 0x57, 0xBE, 0x98, 0xC6, 0x77, 0xC6, 0x77, 0xC6, 0x77, 0xC6, 0x56, 0xBE, 0x97, 0xC6");
asm(".byte 0xB8, 0xCE, 0x32, 0xA5, 0xD8, 0xD6, 0x98, 0xD6, 0x98, 0xD6, 0x97, 0xCE, 0x98, 0xD6, 0x77, 0xCE");
asm(".byte 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x77, 0xC6, 0x36, 0xC6");
asm(".byte 0x35, 0xC6, 0x36, 0xC6, 0x15, 0xBE, 0x36, 0xC6, 0x15, 0xBE, 0xD5, 0xBD, 0xD4, 0xB5, 0xD4, 0xB5");
asm(".byte 0xB4, 0xB5, 0x56, 0xC6, 0xD4, 0xB5, 0x93, 0xAD, 0xD4, 0xB5, 0xB4, 0xB5, 0xD4, 0xB5, 0xD5, 0xB5");
asm(".byte 0x15, 0xBE, 0x16, 0xBE, 0xF5, 0xBD, 0xF5, 0xBD, 0x52, 0xAD, 0xF5, 0xBD, 0x37, 0xC6, 0xF6, 0xBD");
asm(".byte 0x16, 0xC6, 0x16, 0xC6, 0x16, 0xBE, 0x16, 0xC6, 0x16, 0xC6, 0x15, 0xBE, 0x16, 0xBE, 0x16, 0xBE");
asm(".byte 0xB6, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0x4A, 0xEB, 0x52, 0xEC, 0x5A, 0xCC, 0x5A, 0xCB, 0x52");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xCC, 0x52, 0xAB, 0x52, 0xAC, 0x52, 0xAB, 0x4A");
asm(".byte 0xCC, 0x52, 0xAC, 0x52, 0xAB, 0x52, 0xAC, 0x52, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0x8B, 0x4A");
asm(".byte 0xAB, 0x52, 0x8B, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0xAC, 0x52, 0x8B, 0x52, 0x8B, 0x52, 0xAB, 0x52");
asm(".byte 0x8B, 0x4A, 0x6B, 0x4A, 0x8A, 0x4A, 0xAA, 0x52, 0x8A, 0x4A, 0x8B, 0x52, 0x4B, 0x4A, 0x2F, 0x63");
asm(".byte 0x0E, 0x63, 0xED, 0x5A, 0xAD, 0x52, 0xAC, 0x52, 0x6B, 0x4A, 0xAC, 0x5A, 0x6B, 0x4A, 0xAC, 0x52");
asm(".byte 0xED, 0x62, 0xAC, 0x52, 0xAD, 0x52, 0x8C, 0x52, 0xAC, 0x52, 0xCD, 0x5A, 0x6B, 0x4A, 0x8C, 0x52");
asm(".byte 0xAD, 0x5A, 0x6C, 0x4A, 0x2B, 0x42, 0xAC, 0x5A, 0x4B, 0x52, 0x6B, 0x62, 0x8C, 0x62, 0x97, 0xB5");
asm(".byte 0x4A, 0x52, 0x93, 0x9C, 0x8B, 0x5A, 0x8F, 0x83, 0x32, 0x94, 0x8C, 0x62, 0x4B, 0x5A, 0xAC, 0x72");
asm(".byte 0x2A, 0x4A, 0xEA, 0x41, 0xEA, 0x39, 0xEA, 0x41, 0x4B, 0x4A, 0x74, 0x94, 0xF2, 0x83, 0x4B, 0x4A");
asm(".byte 0x89, 0x31, 0xCD, 0x5A, 0x4F, 0x73, 0x8F, 0x83, 0x6E, 0x7B, 0x0A, 0x5A, 0x8B, 0x6A, 0x0D, 0x7C");
asm(".byte 0xD5, 0xB5, 0x77, 0xC6, 0x56, 0xBE, 0x77, 0xBE, 0x97, 0xC6, 0xB8, 0xCE, 0x98, 0xC6, 0x98, 0xC6");
asm(".byte 0x97, 0xC6, 0xF9, 0xCE, 0x0D, 0x7C, 0xD9, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x97, 0xCE, 0x98, 0xD6, 0xB8, 0xD6, 0x97, 0xD6, 0x97, 0xCE, 0x56, 0xC6, 0x77, 0xBE, 0x56, 0xBE");
asm(".byte 0x36, 0xBE, 0x36, 0xBE, 0x36, 0xBE, 0x36, 0xBE, 0xB7, 0xD6, 0x15, 0xBE, 0xF4, 0xBD, 0xF4, 0xBD");
asm(".byte 0xF4, 0xBD, 0x15, 0xBE, 0xF5, 0xBD, 0x36, 0xC6, 0x15, 0xBE, 0xD4, 0xB5, 0xF4, 0xBD, 0xD4, 0xB5");
asm(".byte 0xD4, 0xB5, 0x57, 0xCE, 0xF5, 0xBD, 0x56, 0xC6, 0x57, 0xC6, 0x56, 0xC6, 0x56, 0xC6, 0x77, 0xCE");
asm(".byte 0x97, 0xCE, 0x16, 0xC6, 0x16, 0xBE, 0x35, 0xC6, 0x36, 0xCE, 0x56, 0xC6, 0x77, 0xCE, 0x36, 0xC6");
asm(".byte 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8A, 0x4A, 0xCC, 0x52, 0x8B, 0x52, 0xAB, 0x52");
asm(".byte 0xAB, 0x52, 0xCC, 0x52, 0xAB, 0x52, 0xCC, 0x5A, 0xCC, 0x52, 0xAB, 0x52, 0xCC, 0x5A, 0xCC, 0x5A");
asm(".byte 0xCB, 0x52, 0xCC, 0x5A, 0xCC, 0x5A, 0xEC, 0x5A, 0xAC, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52");
asm(".byte 0x8B, 0x52, 0xAB, 0x52, 0x8B, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAC, 0x52, 0x8B, 0x52, 0xAB, 0x52");
asm(".byte 0xAC, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0x6B, 0x4A, 0x8B, 0x52, 0xAC, 0x52");
asm(".byte 0xCD, 0x5A, 0xCD, 0x5A, 0xEE, 0x5A, 0x2F, 0x63, 0x0F, 0x63, 0xEE, 0x5A, 0xCE, 0x5A, 0x8D, 0x52");
asm(".byte 0x8C, 0x4A, 0xCC, 0x5A, 0x6B, 0x4A, 0x6C, 0x4A, 0x8C, 0x52, 0x6D, 0x4A, 0xCD, 0x5A, 0x6C, 0x4A");
asm(".byte 0x6C, 0x4A, 0x8C, 0x52, 0xAD, 0x5A, 0x6B, 0x4A, 0x4B, 0x42, 0xED, 0x62, 0x6B, 0x5A, 0x6B, 0x62");
asm(".byte 0x94, 0x9C, 0xAC, 0x6A, 0xB4, 0x9C, 0x8C, 0x5A, 0xED, 0x72, 0xAD, 0x6A, 0x2B, 0x62, 0x8C, 0x6A");
asm(".byte 0x8C, 0x6A, 0x4C, 0x4A, 0x0B, 0x4A, 0x2B, 0x42, 0xCA, 0x39, 0xAC, 0x5A, 0x67, 0x29, 0xC9, 0x39");
asm(".byte 0xD1, 0x7B, 0xCA, 0x39, 0xD1, 0x83, 0x2F, 0x73, 0xAC, 0x6A, 0x8C, 0x6A, 0xC9, 0x51, 0x8C, 0x72");
asm(".byte 0x0E, 0x7C, 0x57, 0xC6, 0x56, 0xBE, 0x15, 0xB6, 0x77, 0xC6, 0x97, 0xC6, 0xB7, 0xCE, 0x97, 0xCE");
asm(".byte 0x98, 0xC6, 0xB8, 0xCE, 0xB8, 0xC6, 0xB0, 0x8C, 0xF9, 0xDE, 0xD8, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6");
asm(".byte 0x97, 0xCE, 0x98, 0xCE, 0xB7, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x98, 0xCE, 0x57, 0xC6, 0x77, 0xBE");
asm(".byte 0x77, 0xBE, 0x57, 0xBE, 0x77, 0xBE, 0x56, 0xBE, 0x77, 0xC6, 0x15, 0xB6, 0xF5, 0xB5, 0x15, 0xBE");
asm(".byte 0x35, 0xBE, 0x35, 0xC6, 0x14, 0xBE, 0x15, 0xBE, 0x15, 0xBE, 0x35, 0xC6, 0x15, 0xC6, 0x15, 0xBE");
asm(".byte 0x56, 0xC6, 0x56, 0xC6, 0x56, 0xC6, 0x36, 0xC6, 0x36, 0xC6, 0x35, 0xC6, 0x57, 0xC6, 0x36, 0xC6");
asm(".byte 0x36, 0xC6, 0x77, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x36, 0xC6, 0x15, 0xC6");
asm(".byte 0x36, 0xC6, 0x36, 0xC6, 0x16, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x42, 0x4A, 0x4A, 0x6A, 0x4A");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x4A, 0xAB, 0x5A, 0xAB, 0x4A, 0xAB, 0x52, 0x8B, 0x52, 0xAB, 0x52");
asm(".byte 0x8B, 0x52, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0x6B, 0x4A");
asm(".byte 0xAB, 0x52, 0x4A, 0x4A, 0x6B, 0x4A, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0x8B, 0x52, 0x8B, 0x4A");
asm(".byte 0x8B, 0x4A, 0x6A, 0x4A, 0x8B, 0x4A, 0x8B, 0x4A, 0xAB, 0x52, 0x8B, 0x52, 0x8A, 0x4A, 0x8A, 0x4A");
asm(".byte 0x6B, 0x4A, 0xAC, 0x52, 0x8C, 0x52, 0x6B, 0x4A, 0xAC, 0x52, 0xAC, 0x52, 0xAD, 0x52, 0xAD, 0x52");
asm(".byte 0xCD, 0x52, 0xCD, 0x52, 0x8D, 0x4A, 0xCD, 0x52, 0xAD, 0x52, 0x6B, 0x4A, 0xAC, 0x52, 0x8B, 0x52");
asm(".byte 0x4B, 0x42, 0xAC, 0x52, 0x6B, 0x4A, 0x6B, 0x4A, 0x4B, 0x42, 0x6C, 0x52, 0xF0, 0x83, 0x3A, 0xCE");
asm(".byte 0xD4, 0xA4, 0x70, 0x7B, 0xB0, 0x83, 0xD5, 0xA4, 0x2B, 0x5A, 0x6B, 0x6A, 0x6B, 0x62, 0x4B, 0x62");
asm(".byte 0x8B, 0x6A, 0x8C, 0x62, 0x2B, 0x4A, 0x0B, 0x42, 0x0A, 0x42, 0x0C, 0x42, 0xA9, 0x39, 0x77, 0xB5");
asm(".byte 0x12, 0x84, 0xC9, 0x39, 0xA9, 0x39, 0xE9, 0x51, 0x88, 0x49, 0x09, 0x62, 0xC9, 0x59, 0xEA, 0x51");
asm(".byte 0x8B, 0x62, 0x94, 0x9D, 0xF9, 0xCE, 0x56, 0xB6, 0x77, 0xBE, 0x98, 0xCE, 0x19, 0xDF, 0x8B, 0x6B");
asm(".byte 0x39, 0xDF, 0xD7, 0xCE, 0xD9, 0xCE, 0x76, 0xC6, 0xF1, 0x9C, 0x3A, 0xE7, 0xB8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0x77, 0xCE, 0x77, 0xC6");
asm(".byte 0x56, 0xBE, 0x57, 0xC6, 0x57, 0xBE, 0x36, 0xB6, 0x37, 0xBE, 0xB8, 0xC6, 0x16, 0xB6, 0x16, 0xB6");
asm(".byte 0x36, 0xB6, 0x15, 0xBE, 0x56, 0xC6, 0x34, 0xBE, 0x14, 0xBE, 0x15, 0xC6, 0x56, 0xC6, 0x35, 0xC6");
asm(".byte 0x36, 0xC6, 0x56, 0xC6, 0x78, 0xCE, 0x36, 0xC6, 0x36, 0xC6, 0x56, 0xC6, 0x36, 0xC6, 0x36, 0xC6");
asm(".byte 0x56, 0xC6, 0x56, 0xC6, 0x77, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0x57, 0xCE, 0x77, 0xCE, 0xB7, 0xD6");
asm(".byte 0x97, 0xD6, 0xF0, 0x9C, 0x36, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x78, 0xBE, 0x95, 0xA5");
asm(".byte 0x57, 0xBE, 0x3B, 0xDF, 0x95, 0xA5, 0xFA, 0xCE, 0x2F, 0x7C, 0x17, 0xB6, 0xF6, 0xB5, 0x95, 0xA5");
asm(".byte 0xF6, 0xAD, 0x2C, 0x5B, 0xFB, 0xD6, 0xCE, 0x6B, 0x79, 0xC6, 0x37, 0xBE, 0x13, 0x95, 0x74, 0xA5");
asm(".byte 0x6D, 0x63, 0xD6, 0xAD, 0x31, 0x7C, 0xDB, 0xD6, 0x54, 0x9D, 0xB6, 0xAD, 0xB6, 0xAD, 0x8E, 0x6B");
asm(".byte 0x33, 0x95, 0x50, 0x7C, 0xD7, 0xB5, 0x38, 0xBE, 0x08, 0x3A, 0xDB, 0xD6, 0x8A, 0x4A, 0x14, 0x9D");
asm(".byte 0x55, 0xA5, 0x2E, 0x5B, 0x39, 0xBE, 0x18, 0xBE, 0xD0, 0x73, 0x35, 0x9D, 0xD0, 0x73, 0x96, 0xAD");
asm(".byte 0xB3, 0x8C, 0xB4, 0x94, 0x36, 0x9D, 0x4F, 0x63, 0x52, 0x84, 0xED, 0x5A, 0xF1, 0x7B, 0x32, 0x84");
asm(".byte 0xAC, 0x52, 0xF5, 0x9C, 0xAC, 0x52, 0x12, 0x84, 0x2E, 0x6B, 0x90, 0x73, 0x52, 0x8C, 0x8F, 0x7B");
asm(".byte 0x90, 0x7B, 0x0D, 0x6B, 0x8F, 0x7B, 0xD8, 0xBD, 0x19, 0xC6, 0xB0, 0x83, 0xD1, 0x83, 0x8C, 0x62");
asm(".byte 0x6F, 0x7B, 0xED, 0x72, 0x2D, 0x73, 0x4B, 0x4A, 0x8C, 0x52, 0xAD, 0x52, 0x2B, 0x4A, 0x74, 0x94");
asm(".byte 0x90, 0x73, 0x89, 0x31, 0x4B, 0x4A, 0x6C, 0x52, 0xCC, 0x6A, 0x2B, 0x5A, 0x2B, 0x62, 0x0A, 0x62");
asm(".byte 0xC9, 0x59, 0x6A, 0x62, 0xF4, 0xA5, 0xD8, 0xCE, 0x56, 0xB6, 0x77, 0xBE, 0xB8, 0xCE, 0xD9, 0xCE");
asm(".byte 0xD8, 0xCE, 0x11, 0x95, 0x5A, 0xDF, 0xD7, 0xCE, 0x35, 0xBE, 0x77, 0xCE, 0x3B, 0xE7, 0xD9, 0xDE");
asm(".byte 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6, 0xD9, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x77, 0xC6, 0x57, 0xBE, 0x76, 0xBE, 0x36, 0xB6, 0x57, 0xBE, 0x15, 0xB6, 0x36, 0xBE, 0xB8, 0xCE");
asm(".byte 0x56, 0xBE, 0x57, 0xBE, 0x57, 0xBE, 0x77, 0xC6, 0x77, 0xCE, 0x56, 0xC6, 0xB8, 0xD6, 0xF4, 0xBD");
asm(".byte 0xF5, 0xBD, 0xF5, 0xB5, 0xF5, 0xB5, 0x36, 0xBE, 0x77, 0xCE, 0x15, 0xBE, 0x36, 0xC6, 0x36, 0xC6");
asm(".byte 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x57, 0xC6");
asm(".byte 0x15, 0xC6, 0x97, 0xCE, 0x56, 0xCE, 0x31, 0xA5, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0xB5");
asm(".byte 0x58, 0xBE, 0xAB, 0x4A, 0x55, 0xA5, 0x09, 0x42, 0xDA, 0xCE, 0xE8, 0x39, 0x54, 0xA5, 0x4D, 0x63");
asm(".byte 0x9A, 0xCE, 0x74, 0xA5, 0x2D, 0x5B, 0x38, 0xBE, 0xCB, 0x52, 0xB2, 0x8C, 0x4D, 0x63, 0x58, 0xBE");
asm(".byte 0xB2, 0x8C, 0xD2, 0x8C, 0xD2, 0x8C, 0x34, 0x9D, 0xCE, 0x6B, 0xBA, 0xCE, 0x69, 0x4A, 0x18, 0xBE");
asm(".byte 0xE8, 0x31, 0x71, 0x84, 0x0B, 0x5B, 0x55, 0x9D, 0xB6, 0xAD, 0x71, 0x84, 0x30, 0x7C, 0xD2, 0x94");
asm(".byte 0xB6, 0xAD, 0xCF, 0x6B, 0x11, 0x74, 0xF0, 0x73, 0xF8, 0xB5, 0xE9, 0x31, 0x96, 0xA5, 0xAC, 0x4A");
asm(".byte 0xB3, 0x8C, 0x56, 0xA5, 0x8B, 0x4A, 0x72, 0x8C, 0x93, 0x8C, 0xAC, 0x52, 0xF1, 0x7B, 0x32, 0x84");
asm(".byte 0x53, 0x84, 0x72, 0x8C, 0x53, 0x84, 0xF1, 0x7B, 0x6E, 0x63, 0xB0, 0x73, 0x52, 0x8C, 0xD0, 0x7B");
asm(".byte 0x31, 0x94, 0xF0, 0x93, 0x2E, 0x73, 0x2A, 0x5A, 0x2D, 0x73, 0xAC, 0x62, 0x6F, 0x7B, 0x4B, 0x62");
asm(".byte 0x4F, 0x7B, 0x6F, 0x7B, 0x2A, 0x5A, 0xEE, 0x6A, 0x0B, 0x42, 0x6C, 0x4A, 0x4C, 0x4A, 0xA9, 0x39");
asm(".byte 0xED, 0x5A, 0x90, 0x73, 0x6C, 0x4A, 0x4D, 0x4A, 0x4B, 0x52, 0x6C, 0x62, 0x6B, 0x5A, 0xAC, 0x62");
asm(".byte 0x0A, 0x5A, 0x2B, 0x62, 0xAC, 0x6A, 0x97, 0xC6, 0x77, 0xBE, 0xF5, 0xB5, 0x76, 0xBE, 0x97, 0xC6");
asm(".byte 0xF8, 0xD6, 0x73, 0xA5, 0x4E, 0x7C, 0x72, 0x9D, 0xD9, 0xCE, 0x16, 0xBE, 0x3A, 0xE7, 0x5A, 0xE7");
asm(".byte 0xD8, 0xD6, 0xD7, 0xD6, 0xD8, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xDE, 0xD9, 0xDE, 0xB8, 0xD6");
asm(".byte 0xD8, 0xD6, 0xB8, 0xCE, 0x97, 0xC6, 0x57, 0xBE, 0x77, 0xBE, 0x77, 0xBE, 0x77, 0xBE, 0xF5, 0xAD");
asm(".byte 0x77, 0xC6, 0x56, 0xBE, 0x57, 0xBE, 0x56, 0xBE, 0x56, 0xC6, 0x56, 0xC6, 0xD8, 0xD6, 0x77, 0xCE");
asm(".byte 0x37, 0xC6, 0xF5, 0xB5, 0xF5, 0xB5, 0xF5, 0xB5, 0xF5, 0xB5, 0x35, 0xBE, 0x36, 0xC6, 0x15, 0xBE");
asm(".byte 0x36, 0xC6, 0x35, 0xC6, 0x36, 0xC6, 0xB8, 0xD6, 0x57, 0xCE, 0x76, 0xCE, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x56, 0xC6, 0x76, 0xCE, 0x76, 0xCE, 0x56, 0xCE, 0x36, 0xC6, 0xD0, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x50, 0x84, 0xAE, 0x6B, 0x2D, 0x63, 0xCB, 0x52, 0x8B, 0x4A, 0x8E, 0x6B, 0x0D, 0x5B, 0x92, 0x8C");
asm(".byte 0xF0, 0x7B, 0x8E, 0x6B, 0x71, 0x84, 0x8B, 0x4A, 0x10, 0x7C, 0xCB, 0x52, 0xCF, 0x73, 0xAA, 0x52");
asm(".byte 0x4D, 0x6B, 0x51, 0x84, 0x6A, 0x42, 0x72, 0x84, 0x0C, 0x5B, 0x91, 0x84, 0x6D, 0x63, 0x51, 0x84");
asm(".byte 0x71, 0x84, 0x8E, 0x6B, 0x71, 0x84, 0x10, 0x7C, 0x8E, 0x6B, 0xCF, 0x73, 0xAF, 0x73, 0x10, 0x7C");
asm(".byte 0xF0, 0x73, 0x0C, 0x5B, 0xCF, 0x73, 0x0D, 0x5B, 0xF0, 0x7B, 0x32, 0x84, 0x6F, 0x6B, 0x12, 0x7C");
asm(".byte 0x4E, 0x63, 0x72, 0x8C, 0xEE, 0x5A, 0xF1, 0x7B, 0xF1, 0x7B, 0xCD, 0x52, 0xD0, 0x73, 0x4B, 0x4A");
asm(".byte 0x8B, 0x52, 0xED, 0x5A, 0x4B, 0x4A, 0x0E, 0x63, 0x8C, 0x52, 0x90, 0x6B, 0x6C, 0x52, 0x4B, 0x4A");
asm(".byte 0x2F, 0x6B, 0x2E, 0x73, 0xD5, 0xA4, 0x94, 0x9C, 0x0D, 0x73, 0x8B, 0x62, 0x0A, 0x52, 0xAC, 0x72");
asm(".byte 0x6B, 0x62, 0x6B, 0x5A, 0xCD, 0x6A, 0xAD, 0x6A, 0xAD, 0x62, 0x2B, 0x4A, 0x6C, 0x4A, 0x4B, 0x4A");
asm(".byte 0x2C, 0x4A, 0x8D, 0x52, 0xAC, 0x5A, 0xCA, 0x41, 0xA9, 0x31, 0x0A, 0x52, 0x2A, 0x5A, 0x0A, 0x5A");
asm(".byte 0x2B, 0x62, 0xEB, 0x59, 0xCA, 0x51, 0x13, 0xA5, 0x36, 0xB6, 0xD5, 0xAD, 0x15, 0xB6, 0x56, 0xBE");
asm(".byte 0x97, 0xC6, 0x77, 0xC6, 0xF9, 0xD6, 0xF8, 0xD6, 0x19, 0xD7, 0xF9, 0xD6, 0x94, 0xAD, 0x7B, 0xE7");
asm(".byte 0x5B, 0xE7, 0xF9, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0xF8, 0xDE, 0xF8, 0xDE, 0xF9, 0xDE, 0xD7, 0xD6");
asm(".byte 0xF9, 0xDE, 0x98, 0xCE, 0x98, 0xCE, 0xB8, 0xC6, 0xB9, 0xCE, 0xB8, 0xC6, 0x99, 0xC6, 0x98, 0xC6");
asm(".byte 0x78, 0xBE, 0x57, 0xBE, 0xD8, 0xCE, 0x77, 0xC6, 0x97, 0xCE, 0xB7, 0xD6, 0x97, 0xCE, 0x76, 0xCE");
asm(".byte 0x35, 0xC6, 0x36, 0xC6, 0xF5, 0xB5, 0xF5, 0xB5, 0x15, 0xB6, 0x15, 0xB6, 0xF5, 0xB5, 0x77, 0xC6");
asm(".byte 0x77, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x97, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x56, 0xCE, 0x56, 0xC6");
asm(".byte 0x56, 0xC6, 0x56, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0x52, 0xAD, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x49, 0x42, 0x6B, 0x4A, 0xCB, 0x52, 0xAB, 0x52, 0xCC, 0x52, 0x8B, 0x4A, 0xAB, 0x52");
asm(".byte 0xAB, 0x52, 0x8B, 0x52, 0x8B, 0x52, 0x6B, 0x4A, 0x8B, 0x52, 0x8B, 0x52, 0xAB, 0x52, 0xAB, 0x52");
asm(".byte 0xAC, 0x5A, 0x8B, 0x52, 0x6B, 0x4A, 0x8B, 0x52, 0x8B, 0x4A, 0x6B, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A");
asm(".byte 0xAB, 0x52, 0x6A, 0x4A, 0x6A, 0x4A, 0x6B, 0x52, 0x6B, 0x4A, 0xAB, 0x52, 0x6B, 0x4A, 0x8B, 0x4A");
asm(".byte 0x8B, 0x4A, 0x6A, 0x4A, 0x6B, 0x4A, 0x8B, 0x4A, 0xCD, 0x52, 0xAD, 0x52, 0x8C, 0x52, 0x4B, 0x4A");
asm(".byte 0x6B, 0x4A, 0x4B, 0x4A, 0x4C, 0x4A, 0xAC, 0x52, 0xAD, 0x52, 0xAE, 0x5A, 0xCE, 0x5A, 0x6C, 0x4A");
asm(".byte 0x8D, 0x52, 0xAD, 0x5A, 0x8C, 0x4A, 0x8D, 0x52, 0x2B, 0x4A, 0x4B, 0x4A, 0x4B, 0x4A, 0x4B, 0x4A");
asm(".byte 0x4C, 0x52, 0x8C, 0x5A, 0x16, 0xA5, 0xF1, 0x8B, 0x15, 0xA5, 0x57, 0xB5, 0x32, 0x94, 0xCD, 0x6A");
asm(".byte 0x4A, 0x5A, 0x6C, 0x62, 0x4A, 0x62, 0x2B, 0x5A, 0x6B, 0x6A, 0xEA, 0x41, 0xEB, 0x41, 0xEA, 0x41");
asm(".byte 0xCB, 0x39, 0xAA, 0x39, 0xEA, 0x41, 0x2F, 0x6B, 0x94, 0x94, 0x69, 0x31, 0x0B, 0x52, 0x0A, 0x5A");
asm(".byte 0xC9, 0x59, 0xC9, 0x59, 0x09, 0x5A, 0x68, 0x59, 0xF3, 0xA4, 0xB4, 0xA5, 0xB4, 0xA5, 0x36, 0xB6");
asm(".byte 0x16, 0xAE, 0xB9, 0xC6, 0x12, 0x9D, 0x09, 0x5B, 0x19, 0xD7, 0xF9, 0xD6, 0x19, 0xDF, 0xD0, 0x94");
asm(".byte 0x5B, 0xEF, 0x3A, 0xE7, 0xD8, 0xDE, 0xF8, 0xDE, 0xD9, 0xDE, 0xF9, 0xDE, 0xD9, 0xDE, 0xD9, 0xD6");
asm(".byte 0xD8, 0xD6, 0xF9, 0xDE, 0xD9, 0xD6, 0xD9, 0xCE, 0xF9, 0xD6, 0xB8, 0xCE, 0x99, 0xC6, 0xB9, 0xCE");
asm(".byte 0x98, 0xC6, 0x98, 0xC6, 0x57, 0xBE, 0xD8, 0xCE, 0x77, 0xBE, 0x76, 0xC6, 0x35, 0xC6, 0x15, 0xBE");
asm(".byte 0x76, 0xCE, 0x35, 0xC6, 0x35, 0xBE, 0x15, 0xBE, 0x15, 0xB6, 0xB4, 0xAD, 0x15, 0xB6, 0x16, 0xB6");
asm(".byte 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xC6, 0x76, 0xC6, 0x56, 0xC6, 0x98, 0xD6, 0x56, 0xCE, 0x76, 0xCE");
asm(".byte 0x76, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x77, 0xCE, 0x56, 0xCE, 0x56, 0xCE, 0x35, 0xC6, 0xD4, 0xB5");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0x4A, 0xAC, 0x52, 0xCC, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xCC, 0x52");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xCC, 0x52, 0xCB, 0x52, 0xEC, 0x5A, 0xCB, 0x52, 0xAB, 0x52");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xCC, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAC, 0x52, 0xAB, 0x52");
asm(".byte 0xAB, 0x52, 0xCB, 0x52, 0x8B, 0x4A, 0xAB, 0x52, 0xAC, 0x52, 0x8B, 0x4A, 0xAB, 0x52, 0x8B, 0x4A");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0xAC, 0x52, 0xCD, 0x52, 0xEE, 0x5A, 0xAD, 0x52");
asm(".byte 0xCD, 0x5A, 0xAD, 0x52, 0x8C, 0x52, 0x4B, 0x4A, 0x6B, 0x4A, 0x8B, 0x4A, 0x4B, 0x42, 0x6C, 0x4A");
asm(".byte 0xAD, 0x52, 0xAD, 0x52, 0x8D, 0x52, 0xAE, 0x52, 0x2B, 0x42, 0xAD, 0x52, 0x6C, 0x4A, 0x6B, 0x52");
asm(".byte 0x6B, 0x4A, 0x4B, 0x4A, 0x52, 0x8C, 0x2E, 0x6B, 0x4A, 0x62, 0x2B, 0x5A, 0xED, 0x6A, 0x11, 0x8C");
asm(".byte 0x2B, 0x5A, 0x6D, 0x6A, 0x4A, 0x62, 0x4C, 0x62, 0xED, 0x72, 0x4B, 0x62, 0x91, 0x7B, 0xEA, 0x41");
asm(".byte 0xEA, 0x41, 0x69, 0x31, 0x89, 0x39, 0xCA, 0x39, 0xAA, 0x39, 0x8A, 0x39, 0xAA, 0x39, 0x4B, 0x5A");
asm(".byte 0xEA, 0x51, 0xEB, 0x51, 0x6C, 0x62, 0x0A, 0x5A, 0x6B, 0x6A, 0x75, 0xAD, 0xB3, 0xA5, 0xD3, 0xAD");
asm(".byte 0x94, 0xA5, 0x56, 0xBE, 0x76, 0xBE, 0xF5, 0xB5, 0x36, 0xBE, 0x57, 0xBE, 0x19, 0xD7, 0xD8, 0xD6");
asm(".byte 0xB7, 0xCE, 0x5B, 0xE7, 0x19, 0xE7, 0xF8, 0xDE, 0xF9, 0xDE, 0xD7, 0xD6, 0xD9, 0xDE, 0xD8, 0xD6");
asm(".byte 0xF9, 0xDE, 0xD8, 0xDE, 0xF9, 0xDE, 0xDA, 0xD6, 0xF9, 0xD6, 0xF9, 0xD6, 0xB9, 0xCE, 0xB9, 0xCE");
asm(".byte 0xB9, 0xCE, 0xB8, 0xCE, 0x77, 0xBE, 0xD9, 0xCE, 0x56, 0xBE, 0x56, 0xBE, 0x98, 0xCE, 0x76, 0xCE");
asm(".byte 0x77, 0xCE, 0x97, 0xCE, 0x56, 0xC6, 0x16, 0xBE, 0x15, 0xB6, 0xD4, 0xB5, 0xB4, 0xAD, 0xD4, 0xAD");
asm(".byte 0x56, 0xBE, 0x56, 0xC6, 0x35, 0xC6, 0x36, 0xC6, 0x56, 0xC6, 0x36, 0xC6, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x76, 0xCE, 0x36, 0xC6, 0x75, 0xC6, 0x36, 0xC6, 0xF4, 0xBD");
asm(".byte 0x92, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x09, 0x42, 0x49, 0x4A, 0x8A, 0x52, 0x8A, 0x4A, 0x8A, 0x4A");
asm(".byte 0x6A, 0x4A, 0xAB, 0x52, 0x4A, 0x42, 0x4A, 0x42, 0x4A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A");
asm(".byte 0x8A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A, 0x8A, 0x52, 0x6A, 0x4A, 0x4A, 0x42, 0x8A, 0x4A");
asm(".byte 0x09, 0x42, 0x6A, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A, 0x6A, 0x4A, 0x4A, 0x4A, 0x29, 0x42, 0x6A, 0x4A");
asm(".byte 0x4A, 0x42, 0x2A, 0x42, 0x6A, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0xED, 0x5A, 0x8B, 0x4A");
asm(".byte 0xAC, 0x52, 0x8C, 0x4A, 0x8C, 0x4A, 0xAC, 0x52, 0xAD, 0x5A, 0x6D, 0x4A, 0xAD, 0x5A, 0x2B, 0x4A");
asm(".byte 0x4B, 0x4A, 0x4A, 0x42, 0x6B, 0x4A, 0x4C, 0x4A, 0x2B, 0x42, 0x8D, 0x52, 0x4B, 0x4A, 0x2B, 0x4A");
asm(".byte 0x8D, 0x52, 0x8B, 0x52, 0x0C, 0x4A, 0x11, 0x84, 0x6B, 0x5A, 0x4B, 0x62, 0x4A, 0x5A, 0x31, 0x8C");
asm(".byte 0x73, 0x9C, 0xE9, 0x59, 0xF1, 0x93, 0x8C, 0x62, 0x2B, 0x62, 0xB2, 0xA4, 0x73, 0x94, 0x37, 0xAD");
asm(".byte 0xEA, 0x39, 0x49, 0x31, 0xB5, 0x94, 0x27, 0x29, 0xCB, 0x39, 0xA9, 0x39, 0xA9, 0x39, 0xA9, 0x39");
asm(".byte 0x0B, 0x5A, 0x0A, 0x5A, 0x2B, 0x5A, 0xCB, 0x51, 0xA9, 0x51, 0xC9, 0x59, 0x54, 0xAD, 0x73, 0x9D");
asm(".byte 0x94, 0xAD, 0xF5, 0xAD, 0x56, 0xBE, 0x35, 0xB6, 0xB3, 0xAD, 0x32, 0xA5, 0x6F, 0x84, 0x3A, 0xDF");
asm(".byte 0x56, 0xBE, 0x10, 0x9D, 0x5B, 0xEF, 0x7B, 0xEF, 0x1A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xF8, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xD6, 0xFA, 0xD6, 0xD9, 0xCE");
asm(".byte 0xD9, 0xCE, 0xB8, 0xCE, 0xB8, 0xC6, 0x98, 0xC6, 0xD8, 0xCE, 0x77, 0xC6, 0x97, 0xC6, 0x96, 0xCE");
asm(".byte 0x56, 0xC6, 0x76, 0xCE, 0x35, 0xC6, 0xD8, 0xD6, 0x56, 0xBE, 0x35, 0xBE, 0x36, 0xB6, 0xF5, 0xB5");
asm(".byte 0xF5, 0xB5, 0x36, 0xBE, 0x15, 0xBE, 0x56, 0xC6, 0x35, 0xC6, 0x56, 0xC6, 0x56, 0xC6, 0x35, 0xC6");
asm(".byte 0x56, 0xCE, 0x56, 0xC6, 0x56, 0xCE, 0x56, 0xC6, 0x57, 0xC6, 0x56, 0xC6, 0x77, 0xCE, 0x56, 0xC6");
asm(".byte 0x35, 0xC6, 0xD3, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0x94, 0x38, 0xBE, 0xD6, 0xB5, 0xF7, 0xB5");
asm(".byte 0x0C, 0x5B, 0xD6, 0xAD, 0xCA, 0x4A, 0x99, 0xC6, 0x50, 0x7C, 0x75, 0x9D, 0x17, 0xB6, 0x71, 0x84");
asm(".byte 0x17, 0xB6, 0x34, 0x9D, 0x34, 0x95, 0x37, 0xB6, 0xCF, 0x73, 0x57, 0xBE, 0x30, 0x7C, 0x75, 0xA5");
asm(".byte 0xB2, 0x8C, 0x38, 0xBE, 0xF7, 0xB5, 0xD3, 0x94, 0x54, 0x9D, 0x8D, 0x63, 0x34, 0x9D, 0x99, 0xCE");
asm(".byte 0x6D, 0x63, 0x54, 0x9D, 0x0C, 0x5B, 0xB2, 0x8C, 0xB2, 0x8C, 0xEF, 0x7B, 0x54, 0x9D, 0x0D, 0x5B");
asm(".byte 0x35, 0x9D, 0x96, 0xAD, 0x0D, 0x5B, 0xD4, 0x94, 0x11, 0x7C, 0xD0, 0x73, 0xD4, 0x94, 0xAC, 0x52");
asm(".byte 0x72, 0x84, 0xCD, 0x52, 0xD5, 0x94, 0x12, 0x7C, 0x90, 0x6B, 0xB0, 0x73, 0x4F, 0x6B, 0x2F, 0x63");
asm(".byte 0xB0, 0x7B, 0x6C, 0x4A, 0xB1, 0x7B, 0x8C, 0x52, 0x32, 0x8C, 0x36, 0xAD, 0x4B, 0x5A, 0xCD, 0x6A");
asm(".byte 0x6B, 0x5A, 0xD0, 0x8B, 0xED, 0x72, 0x76, 0xBD, 0xED, 0x72, 0xCC, 0x72, 0x93, 0x9C, 0x94, 0x94");
asm(".byte 0xEA, 0x41, 0x2B, 0x4A, 0xAA, 0x39, 0x94, 0x94, 0x6D, 0x52, 0x0A, 0x42, 0x2C, 0x4A, 0xEB, 0x41");
asm(".byte 0x0A, 0x42, 0x0A, 0x5A, 0x09, 0x5A, 0x09, 0x5A, 0xC9, 0x59, 0xE9, 0x59, 0x2B, 0x62, 0x34, 0xAD");
asm(".byte 0xB4, 0xA5, 0xF5, 0xA5, 0x36, 0xB6, 0x97, 0xBE, 0xB8, 0xCE, 0x3A, 0xE7, 0x39, 0xDF, 0x5A, 0xE7");
asm(".byte 0x1A, 0xDF, 0xF4, 0xB5, 0xB3, 0xAD, 0x5A, 0xE7, 0x7B, 0xEF, 0xD8, 0xD6, 0xF8, 0xDE, 0xF9, 0xDE");
asm(".byte 0x19, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0xF9, 0xDE, 0x5B, 0xE7, 0xFA, 0xD6, 0xB8, 0xCE, 0xF9, 0xD6");
asm(".byte 0xF9, 0xD6, 0xF9, 0xCE, 0xD9, 0xCE, 0xF9, 0xCE, 0x3A, 0xD7, 0x97, 0xC6, 0xB8, 0xCE, 0x97, 0xC6");
asm(".byte 0x97, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x76, 0xC6, 0x76, 0xC6, 0x97, 0xC6, 0x77, 0xC6, 0x78, 0xC6");
asm(".byte 0x77, 0xC6, 0xB8, 0xCE, 0x15, 0xBE, 0x36, 0xC6, 0x56, 0xC6, 0x56, 0xC6, 0x35, 0xC6, 0x36, 0xC6");
asm(".byte 0x56, 0xC6, 0x76, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x36, 0xC6");
asm(".byte 0x76, 0xC6, 0x56, 0xC6, 0xB3, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x51, 0x84, 0x8A, 0x4A, 0x6D, 0x63");
asm(".byte 0x34, 0x9D, 0x14, 0x95, 0xD2, 0x8C, 0xEF, 0x6B, 0x70, 0x7C, 0x18, 0xB6, 0xEC, 0x52, 0x34, 0x9D");
asm(".byte 0xE8, 0x39, 0x17, 0xB6, 0x49, 0x42, 0x71, 0x8C, 0x6E, 0x6B, 0x4D, 0x63, 0xF6, 0xB5, 0x8A, 0x4A");
asm(".byte 0xB6, 0xAD, 0xCA, 0x4A, 0x58, 0xBE, 0x79, 0xC6, 0x79, 0xC6, 0x54, 0x9D, 0x6D, 0x63, 0xEB, 0x52");
asm(".byte 0x79, 0xC6, 0xD2, 0x8C, 0xF2, 0x94, 0xAE, 0x6B, 0x6D, 0x63, 0x0C, 0x5B, 0xF3, 0x94, 0x71, 0x84");
asm(".byte 0x10, 0x7C, 0x75, 0xA5, 0x55, 0x9D, 0xD3, 0x94, 0x96, 0xAD, 0xF4, 0x94, 0xED, 0x5A, 0x72, 0x84");
asm(".byte 0x8F, 0x6B, 0x11, 0x7C, 0x11, 0x7C, 0xD4, 0x94, 0x8D, 0x52, 0x50, 0x6B, 0x32, 0x84, 0xB0, 0x73");
asm(".byte 0x2F, 0x63, 0xB0, 0x73, 0x2E, 0x63, 0x4F, 0x6B, 0x4E, 0x6B, 0xAC, 0x62, 0x56, 0xAD, 0x16, 0xAD");
asm(".byte 0xB4, 0x9C, 0xD4, 0xA4, 0x0E, 0x73, 0x4F, 0x7B, 0x92, 0xA4, 0xCD, 0x6A, 0xCD, 0x72, 0xF4, 0xAC");
asm(".byte 0xAD, 0x62, 0xAC, 0x52, 0x76, 0xAD, 0xAD, 0x5A, 0x4C, 0x4A, 0x53, 0x8C, 0x0B, 0x42, 0xCA, 0x39");
asm(".byte 0x0C, 0x42, 0x0B, 0x4A, 0x2C, 0x5A, 0x0B, 0x5A, 0x0A, 0x5A, 0x0B, 0x5A, 0xE9, 0x59, 0x32, 0x9C");
asm(".byte 0xD2, 0x9C, 0x53, 0x9D, 0xD4, 0xA5, 0x15, 0xB6, 0x97, 0xC6, 0x97, 0xCE, 0xCD, 0x73, 0x90, 0x8C");
asm(".byte 0xF9, 0xDE, 0x3A, 0xDF, 0x35, 0xBE, 0x72, 0xAD, 0x39, 0xE7, 0x5B, 0xEF, 0xF9, 0xDE, 0xF8, 0xDE");
asm(".byte 0x18, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0x5B, 0xE7, 0xF9, 0xD6, 0xF9, 0xD6");
asm(".byte 0xF9, 0xD6, 0xF8, 0xCE, 0xD8, 0xCE, 0xF9, 0xD6, 0xB7, 0xCE, 0xB9, 0xCE, 0xD8, 0xCE, 0xB8, 0xCE");
asm(".byte 0x97, 0xCE, 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x76, 0xCE, 0xB7, 0xD6, 0x35, 0xC6, 0x35, 0xC6");
asm(".byte 0x35, 0xC6, 0x35, 0xBE, 0x56, 0xC6, 0x76, 0xC6, 0x35, 0xC6, 0x35, 0xC6, 0x56, 0xC6, 0x36, 0xC6");
asm(".byte 0x56, 0xC6, 0x35, 0xC6, 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xC6, 0x76, 0xCE, 0x76, 0xC6, 0x56, 0xCE");
asm(".byte 0x77, 0xCE, 0x35, 0xC6, 0x56, 0xC6, 0x93, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x51, 0x84, 0x6A, 0x4A");
asm(".byte 0xD7, 0xB5, 0x75, 0xA5, 0x49, 0x42, 0x75, 0xA5, 0x2C, 0x5B, 0x74, 0xA5, 0x8D, 0x6B, 0x54, 0x9D");
asm(".byte 0xB6, 0xAD, 0xEC, 0x5A, 0x51, 0x84, 0x4A, 0x42, 0x71, 0x84, 0x49, 0x42, 0x10, 0x7C, 0xF3, 0x94");
asm(".byte 0xCF, 0x73, 0xD6, 0xB5, 0xF0, 0x7B, 0x72, 0x8C, 0xF0, 0x7B, 0xEC, 0x5A, 0x14, 0x95, 0xCB, 0x52");
asm(".byte 0xAB, 0x52, 0x34, 0x9D, 0x69, 0x42, 0x14, 0x9D, 0x0C, 0x5B, 0xF3, 0x94, 0x14, 0x9D, 0x4D, 0x63");
asm(".byte 0xB3, 0x8C, 0x6B, 0x4A, 0x0D, 0x5B, 0xF0, 0x7B, 0x09, 0x42, 0x6F, 0x6B, 0xD0, 0x73, 0xCC, 0x5A");
asm(".byte 0x11, 0x7C, 0x4A, 0x42, 0x11, 0x7C, 0xED, 0x5A, 0x32, 0x84, 0xCD, 0x5A, 0x2F, 0x63, 0x70, 0x6B");
asm(".byte 0x0E, 0x63, 0xAD, 0x5A, 0xEE, 0x62, 0x6C, 0x52, 0x2F, 0x63, 0x8C, 0x5A, 0x6F, 0x7B, 0xED, 0x6A");
asm(".byte 0xED, 0x72, 0x12, 0x8C, 0x18, 0xC6, 0xB4, 0xA4, 0x92, 0xA4, 0xB0, 0x8B, 0x0E, 0x73, 0x6B, 0x62");
asm(".byte 0x55, 0xB5, 0xB0, 0x7B, 0xEB, 0x49, 0x0E, 0x63, 0x0B, 0x42, 0x2B, 0x4A, 0x11, 0x84, 0x0B, 0x4A");
asm(".byte 0xC9, 0x39, 0xCA, 0x41, 0x0B, 0x4A, 0x0A, 0x5A, 0xEB, 0x59, 0xCA, 0x51, 0xCA, 0x59, 0x0A, 0x52");
asm(".byte 0x52, 0x94, 0x6B, 0x52, 0x73, 0x9D, 0xD4, 0xA5, 0x15, 0xB6, 0x76, 0xC6, 0x72, 0xA5, 0x77, 0xC6");
asm(".byte 0x7B, 0xE7, 0x32, 0x9D, 0x1A, 0xDF, 0xB4, 0xAD, 0x72, 0xA5, 0x3A, 0xE7, 0x9C, 0xEF, 0x1A, 0xE7");
asm(".byte 0xF9, 0xDE, 0x5A, 0xE7, 0x18, 0xE7, 0x39, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x1A, 0xDF");
asm(".byte 0x1A, 0xD7, 0x1A, 0xD7, 0xD9, 0xCE, 0xB8, 0xC6, 0xD9, 0xCE, 0xFA, 0xD6, 0xD9, 0xD6, 0x3A, 0xDF");
asm(".byte 0xB8, 0xCE, 0xB7, 0xCE, 0xB7, 0xD6, 0x96, 0xCE, 0x77, 0xCE, 0xD8, 0xD6, 0xB8, 0xD6, 0x77, 0xC6");
asm(".byte 0x56, 0xBE, 0x56, 0xBE, 0x35, 0xBE, 0x56, 0xBE, 0xB8, 0xD6, 0x55, 0xC6, 0x35, 0xC6, 0x35, 0xC6");
asm(".byte 0x55, 0xC6, 0x55, 0xC6, 0x56, 0xC6, 0x76, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0x76, 0xC6");
asm(".byte 0x56, 0xCE, 0x76, 0xCE, 0x36, 0xC6, 0x56, 0xC6, 0x93, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x29, 0x42");
asm(".byte 0xAC, 0x52, 0x4A, 0x4A, 0x6A, 0x42, 0x8B, 0x4A, 0x6A, 0x4A, 0xAB, 0x52, 0x6A, 0x4A, 0x8B, 0x52");
asm(".byte 0x6A, 0x4A, 0x4A, 0x42, 0x8B, 0x52, 0x8A, 0x4A, 0x8B, 0x52, 0x6A, 0x4A, 0x8B, 0x4A, 0x8A, 0x4A");
asm(".byte 0x4A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A, 0x4A, 0x42, 0x4A, 0x4A, 0x4A, 0x4A, 0x4A, 0x4A, 0x49, 0x4A");
asm(".byte 0x6A, 0x4A, 0x8A, 0x4A, 0x4A, 0x4A, 0x6A, 0x4A, 0x49, 0x4A, 0x6A, 0x4A, 0x4A, 0x4A, 0x2A, 0x42");
asm(".byte 0x8B, 0x4A, 0x6A, 0x4A, 0x6B, 0x4A, 0x4B, 0x4A, 0x4A, 0x4A, 0x6B, 0x4A, 0x0A, 0x42, 0x2A, 0x42");
asm(".byte 0x2A, 0x42, 0x2A, 0x42, 0x4A, 0x4A, 0x2A, 0x4A, 0x2B, 0x4A, 0x0A, 0x42, 0x0A, 0x42, 0x2A, 0x42");
asm(".byte 0x6C, 0x4A, 0x0E, 0x63, 0x0E, 0x63, 0xEE, 0x62, 0xAD, 0x5A, 0x2B, 0x4A, 0x4C, 0x5A, 0x0A, 0x5A");
asm(".byte 0x8C, 0x62, 0xCD, 0x72, 0x4B, 0x5A, 0x0E, 0x73, 0xC9, 0x49, 0x4E, 0x83, 0x4A, 0x62, 0x09, 0x62");
asm(".byte 0x6C, 0x6A, 0xCD, 0x6A, 0x74, 0x94, 0x0E, 0x63, 0xCB, 0x41, 0xA9, 0x39, 0xB5, 0x94, 0x0A, 0x42");
asm(".byte 0xCB, 0x41, 0xCB, 0x39, 0xAA, 0x39, 0x0A, 0x52, 0xE9, 0x51, 0xE9, 0x51, 0xE9, 0x51, 0xEA, 0x51");
asm(".byte 0xC9, 0x51, 0xD4, 0xA4, 0x0D, 0x6B, 0xD4, 0xA5, 0xF5, 0xAD, 0x36, 0xB6, 0x76, 0xBE, 0xD8, 0xCE");
asm(".byte 0x8F, 0x8C, 0xAF, 0x8C, 0xD8, 0xD6, 0x3A, 0xDF, 0x16, 0xBE, 0x3A, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x39, 0xE7, 0xD0, 0x94, 0xB8, 0xD6, 0xF9, 0xDE, 0x3A, 0xE7, 0x7C, 0xEF, 0x3B, 0xE7");
asm(".byte 0x3B, 0xDF, 0x3B, 0xDF, 0xD9, 0xCE, 0xB8, 0xC6, 0xF8, 0xCE, 0xB9, 0xCE, 0x1A, 0xD7, 0xF9, 0xD6");
asm(".byte 0xFA, 0xD6, 0xF9, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0x76, 0xCE, 0x77, 0xCE, 0xD8, 0xD6, 0x96, 0xCE");
asm(".byte 0x77, 0xCE, 0x76, 0xCE, 0x77, 0xC6, 0x57, 0xBE, 0x77, 0xC6, 0xB7, 0xD6, 0x97, 0xD6, 0x56, 0xC6");
asm(".byte 0x36, 0xC6, 0x36, 0xC6, 0x35, 0xC6, 0x77, 0xCE, 0x36, 0xC6, 0x56, 0xC6, 0x76, 0xCE, 0x77, 0xCE");
asm(".byte 0x56, 0xCE, 0x76, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x76, 0xCE, 0x15, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x6A, 0x4A, 0xCB, 0x52, 0x8B, 0x4A, 0x8B, 0x4A, 0x8B, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52");
asm(".byte 0x8B, 0x4A, 0xAB, 0x52, 0x8A, 0x4A, 0x8A, 0x4A, 0x6B, 0x4A, 0xAB, 0x52, 0x8B, 0x4A, 0x6B, 0x4A");
asm(".byte 0x8B, 0x4A, 0x8B, 0x52, 0x6A, 0x4A, 0x8A, 0x4A, 0x8B, 0x4A, 0x8A, 0x4A, 0x6A, 0x4A, 0x6B, 0x4A");
asm(".byte 0x8A, 0x52, 0x8A, 0x52, 0x6A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A, 0x8B, 0x4A, 0x8B, 0x52");
asm(".byte 0x6A, 0x4A, 0x8B, 0x52, 0x6B, 0x4A, 0x4B, 0x4A, 0x6B, 0x4A, 0x4B, 0x4A, 0x6B, 0x4A, 0x4A, 0x42");
asm(".byte 0x2A, 0x42, 0x2A, 0x42, 0x2A, 0x42, 0x4B, 0x4A, 0x4A, 0x4A, 0x2A, 0x4A, 0x2A, 0x42, 0x2B, 0x42");
asm(".byte 0x4B, 0x4A, 0x4B, 0x4A, 0x4B, 0x4A, 0x0A, 0x42, 0xE9, 0x39, 0x0B, 0x4A, 0x6C, 0x52, 0x6C, 0x52");
asm(".byte 0x53, 0x94, 0xB5, 0x9C, 0x73, 0x94, 0x97, 0xBD, 0x6C, 0x62, 0x29, 0x62, 0x2B, 0x62, 0x6C, 0x62");
asm(".byte 0x4B, 0x62, 0x0A, 0x62, 0x2B, 0x6A, 0xEE, 0x62, 0x75, 0x8C, 0x1A, 0xB6, 0x77, 0x95, 0x15, 0x7D");
asm(".byte 0x6D, 0x32, 0xEB, 0x39, 0x89, 0x31, 0xEB, 0x41, 0x2B, 0x5A, 0x0A, 0x5A, 0xEB, 0x59, 0xCA, 0x51");
asm(".byte 0x88, 0x51, 0x8B, 0x6A, 0x52, 0x9C, 0x09, 0x5A, 0xD4, 0xA5, 0xF5, 0xAD, 0x56, 0xBE, 0xB8, 0xC6");
asm(".byte 0xF9, 0xD6, 0x1A, 0xDF, 0x7B, 0xE7, 0x39, 0xDF, 0x5A, 0xE7, 0x11, 0x9D, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x19, 0xE7, 0x3A, 0xE7, 0x5A, 0xEF, 0x76, 0xCE, 0xCE, 0x7B, 0x4B, 0x6B, 0x7B, 0xEF, 0x9C, 0xEF");
asm(".byte 0x5C, 0xE7, 0x5B, 0xDF, 0x1A, 0xDF, 0x19, 0xD7, 0x19, 0xD7, 0xD8, 0xD6, 0x19, 0xD7, 0x19, 0xD7");
asm(".byte 0x1A, 0xDF, 0xF9, 0xD6, 0x5B, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0xD9, 0xD6, 0xB8, 0xD6");
asm(".byte 0x97, 0xCE, 0xB7, 0xCE, 0x76, 0xC6, 0x76, 0xC6, 0x36, 0xC6, 0x56, 0xC6, 0x77, 0xCE, 0xD8, 0xDE");
asm(".byte 0xB8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0x36, 0xC6, 0x56, 0xC6, 0x76, 0xCE");
asm(".byte 0x56, 0xC6, 0x97, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x77, 0xCE, 0x35, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x8A, 0x4A, 0xAC, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xCB, 0x52, 0xCB, 0x52, 0xCC, 0x52");
asm(".byte 0xCC, 0x52, 0xAB, 0x52, 0xCB, 0x52, 0x8B, 0x4A, 0xCB, 0x52, 0x8B, 0x4A, 0xAB, 0x52, 0xAB, 0x4A");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0x8B, 0x4A, 0x8B, 0x52, 0xAB, 0x52, 0x8B, 0x4A");
asm(".byte 0x8A, 0x4A, 0x8B, 0x52, 0x8A, 0x4A, 0x8B, 0x4A, 0xAB, 0x52, 0x6A, 0x4A, 0x8B, 0x4A, 0x8B, 0x52");
asm(".byte 0x8B, 0x4A, 0x6B, 0x4A, 0x8B, 0x52, 0x6B, 0x4A, 0x6B, 0x4A, 0x8B, 0x4A, 0x4A, 0x4A, 0x4A, 0x4A");
asm(".byte 0x6B, 0x4A, 0x8B, 0x52, 0x4A, 0x4A, 0x2A, 0x4A, 0x2A, 0x4A, 0x2A, 0x42, 0x2A, 0x42, 0x4B, 0x4A");
asm(".byte 0x2B, 0x4A, 0x4B, 0x4A, 0x8B, 0x52, 0x4B, 0x4A, 0x2A, 0x4A, 0xEA, 0x41, 0xEA, 0x49, 0xEA, 0x41");
asm(".byte 0xEA, 0x41, 0xC9, 0x39, 0x68, 0x39, 0x68, 0x39, 0x4B, 0x52, 0xEE, 0x6A, 0xCD, 0x6A, 0xCE, 0x6A");
asm(".byte 0x6B, 0x62, 0xCE, 0x72, 0xCD, 0x6A, 0x6C, 0x5A, 0x53, 0x54, 0x94, 0x4C, 0xD5, 0x64, 0x94, 0x5C");
asm(".byte 0x73, 0x44, 0x16, 0x45, 0xF2, 0x43, 0xCB, 0x39, 0xAA, 0x39, 0xEB, 0x59, 0xEB, 0x51, 0xEB, 0x51");
asm(".byte 0xA9, 0x51, 0xCA, 0x59, 0x32, 0x94, 0xED, 0x6A, 0x09, 0x5A, 0xB3, 0xA5, 0x14, 0xAE, 0x36, 0xB6");
asm(".byte 0x76, 0xC6, 0xF8, 0xD6, 0x97, 0xC6, 0xF4, 0xB5, 0x7B, 0xE7, 0x5B, 0xE7, 0x52, 0xA5, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5A, 0xE7, 0x5B, 0xEF, 0x5A, 0xE7, 0xF5, 0xBD, 0x6B, 0x6B, 0x52, 0xA5, 0x7C, 0xEF");
asm(".byte 0x9D, 0xEF, 0x5B, 0xE7, 0x3A, 0xDF, 0x3A, 0xDF, 0x3A, 0xDF, 0x3B, 0xDF, 0x1A, 0xDF, 0x19, 0xD7");
asm(".byte 0x1A, 0xDF, 0x1A, 0xDF, 0x3A, 0xDF, 0xF9, 0xDE, 0xD9, 0xDE, 0xD8, 0xD6, 0xD9, 0xD6, 0xD8, 0xD6");
asm(".byte 0x19, 0xDF, 0x77, 0xCE, 0x97, 0xC6, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xBE, 0x76, 0xC6, 0xD8, 0xD6");
asm(".byte 0x97, 0xD6, 0x77, 0xCE, 0x76, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0xB8, 0xD6, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x57, 0xC6, 0x77, 0xCE, 0x76, 0xCE, 0x96, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x56, 0xC6, 0x36, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0x42, 0xAB, 0x4A, 0x6A, 0x42, 0xAB, 0x52, 0x6A, 0x4A, 0xAA, 0x52");
asm(".byte 0x8B, 0x4A, 0x29, 0x42, 0xAB, 0x4A, 0x29, 0x42, 0xAB, 0x4A, 0x69, 0x4A, 0x29, 0x42, 0xAA, 0x4A");
asm(".byte 0x69, 0x4A, 0x8A, 0x4A, 0xAB, 0x52, 0x6A, 0x42, 0xEC, 0x52, 0x4A, 0x42, 0x6A, 0x4A, 0x6A, 0x4A");
asm(".byte 0x29, 0x42, 0x6A, 0x4A, 0xAA, 0x4A, 0xAB, 0x52, 0x69, 0x4A, 0xAA, 0x52, 0x8A, 0x4A, 0x49, 0x4A");
asm(".byte 0xAB, 0x52, 0x09, 0x3A, 0xAB, 0x4A, 0x29, 0x42, 0x6A, 0x4A, 0x6A, 0x4A, 0x09, 0x42, 0x6B, 0x4A");
asm(".byte 0x09, 0x42, 0x09, 0x42, 0x6B, 0x4A, 0x09, 0x42, 0x2A, 0x42, 0x09, 0x42, 0x2A, 0x42, 0x2A, 0x4A");
asm(".byte 0x4A, 0x4A, 0x4B, 0x4A, 0x2A, 0x42, 0x6B, 0x52, 0x4B, 0x4A, 0xEA, 0x41, 0x0A, 0x42, 0xCA, 0x39");
asm(".byte 0xEA, 0x41, 0xC9, 0x41, 0xEA, 0x41, 0xEA, 0x41, 0x89, 0x39, 0xEA, 0x49, 0xC9, 0x41, 0xA9, 0x41");
asm(".byte 0xC9, 0x41, 0x89, 0x39, 0xCA, 0x41, 0x4B, 0x4A, 0x93, 0x84, 0xD5, 0x74, 0x50, 0x53, 0x8D, 0x4A");
asm(".byte 0x4D, 0x42, 0x2C, 0x3A, 0xEE, 0x42, 0xD5, 0x4C, 0x12, 0x44, 0x89, 0x39, 0xEA, 0x59, 0xC9, 0x59");
asm(".byte 0xCA, 0x51, 0xEA, 0x51, 0xEA, 0x51, 0xB0, 0x8B, 0xB4, 0xA4, 0x6F, 0x7B, 0xD4, 0xA5, 0xF4, 0xAD");
asm(".byte 0x36, 0xB6, 0xD8, 0xCE, 0x6A, 0x63, 0x92, 0xA5, 0xB7, 0xCE, 0x7A, 0xE7, 0xF9, 0xD6, 0x97, 0xCE");
asm(".byte 0x9C, 0xF7, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x9B, 0xEF, 0x97, 0xD6, 0xB8, 0xD6, 0x3A, 0xDF");
asm(".byte 0x7C, 0xEF, 0x9C, 0xEF, 0x3A, 0xDF, 0x3A, 0xDF, 0x3B, 0xDF, 0x3B, 0xDF, 0x5B, 0xE7, 0x77, 0xBE");
asm(".byte 0x7B, 0xE7, 0x19, 0xD7, 0x1A, 0xD7, 0x7B, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0xF8, 0xDE");
asm(".byte 0xD8, 0xD6, 0xB8, 0xD6, 0xF9, 0xD6, 0x98, 0xC6, 0xB8, 0xCE, 0x97, 0xC6, 0x77, 0xBE, 0x56, 0xC6");
asm(".byte 0xB8, 0xD6, 0x76, 0xCE, 0x96, 0xCE, 0x96, 0xCE, 0x97, 0xCE, 0x76, 0xCE, 0x97, 0xCE, 0xB7, 0xD6");
asm(".byte 0x56, 0xC6, 0x76, 0xCE, 0x76, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x76, 0xCE, 0x56, 0xCE");
asm(".byte 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD2, 0x8C, 0x3B, 0xDF, 0x6D, 0x63, 0x54, 0x9D, 0xEF, 0x73");
asm(".byte 0xB5, 0xA5, 0xDA, 0xCE, 0xB6, 0xAD, 0x38, 0xBE, 0xAE, 0x6B, 0x37, 0xB6, 0x0F, 0x74, 0x54, 0x9D");
asm(".byte 0xDA, 0xCE, 0x70, 0x84, 0xF2, 0x94, 0xDA, 0xCE, 0xCE, 0x73, 0x54, 0x9D, 0xB1, 0x8C, 0x99, 0xC6");
asm(".byte 0x13, 0x95, 0x54, 0x9D, 0xB5, 0xAD, 0x0F, 0x74, 0x17, 0xB6, 0x8E, 0x6B, 0x71, 0x84, 0x13, 0x95");
asm(".byte 0x72, 0x84, 0xD6, 0xAD, 0xAE, 0x6B, 0x34, 0x9D, 0x10, 0x7C, 0x55, 0x9D, 0x51, 0x84, 0xEC, 0x5A");
asm(".byte 0x55, 0xA5, 0xB3, 0x94, 0x8A, 0x4A, 0x31, 0x84, 0x2D, 0x63, 0x72, 0x8C, 0xD0, 0x73, 0x8F, 0x6B");
asm(".byte 0xF1, 0x7B, 0xCC, 0x52, 0x8F, 0x6B, 0x2E, 0x63, 0x4E, 0x6B, 0x90, 0x73, 0xC9, 0x39, 0x4F, 0x6B");
asm(".byte 0xEA, 0x41, 0xEE, 0x62, 0x4B, 0x4A, 0xAD, 0x5A, 0xAC, 0x5A, 0x2B, 0x4A, 0x2B, 0x4A, 0xC9, 0x41");
asm(".byte 0x8C, 0x5A, 0xEA, 0x41, 0x0B, 0x4A, 0x2B, 0x52, 0x0A, 0x4A, 0xEB, 0x49, 0x2C, 0x52, 0x0F, 0x6B");
asm(".byte 0x90, 0x73, 0x8F, 0x73, 0x4F, 0x6B, 0xAD, 0x52, 0x2C, 0x3A, 0x95, 0x54, 0xB1, 0x4B, 0x09, 0x52");
asm(".byte 0x0A, 0x5A, 0xCA, 0x51, 0xA9, 0x51, 0xCA, 0x59, 0xE9, 0x59, 0xAA, 0x59, 0x2B, 0x5A, 0x14, 0xAE");
asm(".byte 0x36, 0xB6, 0x77, 0xBE, 0xB8, 0xC6, 0xF9, 0xD6, 0x3A, 0xDF, 0x73, 0xA5, 0x5B, 0xE7, 0x97, 0xCE");
asm(".byte 0x5A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0xD9, 0xD6, 0x9C, 0xEF, 0x9B, 0xEF");
asm(".byte 0x3A, 0xDF, 0x7B, 0xEF, 0x7B, 0xEF, 0x3A, 0xDF, 0x5B, 0xDF, 0x5B, 0xDF, 0x3A, 0xDF, 0x7B, 0xE7");
asm(".byte 0x76, 0xC6, 0x5B, 0xDF, 0x7B, 0xE7, 0x1A, 0xD7, 0x3B, 0xDF, 0x3B, 0xDF, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0xB8, 0xCE, 0x97, 0xCE, 0x98, 0xCE, 0x77, 0xC6");
asm(".byte 0xD8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x97, 0xD6, 0x56, 0xCE, 0x97, 0xCE, 0x76, 0xCE");
asm(".byte 0x97, 0xD6, 0x76, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x36, 0xC6");
asm(".byte 0x56, 0xC6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x31, 0xD7, 0xAD, 0x6A, 0x4A, 0xAE, 0x6B");
asm(".byte 0x14, 0x9D, 0x50, 0x84, 0x8A, 0x52, 0x78, 0xC6, 0xF2, 0x8C, 0xB1, 0x8C, 0xD1, 0x8C, 0xD2, 0x8C");
asm(".byte 0xF6, 0xAD, 0xD5, 0xAD, 0x37, 0xB6, 0xAA, 0x4A, 0x13, 0x95, 0x28, 0x3A, 0x79, 0xC6, 0x89, 0x42");
asm(".byte 0x37, 0xB6, 0x16, 0xAE, 0x4B, 0x5B, 0x33, 0x95, 0xA9, 0x4A, 0x37, 0xBE, 0x49, 0x42, 0x8A, 0x4A");
asm(".byte 0x37, 0xBE, 0x0B, 0x53, 0x54, 0x9D, 0xEF, 0x73, 0x6D, 0x63, 0xF3, 0x94, 0x34, 0x9D, 0xB2, 0x8C");
asm(".byte 0xCF, 0x73, 0xD2, 0x94, 0x51, 0x84, 0x2D, 0x63, 0xEC, 0x52, 0x8E, 0x6B, 0x72, 0x8C, 0x51, 0x84");
asm(".byte 0x09, 0x42, 0x11, 0x84, 0x2E, 0x63, 0x8B, 0x52, 0x2E, 0x63, 0xED, 0x5A, 0x4B, 0x4A, 0x0E, 0x63");
asm(".byte 0xED, 0x62, 0x8C, 0x52, 0x8C, 0x52, 0x8C, 0x52, 0xAD, 0x5A, 0x8C, 0x52, 0x4B, 0x4A, 0x0B, 0x4A");
asm(".byte 0x2B, 0x4A, 0x2A, 0x4A, 0x6B, 0x52, 0x0A, 0x4A, 0x0A, 0x4A, 0x2B, 0x4A, 0xEA, 0x41, 0xCA, 0x39");
asm(".byte 0xEA, 0x41, 0xC9, 0x41, 0xA9, 0x39, 0xED, 0x62, 0x4E, 0x6B, 0xB1, 0x6B, 0xEB, 0x39, 0xF5, 0x64");
asm(".byte 0x6C, 0x52, 0x2C, 0x5A, 0x0A, 0x5A, 0xEA, 0x59, 0xEA, 0x51, 0xCA, 0x59, 0xC9, 0x59, 0x0A, 0x5A");
asm(".byte 0xD4, 0xA5, 0xF5, 0xAD, 0x76, 0xBE, 0xB8, 0xCE, 0x19, 0xD7, 0x3A, 0xDF, 0x3B, 0xDF, 0x5A, 0xDF");
asm(".byte 0xF5, 0xB5, 0xBC, 0xF7, 0x7B, 0xEF, 0x7A, 0xEF, 0x5A, 0xEF, 0x9B, 0xEF, 0x39, 0xE7, 0xF8, 0xDE");
asm(".byte 0xBB, 0xEF, 0x5A, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7, 0x3A, 0xDF, 0x3A, 0xDF, 0x3A, 0xDF, 0x1A, 0xD7");
asm(".byte 0x3A, 0xDF, 0x4E, 0x7C, 0xE9, 0x52, 0x4F, 0x84, 0x7B, 0xE7, 0xD9, 0xCE, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xD9, 0xD6, 0xF9, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xF8, 0xDE, 0x97, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x97, 0xCE, 0x97, 0xD6, 0x76, 0xCE");
asm(".byte 0xB8, 0xD6, 0x77, 0xCE, 0xB8, 0xD6, 0xB8, 0xD6, 0x52, 0xA5, 0x2E, 0x84, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x72, 0xAD, 0x36, 0xC6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0x4A, 0x0C, 0x5B, 0xAA, 0x4A");
asm(".byte 0x50, 0x7C, 0x28, 0x3A, 0xAE, 0x6B, 0x69, 0x4A, 0xEB, 0x52, 0xEF, 0x73, 0x48, 0x42, 0xEF, 0x73");
asm(".byte 0x89, 0x4A, 0xE7, 0x31, 0x8D, 0x6B, 0x28, 0x3A, 0xEB, 0x52, 0xCA, 0x4A, 0x4C, 0x63, 0xAD, 0x6B");
asm(".byte 0xCA, 0x52, 0x2B, 0x5B, 0xEB, 0x52, 0x2C, 0x5B, 0x6D, 0x63, 0x49, 0x42, 0xEB, 0x5A, 0x49, 0x42");
asm(".byte 0x8E, 0x6B, 0xAA, 0x4A, 0x0C, 0x5B, 0x0C, 0x5B, 0x49, 0x42, 0x2C, 0x5B, 0x08, 0x3A, 0xEC, 0x5A");
asm(".byte 0x8A, 0x4A, 0xC8, 0x31, 0xCB, 0x52, 0x49, 0x42, 0xE8, 0x39, 0x4D, 0x63, 0x6A, 0x4A, 0xAB, 0x52");
asm(".byte 0xAB, 0x52, 0x8B, 0x52, 0xAB, 0x52, 0x2A, 0x42, 0xAC, 0x52, 0x2A, 0x4A, 0x6B, 0x4A, 0x0A, 0x42");
asm(".byte 0xE9, 0x41, 0x0A, 0x42, 0xC9, 0x39, 0x4B, 0x4A, 0xEA, 0x41, 0x4B, 0x4A, 0x0A, 0x4A, 0xC9, 0x41");
asm(".byte 0x6C, 0x52, 0xEA, 0x41, 0x4B, 0x52, 0x2B, 0x4A, 0x0A, 0x4A, 0xEA, 0x41, 0xC9, 0x41, 0x0A, 0x4A");
asm(".byte 0xC9, 0x41, 0xCA, 0x41, 0xEA, 0x41, 0xA9, 0x41, 0x0B, 0x4A, 0x93, 0x94, 0x2E, 0x63, 0x6C, 0x52");
asm(".byte 0x8C, 0x4A, 0x11, 0x74, 0x2F, 0x6B, 0xAD, 0x62, 0x4B, 0x5A, 0x2C, 0x5A, 0x0B, 0x5A, 0xAA, 0x49");
asm(".byte 0xD0, 0x83, 0xF0, 0x94, 0xB3, 0xAD, 0x55, 0xBE, 0x97, 0xC6, 0xF4, 0xB5, 0x69, 0x63, 0x7A, 0xE7");
asm(".byte 0xD8, 0xD6, 0xF4, 0xB5, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0xBD, 0xF7, 0x88, 0x52");
asm(".byte 0x11, 0x9D, 0xF9, 0xDE, 0x5A, 0xE7, 0x9C, 0xEF, 0x3A, 0xDF, 0x19, 0xD7, 0x19, 0xD7, 0x19, 0xD7");
asm(".byte 0xFA, 0xD6, 0xFA, 0xD6, 0x3A, 0xD7, 0x5B, 0xE7, 0x5B, 0xE7, 0xFA, 0xDE, 0x9B, 0xEF, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x39, 0xE7, 0x3A, 0xE7, 0x19, 0xE7, 0xF9, 0xDE, 0x3B, 0xE7, 0xB8, 0xCE, 0x98, 0xCE");
asm(".byte 0x77, 0xC6, 0x76, 0xC6, 0x97, 0xCE, 0xD9, 0xDE, 0x77, 0xCE, 0x96, 0xCE, 0x96, 0xD6, 0x96, 0xCE");
asm(".byte 0x96, 0xD6, 0x97, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x98, 0xCE, 0xA4, 0x31, 0x86, 0x4A, 0xD1, 0x9C");
asm(".byte 0x16, 0xBE, 0x52, 0xA5, 0x56, 0xC6, 0x56, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x29, 0x42, 0xAB, 0x4A");
asm(".byte 0x8B, 0x4A, 0xAB, 0x52, 0xAB, 0x52, 0xCB, 0x52, 0xAB, 0x52, 0x8A, 0x4A, 0x8A, 0x4A, 0xAA, 0x4A");
asm(".byte 0x6A, 0x4A, 0x8A, 0x4A, 0x69, 0x42, 0xAA, 0x4A, 0xCB, 0x52, 0xAA, 0x4A, 0xCB, 0x52, 0xAA, 0x4A");
asm(".byte 0x8A, 0x4A, 0x89, 0x4A, 0x89, 0x4A, 0x89, 0x4A, 0xAA, 0x4A, 0xCA, 0x52, 0xCA, 0x52, 0xAA, 0x52");
asm(".byte 0xAA, 0x4A, 0x6A, 0x4A, 0x69, 0x42, 0x8A, 0x4A, 0x69, 0x4A, 0x8A, 0x4A, 0x49, 0x42, 0x6A, 0x42");
asm(".byte 0x49, 0x42, 0x29, 0x42, 0x29, 0x42, 0x49, 0x42, 0x49, 0x42, 0x49, 0x4A, 0x29, 0x42, 0x09, 0x42");
asm(".byte 0x29, 0x42, 0x29, 0x42, 0x2A, 0x42, 0x2A, 0x42, 0x2A, 0x42, 0x09, 0x42, 0x2A, 0x42, 0x0A, 0x42");
asm(".byte 0x09, 0x42, 0xE9, 0x41, 0xA9, 0x39, 0xC9, 0x39, 0xC9, 0x39, 0xEA, 0x41, 0xE9, 0x41, 0xEA, 0x41");
asm(".byte 0xEA, 0x49, 0xEA, 0x41, 0xEA, 0x41, 0xEA, 0x41, 0xEA, 0x41, 0x0A, 0x4A, 0xE9, 0x41, 0xEA, 0x49");
asm(".byte 0xAA, 0x41, 0xCA, 0x41, 0xCA, 0x41, 0xCA, 0x41, 0xEA, 0x41, 0x89, 0x39, 0xEA, 0x41, 0x4F, 0x6B");
asm(".byte 0x32, 0x84, 0xD4, 0x9C, 0xF4, 0x9C, 0xB3, 0x94, 0x31, 0x84, 0xCC, 0x5A, 0x0A, 0x4A, 0x4B, 0x52");
asm(".byte 0xEE, 0x6A, 0xAC, 0x62, 0xF9, 0xD6, 0xD8, 0xD6, 0x97, 0xC6, 0x76, 0xC6, 0x72, 0xA5, 0x97, 0xCE");
asm(".byte 0x39, 0xDF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0xD0, 0x94, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0x1A, 0xDF, 0xFA, 0xD6");
asm(".byte 0xF9, 0xDE, 0xFA, 0xDE, 0x3A, 0xDF, 0xCC, 0x73, 0x2A, 0x5B, 0x12, 0x9D, 0x7C, 0xE7, 0x7C, 0xE7");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x5B, 0xE7, 0xF9, 0xD6, 0xB8, 0xCE");
asm(".byte 0x98, 0xCE, 0x97, 0xCE, 0x57, 0xC6, 0xB8, 0xD6, 0xF9, 0xDE, 0xB8, 0xD6, 0x97, 0xD6, 0x97, 0xD6");
asm(".byte 0x97, 0xCE, 0x96, 0xD6, 0xB7, 0xD6, 0x97, 0xD6, 0x76, 0xCE, 0x76, 0xCE, 0x0A, 0x63, 0xA7, 0x52");
asm(".byte 0x16, 0xC6, 0xCD, 0x73, 0x57, 0xC6, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x42");
asm(".byte 0xAB, 0x4A, 0x8A, 0x4A, 0xAB, 0x52, 0x8A, 0x4A, 0x8A, 0x4A, 0xAA, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A");
asm(".byte 0x8A, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0xAA, 0x4A, 0x89, 0x4A, 0x89, 0x4A, 0x89, 0x4A");
asm(".byte 0xA9, 0x4A, 0xA9, 0x4A, 0xAA, 0x4A, 0xA9, 0x4A, 0xA9, 0x4A, 0xA9, 0x4A, 0xA9, 0x4A, 0xAA, 0x4A");
asm(".byte 0xA9, 0x4A, 0xAA, 0x52, 0xAA, 0x52, 0x89, 0x4A, 0xA9, 0x4A, 0xAA, 0x4A, 0xAA, 0x4A, 0x69, 0x4A");
asm(".byte 0x69, 0x4A, 0x49, 0x42, 0x49, 0x42, 0x49, 0x4A, 0x49, 0x42, 0x69, 0x4A, 0x49, 0x42, 0x29, 0x42");
asm(".byte 0x29, 0x42, 0x29, 0x42, 0x29, 0x42, 0x09, 0x42, 0x09, 0x42, 0x09, 0x42, 0x2A, 0x42, 0x2A, 0x42");
asm(".byte 0x0A, 0x42, 0x0A, 0x42, 0xE9, 0x41, 0xC9, 0x39, 0xC9, 0x39, 0xE9, 0x41, 0xEA, 0x41, 0xE9, 0x41");
asm(".byte 0xCA, 0x41, 0xEA, 0x41, 0xC9, 0x41, 0xEA, 0x41, 0xC9, 0x41, 0xEA, 0x49, 0xE9, 0x41, 0xA9, 0x39");
asm(".byte 0x0A, 0x4A, 0xEA, 0x41, 0xCA, 0x41, 0xCA, 0x41, 0xA9, 0x39, 0xEA, 0x41, 0x89, 0x39, 0x69, 0x31");
asm(".byte 0x69, 0x31, 0x89, 0x39, 0xA9, 0x39, 0xA9, 0x39, 0xC9, 0x41, 0xCD, 0x62, 0x30, 0x8C, 0xD3, 0x9C");
asm(".byte 0x14, 0xA5, 0xB2, 0x94, 0x55, 0xAD, 0x5B, 0xE7, 0x7B, 0xEF, 0x3A, 0xE7, 0x7B, 0xEF, 0x7C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7C, 0xEF, 0x9C, 0xF7, 0x7C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xD9, 0xCE");
asm(".byte 0x19, 0xDF, 0x1A, 0xDF, 0x3A, 0xDF, 0x3A, 0xDF, 0x94, 0xAD, 0x36, 0xBE, 0x7C, 0xEF, 0x7C, 0xE7");
asm(".byte 0x7C, 0xEF, 0x9C, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0xD8, 0xD6");
asm(".byte 0xF9, 0xD6, 0xB7, 0xCE, 0xB8, 0xD6, 0x56, 0xC6, 0xB8, 0xD6, 0xB8, 0xD6, 0xF9, 0xDE, 0xD8, 0xDE");
asm(".byte 0xD8, 0xDE, 0xD8, 0xDE, 0xD8, 0xD6, 0xD8, 0xDE, 0x77, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x67, 0x4A");
asm(".byte 0x46, 0x4A, 0xD0, 0x94, 0x32, 0xA5, 0x77, 0xCE, 0x77, 0xCE, 0x73, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xE7, 0x31, 0x69, 0x42, 0x69, 0x42, 0x49, 0x42, 0x69, 0x42, 0x28, 0x3A, 0x28, 0x42, 0x69, 0x42");
asm(".byte 0x07, 0x3A, 0x28, 0x3A, 0x48, 0x42, 0x89, 0x4A, 0x68, 0x42, 0x89, 0x4A, 0x48, 0x42, 0x68, 0x42");
asm(".byte 0x88, 0x42, 0x88, 0x4A, 0x68, 0x42, 0x68, 0x42, 0x68, 0x4A, 0x88, 0x4A, 0x68, 0x42, 0x89, 0x4A");
asm(".byte 0x88, 0x4A, 0x48, 0x42, 0x48, 0x4A, 0x28, 0x42, 0x68, 0x42, 0x68, 0x4A, 0x89, 0x4A, 0x68, 0x4A");
asm(".byte 0x48, 0x4A, 0x48, 0x42, 0x28, 0x42, 0x48, 0x4A, 0x48, 0x42, 0x27, 0x42, 0x28, 0x42, 0x08, 0x3A");
asm(".byte 0x08, 0x42, 0x08, 0x3A, 0x09, 0x42, 0x08, 0x42, 0xE8, 0x39, 0xE8, 0x41, 0x09, 0x42, 0x09, 0x42");
asm(".byte 0x29, 0x42, 0x09, 0x42, 0x09, 0x42, 0xC9, 0x39, 0xC9, 0x39, 0xE9, 0x39, 0xC9, 0x39, 0xE9, 0x41");
asm(".byte 0xE9, 0x41, 0xC9, 0x41, 0xEA, 0x41, 0xA9, 0x41, 0xC9, 0x41, 0xEA, 0x41, 0xE9, 0x41, 0xE9, 0x41");
asm(".byte 0xCA, 0x41, 0xC9, 0x41, 0x0A, 0x4A, 0xCA, 0x41, 0xCA, 0x41, 0xCA, 0x41, 0xEA, 0x41, 0xAA, 0x39");
asm(".byte 0x48, 0x31, 0x89, 0x39, 0x89, 0x39, 0xA9, 0x41, 0xA9, 0x41, 0x69, 0x39, 0x68, 0x39, 0x88, 0x39");
asm(".byte 0xC9, 0x41, 0x68, 0x39, 0x34, 0xAD, 0xB6, 0xB5, 0x3A, 0xE7, 0xD9, 0xD6, 0xB8, 0xCE, 0xFA, 0xDE");
asm(".byte 0x3B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xDF");
asm(".byte 0x3A, 0xDF, 0xFA, 0xDE, 0x3A, 0xDF, 0x1A, 0xDF, 0x11, 0x9D, 0x29, 0x5B, 0xAE, 0x84, 0xFD, 0xF7");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0xBD, 0xF7, 0xF8, 0xD6, 0x7B, 0xE7, 0x7C, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x1A, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xD6, 0x77, 0xCE, 0xD7, 0xD6, 0xD8, 0xD6, 0xF9, 0xDE");
asm(".byte 0xD7, 0xD6, 0xD8, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0xD8, 0xDE, 0x97, 0xD6, 0x97, 0xCE, 0xB8, 0xD6");
asm(".byte 0xED, 0x7B, 0x70, 0x8C, 0x63, 0x29, 0x36, 0xC6, 0x76, 0xCE, 0x76, 0xCE, 0x4E, 0x84, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xBA, 0xCE, 0x6D, 0x63, 0x94, 0xA5, 0x4C, 0x5B, 0xD6, 0xAD, 0x16, 0xB6, 0xF6, 0xB5");
asm(".byte 0x57, 0xBE, 0x0F, 0x74, 0x53, 0x9D, 0x2F, 0x7C, 0x90, 0x84, 0x16, 0xB6, 0x0A, 0x5B, 0x1A, 0xD7");
asm(".byte 0xED, 0x73, 0x15, 0xB6, 0xCC, 0x6B, 0x77, 0xC6, 0x36, 0xBE, 0x32, 0xA5, 0x11, 0x9D, 0x09, 0x5B");
asm(".byte 0xF5, 0xB5, 0x6A, 0x63, 0x73, 0xAD, 0x15, 0xBE, 0x73, 0xA5, 0xD4, 0xB5, 0xCC, 0x73, 0xB4, 0xAD");
asm(".byte 0x6B, 0x6B, 0x2E, 0x84, 0x32, 0xA5, 0x4E, 0x84, 0x90, 0x8C, 0x8C, 0x6B, 0x90, 0x8C, 0x2F, 0x84");
asm(".byte 0x33, 0x9D, 0xCD, 0x73, 0xEB, 0x52, 0x70, 0x8C, 0x89, 0x4A, 0x2F, 0x7C, 0xAA, 0x52, 0x30, 0x84");
asm(".byte 0x0C, 0x5B, 0xCB, 0x5A, 0xAF, 0x73, 0x8A, 0x52, 0xCC, 0x5A, 0xAB, 0x52, 0x6B, 0x52, 0xED, 0x62");
asm(".byte 0xE9, 0x41, 0xED, 0x62, 0x2A, 0x4A, 0xAC, 0x5A, 0x2B, 0x4A, 0x8C, 0x52, 0x6B, 0x52, 0xEA, 0x49");
asm(".byte 0x2B, 0x4A, 0xA9, 0x41, 0x4B, 0x52, 0x2A, 0x4A, 0x0A, 0x4A, 0xEA, 0x49, 0xA9, 0x41, 0xEA, 0x49");
asm(".byte 0xEA, 0x41, 0xC9, 0x41, 0xCA, 0x41, 0xCA, 0x41, 0xCA, 0x39, 0xC9, 0x41, 0xA9, 0x41, 0x89, 0x39");
asm(".byte 0xA9, 0x39, 0xA9, 0x39, 0xA9, 0x39, 0x2D, 0x6B, 0x75, 0xB5, 0x3B, 0xE7, 0x3B, 0xE7, 0xB8, 0xD6");
asm(".byte 0xD8, 0xDE, 0x1A, 0xDF, 0x3A, 0xE7, 0x5A, 0xE7, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3B, 0xE7, 0x7B, 0xE7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xE7");
asm(".byte 0x5A, 0xE7, 0x7C, 0xEF, 0x9B, 0xEF, 0x4B, 0x6B, 0xDC, 0xF7, 0x7C, 0xEF, 0x7A, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7C, 0xEF, 0x5A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xD6, 0xB7, 0xD6, 0xD8, 0xDE, 0x19, 0xDF");
asm(".byte 0xD8, 0xDE, 0xB7, 0xD6, 0xD7, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6, 0x97, 0xD6, 0x77, 0xCE");
asm(".byte 0x97, 0xD6, 0x98, 0xD6, 0x98, 0xCE, 0x98, 0xD6, 0x98, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x4B, 0x6B");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFE, 0xFF, 0x1B, 0xD7, 0x49, 0x42, 0xB9, 0xC6, 0xAA, 0x4A, 0x0C, 0x5B, 0x78, 0xC6");
asm(".byte 0x8D, 0x6B, 0x2F, 0x7C, 0xD2, 0x8C, 0xAD, 0x6B, 0x0F, 0x74, 0x33, 0x9D, 0x2B, 0x63, 0xB8, 0xCE");
asm(".byte 0x3A, 0xDF, 0x93, 0xAD, 0xF0, 0x94, 0x51, 0x9D, 0x35, 0xBE, 0xD4, 0xB5, 0x15, 0xBE, 0x8E, 0x8C");
asm(".byte 0x49, 0x63, 0xAB, 0x73, 0xEF, 0x94, 0x52, 0xA5, 0x6A, 0x6B, 0x76, 0xC6, 0xCF, 0x94, 0xEF, 0x94");
asm(".byte 0x8E, 0x8C, 0x10, 0x9D, 0x35, 0xBE, 0xB3, 0xB5, 0x51, 0xA5, 0x6E, 0x8C, 0x6A, 0x6B, 0xD0, 0x94");
asm(".byte 0xF0, 0x94, 0x53, 0xA5, 0xB0, 0x94, 0xE6, 0x39, 0x4F, 0x84, 0xCA, 0x52, 0xAE, 0x73, 0xAE, 0x73");
asm(".byte 0x0B, 0x5B, 0xEF, 0x7B, 0x29, 0x42, 0x6E, 0x6B, 0x29, 0x4A, 0x49, 0x4A, 0xCC, 0x5A, 0x4A, 0x4A");
asm(".byte 0x6A, 0x4A, 0xAC, 0x5A, 0xCC, 0x62, 0x8B, 0x52, 0x8B, 0x52, 0x6B, 0x52, 0x2A, 0x4A, 0x6B, 0x52");
asm(".byte 0xC9, 0x41, 0x2B, 0x52, 0xCA, 0x41, 0xEA, 0x49, 0x2B, 0x4A, 0x2B, 0x4A, 0x0B, 0x4A, 0xCA, 0x41");
asm(".byte 0xCA, 0x41, 0xEA, 0x41, 0x69, 0x31, 0xEA, 0x41, 0xEA, 0x41, 0xAA, 0x41, 0xA9, 0x41, 0x89, 0x39");
asm(".byte 0x89, 0x39, 0xA9, 0x39, 0xA9, 0x39, 0x68, 0x31, 0x68, 0x39, 0xF0, 0x83, 0x7B, 0xEF, 0x1A, 0xE7");
asm(".byte 0x98, 0xCE, 0xF8, 0xDE, 0xF9, 0xDE, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x9B, 0xEF, 0x9C, 0xF7");
asm(".byte 0x7B, 0xEF, 0x9B, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF, 0x39, 0xE7, 0x38, 0xE7, 0x7A, 0xEF");
asm(".byte 0x5A, 0xE7, 0x59, 0xE7, 0x9B, 0xEF, 0x5A, 0xE7, 0x39, 0xDF, 0xF8, 0xDE, 0xB8, 0xD6, 0xF9, 0xDE");
asm(".byte 0x19, 0xDF, 0xF8, 0xDE, 0xF8, 0xDE, 0xD8, 0xDE, 0xD8, 0xDE, 0xB7, 0xD6, 0xB7, 0xD6, 0xD8, 0xD6");
asm(".byte 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xD6, 0x97, 0xCE, 0x36, 0xC6, 0x77, 0xCE, 0x56, 0xC6, 0x77, 0xCE");
asm(".byte 0x8B, 0x73, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCE, 0x73, 0x69, 0x42, 0x8E, 0x6B, 0x69, 0x42, 0x50, 0x7C");
asm(".byte 0x0A, 0x53, 0xB1, 0x8C, 0xD2, 0x8C, 0xA9, 0x4A, 0xB0, 0x8C, 0xC9, 0x52, 0x8F, 0x8C, 0xE8, 0x5A");
asm(".byte 0x08, 0x63, 0xCE, 0x94, 0x88, 0x6B, 0x70, 0xAD, 0xC9, 0x73, 0x0E, 0xA5, 0xAC, 0x94, 0x0A, 0x84");
asm(".byte 0x6F, 0xAD, 0xE9, 0x7B, 0x8F, 0xB5, 0x2A, 0x8C, 0x70, 0xAD, 0x6F, 0xAD, 0x2A, 0x84, 0x0E, 0xA5");
asm(".byte 0x88, 0x73, 0x2E, 0xA5, 0x0A, 0x84, 0x88, 0x73, 0xAC, 0x94, 0xE9, 0x7B, 0xCD, 0x9C, 0x47, 0x6B");
asm(".byte 0x8D, 0x94, 0x48, 0x6B, 0xAB, 0x7B, 0x4B, 0x6B, 0xC9, 0x5A, 0xC9, 0x5A, 0x68, 0x4A, 0xAC, 0x73");
asm(".byte 0xC9, 0x5A, 0x2B, 0x63, 0x2B, 0x63, 0x89, 0x52, 0xCA, 0x5A, 0x28, 0x4A, 0xCA, 0x5A, 0x49, 0x4A");
asm(".byte 0x6A, 0x52, 0x2A, 0x4A, 0x29, 0x4A, 0x6A, 0x52, 0x29, 0x4A, 0x6B, 0x52, 0x0A, 0x4A, 0x2A, 0x52");
asm(".byte 0x2A, 0x52, 0xC9, 0x41, 0x2A, 0x52, 0x0A, 0x4A, 0x0A, 0x4A, 0xEA, 0x49, 0xCA, 0x41, 0xEA, 0x41");
asm(".byte 0xA9, 0x41, 0x0B, 0x4A, 0xA9, 0x39, 0x69, 0x39, 0x0A, 0x4A, 0xAA, 0x41, 0xC9, 0x41, 0xCA, 0x41");
asm(".byte 0xA9, 0x39, 0xA9, 0x39, 0x89, 0x39, 0xA9, 0x39, 0x69, 0x39, 0x2A, 0x4A, 0xD6, 0xBD, 0xF9, 0xDE");
asm(".byte 0xD9, 0xD6, 0xB8, 0xD6, 0xF9, 0xDE, 0x19, 0xDF, 0x3A, 0xDF, 0x3A, 0xE7, 0x5B, 0xE7, 0x9B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xF7, 0x5B, 0xEF, 0x5A, 0xE7, 0x3A, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x9B, 0xEF, 0x9C, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7");
asm(".byte 0x9B, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7, 0x7B, 0xEF, 0x9B, 0xEF, 0x7A, 0xE7, 0x19, 0xE7");
asm(".byte 0x5A, 0xEF, 0x18, 0xDF, 0xF8, 0xDE, 0xF7, 0xDE, 0xD7, 0xDE, 0xD7, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6");
asm(".byte 0x97, 0xCE, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x15, 0xBE, 0x36, 0xC6");
asm(".byte 0x57, 0xC6, 0x0D, 0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x42, 0xAA, 0x4A, 0x8A, 0x4A, 0xCA, 0x4A");
asm(".byte 0xAA, 0x4A, 0x0B, 0x53, 0x89, 0x4A, 0xA9, 0x52, 0xCA, 0x5A, 0xE9, 0x5A, 0x09, 0x63, 0x48, 0x63");
asm(".byte 0xA9, 0x7B, 0x09, 0x84, 0x8A, 0x94, 0x6D, 0xB5, 0x8C, 0xBD, 0xCD, 0xBD, 0xCC, 0xC5, 0xCC, 0xC5");
asm(".byte 0xED, 0xC5, 0xCC, 0xC5, 0xEC, 0xC5, 0xCC, 0xC5, 0xEC, 0xC5, 0xCD, 0xC5, 0xCC, 0xC5, 0xCD, 0xC5");
asm(".byte 0xAC, 0xC5, 0xCC, 0xC5, 0xAC, 0xC5, 0xAC, 0xC5, 0xAC, 0xC5, 0x8C, 0xBD, 0x8C, 0xBD, 0x6C, 0xBD");
asm(".byte 0x6C, 0xB5, 0x4C, 0xB5, 0x2D, 0xAD, 0x4B, 0x8C, 0xE9, 0x62, 0x0A, 0x63, 0xA8, 0x5A, 0xC8, 0x5A");
asm(".byte 0xA8, 0x52, 0xA8, 0x52, 0x88, 0x52, 0x88, 0x52, 0xA9, 0x5A, 0x88, 0x52, 0x48, 0x4A, 0x08, 0x4A");
asm(".byte 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A, 0x2A, 0x52");
asm(".byte 0x29, 0x52, 0x4A, 0x52, 0x0A, 0x4A, 0x0A, 0x4A, 0x0A, 0x4A, 0x0A, 0x4A, 0xED, 0x62, 0x0A, 0x4A");
asm(".byte 0xEA, 0x49, 0xEA, 0x41, 0x89, 0x39, 0xCA, 0x41, 0x29, 0x31, 0xEA, 0x49, 0xAA, 0x41, 0xC9, 0x39");
asm(".byte 0xA9, 0x41, 0xA9, 0x39, 0xA9, 0x39, 0xA9, 0x41, 0xA9, 0x41, 0x28, 0x31, 0x96, 0xB5, 0xB9, 0xD6");
asm(".byte 0x1A, 0xDF, 0xF9, 0xDE, 0xB8, 0xD6, 0x1A, 0xDF, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF");
asm(".byte 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xF7, 0x3A, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7");
asm(".byte 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF, 0x9C, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF, 0x7A, 0xEF");
asm(".byte 0xD8, 0xDE, 0x5A, 0xEF, 0x59, 0xE7, 0x18, 0xE7, 0xF7, 0xDE, 0xD7, 0xDE, 0xD7, 0xDE, 0xD7, 0xD6");
asm(".byte 0xB7, 0xD6, 0x97, 0xD6, 0x77, 0xCE, 0x36, 0xC6, 0x97, 0xD6, 0x77, 0xCE, 0xB4, 0xB5, 0x36, 0xC6");
asm(".byte 0x36, 0xC6, 0x77, 0xCE, 0xF0, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0x4A, 0xCB, 0x52, 0x0B, 0x53");
asm(".byte 0xCA, 0x4A, 0xAA, 0x4A, 0xCA, 0x52, 0xCA, 0x5A, 0x0A, 0x5B, 0x0A, 0x63, 0x29, 0x63, 0x69, 0x73");
asm(".byte 0x4A, 0x8C, 0x2C, 0xAD, 0xAC, 0xBD, 0xED, 0xC5, 0x2D, 0xD6, 0x4D, 0xD6, 0x6D, 0xD6, 0x4C, 0xD6");
asm(".byte 0x4D, 0xD6, 0x4D, 0xDE, 0x4D, 0xDE, 0x6D, 0xD6, 0x4D, 0xDE, 0x4C, 0xDE, 0x4C, 0xDE, 0x4C, 0xDE");
asm(".byte 0x2D, 0xDE, 0x4C, 0xD6, 0x2C, 0xD6, 0x2C, 0xD6, 0x2C, 0xD6, 0x2C, 0xD6, 0x2C, 0xD6, 0x0C, 0xD6");
asm(".byte 0x0C, 0xCE, 0x0C, 0xCE, 0xEC, 0xCD, 0xCD, 0xC5, 0xCC, 0xA4, 0x49, 0x6B, 0x09, 0x6B, 0x29, 0x6B");
asm(".byte 0xCA, 0x83, 0x0B, 0x8C, 0xCA, 0x7B, 0xCA, 0x83, 0xCA, 0x7B, 0x8A, 0x7B, 0x8A, 0x73, 0x2A, 0x6B");
asm(".byte 0xEA, 0x62, 0x69, 0x52, 0x29, 0x4A, 0x49, 0x52, 0x69, 0x5A, 0xA9, 0x5A, 0xA9, 0x5A, 0x89, 0x5A");
asm(".byte 0x69, 0x52, 0x49, 0x52, 0x2A, 0x52, 0x4A, 0x52, 0x2A, 0x4A, 0x0A, 0x4A, 0x0A, 0x4A, 0x2A, 0x4A");
asm(".byte 0x0A, 0x4A, 0x8B, 0x5A, 0x0A, 0x4A, 0xA8, 0x39, 0x88, 0x39, 0xE6, 0x20, 0x89, 0x39, 0xA9, 0x39");
asm(".byte 0x68, 0x31, 0xA9, 0x39, 0x69, 0x31, 0x48, 0x31, 0x69, 0x31, 0x89, 0x39, 0x69, 0x39, 0x6E, 0x6B");
asm(".byte 0xFB, 0xDE, 0x7C, 0xEF, 0x3A, 0xE7, 0xD9, 0xD6, 0x3A, 0xE7, 0x5B, 0xEF, 0x7C, 0xEF, 0x9C, 0xF7");
asm(".byte 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0xD8, 0xDE, 0x5A, 0xEF, 0x7B, 0xEF, 0x39, 0xE7, 0x39, 0xE7, 0x18, 0xDF, 0xB6, 0xD6");
asm(".byte 0xF7, 0xDE, 0xF7, 0xDE, 0xD7, 0xDE, 0x96, 0xCE, 0x96, 0xD6, 0x97, 0xD6, 0xF4, 0xBD, 0x15, 0xBE");
asm(".byte 0x76, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0x52, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x31, 0x08, 0x3A");
asm(".byte 0xC7, 0x31, 0x89, 0x4A, 0x08, 0x3A, 0x68, 0x42, 0x88, 0x4A, 0x68, 0x4A, 0xC8, 0x5A, 0x49, 0x6B");
asm(".byte 0xCC, 0x9C, 0xAD, 0xBD, 0xED, 0xC5, 0x0D, 0xCE, 0x0C, 0xD6, 0x4D, 0xD6, 0x0B, 0xD6, 0x4D, 0xD6");
asm(".byte 0x0B, 0xD6, 0x4D, 0xD6, 0x2C, 0xDE, 0x2B, 0xD6, 0x2C, 0xD6, 0x0B, 0xDE, 0x0B, 0xD6, 0x0A, 0xD6");
asm(".byte 0x0B, 0xD6, 0x2C, 0xD6, 0x0A, 0xD6, 0x0C, 0xD6, 0x0B, 0xD6, 0xEB, 0xD5, 0xEC, 0xD5, 0xCA, 0xCD");
asm(".byte 0xCB, 0xCD, 0xCB, 0xCD, 0xAB, 0xCD, 0xCC, 0xCD, 0xAB, 0xC5, 0x6A, 0x9C, 0x28, 0x6B, 0xE7, 0x62");
asm(".byte 0x48, 0x6B, 0x30, 0xCE, 0xCD, 0xC5, 0x4D, 0xB5, 0x0B, 0xAD, 0x2C, 0xB5, 0x0B, 0xAD, 0xEC, 0xA4");
asm(".byte 0xAC, 0xA4, 0xCB, 0x83, 0xA8, 0x5A, 0x89, 0x5A, 0x47, 0x52, 0x8A, 0x7B, 0x8D, 0xC5, 0xCC, 0xAC");
asm(".byte 0xAC, 0x9C, 0x8C, 0x9C, 0x4C, 0x94, 0x2C, 0x94, 0x0B, 0x94, 0xEB, 0x83, 0x6B, 0x7B, 0xCB, 0x62");
asm(".byte 0x2A, 0x52, 0x0A, 0x4A, 0xCA, 0x62, 0x0D, 0xAD, 0x4C, 0xBD, 0xAD, 0xC5, 0x8D, 0xC5, 0x4D, 0xBD");
asm(".byte 0x2D, 0xB5, 0x2C, 0xB5, 0x0C, 0xAD, 0x0C, 0xAD, 0xCC, 0xA4, 0x4C, 0x9C, 0x2A, 0x6B, 0xC9, 0x41");
asm(".byte 0x48, 0x31, 0xD3, 0x9C, 0x9C, 0xEF, 0x7B, 0xEF, 0xF9, 0xDE, 0x3A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xF7");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7, 0x5A, 0xEF, 0x5A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xEF, 0x7B, 0xE7, 0x9C, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7A, 0xEF, 0x7A, 0xEF, 0xD8, 0xDE, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x39, 0xE7, 0x39, 0xE7");
asm(".byte 0x39, 0xE7, 0xD6, 0xD6, 0x39, 0xE7, 0xF7, 0xDE, 0x96, 0xCE, 0xF8, 0xDE, 0xB7, 0xD6, 0xB3, 0xB5");
asm(".byte 0x56, 0xCE, 0x35, 0xC6, 0x56, 0xCE, 0xAF, 0x94, 0x94, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x99, 0xC6");
asm(".byte 0x4C, 0x5B, 0x54, 0xA5, 0x94, 0xA5, 0xA9, 0x4A, 0xD9, 0xCE, 0x2E, 0x7C, 0x97, 0xCE, 0xF2, 0xB5");
asm(".byte 0x90, 0xB5, 0x99, 0xEF, 0x2F, 0xCE, 0x36, 0xEF, 0xF3, 0xE6, 0x90, 0xDE, 0x56, 0xEF, 0x8F, 0xE6");
asm(".byte 0x34, 0xEF, 0xAF, 0xE6, 0x13, 0xE7, 0xD0, 0xE6, 0x54, 0xF7, 0x34, 0xEF, 0x2B, 0xD6, 0x97, 0xF7");
asm(".byte 0x8F, 0xDE, 0x33, 0xF7, 0x14, 0xEF, 0x8F, 0xDE, 0x34, 0xEF, 0x35, 0xF7, 0x90, 0xE6, 0xD2, 0xE6");
asm(".byte 0x90, 0xE6, 0x70, 0xDE, 0xF3, 0xE6, 0xED, 0xCD, 0x92, 0xDE, 0x70, 0xD6, 0x11, 0xCE, 0xEE, 0xA4");
asm(".byte 0xCA, 0x83, 0x2B, 0x8C, 0xB2, 0xDE, 0xEE, 0xCD, 0x30, 0xD6, 0x2C, 0xB5, 0xAF, 0xC5, 0x0D, 0xB5");
asm(".byte 0x0C, 0xB5, 0x0D, 0xAD, 0x6C, 0x94, 0xED, 0x83, 0xC9, 0x62, 0xAA, 0x62, 0x0B, 0x8C, 0x4F, 0xD6");
asm(".byte 0x0C, 0xB5, 0xED, 0xAC, 0xEC, 0xAC, 0xEC, 0xAC, 0xCD, 0xA4, 0x6C, 0x9C, 0x2C, 0x8C, 0xEC, 0x8B");
asm(".byte 0x8B, 0x7B, 0x2A, 0x52, 0xC9, 0x41, 0x6C, 0x7B, 0x0C, 0xB5, 0x4C, 0xBD, 0xEC, 0xAC, 0xCA, 0xA4");
asm(".byte 0x2C, 0xB5, 0x4C, 0xB5, 0x0B, 0xB5, 0x6C, 0xBD, 0x0B, 0xB5, 0x6B, 0x9C, 0xEA, 0x8B, 0x4A, 0x73");
asm(".byte 0xC8, 0x41, 0xA9, 0x41, 0xF7, 0xBD, 0x1A, 0xDF, 0x1A, 0xDF, 0x19, 0xDF, 0x5A, 0xE7, 0x7B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xF7");
asm(".byte 0x9B, 0xF7, 0x9B, 0xEF, 0x9B, 0xF7, 0x5B, 0xEF, 0x5A, 0xEF, 0x5A, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0xB7, 0xD6, 0x5A, 0xEF, 0x5A, 0xE7, 0x7B, 0xEF, 0x5A, 0xEF");
asm(".byte 0x5A, 0xEF, 0x5A, 0xEF, 0x5B, 0xEF, 0x96, 0xD6, 0xF8, 0xDE, 0xF8, 0xDE, 0xD7, 0xDE, 0xB7, 0xD6");
asm(".byte 0x76, 0xCE, 0x55, 0xC6, 0x56, 0xCE, 0x56, 0xCE, 0x0D, 0x84, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x12, 0x95, 0x78, 0xC6, 0x37, 0xBE, 0x4F, 0x7C, 0x2B, 0x5B, 0xED, 0x73, 0x52, 0xA5, 0xD8, 0xD6");
asm(".byte 0xD6, 0xD6, 0x6C, 0xB5, 0x78, 0xF7, 0x6A, 0xC5, 0x35, 0xEF, 0xCC, 0xCD, 0x97, 0xF7, 0x77, 0xF7");
asm(".byte 0x2E, 0xD6, 0x97, 0xF7, 0x6E, 0xD6, 0x54, 0xEF, 0xD1, 0xE6, 0x75, 0xF7, 0x13, 0xEF, 0x8F, 0xDE");
asm(".byte 0xF2, 0xE6, 0x55, 0xF7, 0x74, 0xF7, 0xD2, 0xE6, 0xB1, 0xE6, 0xD1, 0xE6, 0x33, 0xEF, 0xD1, 0xE6");
asm(".byte 0x70, 0xDE, 0xD2, 0xE6, 0xF4, 0xEE, 0xD3, 0xE6, 0x51, 0xD6, 0x50, 0xD6, 0xB2, 0xDE, 0x52, 0xD6");
asm(".byte 0x8A, 0x7B, 0x4D, 0x8C, 0x70, 0xB5, 0xF3, 0xE6, 0x6C, 0xBD, 0x11, 0xCE, 0x6E, 0xBD, 0x4E, 0xB5");
asm(".byte 0x2E, 0xB5, 0x0D, 0xAD, 0x0D, 0xAD, 0xEA, 0x8B, 0xCC, 0x7B, 0x47, 0x52, 0x4C, 0x73, 0x2C, 0x8C");
asm(".byte 0x2F, 0xCE, 0xAB, 0x9C, 0xCB, 0xA4, 0x2D, 0xB5, 0xAC, 0xA4, 0x2C, 0x94, 0x2C, 0x94, 0x2C, 0x94");
asm(".byte 0x6D, 0x94, 0x4B, 0x73, 0xCB, 0x62, 0xEA, 0x41, 0x6B, 0x73, 0x0C, 0xAD, 0x4C, 0x9C, 0x0B, 0x8C");
asm(".byte 0xEA, 0x8B, 0x8C, 0x9C, 0x6D, 0x9C, 0x2C, 0x94, 0x4C, 0x94, 0x8D, 0x9C, 0x8E, 0x9C, 0xEE, 0xA4");
asm(".byte 0xCD, 0x83, 0xCC, 0x62, 0x34, 0xAD, 0x57, 0xC6, 0x1A, 0xDF, 0xB8, 0xD6, 0xF9, 0xDE, 0x3A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x9C, 0xEF, 0xBC, 0xF7");
asm(".byte 0x9B, 0xF7, 0x9B, 0xEF, 0x9B, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9B, 0xF7, 0x7B, 0xF7, 0x7B, 0xEF, 0xD8, 0xDE, 0x5A, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x39, 0xE7, 0x39, 0xEF, 0xB5, 0xD6, 0xB7, 0xD6, 0xD7, 0xDE");
asm(".byte 0xD7, 0xDE, 0xD7, 0xD6, 0x96, 0xCE, 0x56, 0xCE, 0x77, 0xCE, 0xEC, 0x7B, 0x16, 0xBE, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xEF, 0x73, 0xEF, 0x73, 0xA9, 0x4A, 0x70, 0x84, 0x48, 0x42, 0xD1, 0x94, 0x09, 0x5B");
asm(".byte 0xAE, 0x94, 0x8F, 0xB5, 0x8C, 0xBD, 0x4F, 0xD6, 0xCB, 0xCD, 0x6F, 0xDE, 0x0B, 0xD6, 0x0C, 0xD6");
asm(".byte 0x8F, 0xDE, 0xAE, 0xDE, 0xD0, 0xE6, 0xAF, 0xE6, 0xF0, 0xE6, 0xCF, 0xE6, 0x6D, 0xDE, 0xCF, 0xE6");
asm(".byte 0x8E, 0xE6, 0xD0, 0xE6, 0xAF, 0xE6, 0x4C, 0xDE, 0xAF, 0xE6, 0x2C, 0xDE, 0x6E, 0xDE, 0x8E, 0xDE");
asm(".byte 0x0C, 0xD6, 0xAF, 0xDE, 0x0C, 0xCE, 0x4E, 0xDE, 0x4E, 0xD6, 0xCB, 0xC5, 0x2E, 0xD6, 0xCC, 0xC5");
asm(".byte 0x2D, 0xAD, 0xCA, 0x7B, 0x29, 0x6B, 0x68, 0x73, 0xD0, 0xC5, 0x0D, 0xCE, 0x4F, 0xD6, 0xED, 0xCD");
asm(".byte 0xEE, 0xC5, 0x8D, 0xBD, 0x8E, 0xBD, 0x8E, 0xBD, 0x0B, 0x8C, 0xEA, 0x62, 0x48, 0x52, 0x68, 0x52");
asm(".byte 0x0A, 0x6B, 0x6D, 0xBD, 0x0E, 0xD6, 0x0D, 0xD6, 0x2E, 0xD6, 0x0D, 0xCE, 0xEE, 0xCD, 0x6D, 0xBD");
asm(".byte 0x4C, 0x9C, 0xEC, 0x8B, 0xEC, 0x8B, 0xCB, 0x62, 0x0A, 0x4A, 0xCB, 0x62, 0x0C, 0x8C, 0x49, 0x73");
asm(".byte 0xE9, 0x62, 0x07, 0x4A, 0x47, 0x52, 0xA8, 0x5A, 0xA9, 0x5A, 0x0A, 0x63, 0x0B, 0x6B, 0x6C, 0x73");
asm(".byte 0x6E, 0x94, 0x54, 0xAD, 0xD6, 0xBD, 0xF3, 0xA4, 0x3B, 0xE7, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5A, 0xE7, 0x5A, 0xEF, 0x5A, 0xEF, 0x5B, 0xEF, 0x5A, 0xEF, 0x5A, 0xE7, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9B, 0xF7, 0x9B, 0xF7, 0xB8, 0xDE, 0x5A, 0xEF, 0x9B, 0xF7");
asm(".byte 0x5A, 0xEF, 0x7A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0xB6, 0xD6, 0x38, 0xE7");
asm(".byte 0x18, 0xDF, 0x18, 0xDF, 0xB7, 0xD6, 0x76, 0xCE, 0x97, 0xD6, 0x97, 0xD6, 0x4E, 0x8C, 0xF5, 0xBD");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x42, 0xAA, 0x4A, 0xAA, 0x4A, 0xA9, 0x4A, 0xCA, 0x52, 0xA9, 0x52");
asm(".byte 0xE9, 0x5A, 0x0A, 0x7C, 0xAD, 0xBD, 0x0D, 0xCE, 0xEC, 0xCD, 0x0C, 0xCE, 0x2C, 0xD6, 0x2C, 0xD6");
asm(".byte 0x4C, 0xDE, 0x6C, 0xDE, 0x6D, 0xDE, 0x6D, 0xDE, 0x6C, 0xDE, 0x8D, 0xDE, 0x8D, 0xDE, 0x8D, 0xE6");
asm(".byte 0x8D, 0xE6, 0x8D, 0xE6, 0x8D, 0xE6, 0x8D, 0xDE, 0x6D, 0xDE, 0x6D, 0xDE, 0x6D, 0xDE, 0x6D, 0xDE");
asm(".byte 0x4D, 0xDE, 0x4D, 0xDE, 0x4D, 0xD6, 0x2D, 0xD6, 0x0C, 0xD6, 0xEC, 0xCD, 0xED, 0xCD, 0xEC, 0xC5");
asm(".byte 0xAD, 0xBD, 0xAB, 0x9C, 0x08, 0x6B, 0xA8, 0x5A, 0x09, 0x63, 0xCA, 0x7B, 0xAC, 0x9C, 0x6B, 0x94");
asm(".byte 0x4B, 0x94, 0x4B, 0x94, 0x4B, 0x94, 0x4B, 0x94, 0xA9, 0x83, 0x4A, 0x73, 0x89, 0x52, 0x28, 0x4A");
asm(".byte 0x49, 0x52, 0x49, 0x52, 0x89, 0x5A, 0x6A, 0x7B, 0xAA, 0x83, 0xAB, 0x83, 0x6B, 0x7B, 0xEA, 0x6A");
asm(".byte 0x49, 0x52, 0x8D, 0x73, 0x0C, 0x6B, 0x66, 0x31, 0x04, 0x29, 0x65, 0x31, 0xC7, 0x39, 0x48, 0x4A");
asm(".byte 0xAA, 0x5A, 0xA9, 0x5A, 0xEA, 0x62, 0x2B, 0x6B, 0x2B, 0x6B, 0xEA, 0x62, 0x0B, 0x63, 0xA9, 0x52");
asm(".byte 0x07, 0x42, 0x65, 0x29, 0x65, 0x31, 0x28, 0x4A, 0x0B, 0x63, 0xCE, 0x7B, 0x78, 0xCE, 0x3A, 0xE7");
asm(".byte 0x5B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x3B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x5A, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9B, 0xF7, 0xD8, 0xDE, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7A, 0xEF, 0x7A, 0xEF, 0x7A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x39, 0xE7");
asm(".byte 0xF8, 0xDE, 0x19, 0xE7, 0x18, 0xE7, 0xF8, 0xDE, 0xB7, 0xD6, 0x96, 0xCE, 0x97, 0xD6, 0x30, 0xA5");
asm(".byte 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0x4A, 0xAA, 0x52, 0xAA, 0x52, 0xCA, 0x52, 0xEA, 0x52");
asm(".byte 0x0A, 0x5B, 0x29, 0x63, 0xAB, 0x9C, 0xEE, 0xC5, 0x0C, 0xCE, 0xEC, 0xCD, 0xEC, 0xD5, 0x2C, 0xD6");
asm(".byte 0x2C, 0xD6, 0x4D, 0xDE, 0xEC, 0xCD, 0x8B, 0xC5, 0x8B, 0xBD, 0xAC, 0xBD, 0x8C, 0xBD, 0x8C, 0xBD");
asm(".byte 0x8C, 0xBD, 0x8C, 0xBD, 0x6C, 0xB5, 0x6C, 0xBD, 0x6C, 0xB5, 0x6B, 0xB5, 0x4C, 0xB5, 0x4B, 0xB5");
asm(".byte 0x4B, 0xB5, 0x6C, 0xB5, 0x2B, 0xAD, 0x2B, 0xAD, 0x0B, 0xAD, 0xEB, 0xA4, 0xEB, 0xA4, 0xEC, 0xA4");
asm(".byte 0xAC, 0x9C, 0x8C, 0x94, 0xAA, 0x7B, 0xE9, 0x62, 0xC9, 0x5A, 0xC8, 0x5A, 0xC8, 0x5A, 0xA8, 0x5A");
asm(".byte 0xC8, 0x62, 0xC9, 0x62, 0xE9, 0x62, 0xE9, 0x62, 0xA9, 0x5A, 0x89, 0x5A, 0x69, 0x52, 0x28, 0x4A");
asm(".byte 0x29, 0x4A, 0x09, 0x4A, 0xE9, 0x41, 0x29, 0x4A, 0x09, 0x4A, 0x09, 0x4A, 0x2A, 0x4A, 0xE9, 0x41");
asm(".byte 0xA7, 0x39, 0xC7, 0x41, 0xE3, 0x20, 0x65, 0x31, 0xCA, 0x5A, 0xEB, 0x62, 0xC6, 0x39, 0x44, 0x31");
asm(".byte 0x64, 0x31, 0x44, 0x29, 0x24, 0x29, 0xE3, 0x20, 0xC2, 0x18, 0xC2, 0x18, 0xA2, 0x18, 0x81, 0x10");
asm(".byte 0x20, 0x08, 0x61, 0x10, 0x85, 0x31, 0x07, 0x42, 0x06, 0x42, 0xA5, 0x39, 0x48, 0x52, 0x64, 0x31");
asm(".byte 0xA9, 0x5A, 0x37, 0xCE, 0x5B, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xDC, 0xF7, 0xF9, 0xDE");
asm(".byte 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xF7, 0x7A, 0xEF, 0x7A, 0xEF, 0x7A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF");
asm(".byte 0x5A, 0xEF, 0x19, 0xE7, 0x3A, 0xE7, 0x38, 0xE7, 0x18, 0xE7, 0xB7, 0xD6, 0x96, 0xD6, 0x55, 0xCE");
asm(".byte 0x93, 0xB5, 0xD5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x3A, 0xCA, 0x52, 0x89, 0x4A, 0xEA, 0x52");
asm(".byte 0x0B, 0x5B, 0xC9, 0x5A, 0x89, 0x6B, 0xAB, 0x94, 0xED, 0xC5, 0xCD, 0xCD, 0xED, 0xCD, 0x0C, 0xD6");
asm(".byte 0x2D, 0xD6, 0x2D, 0xD6, 0x0C, 0xD6, 0x4B, 0xB5, 0x07, 0x8C, 0x49, 0x8C, 0x29, 0x8C, 0xE9, 0x83");
asm(".byte 0x88, 0x73, 0x47, 0x6B, 0x88, 0x73, 0x46, 0x6B, 0x67, 0x73, 0x06, 0x6B, 0x88, 0x73, 0x68, 0x73");
asm(".byte 0xE6, 0x62, 0x27, 0x6B, 0x06, 0x6B, 0x27, 0x6B, 0x27, 0x63, 0x27, 0x6B, 0x07, 0x63, 0xE7, 0x62");
asm(".byte 0x08, 0x63, 0x87, 0x52, 0xC8, 0x5A, 0x0A, 0x63, 0xC9, 0x5A, 0x0A, 0x63, 0xC9, 0x5A, 0xC9, 0x5A");
asm(".byte 0xC9, 0x5A, 0x68, 0x52, 0x89, 0x52, 0x49, 0x4A, 0x69, 0x52, 0x29, 0x4A, 0x29, 0x4A, 0x29, 0x4A");
asm(".byte 0x29, 0x4A, 0x4A, 0x52, 0x09, 0x4A, 0x29, 0x4A, 0x49, 0x4A, 0xE8, 0x41, 0x45, 0x29, 0xA3, 0x18");
asm(".byte 0xE3, 0x20, 0xC6, 0x41, 0xC9, 0x5A, 0xEE, 0x83, 0xED, 0x83, 0x0E, 0x8C, 0x4F, 0x94, 0xAD, 0x83");
asm(".byte 0x0A, 0x6B, 0x2A, 0x6B, 0x6C, 0x73, 0xEA, 0x62, 0xA5, 0x39, 0xE3, 0x20, 0xA2, 0x18, 0x24, 0x29");
asm(".byte 0x07, 0x42, 0xA9, 0x5A, 0xEA, 0x62, 0x4B, 0x6B, 0x2B, 0x73, 0x2B, 0x6B, 0xC9, 0x62, 0xA5, 0x39");
asm(".byte 0xC5, 0x41, 0x68, 0x52, 0x23, 0x29, 0x4B, 0x6B, 0xB9, 0xD6, 0x9D, 0xF7, 0xBC, 0xEF, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0xDA, 0xDE, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0xF0, 0x9C, 0xCC, 0x73");
asm(".byte 0x76, 0xCE, 0x7A, 0xEF, 0x9B, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7A, 0xEF, 0x7A, 0xEF, 0x7A, 0xEF");
asm(".byte 0x5A, 0xEF, 0x5A, 0xEF, 0x18, 0xDF, 0x39, 0xE7, 0x39, 0xE7, 0xF8, 0xDE, 0x93, 0xAD, 0xB8, 0xD6");
asm(".byte 0x31, 0xA5, 0xD5, 0xBD, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x91, 0x84, 0xB5, 0xA5, 0x89, 0x42");
asm(".byte 0xD9, 0xCE, 0x2E, 0x74, 0x19, 0xDF, 0x12, 0xB6, 0xD0, 0xB5, 0x78, 0xF7, 0x0E, 0xCE, 0x35, 0xE7");
asm(".byte 0xD3, 0xE6, 0x34, 0xEF, 0x77, 0xF7, 0x14, 0xE7, 0xF5, 0xDE, 0x2D, 0xA5, 0xF7, 0xDE, 0x4F, 0xAD");
asm(".byte 0x71, 0xAD, 0xF7, 0xD6, 0xB2, 0xAD, 0x14, 0xBE, 0x2C, 0x7C, 0x92, 0xAD, 0x30, 0x9D, 0x30, 0x9D");
asm(".byte 0x91, 0xAD, 0x0B, 0x7C, 0x72, 0xA5, 0x4D, 0x84, 0x72, 0xAD, 0x72, 0xAD, 0xA7, 0x52, 0x15, 0xBE");
asm(".byte 0x4A, 0x63, 0xF1, 0x94, 0xD1, 0x94, 0xF1, 0x9C, 0x53, 0xA5, 0xCD, 0x73, 0x0F, 0x84, 0x89, 0x4A");
asm(".byte 0xCE, 0x73, 0xAE, 0x73, 0xCB, 0x5A, 0x51, 0x8C, 0x6D, 0x6B, 0xEF, 0x7B, 0x0C, 0x63, 0x4D, 0x6B");
asm(".byte 0x29, 0x4A, 0xAA, 0x52, 0xAA, 0x5A, 0xE7, 0x39, 0x28, 0x4A, 0x03, 0x21, 0x65, 0x31, 0x48, 0x4A");
asm(".byte 0xAD, 0x7B, 0x2E, 0x8C, 0x4F, 0x94, 0x4F, 0x94, 0x68, 0x52, 0xC3, 0x20, 0x41, 0x10, 0x81, 0x10");
asm(".byte 0xA2, 0x10, 0x82, 0x10, 0x41, 0x08, 0x61, 0x10, 0x62, 0x10, 0x82, 0x10, 0x61, 0x10, 0x82, 0x10");
asm(".byte 0xC2, 0x18, 0xC2, 0x18, 0xC2, 0x18, 0xA2, 0x18, 0x61, 0x10, 0x00, 0x08, 0x20, 0x08, 0xE2, 0x20");
asm(".byte 0x85, 0x39, 0x07, 0x4A, 0xC6, 0x39, 0x03, 0x29, 0x03, 0x29, 0xA2, 0x18, 0x50, 0x8C, 0x7C, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0xFA, 0xDE, 0x13, 0xA5, 0xCE, 0x7B, 0x34, 0xA5, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0x9B, 0xEF, 0xBB, 0xF7");
asm(".byte 0x36, 0xC6, 0x77, 0xCE, 0x5B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7A, 0xEF");
asm(".byte 0x7A, 0xEF, 0x7A, 0xEF, 0x5A, 0xEF, 0x3A, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0xF7, 0xDE, 0xB6, 0xD6");
asm(".byte 0xB7, 0xD6, 0x2D, 0x84, 0x56, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x95, 0xAD, 0xD1, 0x8C");
asm(".byte 0x2B, 0x53, 0xED, 0x6B, 0xD5, 0xAD, 0xF9, 0xD6, 0x39, 0xDF, 0x29, 0x8C, 0x57, 0xEF, 0x8B, 0xBD");
asm(".byte 0x56, 0xEF, 0xCB, 0xCD, 0xD2, 0xE6, 0x90, 0xDE, 0x35, 0xEF, 0xD4, 0xD6, 0xB0, 0xB5, 0x91, 0xB5");
asm(".byte 0x06, 0x6B, 0x2C, 0x84, 0xCB, 0x73, 0x2C, 0x7C, 0x76, 0xC6, 0x4A, 0x63, 0x56, 0xBE, 0x87, 0x4A");
asm(".byte 0xCB, 0x6B, 0xCC, 0x73, 0x46, 0x42, 0xF5, 0xBD, 0x67, 0x42, 0x90, 0x8C, 0x73, 0xA5, 0x52, 0xA5");
asm(".byte 0x32, 0xA5, 0x88, 0x4A, 0x12, 0x9D, 0xE9, 0x5A, 0x6C, 0x6B, 0xEB, 0x5A, 0x0B, 0x5B, 0xEE, 0x73");
asm(".byte 0xAA, 0x52, 0x31, 0x84, 0x08, 0x42, 0x51, 0x84, 0x51, 0x8C, 0x69, 0x4A, 0xE7, 0x39, 0x41, 0x08");
asm(".byte 0xC2, 0x18, 0x07, 0x42, 0x07, 0x42, 0xE3, 0x20, 0x2B, 0x6B, 0x70, 0x94, 0xAC, 0x73, 0x68, 0x52");
asm(".byte 0xE3, 0x20, 0xA2, 0x18, 0x82, 0x10, 0x20, 0x08, 0x61, 0x10, 0xC6, 0x39, 0x28, 0x4A, 0x28, 0x4A");
asm(".byte 0xC6, 0x41, 0x23, 0x29, 0xC2, 0x18, 0x61, 0x10, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x61, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x10, 0xA2, 0x18, 0xE3, 0x20, 0xE3, 0x20, 0xA2, 0x18");
asm(".byte 0x61, 0x10, 0x41, 0x08, 0x20, 0x08, 0xE3, 0x20, 0xE3, 0x20, 0xC2, 0x18, 0xA2, 0x18, 0xA2, 0x18");
asm(".byte 0x65, 0x31, 0x17, 0xC6, 0x5B, 0xEF, 0x9C, 0xEF, 0x6C, 0x6B, 0xAE, 0x7B, 0x8D, 0x73, 0x91, 0x94");
asm(".byte 0x7C, 0xEF, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x77, 0xCE, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5A, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x5A, 0xE7, 0x5A, 0xEF, 0x3A, 0xE7, 0x19, 0xDF");
asm(".byte 0xF8, 0xDE, 0xD7, 0xDE, 0x4D, 0x8C, 0x77, 0xCE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x32");
asm(".byte 0x74, 0xA5, 0xA9, 0x4A, 0x94, 0xA5, 0x88, 0x4A, 0x4E, 0x84, 0xCE, 0x94, 0xAA, 0x9C, 0xB2, 0xDE");
asm(".byte 0xAC, 0xCD, 0xB2, 0xDE, 0xEC, 0xCD, 0x34, 0xEF, 0x33, 0xEF, 0x4D, 0xD6, 0xB2, 0xDE, 0x49, 0x8C");
asm(".byte 0xAD, 0x94, 0x27, 0x63, 0xAE, 0x8C, 0x86, 0x4A, 0x8A, 0x63, 0x8E, 0x84, 0x2A, 0x5B, 0x32, 0x9D");
asm(".byte 0x8F, 0x84, 0x11, 0x95, 0x11, 0x95, 0xED, 0x73, 0x32, 0x9D, 0xED, 0x73, 0xAD, 0x6B, 0x0A, 0x5B");
asm(".byte 0xE6, 0x31, 0x4B, 0x5B, 0xAA, 0x52, 0x91, 0x8C, 0x70, 0x8C, 0xAD, 0x6B, 0x28, 0x42, 0xAA, 0x4A");
asm(".byte 0xAE, 0x73, 0x29, 0x42, 0x8E, 0x6B, 0x09, 0x42, 0x87, 0x31, 0xE3, 0x18, 0xA2, 0x10, 0x61, 0x10");
asm(".byte 0xE7, 0x41, 0x07, 0x42, 0x85, 0x31, 0x24, 0x21, 0xE7, 0x41, 0x64, 0x31, 0xC2, 0x18, 0x03, 0x21");
asm(".byte 0xE3, 0x20, 0x61, 0x10, 0x40, 0x08, 0x40, 0x08, 0x40, 0x08, 0x40, 0x08, 0x20, 0x08, 0x20, 0x08");
asm(".byte 0x40, 0x08, 0xC3, 0x20, 0xE7, 0x41, 0xA6, 0x31, 0x24, 0x29, 0xC2, 0x18, 0xA2, 0x18, 0xC3, 0x20");
asm(".byte 0xA2, 0x18, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x41, 0x10, 0x20, 0x08, 0x20, 0x08, 0x20, 0x08");
asm(".byte 0xC2, 0x18, 0x45, 0x29, 0xE3, 0x20, 0x82, 0x10, 0x41, 0x08, 0x20, 0x08, 0xA5, 0x39, 0x06, 0x4A");
asm(".byte 0x24, 0x29, 0x62, 0x10, 0x21, 0x08, 0x48, 0x4A, 0x3B, 0xE7, 0xF9, 0xDE, 0x89, 0x52, 0xE7, 0x39");
asm(".byte 0xEB, 0x62, 0x0F, 0x84, 0x7D, 0xEF, 0x9D, 0xF7, 0x9C, 0xF7, 0x7C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x1A, 0xDF, 0x9C, 0xEF");
asm(".byte 0xBC, 0xEF, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0x3A, 0xE7");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x57, 0xCE, 0x7B, 0xEF, 0x9B, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x3A, 0xE7, 0x39, 0xE7, 0x5A, 0xEF, 0x19, 0xE7");
asm(".byte 0x19, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0x31, 0xA5, 0x57, 0xCE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x49, 0x42, 0x8A, 0x4A, 0x8A, 0x4A, 0xC9, 0x52, 0xC9, 0x52, 0x29, 0x63, 0xEA, 0x7B, 0x4C, 0xAD");
asm(".byte 0xCC, 0xCD, 0xCC, 0xCD, 0xEB, 0xCD, 0x0C, 0xD6, 0x0C, 0xD6, 0x4C, 0xD6, 0x6C, 0xDE, 0xAC, 0xBD");
asm(".byte 0x49, 0x8C, 0x89, 0x73, 0x69, 0x6B, 0xE8, 0x52, 0xA7, 0x4A, 0xA8, 0x4A, 0x88, 0x42, 0x67, 0x42");
asm(".byte 0x47, 0x3A, 0x27, 0x3A, 0x27, 0x3A, 0x27, 0x42, 0x47, 0x42, 0x48, 0x42, 0x48, 0x42, 0x48, 0x42");
asm(".byte 0x48, 0x42, 0x48, 0x42, 0x49, 0x42, 0x49, 0x42, 0x49, 0x4A, 0x0B, 0x5B, 0x6A, 0x4A, 0x6A, 0x4A");
asm(".byte 0x6A, 0x4A, 0x6A, 0x4A, 0x4A, 0x4A, 0xA7, 0x31, 0x04, 0x21, 0x24, 0x21, 0x40, 0x08, 0xC2, 0x18");
asm(".byte 0xC6, 0x39, 0x24, 0x29, 0xC2, 0x18, 0x61, 0x10, 0x03, 0x21, 0xC5, 0x39, 0xA9, 0x5A, 0x65, 0x29");
asm(".byte 0xE2, 0x20, 0x24, 0x29, 0x48, 0x4A, 0x27, 0x4A, 0xA2, 0x18, 0x20, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x20, 0x00, 0x20, 0x00, 0x20, 0x08, 0x40, 0x08");
asm(".byte 0x61, 0x10, 0xC3, 0x18, 0xE3, 0x20, 0xC2, 0x20, 0xA1, 0x18, 0x64, 0x31, 0x68, 0x52, 0xE5, 0x49");
asm(".byte 0xE9, 0x6A, 0x4B, 0x73, 0xC5, 0x41, 0xC2, 0x18, 0x61, 0x10, 0xE3, 0x20, 0xE3, 0x18, 0x41, 0x08");
asm(".byte 0x61, 0x10, 0xE6, 0x41, 0xA5, 0x39, 0x81, 0x10, 0xA3, 0x10, 0x61, 0x10, 0xB5, 0xB5, 0xD2, 0x9C");
asm(".byte 0x69, 0x4A, 0xA6, 0x39, 0x8D, 0x73, 0x0F, 0x84, 0xBD, 0xF7, 0x9D, 0xF7, 0x9C, 0xF7, 0x7C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x16, 0xC6, 0x5B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF");
asm(".byte 0x39, 0xE7, 0x18, 0xDF, 0xF8, 0xDE, 0xF8, 0xDE, 0xF4, 0xBD, 0x56, 0xC6, 0x16, 0xBE, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x28, 0x3A, 0x8A, 0x4A, 0x8A, 0x4A, 0xC9, 0x52, 0xCA, 0x52, 0x09, 0x5B, 0xA9, 0x7B");
asm(".byte 0x4C, 0xAD, 0xCC, 0xCD, 0xCC, 0xCD, 0xEB, 0xCD, 0x0C, 0xCE, 0x0C, 0xD6, 0x2C, 0xDE, 0x6C, 0xDE");
asm(".byte 0xAB, 0xBD, 0x09, 0x84, 0x68, 0x6B, 0x48, 0x63, 0xC7, 0x52, 0x67, 0x42, 0x68, 0x42, 0x47, 0x3A");
asm(".byte 0x27, 0x42, 0x28, 0x3A, 0x27, 0x3A, 0x27, 0x3A, 0x47, 0x3A, 0x48, 0x3A, 0x48, 0x42, 0x48, 0x42");
asm(".byte 0x08, 0x3A, 0x48, 0x42, 0x29, 0x42, 0x29, 0x42, 0x29, 0x42, 0x49, 0x42, 0xEB, 0x5A, 0x8A, 0x4A");
asm(".byte 0x4A, 0x4A, 0x6B, 0x4A, 0x29, 0x4A, 0x25, 0x29, 0xC6, 0x39, 0xC2, 0x18, 0x61, 0x10, 0x07, 0x42");
asm(".byte 0xE6, 0x41, 0x84, 0x31, 0x81, 0x10, 0xA2, 0x18, 0x48, 0x4A, 0xEE, 0x83, 0xE7, 0x41, 0x85, 0x31");
asm(".byte 0x48, 0x4A, 0xC6, 0x39, 0x41, 0x08, 0x20, 0x08, 0x20, 0x08, 0xE3, 0x20, 0x03, 0x21, 0x61, 0x10");
asm(".byte 0x00, 0x00, 0x20, 0x08, 0x41, 0x08, 0xA2, 0x18, 0xA2, 0x10, 0xA2, 0x18, 0xE2, 0x20, 0x84, 0x39");
asm(".byte 0xE6, 0x41, 0xC5, 0x41, 0x23, 0x29, 0xA2, 0x18, 0xE3, 0x20, 0x64, 0x31, 0x23, 0x29, 0xC2, 0x20");
asm(".byte 0xA2, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0xA1, 0x18, 0x61, 0x10, 0x41, 0x08, 0x20, 0x00, 0x40, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x00, 0x00, 0xE3, 0x20, 0xA6, 0x39, 0xE3, 0x20, 0xC3, 0x18, 0x40, 0x08");
asm(".byte 0x2C, 0x6B, 0x24, 0x21, 0xE3, 0x20, 0xEA, 0x62, 0x4C, 0x6B, 0x78, 0xCE, 0x9D, 0xF7, 0x9D, 0xF7");
asm(".byte 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x3B, 0xE7, 0x5B, 0xE7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7C, 0xEF, 0xBC, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x56, 0xCE, 0x7B, 0xEF, 0x9C, 0xF7");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x5A, 0xEF, 0x3A, 0xE7, 0x8F, 0x94");
asm(".byte 0x5A, 0xE7, 0x19, 0xE7, 0x18, 0xDF, 0xD7, 0xDE, 0xB7, 0xD6, 0x76, 0xCE, 0x77, 0xCE, 0xF6, 0xBD");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x31, 0x89, 0x42, 0x68, 0x42, 0xA9, 0x4A, 0xA9, 0x52, 0x6A, 0x6B");
asm(".byte 0x68, 0x6B, 0x2C, 0xAD, 0xAC, 0xC5, 0xCC, 0xC5, 0xCB, 0xCD, 0xEB, 0xCD, 0x0C, 0xD6, 0x0B, 0xD6");
asm(".byte 0x6C, 0xDE, 0x4A, 0xB5, 0xC8, 0x7B, 0x07, 0x5B, 0xC6, 0x52, 0x87, 0x42, 0x06, 0x3A, 0x67, 0x42");
asm(".byte 0xC6, 0x31, 0xC6, 0x31, 0xC6, 0x31, 0xE6, 0x31, 0xA5, 0x29, 0x27, 0x3A, 0xE7, 0x31, 0x69, 0x42");
asm(".byte 0xE7, 0x31, 0xE7, 0x31, 0x08, 0x3A, 0x69, 0x4A, 0xE8, 0x39, 0x08, 0x3A, 0x8A, 0x4A, 0xEB, 0x5A");
asm(".byte 0x29, 0x42, 0x6A, 0x4A, 0xC8, 0x39, 0xC6, 0x39, 0xEB, 0x62, 0x41, 0x08, 0x24, 0x29, 0xEA, 0x62");
asm(".byte 0x0B, 0x63, 0x81, 0x10, 0xA2, 0x10, 0x0B, 0x63, 0xAD, 0x7B, 0x44, 0x29, 0x07, 0x42, 0x24, 0x21");
asm(".byte 0x20, 0x08, 0x20, 0x08, 0x03, 0x21, 0xA6, 0x31, 0x82, 0x10, 0xA2, 0x10, 0x20, 0x08, 0x20, 0x08");
asm(".byte 0x82, 0x10, 0x82, 0x10, 0x82, 0x10, 0xE3, 0x20, 0xA9, 0x5A, 0xEE, 0x83, 0x6C, 0x73, 0x68, 0x52");
asm(".byte 0xA5, 0x39, 0x23, 0x29, 0x03, 0x21, 0x03, 0x29, 0x44, 0x29, 0x06, 0x42, 0x85, 0x39, 0x44, 0x31");
asm(".byte 0xA2, 0x18, 0x41, 0x08, 0x61, 0x08, 0x81, 0x10, 0x41, 0x08, 0x20, 0x00, 0x20, 0x00, 0x20, 0x08");
asm(".byte 0x61, 0x10, 0x20, 0x08, 0x40, 0x08, 0x21, 0x08, 0x00, 0x00, 0x81, 0x10, 0x84, 0x31, 0xE3, 0x20");
asm(".byte 0xE3, 0x20, 0x61, 0x10, 0x65, 0x31, 0x81, 0x10, 0x45, 0x31, 0xCD, 0x83, 0x0B, 0x63, 0x9D, 0xF7");
asm(".byte 0x9D, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x7C, 0xEF, 0x5B, 0xEF, 0x3B, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7C, 0xEF, 0x9D, 0xEF, 0x9D, 0xEF, 0x7C, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0xD9, 0xDE, 0x9C, 0xF7");
asm(".byte 0x9B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7");
asm(".byte 0xE4, 0x39, 0xA7, 0x52, 0x97, 0xD6, 0xB8, 0xD6, 0x19, 0xDF, 0x92, 0xAD, 0x77, 0xCE, 0x56, 0xC6");
asm(".byte 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB1, 0x84, 0xEE, 0x73, 0x33, 0x9D, 0x99, 0xC6, 0xA8, 0x4A");
asm(".byte 0x39, 0xDF, 0x0B, 0x7C, 0x12, 0xBE, 0x51, 0xD6, 0xF5, 0xE6, 0x35, 0xEF, 0x34, 0xE7, 0xF4, 0xE6");
asm(".byte 0xF2, 0xE6, 0x35, 0xEF, 0x72, 0xCE, 0xF2, 0xBD, 0x95, 0xCE, 0x6D, 0x84, 0xD4, 0xAD, 0x88, 0x42");
asm(".byte 0x2E, 0x74, 0x0E, 0x74, 0xB5, 0xAD, 0xF6, 0xB5, 0xEE, 0x73, 0x58, 0xBE, 0x07, 0x32, 0x13, 0x95");
asm(".byte 0x4C, 0x5B, 0xB2, 0x8C, 0x8D, 0x63, 0x6D, 0x63, 0xD6, 0xB5, 0x34, 0x9D, 0xAB, 0x52, 0x91, 0x8C");
asm(".byte 0xAE, 0x6B, 0x92, 0x8C, 0x13, 0x9D, 0xC6, 0x31, 0xEE, 0x7B, 0xC3, 0x18, 0x28, 0x4A, 0x70, 0x8C");
asm(".byte 0xA5, 0x39, 0x61, 0x10, 0x2C, 0x6B, 0x70, 0x8C, 0x64, 0x31, 0x85, 0x31, 0x89, 0x52, 0xC2, 0x18");
asm(".byte 0xC6, 0x39, 0x86, 0x31, 0xCA, 0x5A, 0x65, 0x29, 0x41, 0x08, 0x20, 0x08, 0x21, 0x08, 0xC3, 0x18");
asm(".byte 0xC6, 0x39, 0x65, 0x31, 0x68, 0x4A, 0x68, 0x52, 0x23, 0x29, 0x61, 0x10, 0x20, 0x08, 0x41, 0x10");
asm(".byte 0xA2, 0x18, 0x24, 0x29, 0x04, 0x21, 0xE3, 0x18, 0xC3, 0x18, 0xE3, 0x20, 0xA2, 0x18, 0x81, 0x18");
asm(".byte 0x64, 0x31, 0x68, 0x52, 0xE6, 0x49, 0x23, 0x29, 0x81, 0x10, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00");
asm(".byte 0x20, 0x08, 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x20, 0x08, 0x20, 0x00, 0x00, 0x00, 0x81, 0x10");
asm(".byte 0x64, 0x31, 0x03, 0x21, 0x24, 0x29, 0x81, 0x10, 0x41, 0x10, 0xE3, 0x20, 0xAD, 0x7B, 0x68, 0x52");
asm(".byte 0x37, 0xC6, 0x9D, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x1A, 0xDF, 0x3A, 0xE7");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x9C, 0xEF, 0x9D, 0xF7, 0x9D, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x77, 0xD6");
asm(".byte 0x7C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5A, 0xE7, 0x19, 0xDF, 0x39, 0xE7, 0xD8, 0xDE, 0xF8, 0xDE, 0x51, 0xA5, 0x77, 0xCE");
asm(".byte 0x57, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x84, 0x2F, 0x7C, 0xF2, 0x94, 0x48, 0x42");
asm(".byte 0x5B, 0xDF, 0x19, 0xD7, 0x69, 0x6B, 0x38, 0xE7, 0xAE, 0xBD, 0xD5, 0xDE, 0x36, 0xEF, 0x56, 0xEF");
asm(".byte 0x14, 0xE7, 0xB1, 0xDE, 0x14, 0xE7, 0x32, 0xCE, 0x2E, 0xA5, 0xAA, 0x73, 0x49, 0x63, 0x72, 0xA5");
asm(".byte 0x06, 0x32, 0x57, 0xBE, 0x27, 0x3A, 0x94, 0xA5, 0x37, 0xBE, 0x64, 0x21, 0xB1, 0x8C, 0x50, 0x7C");
asm(".byte 0x13, 0x95, 0x91, 0x8C, 0x91, 0x84, 0xF2, 0x94, 0x50, 0x7C, 0x54, 0x9D, 0x34, 0x9D, 0x0C, 0x5B");
asm(".byte 0x51, 0x84, 0xB2, 0x8C, 0x92, 0x94, 0x68, 0x4A, 0x8D, 0x73, 0xC3, 0x18, 0x07, 0x42, 0x48, 0x4A");
asm(".byte 0x03, 0x21, 0x48, 0x4A, 0x8A, 0x52, 0x23, 0x21, 0x24, 0x21, 0xC3, 0x18, 0xA2, 0x10, 0xA6, 0x31");
asm(".byte 0xE6, 0x39, 0x24, 0x21, 0x65, 0x29, 0x41, 0x08, 0x20, 0x00, 0x82, 0x10, 0x24, 0x21, 0x61, 0x10");
asm(".byte 0xE3, 0x20, 0x48, 0x4A, 0x82, 0x10, 0x41, 0x08, 0x20, 0x08, 0x61, 0x08, 0x61, 0x10, 0x82, 0x18");
asm(".byte 0x82, 0x10, 0x61, 0x08, 0x61, 0x08, 0x40, 0x08, 0x20, 0x08, 0x20, 0x08, 0x82, 0x10, 0xA2, 0x18");
asm(".byte 0x81, 0x10, 0x61, 0x10, 0xA2, 0x18, 0x44, 0x31, 0xE6, 0x49, 0x07, 0x4A, 0xC6, 0x39, 0xE3, 0x20");
asm(".byte 0x41, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x08, 0x20, 0x08, 0x41, 0x08, 0x20, 0x00");
asm(".byte 0x00, 0x00, 0x81, 0x10, 0x44, 0x29, 0x03, 0x29, 0x03, 0x29, 0x41, 0x10, 0xE3, 0x20, 0x47, 0x52");
asm(".byte 0x48, 0x52, 0xAE, 0x7B, 0x7D, 0xEF, 0xBD, 0xF7, 0x7C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF, 0x7C, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x97, 0xD6, 0x7B, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x18, 0xDF, 0x96, 0xD6, 0x35, 0xC6");
asm(".byte 0x97, 0xCE, 0x56, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x6B, 0x48, 0x42, 0xAD, 0x6B");
asm(".byte 0x48, 0x42, 0xA9, 0x52, 0x6B, 0x6B, 0xEA, 0x7B, 0x8F, 0xB5, 0xCE, 0xC5, 0x2F, 0xCE, 0x0D, 0xCE");
asm(".byte 0x0D, 0xCE, 0x90, 0xDE, 0x2D, 0xD6, 0xB1, 0xDE, 0x4B, 0xB5, 0xCC, 0x9C, 0x28, 0x63, 0x69, 0x63");
asm(".byte 0xAC, 0x6B, 0xA8, 0x4A, 0x6C, 0x63, 0xCA, 0x4A, 0xA9, 0x4A, 0xA9, 0x4A, 0xAA, 0x4A, 0x69, 0x42");
asm(".byte 0x08, 0x3A, 0x49, 0x42, 0x8A, 0x4A, 0xCB, 0x52, 0xCB, 0x52, 0xE8, 0x39, 0xEC, 0x5A, 0x6A, 0x4A");
asm(".byte 0x49, 0x4A, 0x4D, 0x6B, 0x4A, 0x4A, 0xE6, 0x39, 0x4C, 0x6B, 0x61, 0x10, 0xE3, 0x20, 0x07, 0x42");
asm(".byte 0x04, 0x21, 0x04, 0x21, 0x82, 0x10, 0x81, 0x10, 0xC2, 0x18, 0x23, 0x21, 0x85, 0x31, 0xC2, 0x18");
asm(".byte 0x65, 0x31, 0x81, 0x10, 0xE3, 0x20, 0x41, 0x08, 0x41, 0x08, 0xE3, 0x20, 0x61, 0x08, 0x24, 0x29");
asm(".byte 0xC6, 0x41, 0xA2, 0x18, 0x20, 0x08, 0x61, 0x10, 0xA2, 0x18, 0xC2, 0x18, 0x82, 0x10, 0xC3, 0x18");
asm(".byte 0xC2, 0x18, 0xE3, 0x20, 0x81, 0x10, 0x61, 0x10, 0x61, 0x10, 0xA2, 0x18, 0x03, 0x21, 0xA2, 0x18");
asm(".byte 0x81, 0x18, 0x04, 0x29, 0x03, 0x21, 0x81, 0x10, 0xA2, 0x18, 0xA2, 0x18, 0xA2, 0x18, 0x03, 0x29");
asm(".byte 0x89, 0x5A, 0xA5, 0x39, 0x04, 0x29, 0x41, 0x08, 0x41, 0x08, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00");
asm(".byte 0x20, 0x00, 0x20, 0x08, 0x00, 0x00, 0xE3, 0x20, 0x65, 0x31, 0x64, 0x39, 0xC2, 0x18, 0x03, 0x29");
asm(".byte 0x27, 0x52, 0x4B, 0x73, 0x89, 0x5A, 0x58, 0xCE, 0x9D, 0xF7, 0x7C, 0xEF, 0x7C, 0xEF, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xF7, 0x9D, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x7C, 0xEF");
asm(".byte 0x9C, 0xF7, 0x78, 0xCE, 0x9B, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x73, 0xAD, 0xD7, 0xD6, 0xD7, 0xDE");
asm(".byte 0x56, 0xCE, 0x77, 0xCE, 0x16, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x69, 0x42, 0xCB, 0x52");
asm(".byte 0xAA, 0x52, 0xEB, 0x52, 0x2A, 0x63, 0x2A, 0x63, 0xCA, 0x7B, 0x2C, 0xAD, 0xCC, 0xC5, 0xAC, 0xC5");
asm(".byte 0xCC, 0xCD, 0xEC, 0xCD, 0x0C, 0xD6, 0x2C, 0xD6, 0x4C, 0xDE, 0x8C, 0xBD, 0x09, 0x84, 0x69, 0x6B");
asm(".byte 0x28, 0x5B, 0xA8, 0x4A, 0x88, 0x4A, 0x88, 0x42, 0x47, 0x3A, 0x27, 0x3A, 0x28, 0x3A, 0x28, 0x42");
asm(".byte 0x48, 0x42, 0x69, 0x42, 0x49, 0x42, 0x69, 0x42, 0x29, 0x42, 0x4A, 0x4A, 0x6A, 0x4A, 0x6A, 0x4A");
asm(".byte 0xCB, 0x5A, 0xAB, 0x52, 0x29, 0x42, 0x07, 0x42, 0xEA, 0x62, 0x41, 0x08, 0xC2, 0x18, 0x65, 0x29");
asm(".byte 0x82, 0x10, 0x82, 0x10, 0x81, 0x10, 0xE6, 0x41, 0x85, 0x31, 0xA9, 0x5A, 0xE3, 0x20, 0x04, 0x21");
asm(".byte 0xA2, 0x18, 0x44, 0x29, 0xE7, 0x39, 0x61, 0x10, 0x41, 0x08, 0x41, 0x08, 0x44, 0x29, 0x85, 0x31");
asm(".byte 0xA2, 0x18, 0x20, 0x00, 0xC3, 0x18, 0xC3, 0x18, 0x82, 0x10, 0x41, 0x08, 0x42, 0x08, 0x20, 0x08");
asm(".byte 0x20, 0x00, 0x61, 0x08, 0xC3, 0x18, 0x24, 0x29, 0xE3, 0x20, 0x03, 0x29, 0xE3, 0x20, 0x81, 0x18");
asm(".byte 0xC2, 0x20, 0xA2, 0x18, 0x81, 0x10, 0x61, 0x10, 0xC2, 0x18, 0x81, 0x10, 0x24, 0x29, 0xC2, 0x20");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0x85, 0x39, 0xC6, 0x41, 0x44, 0x31, 0x81, 0x10, 0x81, 0x10, 0x20, 0x08");
asm(".byte 0x00, 0x00, 0x20, 0x08, 0x20, 0x00, 0x20, 0x08, 0x20, 0x08, 0xA6, 0x41, 0xE3, 0x28, 0x44, 0x31");
asm(".byte 0x03, 0x29, 0x85, 0x39, 0xAD, 0x83, 0x27, 0x4A, 0xEE, 0x7B, 0x5C, 0xE7, 0x9D, 0xEF, 0x7C, 0xEF");
asm(".byte 0x7C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xF7, 0x98, 0xD6, 0x7B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x5A, 0xE7, 0xD8, 0xD6, 0xB8, 0xD6");
asm(".byte 0xD7, 0xD6, 0x76, 0xCE, 0x76, 0xCE, 0x56, 0xC6, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x48, 0x42");
asm(".byte 0xAA, 0x52, 0xCA, 0x52, 0xEA, 0x52, 0x0A, 0x5B, 0x2A, 0x63, 0xC9, 0x7B, 0x2B, 0xAD, 0xAD, 0xC5");
asm(".byte 0xAC, 0xC5, 0xCC, 0xCD, 0xEC, 0xCD, 0x0C, 0xD6, 0x2C, 0xD6, 0x6C, 0xDE, 0x8B, 0xBD, 0xE9, 0x83");
asm(".byte 0x48, 0x6B, 0x08, 0x5B, 0xA8, 0x52, 0x88, 0x4A, 0x68, 0x42, 0x48, 0x42, 0x28, 0x3A, 0x28, 0x3A");
asm(".byte 0x28, 0x3A, 0x28, 0x42, 0x69, 0x4A, 0x49, 0x42, 0x4A, 0x42, 0x4A, 0x42, 0x4A, 0x4A, 0xAA, 0x52");
asm(".byte 0xEB, 0x5A, 0x8B, 0x52, 0x2A, 0x42, 0xE7, 0x39, 0x68, 0x4A, 0x04, 0x21, 0x03, 0x21, 0x85, 0x31");
asm(".byte 0xE3, 0x18, 0x61, 0x10, 0xE3, 0x20, 0x27, 0x4A, 0x0A, 0x63, 0x88, 0x52, 0xC2, 0x18, 0xC3, 0x18");
asm(".byte 0x24, 0x29, 0xC6, 0x39, 0x03, 0x21, 0x62, 0x10, 0x20, 0x08, 0xA2, 0x18, 0xA6, 0x31, 0xC3, 0x18");
asm(".byte 0x20, 0x08, 0x20, 0x08, 0x21, 0x08, 0x00, 0x00, 0x20, 0x08, 0x61, 0x10, 0x24, 0x29, 0xEA, 0x62");
asm(".byte 0x6C, 0x73, 0x6C, 0x73, 0xA9, 0x5A, 0x07, 0x4A, 0x48, 0x52, 0x6C, 0x73, 0xAD, 0x7B, 0xEE, 0x83");
asm(".byte 0xCD, 0x83, 0xCD, 0x83, 0xCD, 0x83, 0xC6, 0x41, 0x07, 0x4A, 0xA5, 0x39, 0x26, 0x4A, 0x02, 0x21");
asm(".byte 0xA1, 0x18, 0x82, 0x10, 0x81, 0x10, 0x60, 0x10, 0xC2, 0x18, 0x03, 0x29, 0x03, 0x29, 0xA2, 0x18");
asm(".byte 0x41, 0x08, 0x20, 0x00, 0x20, 0x00, 0x20, 0x08, 0x21, 0x08, 0x41, 0x08, 0x03, 0x29, 0x64, 0x31");
asm(".byte 0xA2, 0x18, 0x65, 0x39, 0x44, 0x31, 0x88, 0x5A, 0xE6, 0x49, 0x47, 0x52, 0x58, 0xCE, 0x7C, 0xEF");
asm(".byte 0x7C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7C, 0xEF, 0xBD, 0xF7, 0x9C, 0xF7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0x98, 0xCE, 0x7C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x7C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xD8, 0xD6");
asm(".byte 0x96, 0xD6, 0x76, 0xCE, 0x76, 0xCE, 0x56, 0xC6, 0xF5, 0xBD, 0xB4, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x48, 0x42, 0x69, 0x42, 0x68, 0x42, 0x2B, 0x5B, 0x68, 0x4A, 0xE9, 0x5A, 0x28, 0x63, 0x0D, 0xA5");
asm(".byte 0x6B, 0xBD, 0xCD, 0xC5, 0xCC, 0xC5, 0xED, 0xCD, 0x2D, 0xD6, 0x0C, 0xD6, 0x4D, 0xDE, 0x8C, 0xBD");
asm(".byte 0x88, 0x73, 0x89, 0x73, 0xC7, 0x52, 0xE9, 0x52, 0x27, 0x3A, 0x89, 0x4A, 0x07, 0x3A, 0xE7, 0x31");
asm(".byte 0x27, 0x3A, 0x28, 0x42, 0x49, 0x42, 0x29, 0x42, 0x6A, 0x4A, 0x29, 0x42, 0x8A, 0x4A, 0xEB, 0x5A");
asm(".byte 0x69, 0x4A, 0x6B, 0x4A, 0x08, 0x42, 0xA6, 0x31, 0x64, 0x29, 0x03, 0x21, 0xC2, 0x18, 0x03, 0x21");
asm(".byte 0xE3, 0x18, 0xA2, 0x10, 0x24, 0x29, 0x27, 0x42, 0x2B, 0x6B, 0xA5, 0x31, 0x82, 0x10, 0x24, 0x21");
asm(".byte 0x65, 0x31, 0x24, 0x21, 0x65, 0x31, 0xA2, 0x18, 0x61, 0x08, 0x65, 0x29, 0x45, 0x29, 0x41, 0x08");
asm(".byte 0x00, 0x00, 0x20, 0x08, 0x81, 0x10, 0xC6, 0x39, 0x27, 0x4A, 0xE7, 0x41, 0x68, 0x52, 0xE7, 0x41");
asm(".byte 0x24, 0x29, 0x03, 0x21, 0x03, 0x21, 0x65, 0x31, 0x07, 0x42, 0x85, 0x31, 0x44, 0x29, 0x24, 0x29");
asm(".byte 0xE3, 0x20, 0xC2, 0x18, 0xC2, 0x20, 0x81, 0x18, 0x44, 0x31, 0x64, 0x31, 0x64, 0x31, 0x44, 0x31");
asm(".byte 0xC6, 0x41, 0x84, 0x39, 0x03, 0x29, 0xA2, 0x18, 0x61, 0x10, 0x41, 0x10, 0x81, 0x18, 0x23, 0x29");
asm(".byte 0xE3, 0x20, 0x61, 0x10, 0xA2, 0x18, 0x61, 0x10, 0x40, 0x08, 0x20, 0x08, 0x41, 0x08, 0x82, 0x18");
asm(".byte 0x27, 0x4A, 0xA2, 0x18, 0xA2, 0x20, 0xC2, 0x20, 0xA9, 0x5A, 0x64, 0x39, 0x48, 0x52, 0xF2, 0xA4");
asm(".byte 0xB9, 0xD6, 0x7C, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7C, 0xEF, 0xFA, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0x19, 0xDF, 0xF9, 0xDE, 0x3B, 0xE7");
asm(".byte 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0x98, 0xCE, 0x9C, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x56, 0xC6, 0x7B, 0xEF, 0xF8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xB7, 0xD6, 0x96, 0xCE, 0x14, 0xBE, 0x96, 0xCE, 0x15, 0xBE, 0x15, 0xBE, 0xD4, 0xB5, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x95, 0xA5, 0x2B, 0x53, 0x77, 0xBE, 0xC9, 0x4A, 0x77, 0xC6, 0x93, 0xA5, 0x13, 0xBE");
asm(".byte 0xD6, 0xD6, 0xEF, 0xC5, 0x37, 0xEF, 0x50, 0xCE, 0x98, 0xF7, 0xD2, 0xE6, 0xD2, 0xDE, 0x76, 0xEF");
asm(".byte 0xAD, 0xBD, 0xB6, 0xD6, 0xEB, 0x7B, 0xF4, 0xB5, 0x31, 0x9D, 0x8C, 0x63, 0xD1, 0x8C, 0x6C, 0x63");
asm(".byte 0xB5, 0xAD, 0xCD, 0x6B, 0x78, 0xC6, 0x30, 0x7C, 0x8D, 0x63, 0x34, 0x9D, 0x0B, 0x5B, 0xF7, 0xB5");
asm(".byte 0xAE, 0x73, 0x11, 0x84, 0x92, 0x8C, 0x49, 0x42, 0x69, 0x4A, 0x24, 0x21, 0xC3, 0x18, 0x48, 0x4A");
asm(".byte 0x65, 0x29, 0x24, 0x21, 0x44, 0x29, 0xA9, 0x52, 0xE6, 0x39, 0xE6, 0x41, 0xE3, 0x20, 0xC6, 0x39");
asm(".byte 0xC6, 0x39, 0xE7, 0x41, 0xE7, 0x41, 0x82, 0x10, 0xC3, 0x18, 0x85, 0x31, 0xC3, 0x18, 0x00, 0x00");
asm(".byte 0x44, 0x29, 0x27, 0x4A, 0x69, 0x52, 0x86, 0x31, 0xE3, 0x20, 0xC2, 0x18, 0xA2, 0x18, 0x44, 0x29");
asm(".byte 0x85, 0x31, 0xE3, 0x20, 0xC2, 0x18, 0x82, 0x10, 0x61, 0x10, 0x20, 0x08, 0x61, 0x10, 0x03, 0x21");
asm(".byte 0x03, 0x21, 0x65, 0x31, 0x85, 0x31, 0x85, 0x39, 0xC6, 0x39, 0x64, 0x31, 0xC5, 0x39, 0x27, 0x52");
asm(".byte 0xC9, 0x62, 0x88, 0x62, 0xA5, 0x41, 0x03, 0x29, 0xA2, 0x20, 0xC2, 0x20, 0x81, 0x10, 0x81, 0x10");
asm(".byte 0x61, 0x18, 0x03, 0x29, 0xE3, 0x28, 0xA2, 0x20, 0x23, 0x29, 0xE3, 0x20, 0xC2, 0x18, 0x20, 0x08");
asm(".byte 0x03, 0x29, 0xE2, 0x20, 0xC2, 0x20, 0x81, 0x18, 0xC2, 0x20, 0x24, 0x31, 0x03, 0x29, 0x07, 0x4A");
asm(".byte 0xAD, 0x7B, 0xB5, 0xBD, 0x7D, 0xEF, 0x7C, 0xEF, 0x3B, 0xE7, 0x3B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x3A, 0xDF, 0xF9, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0x19, 0xDF, 0xF8, 0xD6");
asm(".byte 0xD9, 0xD6, 0x3B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0xBC, 0xF7, 0x37, 0xC6, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xEF, 0x7B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x52, 0xA5, 0xC7, 0x5A, 0xEB, 0x7B, 0xF1, 0x9C");
asm(".byte 0x97, 0xCE, 0xD7, 0xD6, 0x76, 0xCE, 0xF3, 0xBD, 0x56, 0xC6, 0x36, 0xBE, 0x15, 0xBE, 0xB4, 0xB5");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x94, 0x0F, 0x74, 0x2F, 0x7C, 0xA9, 0x4A, 0x3A, 0xDF, 0x96, 0xC6");
asm(".byte 0xEF, 0x94, 0xF7, 0xDE, 0x92, 0xD6, 0xF6, 0xDE, 0xF4, 0xE6, 0x57, 0xEF, 0xCB, 0xC5, 0x13, 0xEF");
asm(".byte 0x35, 0xE7, 0x31, 0xCE, 0xCD, 0x9C, 0x2C, 0x7C, 0x97, 0xCE, 0x73, 0xA5, 0x47, 0x3A, 0xD5, 0xAD");
asm(".byte 0x07, 0x32, 0x74, 0xA5, 0xB5, 0xAD, 0x78, 0xBE, 0x09, 0x3A, 0x71, 0x84, 0xF2, 0x94, 0xEE, 0x73");
asm(".byte 0xCF, 0x73, 0x55, 0xA5, 0xAB, 0x52, 0xC6, 0x31, 0x28, 0x42, 0x82, 0x10, 0x44, 0x29, 0x8D, 0x6B");
asm(".byte 0x0B, 0x63, 0x44, 0x29, 0x68, 0x4A, 0xC6, 0x39, 0x85, 0x31, 0x28, 0x42, 0xE3, 0x20, 0x27, 0x42");
asm(".byte 0x68, 0x4A, 0x06, 0x42, 0xA5, 0x31, 0xC2, 0x18, 0x03, 0x21, 0xC3, 0x18, 0x82, 0x10, 0x81, 0x10");
asm(".byte 0xCA, 0x5A, 0xE6, 0x39, 0xC3, 0x18, 0xC2, 0x18, 0xE3, 0x20, 0xE6, 0x41, 0x6C, 0x73, 0x0F, 0x84");
asm(".byte 0xCA, 0x5A, 0xC2, 0x18, 0xC2, 0x18, 0x81, 0x10, 0x61, 0x08, 0xE3, 0x20, 0x07, 0x4A, 0x8C, 0x7B");
asm(".byte 0xAD, 0x7B, 0xCA, 0x62, 0x07, 0x42, 0x44, 0x29, 0x65, 0x31, 0x85, 0x39, 0xC6, 0x41, 0x85, 0x39");
asm(".byte 0x64, 0x31, 0x44, 0x31, 0x23, 0x31, 0xC6, 0x49, 0x06, 0x52, 0x84, 0x39, 0x03, 0x29, 0xC2, 0x20");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0xC2, 0x20, 0xC2, 0x20, 0xA2, 0x20, 0x03, 0x29, 0x03, 0x31, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x44, 0x31, 0x81, 0x18, 0x85, 0x41, 0x85, 0x39, 0xA2, 0x18, 0x85, 0x39, 0x85, 0x39");
asm(".byte 0xC6, 0x41, 0x68, 0x5A, 0xEE, 0x83, 0x5C, 0xEF, 0x5C, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x1A, 0xDF");
asm(".byte 0x3A, 0xDF, 0x5B, 0xE7, 0x7C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x1A, 0xDF, 0x3A, 0xDF");
asm(".byte 0x19, 0xDF, 0xB8, 0xD6, 0xD9, 0xD6, 0x3B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x53, 0xA5, 0x9C, 0xEF");
asm(".byte 0x5B, 0xE7, 0x3B, 0xE7, 0x5B, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0xD8, 0xD6, 0xF0, 0x9C, 0x6B, 0x6B");
asm(".byte 0xA7, 0x52, 0x19, 0xDF, 0x96, 0xCE, 0x96, 0xCE, 0x35, 0xC6, 0x56, 0xC6, 0x15, 0xBE, 0x15, 0xBE");
asm(".byte 0xB4, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x13, 0x9D, 0x69, 0x42, 0x8D, 0x6B, 0xA9, 0x52, 0xCD, 0x73");
asm(".byte 0xF0, 0x9C, 0x2C, 0x84, 0x33, 0xCE, 0x4B, 0xB5, 0x92, 0xDE, 0x0E, 0xCE, 0xB2, 0xE6, 0xCB, 0xCD");
asm(".byte 0x0D, 0xCE, 0x34, 0xEF, 0x4B, 0xB5, 0x4B, 0x8C, 0x8A, 0x6B, 0x6B, 0x6B, 0xAF, 0x8C, 0xAD, 0x6B");
asm(".byte 0xF2, 0x8C, 0x0B, 0x53, 0x30, 0x7C, 0x0B, 0x5B, 0xD2, 0x8C, 0x29, 0x42, 0xAA, 0x4A, 0xD2, 0x94");
asm(".byte 0x8A, 0x4A, 0x92, 0x8C, 0x2D, 0x63, 0x65, 0x29, 0xAA, 0x52, 0xC2, 0x18, 0xE3, 0x18, 0x48, 0x4A");
asm(".byte 0x0F, 0x7C, 0xC6, 0x39, 0xEE, 0x7B, 0xE3, 0x18, 0x45, 0x29, 0x24, 0x29, 0xA2, 0x18, 0xC6, 0x39");
asm(".byte 0x68, 0x4A, 0x03, 0x21, 0xA2, 0x10, 0x04, 0x21, 0x03, 0x21, 0x61, 0x10, 0x61, 0x10, 0xA2, 0x18");
asm(".byte 0xE7, 0x39, 0xA2, 0x18, 0xC3, 0x18, 0x24, 0x29, 0x68, 0x52, 0x2F, 0x8C, 0x4F, 0x94, 0x48, 0x4A");
asm(".byte 0xE2, 0x20, 0x81, 0x10, 0xC2, 0x18, 0xC2, 0x18, 0x03, 0x29, 0xC6, 0x41, 0x85, 0x39, 0xC2, 0x18");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0x82, 0x18, 0xA2, 0x18, 0xC3, 0x18, 0xC3, 0x20, 0x40, 0x08, 0x40, 0x10");
asm(".byte 0x81, 0x10, 0xC2, 0x18, 0xC2, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0x03, 0x29, 0x26, 0x52, 0x67, 0x62");
asm(".byte 0xC5, 0x49, 0x64, 0x39, 0x03, 0x29, 0x81, 0x18, 0x84, 0x41, 0x23, 0x31, 0xC1, 0x28, 0x64, 0x39");
asm(".byte 0xA1, 0x20, 0xA1, 0x18, 0x44, 0x31, 0x81, 0x18, 0x84, 0x39, 0xA4, 0x39, 0x61, 0x10, 0x85, 0x31");
asm(".byte 0xC9, 0x62, 0x4B, 0x73, 0x64, 0x39, 0x8D, 0x7B, 0x3C, 0xE7, 0x5C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3B, 0xE7, 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7, 0xA8, 0x52");
asm(".byte 0x53, 0xA5, 0xD9, 0xD6, 0x98, 0xCE, 0xD4, 0xB5, 0xD8, 0xD6, 0xD8, 0xD6, 0xF9, 0xDE, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0xA3, 0x31, 0xF8, 0xDE, 0x75, 0xC6, 0x96, 0xCE, 0x55, 0xC6, 0x56, 0xCE, 0x36, 0xC6");
asm(".byte 0x15, 0xBE, 0xD5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x29, 0x42, 0xAA, 0x52, 0xA9, 0x4A, 0xA9, 0x52");
asm(".byte 0xC9, 0x5A, 0x09, 0x5B, 0xCA, 0x7B, 0xEB, 0xA4, 0x8C, 0xBD, 0x8C, 0xC5, 0xAC, 0xC5, 0xEC, 0xC5");
asm(".byte 0xEC, 0xCD, 0x0C, 0xD6, 0x4C, 0xD6, 0x8B, 0xBD, 0xC9, 0x7B, 0x49, 0x6B, 0xE9, 0x5A, 0xA8, 0x52");
asm(".byte 0x68, 0x4A, 0x69, 0x4A, 0x69, 0x4A, 0x69, 0x42, 0x69, 0x42, 0x6A, 0x4A, 0xEB, 0x5A, 0xEC, 0x5A");
asm(".byte 0x6A, 0x4A, 0x8B, 0x52, 0x8B, 0x52, 0x04, 0x21, 0x65, 0x29, 0xC2, 0x18, 0x44, 0x29, 0x24, 0x21");
asm(".byte 0x07, 0x42, 0x07, 0x42, 0x6C, 0x6B, 0x23, 0x21, 0xC2, 0x18, 0x44, 0x29, 0xC6, 0x39, 0x44, 0x29");
asm(".byte 0x65, 0x31, 0x61, 0x10, 0x03, 0x21, 0x24, 0x21, 0xC3, 0x18, 0x61, 0x08, 0x41, 0x08, 0x61, 0x10");
asm(".byte 0xC3, 0x18, 0xA2, 0x18, 0xE3, 0x20, 0xC6, 0x39, 0x2B, 0x6B, 0x4B, 0x6B, 0x07, 0x42, 0x41, 0x08");
asm(".byte 0x61, 0x10, 0xC3, 0x18, 0x82, 0x18, 0x44, 0x29, 0x89, 0x52, 0xA6, 0x39, 0xC2, 0x20, 0xC2, 0x18");
asm(".byte 0x61, 0x10, 0x20, 0x08, 0x40, 0x08, 0x03, 0x21, 0x07, 0x42, 0x07, 0x4A, 0x27, 0x4A, 0x07, 0x4A");
asm(".byte 0xA5, 0x39, 0x64, 0x39, 0xC5, 0x41, 0x06, 0x52, 0x06, 0x52, 0xC5, 0x41, 0xC5, 0x41, 0xC5, 0x49");
asm(".byte 0x05, 0x52, 0x6A, 0x83, 0x29, 0x7B, 0xA8, 0x6A, 0x46, 0x5A, 0x23, 0x31, 0x06, 0x52, 0x03, 0x29");
asm(".byte 0xC2, 0x20, 0xA5, 0x41, 0xA1, 0x20, 0xC2, 0x20, 0x61, 0x10, 0x44, 0x31, 0xE6, 0x49, 0x61, 0x10");
asm(".byte 0xE2, 0x20, 0x23, 0x31, 0x4F, 0x94, 0x03, 0x29, 0x0E, 0x8C, 0xFB, 0xDE, 0x7C, 0xEF, 0x7C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x3A, 0xE7, 0x1A, 0xDF, 0x3B, 0xE7, 0xFA, 0xDE, 0x3A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x9C, 0xF7, 0x9D, 0xF7, 0x7C, 0xEF");
asm(".byte 0x2A, 0x63, 0x5B, 0xE7, 0x16, 0xBE, 0x4E, 0x84, 0x96, 0xCE, 0xD8, 0xD6, 0x39, 0xE7, 0x83, 0x31");
asm(".byte 0x05, 0x42, 0x67, 0x4A, 0xE9, 0x5A, 0xF8, 0xDE, 0xB7, 0xD6, 0x96, 0xD6, 0x96, 0xD6, 0x97, 0xCE");
asm(".byte 0x36, 0xC6, 0x35, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x69, 0x42, 0x89, 0x4A, 0xAA, 0x52");
asm(".byte 0xA9, 0x52, 0xEA, 0x5A, 0xE9, 0x5A, 0x89, 0x73, 0x0C, 0xA5, 0x8C, 0xBD, 0x6C, 0xC5, 0xAC, 0xC5");
asm(".byte 0xCB, 0xC5, 0xEC, 0xCD, 0x0C, 0xD6, 0x4D, 0xD6, 0x6C, 0xB5, 0xE9, 0x83, 0x28, 0x6B, 0xE9, 0x5A");
asm(".byte 0xC9, 0x52, 0xA9, 0x4A, 0xA9, 0x4A, 0xA9, 0x4A, 0xAA, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0x2C, 0x63");
asm(".byte 0x8B, 0x52, 0xAB, 0x52, 0xCC, 0x52, 0x87, 0x31, 0x24, 0x21, 0x24, 0x21, 0x24, 0x21, 0x65, 0x29");
asm(".byte 0x85, 0x31, 0x2B, 0x63, 0x65, 0x29, 0xEB, 0x5A, 0xA2, 0x10, 0x07, 0x42, 0x8D, 0x73, 0xC2, 0x18");
asm(".byte 0x61, 0x08, 0xA2, 0x18, 0xA5, 0x31, 0x44, 0x29, 0x44, 0x29, 0x41, 0x08, 0x61, 0x08, 0x82, 0x10");
asm(".byte 0x41, 0x08, 0x81, 0x10, 0x44, 0x29, 0x64, 0x31, 0xC6, 0x39, 0xC2, 0x18, 0x00, 0x00, 0x61, 0x08");
asm(".byte 0xC2, 0x18, 0x85, 0x39, 0xCA, 0x62, 0x2B, 0x6B, 0x89, 0x5A, 0x81, 0x10, 0x24, 0x29, 0x03, 0x29");
asm(".byte 0xE3, 0x20, 0xE6, 0x49, 0x4B, 0x73, 0x6F, 0x9C, 0x6F, 0x9C, 0x4B, 0x73, 0x07, 0x4A, 0x85, 0x39");
asm(".byte 0x44, 0x31, 0x23, 0x31, 0x03, 0x29, 0xE2, 0x28, 0x02, 0x29, 0x23, 0x31, 0x26, 0x52, 0x88, 0x62");
asm(".byte 0xA5, 0x41, 0x26, 0x52, 0x08, 0x7B, 0x49, 0x83, 0xEB, 0x9B, 0x09, 0x7B, 0x8B, 0x8B, 0xE5, 0x49");
asm(".byte 0xC5, 0x41, 0x84, 0x41, 0xC4, 0x49, 0xC5, 0x49, 0x02, 0x29, 0x81, 0x18, 0x84, 0x39, 0x46, 0x5A");
asm(".byte 0xA2, 0x18, 0x23, 0x31, 0x2B, 0x73, 0x48, 0x52, 0x27, 0x52, 0x2E, 0x8C, 0xB9, 0xD6, 0x5C, 0xE7");
asm(".byte 0x7C, 0xEF, 0x7C, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x19, 0xDF, 0xB8, 0xD6, 0xF9, 0xDE, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7");
asm(".byte 0xBD, 0xF7, 0xD2, 0x9C, 0x9C, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x3A, 0xE7");
asm(".byte 0x77, 0xCE, 0x97, 0xD6, 0xB0, 0x94, 0x29, 0x63, 0xB7, 0xD6, 0xB7, 0xD6, 0xB6, 0xD6, 0xB6, 0xD6");
asm(".byte 0x56, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x3A, 0x89, 0x4A");
asm(".byte 0x89, 0x4A, 0xAA, 0x52, 0xC9, 0x52, 0x09, 0x63, 0x89, 0x73, 0xEB, 0xA4, 0x6D, 0xBD, 0x6C, 0xBD");
asm(".byte 0x8C, 0xC5, 0xEC, 0xC5, 0xEC, 0xCD, 0xEC, 0xCD, 0x2B, 0xCE, 0x4B, 0xB5, 0xEA, 0x83, 0xC7, 0x62");
asm(".byte 0xE9, 0x5A, 0xA9, 0x52, 0x89, 0x4A, 0x69, 0x4A, 0x89, 0x4A, 0x89, 0x4A, 0xAA, 0x4A, 0x6A, 0x4A");
asm(".byte 0xCB, 0x52, 0x8B, 0x4A, 0xAB, 0x52, 0x6A, 0x4A, 0xE4, 0x18, 0x27, 0x42, 0x65, 0x29, 0x07, 0x42");
asm(".byte 0x82, 0x10, 0xEA, 0x5A, 0xA5, 0x31, 0x27, 0x42, 0xA2, 0x10, 0x44, 0x29, 0xCE, 0x7B, 0xC2, 0x18");
asm(".byte 0x20, 0x00, 0x24, 0x21, 0x65, 0x29, 0xA6, 0x39, 0x44, 0x29, 0x40, 0x08, 0x61, 0x08, 0xA2, 0x10");
asm(".byte 0x20, 0x08, 0x82, 0x10, 0xE3, 0x20, 0x03, 0x21, 0x81, 0x10, 0x20, 0x08, 0xA2, 0x18, 0xA9, 0x52");
asm(".byte 0x8C, 0x73, 0x6C, 0x73, 0xEA, 0x6A, 0x85, 0x39, 0x44, 0x31, 0xA5, 0x41, 0x47, 0x4A, 0x44, 0x29");
asm(".byte 0xA9, 0x5A, 0xA9, 0x5A, 0x64, 0x31, 0x43, 0x31, 0x64, 0x39, 0xC5, 0x41, 0x47, 0x5A, 0xEA, 0x72");
asm(".byte 0x8C, 0x83, 0x6B, 0x7B, 0x2A, 0x7B, 0xE9, 0x72, 0x67, 0x62, 0xC5, 0x49, 0x84, 0x39, 0x88, 0x62");
asm(".byte 0x8B, 0x93, 0x09, 0x83, 0xCC, 0x9B, 0xAB, 0x93, 0xCB, 0x9B, 0x8A, 0x93, 0xCB, 0x9B, 0x8A, 0x93");
asm(".byte 0x49, 0x83, 0x46, 0x5A, 0x87, 0x62, 0x66, 0x62, 0x66, 0x62, 0x25, 0x52, 0x64, 0x39, 0xA4, 0x41");
asm(".byte 0x05, 0x52, 0x23, 0x29, 0xA5, 0x41, 0xA1, 0x18, 0xE2, 0x28, 0x68, 0x5A, 0x2A, 0x73, 0xB5, 0xBD");
asm(".byte 0x3C, 0xE7, 0x5C, 0xEF, 0x5B, 0xE7, 0x3B, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0x1A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0xF6, 0xBD, 0x5B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xF8, 0xDE, 0x69, 0x6B, 0x25, 0x42, 0xA7, 0x52, 0x18, 0xDF, 0xB6, 0xD6, 0x96, 0xCE, 0x55, 0xCE");
asm(".byte 0xB7, 0xD6, 0x97, 0xD6, 0x76, 0xCE, 0x36, 0xC6, 0xB5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x78, 0xC6");
asm(".byte 0xB9, 0xCE, 0x27, 0x3A, 0x5B, 0xDF, 0xE6, 0x39, 0xF9, 0xD6, 0xD6, 0xD6, 0x33, 0xC6, 0xF5, 0xDE");
asm(".byte 0x16, 0xE7, 0xF5, 0xE6, 0x36, 0xE7, 0xED, 0xCD, 0x56, 0xEF, 0xB1, 0xD6, 0x51, 0xCE, 0xD2, 0xB5");
asm(".byte 0xCB, 0x73, 0x97, 0xCE, 0x57, 0xBE, 0xE6, 0x31, 0x74, 0xA5, 0xAD, 0x6B, 0xB2, 0x8C, 0xF2, 0x94");
asm(".byte 0xE8, 0x39, 0xF7, 0xB5, 0xCB, 0x52, 0x34, 0x9D, 0x49, 0x4A, 0x89, 0x4A, 0xAE, 0x73, 0x44, 0x29");
asm(".byte 0xE7, 0x39, 0x85, 0x31, 0x53, 0xA5, 0x07, 0x42, 0xA6, 0x31, 0x65, 0x29, 0xF2, 0x9C, 0x03, 0x21");
asm(".byte 0x41, 0x08, 0xC3, 0x18, 0xC6, 0x39, 0x28, 0x42, 0xC2, 0x18, 0x41, 0x08, 0xA2, 0x10, 0xC3, 0x18");
asm(".byte 0x20, 0x08, 0xA2, 0x18, 0xC3, 0x18, 0xE3, 0x18, 0xC3, 0x18, 0x82, 0x10, 0x48, 0x4A, 0x4B, 0x6B");
asm(".byte 0x84, 0x39, 0xE6, 0x41, 0x0B, 0x6B, 0xE7, 0x41, 0x44, 0x29, 0x65, 0x29, 0x04, 0x29, 0xC6, 0x41");
asm(".byte 0x85, 0x39, 0x03, 0x29, 0xC6, 0x41, 0xA5, 0x41, 0x84, 0x39, 0x64, 0x39, 0x64, 0x39, 0x44, 0x31");
asm(".byte 0x43, 0x31, 0x23, 0x31, 0x03, 0x29, 0xE2, 0x20, 0x43, 0x39, 0x26, 0x5A, 0x87, 0x6A, 0x29, 0x7B");
asm(".byte 0xCC, 0x93, 0x6E, 0xB4, 0x4D, 0xB4, 0xEC, 0xA3, 0x2D, 0xAC, 0x0C, 0xAC, 0xCB, 0x9B, 0xCC, 0x9B");
asm(".byte 0x09, 0x83, 0x8A, 0x93, 0x8A, 0x8B, 0x49, 0x8B, 0x09, 0x7B, 0xA7, 0x6A, 0xC8, 0x6A, 0x46, 0x5A");
asm(".byte 0x67, 0x5A, 0xA5, 0x41, 0xE2, 0x20, 0xE2, 0x20, 0xC2, 0x20, 0xC6, 0x41, 0x88, 0x5A, 0x4B, 0x73");
asm(".byte 0xF2, 0xAC, 0x7C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0x3A, 0xE7, 0x3B, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x98, 0xD6, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x19, 0xDF, 0x93, 0xB5, 0x73, 0xAD, 0x6F, 0x8C, 0x29, 0x63, 0x97, 0xCE, 0x77, 0xCE, 0xD8, 0xDE");
asm(".byte 0x34, 0xC6, 0xD7, 0xD6, 0x97, 0xCE, 0x36, 0xC6, 0x15, 0xBE, 0xB5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xF6, 0xB5, 0x36, 0xBE, 0x70, 0x84, 0x8C, 0x6B, 0xB0, 0x8C, 0xD8, 0xCE, 0x75, 0xC6, 0x95, 0xCE");
asm(".byte 0x6E, 0xB5, 0x36, 0xE7, 0x36, 0xEF, 0x92, 0xDE, 0x71, 0xD6, 0xF4, 0xE6, 0x36, 0xEF, 0x93, 0xD6");
asm(".byte 0xEE, 0x9C, 0xAF, 0x8C, 0x52, 0xA5, 0x53, 0x9D, 0x0E, 0x74, 0x33, 0x9D, 0x13, 0x95, 0x8D, 0x63");
asm(".byte 0x0F, 0x74, 0x13, 0x95, 0x54, 0xA5, 0x8E, 0x63, 0x8E, 0x6B, 0xEA, 0x5A, 0xCD, 0x73, 0x24, 0x21");
asm(".byte 0xAD, 0x73, 0x61, 0x10, 0x0E, 0x7C, 0xA9, 0x52, 0x44, 0x29, 0xC6, 0x39, 0x70, 0x8C, 0x65, 0x29");
asm(".byte 0x81, 0x10, 0x81, 0x10, 0xAA, 0x52, 0x07, 0x42, 0x81, 0x10, 0xA2, 0x10, 0x45, 0x29, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x82, 0x10, 0x81, 0x10, 0x85, 0x31, 0xC5, 0x39, 0xA5, 0x39, 0xE2, 0x20");
asm(".byte 0xA5, 0x39, 0x2B, 0x6B, 0x85, 0x39, 0xC2, 0x20, 0x86, 0x39, 0x03, 0x29, 0xE2, 0x20, 0x44, 0x31");
asm(".byte 0x85, 0x39, 0xC5, 0x41, 0xA5, 0x41, 0xA5, 0x41, 0xC5, 0x41, 0x85, 0x39, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x44, 0x31, 0xA5, 0x49, 0xA5, 0x41, 0xA5, 0x49, 0x27, 0x5A, 0xE9, 0x7A, 0x29, 0x83, 0x2A, 0x83");
asm(".byte 0x09, 0x7B, 0xEC, 0x9B, 0x8E, 0xB4, 0xAE, 0xBC, 0xCF, 0xBC, 0xCF, 0xC4, 0x8E, 0xBC, 0x8E, 0xBC");
asm(".byte 0x8A, 0x9B, 0x2C, 0xB4, 0x2C, 0xAC, 0xCB, 0xA3, 0xCB, 0x9B, 0xCB, 0x9B, 0x8A, 0x93, 0x8A, 0x93");
asm(".byte 0x08, 0x7B, 0x05, 0x5A, 0xE5, 0x49, 0x23, 0x31, 0x03, 0x29, 0xE3, 0x28, 0xA9, 0x62, 0x27, 0x52");
asm(".byte 0x88, 0x5A, 0x2B, 0x6B, 0x78, 0xCE, 0x7C, 0xEF, 0x3B, 0xE7, 0x3B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xBC, 0xF7, 0x5B, 0xE7, 0x5B, 0xEF, 0x9C, 0xEF, 0xB8, 0xD6, 0x7B, 0xEF, 0x9C, 0xEF, 0x5B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x5A, 0xE7, 0x2E, 0x84, 0xB4, 0xB5, 0xA8, 0x52, 0x11, 0x9D, 0xB7, 0xD6, 0xD7, 0xDE");
asm(".byte 0xF8, 0xDE, 0x55, 0xC6, 0x97, 0xCE, 0x97, 0xCE, 0x36, 0xC6, 0x15, 0xBE, 0x94, 0xB5, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x4D, 0x63, 0x2C, 0x5B, 0xAD, 0x6B, 0x2F, 0x7C, 0xED, 0x7B, 0xED, 0x73, 0x0C, 0x84");
asm(".byte 0x6F, 0xB5, 0xCE, 0xC5, 0x10, 0xCE, 0xAD, 0xC5, 0x50, 0xD6, 0x0E, 0xCE, 0x92, 0xDE, 0x91, 0xDE");
asm(".byte 0x4E, 0xB5, 0xEE, 0x9C, 0x29, 0x63, 0x2D, 0x7C, 0xED, 0x73, 0x47, 0x42, 0x69, 0x42, 0xCB, 0x52");
asm(".byte 0xAE, 0x6B, 0xEF, 0x73, 0x29, 0x42, 0x0C, 0x5B, 0x6A, 0x4A, 0x07, 0x42, 0xEA, 0x5A, 0x44, 0x29");
asm(".byte 0x89, 0x52, 0x03, 0x21, 0x2B, 0x63, 0xC9, 0x5A, 0x24, 0x21, 0x81, 0x10, 0x91, 0x94, 0x24, 0x29");
asm(".byte 0xE3, 0x18, 0x81, 0x10, 0x89, 0x52, 0xA6, 0x31, 0x81, 0x10, 0xA2, 0x10, 0x82, 0x10, 0x20, 0x00");
asm(".byte 0x61, 0x10, 0x41, 0x08, 0xC2, 0x18, 0xE3, 0x20, 0xA9, 0x5A, 0xE3, 0x20, 0x81, 0x10, 0xA5, 0x39");
asm(".byte 0x07, 0x42, 0x81, 0x10, 0x61, 0x10, 0x81, 0x10, 0x81, 0x10, 0x82, 0x18, 0xE2, 0x20, 0x03, 0x29");
asm(".byte 0xE3, 0x20, 0x64, 0x39, 0x27, 0x4A, 0x48, 0x5A, 0xE6, 0x49, 0x85, 0x41, 0xA5, 0x49, 0x67, 0x62");
asm(".byte 0x4A, 0x83, 0xC9, 0x72, 0xE5, 0x51, 0xA4, 0x49, 0x67, 0x62, 0x67, 0x62, 0x09, 0x7B, 0xC8, 0x7A");
asm(".byte 0xEC, 0x9B, 0xD0, 0xB4, 0xD3, 0xD5, 0x35, 0xE6, 0x76, 0xE6, 0x77, 0xEE, 0x97, 0xEE, 0x76, 0xE6");
asm(".byte 0x35, 0xE6, 0xD4, 0xDD, 0x92, 0xD5, 0xCF, 0xBC, 0xEF, 0xC4, 0xCF, 0xBC, 0xCF, 0xBC, 0xEF, 0xC4");
asm(".byte 0x8E, 0xB4, 0xCB, 0x9B, 0x29, 0x7B, 0xC5, 0x49, 0x84, 0x41, 0xE6, 0x49, 0x84, 0x39, 0x07, 0x4A");
asm(".byte 0x2A, 0x73, 0xA9, 0x5A, 0xA9, 0x5A, 0x1B, 0xE7, 0xBD, 0xF7, 0xBE, 0xF7, 0x9D, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9D, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x9D, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0xB9, 0xD6, 0x7C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x3A, 0xDF, 0x3A, 0xE7, 0xD8, 0xD6, 0x02, 0x21, 0x93, 0xB5, 0xC4, 0x39, 0x39, 0xE7");
asm(".byte 0x19, 0xE7, 0xD6, 0xDE, 0x76, 0xCE, 0xB7, 0xD6, 0x56, 0xCE, 0xD4, 0xBD, 0xB5, 0xBD, 0x74, 0xAD");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x69, 0x42, 0xAA, 0x4A, 0x89, 0x4A, 0xC9, 0x52, 0xEA, 0x5A, 0xE9, 0x5A");
asm(".byte 0x8A, 0x73, 0xCC, 0xA4, 0x6D, 0xBD, 0x6C, 0xBD, 0x8C, 0xC5, 0xCC, 0xC5, 0xCC, 0xCD, 0xEC, 0xCD");
asm(".byte 0x0D, 0xCE, 0x2B, 0xAD, 0x69, 0x73, 0x29, 0x63, 0x0A, 0x5B, 0xC9, 0x52, 0xAA, 0x4A, 0xAA, 0x4A");
asm(".byte 0x6A, 0x4A, 0x8A, 0x4A, 0x8B, 0x4A, 0x8B, 0x4A, 0xCC, 0x52, 0x8B, 0x52, 0x44, 0x29, 0xEA, 0x5A");
asm(".byte 0x81, 0x10, 0x89, 0x52, 0x44, 0x29, 0x0A, 0x63, 0xE3, 0x18, 0x81, 0x10, 0xE7, 0x39, 0x24, 0x21");
asm(".byte 0xE3, 0x18, 0x81, 0x10, 0x48, 0x4A, 0x81, 0x10, 0xC2, 0x18, 0x41, 0x08, 0x20, 0x08, 0x61, 0x10");
asm(".byte 0x82, 0x10, 0xC2, 0x18, 0xC3, 0x18, 0x85, 0x31, 0xC2, 0x18, 0x41, 0x10, 0xE3, 0x20, 0xE3, 0x20");
asm(".byte 0xA2, 0x10, 0x82, 0x10, 0x20, 0x08, 0x20, 0x08, 0x61, 0x10, 0xA2, 0x18, 0x41, 0x10, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x20, 0x08, 0x20, 0x08, 0x20, 0x08, 0x61, 0x10, 0x03, 0x31, 0x06, 0x5A, 0x4A, 0x8B");
asm(".byte 0x8B, 0x9B, 0xAB, 0x9B, 0x0D, 0xAC, 0x0D, 0xAC, 0x8F, 0xB4, 0xD0, 0xBC, 0x52, 0xCD, 0x31, 0xBD");
asm(".byte 0xB5, 0xCD, 0xB8, 0xEE, 0x3A, 0xF7, 0x5C, 0xF7, 0x9D, 0xF7, 0x9C, 0xFF, 0x7C, 0xF7, 0x7C, 0xF7");
asm(".byte 0x5B, 0xF7, 0x3A, 0xF7, 0x19, 0xF7, 0xD8, 0xEE, 0x97, 0xEE, 0xB3, 0xD5, 0xD3, 0xDD, 0xF4, 0xE5");
asm(".byte 0xD3, 0xDD, 0x93, 0xD5, 0xB3, 0xD5, 0xF0, 0xBC, 0x8A, 0x8B, 0xE5, 0x51, 0x06, 0x52, 0x06, 0x4A");
asm(".byte 0xA5, 0x39, 0xC2, 0x20, 0x27, 0x4A, 0xAC, 0x83, 0x4B, 0x73, 0x58, 0xCE, 0xDE, 0xFF, 0xDE, 0xF7");
asm(".byte 0xDE, 0xF7, 0x9D, 0xEF, 0x9D, 0xEF, 0x9D, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x7C, 0xEF, 0x3B, 0xE7, 0x5B, 0xE7, 0x37, 0xC6, 0x3A, 0xE7");
asm(".byte 0xFA, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0x5A, 0xEF, 0xF8, 0xDE, 0x3A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x39, 0xE7, 0xF8, 0xDE, 0xB6, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6, 0x56, 0xCE, 0x36, 0xC6, 0x73, 0xB5");
asm(".byte 0xB4, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x69, 0x4A, 0x8A, 0x4A, 0x8A, 0x52, 0xAA, 0x52, 0xAA, 0x52");
asm(".byte 0x09, 0x5B, 0x69, 0x6B, 0xCC, 0xA4, 0x6D, 0xBD, 0x8C, 0xBD, 0x8C, 0xC5, 0xCC, 0xC5, 0xCB, 0xCD");
asm(".byte 0x0C, 0xCE, 0x2C, 0xCE, 0x0B, 0xA5, 0x69, 0x73, 0x29, 0x63, 0x09, 0x5B, 0xC9, 0x52, 0xAA, 0x52");
asm(".byte 0x8A, 0x4A, 0x6A, 0x4A, 0x8A, 0x4A, 0xAB, 0x52, 0xAB, 0x52, 0xEC, 0x5A, 0x86, 0x31, 0xA9, 0x52");
asm(".byte 0x64, 0x29, 0x0B, 0x63, 0x61, 0x08, 0x50, 0x8C, 0xE3, 0x20, 0x41, 0x08, 0x85, 0x31, 0x24, 0x21");
asm(".byte 0x03, 0x21, 0xA2, 0x10, 0x44, 0x29, 0xC2, 0x18, 0x24, 0x21, 0x41, 0x08, 0xA2, 0x18, 0x81, 0x10");
asm(".byte 0xC2, 0x18, 0xE3, 0x20, 0xA2, 0x18, 0x61, 0x10, 0x20, 0x08, 0xA2, 0x18, 0xE3, 0x20, 0x81, 0x10");
asm(".byte 0x40, 0x08, 0x61, 0x08, 0x61, 0x08, 0x21, 0x08, 0x00, 0x00, 0x00, 0x08, 0x00, 0x08, 0x41, 0x10");
asm(".byte 0x82, 0x18, 0xA2, 0x20, 0x03, 0x29, 0x23, 0x31, 0x26, 0x5A, 0x0A, 0x83, 0x49, 0x93, 0xCB, 0x9B");
asm(".byte 0x0C, 0xA4, 0x2D, 0xAC, 0x10, 0xC5, 0x32, 0xC5, 0xF5, 0xDD, 0x76, 0xE6, 0xD8, 0xEE, 0xB8, 0xE6");
asm(".byte 0x3B, 0xF7, 0x9C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF");
asm(".byte 0x9C, 0xFF, 0x9C, 0xFF, 0x7B, 0xFF, 0x5B, 0xFF, 0x5B, 0xF7, 0x3A, 0xF7, 0xD8, 0xEE, 0xB7, 0xEE");
asm(".byte 0x76, 0xEE, 0x35, 0xE6, 0xD4, 0xDD, 0xB3, 0xDD, 0x92, 0xD5, 0x72, 0xD5, 0xEC, 0x93, 0xC5, 0x49");
asm(".byte 0xC6, 0x41, 0x27, 0x52, 0x47, 0x52, 0x6C, 0x7B, 0x4E, 0x94, 0xB0, 0x9C, 0x0F, 0x84, 0x3C, 0xE7");
asm(".byte 0xDE, 0xFF, 0xDE, 0xF7, 0xDD, 0xF7, 0x9D, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x36, 0xC6");
asm(".byte 0xB8, 0xD6, 0x5B, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0x5A, 0xE7, 0x5A, 0xEF, 0x39, 0xE7, 0xAD, 0x73");
asm(".byte 0x15, 0xBE, 0x39, 0xE7, 0x19, 0xE7, 0x18, 0xE7, 0x18, 0xDF, 0x18, 0xDF, 0xD8, 0xDE, 0x76, 0xCE");
asm(".byte 0x56, 0xCE, 0x33, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x42, 0x89, 0x4A, 0x68, 0x42, 0xA9, 0x4A");
asm(".byte 0xA9, 0x4A, 0xA8, 0x4A, 0x08, 0x5B, 0x8B, 0x94, 0x4D, 0xB5, 0x8C, 0xBD, 0xAC, 0xBD, 0xAB, 0xBD");
asm(".byte 0xAB, 0xC5, 0xCC, 0xC5, 0x0C, 0xCE, 0xEB, 0xA4, 0x28, 0x6B, 0xA8, 0x52, 0xC9, 0x52, 0x68, 0x42");
asm(".byte 0x48, 0x42, 0xAA, 0x4A, 0x49, 0x42, 0x49, 0x42, 0x49, 0x42, 0x49, 0x4A, 0xCB, 0x52, 0xC2, 0x18");
asm(".byte 0x70, 0x8C, 0x61, 0x08, 0xC6, 0x39, 0xA6, 0x39, 0xA9, 0x52, 0x61, 0x08, 0x04, 0x21, 0x24, 0x29");
asm(".byte 0xC6, 0x39, 0xC2, 0x10, 0x65, 0x29, 0xE3, 0x20, 0x85, 0x31, 0xC2, 0x18, 0xA2, 0x10, 0x24, 0x29");
asm(".byte 0xC2, 0x18, 0xA2, 0x18, 0x82, 0x10, 0x82, 0x10, 0xC3, 0x18, 0x03, 0x21, 0x41, 0x08, 0x20, 0x08");
asm(".byte 0x61, 0x10, 0x41, 0x08, 0x20, 0x08, 0x41, 0x08, 0xA2, 0x18, 0xC2, 0x20, 0x23, 0x31, 0x43, 0x31");
asm(".byte 0xE5, 0x49, 0xA4, 0x41, 0x26, 0x62, 0x29, 0x83, 0xA8, 0x72, 0x29, 0x8B, 0x8B, 0x9B, 0xEC, 0xA3");
asm(".byte 0xAF, 0xBC, 0x52, 0xC5, 0x15, 0xD6, 0x77, 0xDE, 0xFA, 0xEE, 0x3B, 0xF7, 0x7C, 0xF7, 0x9D, 0xFF");
asm(".byte 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDF, 0xFF, 0xDE, 0xFF, 0xDF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x5B, 0xFF, 0x3A, 0xF7");
asm(".byte 0xF9, 0xEE, 0x97, 0xEE, 0x76, 0xE6, 0x35, 0xE6, 0x15, 0xE6, 0xF4, 0xDD, 0xF4, 0xE5, 0x31, 0xC5");
asm(".byte 0xED, 0x93, 0xC5, 0x41, 0x84, 0x39, 0xEA, 0x6A, 0x6C, 0x73, 0x68, 0x52, 0xF1, 0xA4, 0x0F, 0x84");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x9D, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF, 0x3A, 0xE7");
asm(".byte 0x37, 0xC6, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x39, 0xE7");
asm(".byte 0x36, 0xC6, 0x8B, 0x73, 0x39, 0xE7, 0x19, 0xE7, 0xF7, 0xDE, 0x19, 0xDF, 0x18, 0xDF, 0xB7, 0xD6");
asm(".byte 0x77, 0xCE, 0x56, 0xC6, 0x15, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0x84, 0xB9, 0xC6, 0xEA, 0x52");
asm(".byte 0xF1, 0x8C, 0x4F, 0x7C, 0x53, 0x9D, 0x55, 0xBE, 0x34, 0xC6, 0x74, 0xCE, 0xAF, 0xB5, 0x16, 0xDF");
asm(".byte 0xF0, 0xBD, 0x11, 0xCE, 0x36, 0xE7, 0x51, 0xCE, 0xD6, 0xD6, 0x2D, 0x84, 0xD4, 0xB5, 0xF1, 0x94");
asm(".byte 0xAD, 0x6B, 0x16, 0xB6, 0x48, 0x3A, 0xF3, 0x94, 0xD2, 0x94, 0xB6, 0xB5, 0x71, 0x84, 0xEF, 0x7B");
asm(".byte 0x64, 0x29, 0x33, 0xA5, 0x65, 0x29, 0x69, 0x4A, 0xC6, 0x39, 0x28, 0x42, 0xE3, 0x18, 0x07, 0x42");
asm(".byte 0x44, 0x29, 0x85, 0x31, 0x89, 0x4A, 0xE6, 0x39, 0xE3, 0x18, 0x07, 0x42, 0x03, 0x21, 0xEE, 0x7B");
asm(".byte 0x64, 0x29, 0xE3, 0x20, 0xE3, 0x20, 0xA2, 0x18, 0xA2, 0x18, 0x61, 0x10, 0x20, 0x08, 0xA2, 0x18");
asm(".byte 0x82, 0x10, 0x40, 0x08, 0x61, 0x10, 0xE2, 0x20, 0x03, 0x29, 0xA4, 0x41, 0x87, 0x62, 0x87, 0x62");
asm(".byte 0xA4, 0x49, 0x67, 0x6A, 0x67, 0x62, 0xE9, 0x7A, 0xE8, 0x82, 0x2A, 0x8B, 0x0D, 0xAC, 0xAF, 0xBC");
asm(".byte 0x51, 0xC5, 0x76, 0xE6, 0x1A, 0xF7, 0x7C, 0xF7, 0x9D, 0xF7, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0x9D, 0xFF, 0x7C, 0xFF, 0x7C, 0xF7, 0x9C, 0xFF, 0x7C, 0xF7");
asm(".byte 0x5B, 0xFF, 0x3B, 0xF7, 0xD8, 0xEE, 0x97, 0xEE, 0x76, 0xEE, 0x35, 0xE6, 0x15, 0xDE, 0x15, 0xE6");
asm(".byte 0xD4, 0xDD, 0x51, 0xC5, 0x0A, 0x73, 0x27, 0x4A, 0x68, 0x5A, 0xA6, 0x39, 0x27, 0x4A, 0xE6, 0x41");
asm(".byte 0x2F, 0x8C, 0xB9, 0xD6, 0xDE, 0xFF, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xB9, 0xD6, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x5A, 0xEF, 0x8F, 0x94, 0x71, 0xAD, 0x39, 0xE7, 0x19, 0xE7, 0xD7, 0xDE, 0x19, 0xDF, 0xF8, 0xDE");
asm(".byte 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x31, 0xB9, 0xCE");
asm(".byte 0xE7, 0x39, 0x78, 0xC6, 0x27, 0x3A, 0x2B, 0x5B, 0xD8, 0xCE, 0xB7, 0xCE, 0xB1, 0xAD, 0x0E, 0x9D");
asm(".byte 0xCD, 0x94, 0xD1, 0xBD, 0x2F, 0xAD, 0x4B, 0x8C, 0xCB, 0x94, 0x51, 0xA5, 0xF0, 0x94, 0x90, 0x8C");
asm(".byte 0x94, 0xA5, 0xF6, 0xB5, 0x4F, 0x7C, 0x4C, 0x5B, 0xEF, 0x73, 0x34, 0x9D, 0x17, 0xB6, 0x0B, 0x5B");
asm(".byte 0x71, 0x8C, 0x6C, 0x6B, 0x48, 0x4A, 0xC6, 0x39, 0xA9, 0x52, 0xCA, 0x5A, 0x82, 0x10, 0xAA, 0x52");
asm(".byte 0x61, 0x08, 0x44, 0x29, 0x8D, 0x73, 0x65, 0x29, 0xC2, 0x18, 0x07, 0x42, 0x44, 0x29, 0x07, 0x42");
asm(".byte 0xC5, 0x39, 0xC6, 0x39, 0x04, 0x21, 0x82, 0x10, 0x64, 0x29, 0x61, 0x10, 0x44, 0x31, 0x44, 0x29");
asm(".byte 0xC2, 0x20, 0x64, 0x31, 0xA5, 0x39, 0xE6, 0x49, 0xE2, 0x28, 0xE5, 0x49, 0x67, 0x62, 0xC8, 0x6A");
asm(".byte 0x87, 0x6A, 0x09, 0x7B, 0xE8, 0x7A, 0x09, 0x83, 0x8A, 0x93, 0xCB, 0x9B, 0x8E, 0xB4, 0x72, 0xCD");
asm(".byte 0x56, 0xE6, 0x1A, 0xF7, 0x7C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xDF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x7C, 0xFF, 0x7C, 0xF7, 0x7C, 0xF7");
asm(".byte 0x7C, 0xFF, 0x7C, 0xFF, 0x5B, 0xFF, 0x1A, 0xF7, 0xB8, 0xEE, 0x97, 0xEE, 0x56, 0xE6, 0x56, 0xE6");
asm(".byte 0x35, 0xE6, 0x35, 0xE6, 0x15, 0xDE, 0x73, 0xCD, 0xA5, 0x41, 0xA5, 0x39, 0xC5, 0x39, 0xA9, 0x5A");
asm(".byte 0xF1, 0xA4, 0x8D, 0x73, 0x9C, 0xEF, 0xDD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7C, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0xBC, 0xF7, 0x57, 0xC6, 0x9C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0xF1, 0x9C, 0xCC, 0x7B, 0x5A, 0xEF, 0x39, 0xE7, 0x19, 0xE7, 0x55, 0xCE, 0xD9, 0xDE");
asm(".byte 0xD8, 0xD6, 0x97, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE8, 0x39");
asm(".byte 0xD2, 0x8C, 0x89, 0x4A, 0xD2, 0x8C, 0x89, 0x4A, 0x4F, 0x84, 0xCD, 0x73, 0x29, 0x5B, 0x10, 0x9D");
asm(".byte 0x89, 0x73, 0x50, 0xAD, 0x89, 0x73, 0xAD, 0x9C, 0x88, 0x7B, 0xAA, 0x73, 0xCF, 0x94, 0x87, 0x4A");
asm(".byte 0xB0, 0x8C, 0xC9, 0x52, 0xD1, 0x8C, 0x91, 0x8C, 0xAE, 0x6B, 0x30, 0x7C, 0x8A, 0x4A, 0x10, 0x7C");
asm(".byte 0x6E, 0x6B, 0x2C, 0x63, 0x2F, 0x84, 0x89, 0x4A, 0x0F, 0x7C, 0xAD, 0x73, 0xA5, 0x31, 0x65, 0x29");
asm(".byte 0x85, 0x31, 0xE3, 0x18, 0x48, 0x4A, 0xA5, 0x31, 0x65, 0x29, 0x85, 0x31, 0x68, 0x4A, 0xA6, 0x31");
asm(".byte 0x68, 0x4A, 0x68, 0x4A, 0x27, 0x42, 0xA2, 0x10, 0xC2, 0x18, 0x68, 0x52, 0x68, 0x52, 0x85, 0x31");
asm(".byte 0xA5, 0x31, 0xC2, 0x20, 0x81, 0x18, 0x03, 0x29, 0x06, 0x4A, 0xA8, 0x62, 0xA8, 0x6A, 0xA7, 0x6A");
asm(".byte 0x66, 0x62, 0xE8, 0x7A, 0xE8, 0x82, 0x8A, 0x93, 0x0C, 0xA4, 0xAE, 0xB4, 0x52, 0xCD, 0x56, 0xE6");
asm(".byte 0xB8, 0xEE, 0x1A, 0xF7, 0x5B, 0xF7, 0x9D, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xFF, 0x9C, 0xFF, 0x7C, 0xF7");
asm(".byte 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xF7, 0x7B, 0xFF, 0x5B, 0xF7, 0xF9, 0xF6, 0xB7, 0xEE, 0x97, 0xEE");
asm(".byte 0x56, 0xE6, 0x15, 0xDE, 0xF4, 0xDD, 0x36, 0xE6, 0x56, 0xE6, 0x8F, 0xA4, 0x03, 0x29, 0x65, 0x31");
asm(".byte 0xC6, 0x41, 0xA9, 0x62, 0x16, 0xC6, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7");
asm(".byte 0xBD, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x94, 0xB5, 0xF9, 0xDE, 0xBC, 0xF7, 0x7B, 0xEF, 0x3A, 0xE7");
asm(".byte 0x5B, 0xE7, 0x9C, 0xEF, 0x53, 0xA5, 0xD4, 0xB5, 0x9B, 0xEF, 0x3A, 0xE7, 0x19, 0xE7, 0xB7, 0xD6");
asm(".byte 0xD8, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x69, 0x42, 0x8A, 0x4A, 0xAA, 0x52, 0xAA, 0x4A, 0xA9, 0x52, 0xC9, 0x52, 0xE9, 0x5A, 0x09, 0x63");
asm(".byte 0x89, 0x73, 0x6B, 0x94, 0x6A, 0x94, 0x8B, 0x9C, 0xAB, 0x9C, 0xE9, 0x83, 0x49, 0x6B, 0xE8, 0x5A");
asm(".byte 0xE9, 0x5A, 0xC9, 0x52, 0xA9, 0x4A, 0xAA, 0x4A, 0x89, 0x4A, 0x69, 0x42, 0x8A, 0x4A, 0x6A, 0x4A");
asm(".byte 0x6A, 0x4A, 0x8B, 0x52, 0x45, 0x29, 0x68, 0x4A, 0xA6, 0x31, 0x85, 0x31, 0x89, 0x52, 0xC2, 0x18");
asm(".byte 0x07, 0x42, 0x61, 0x08, 0xC6, 0x39, 0xC6, 0x39, 0xE2, 0x18, 0xE3, 0x18, 0x48, 0x4A, 0x85, 0x31");
asm(".byte 0x81, 0x10, 0x88, 0x52, 0xA5, 0x31, 0x81, 0x10, 0xC2, 0x18, 0xA9, 0x52, 0x03, 0x21, 0x61, 0x10");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x64, 0x39, 0x26, 0x52, 0xA8, 0x6A, 0x26, 0x5A, 0x67, 0x62, 0x87, 0x6A");
asm(".byte 0xC8, 0x72, 0xE8, 0x82, 0xAB, 0x9B, 0xAB, 0x9B, 0x6D, 0xB4, 0x51, 0xCD, 0x15, 0xDE, 0xB7, 0xEE");
asm(".byte 0xD8, 0xEE, 0x1A, 0xEF, 0x3A, 0xEF, 0x5C, 0xF7, 0x9D, 0xF7, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF");
asm(".byte 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x5B, 0xF7, 0x1A, 0xF7, 0xD8, 0xEE");
asm(".byte 0x97, 0xEE, 0x56, 0xE6, 0x35, 0xE6, 0x15, 0xDE, 0xD4, 0xD5, 0x97, 0xEE, 0xF4, 0xD5, 0xA9, 0x62");
asm(".byte 0x03, 0x21, 0xE7, 0x41, 0xA9, 0x5A, 0x4F, 0x8C, 0xBD, 0xF7, 0x9D, 0xEF, 0x7C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x3B, 0xE7, 0x5B, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x3A, 0xE7, 0x7B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xBC, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x0E, 0x84, 0x3A, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF");
asm(".byte 0x1A, 0xE7, 0x19, 0xDF, 0x7B, 0xEF, 0x4A, 0x63, 0x67, 0x4A, 0x8F, 0x8C, 0x5B, 0xE7, 0x18, 0xDF");
asm(".byte 0x19, 0xDF, 0xD9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x57, 0xC6, 0x36, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x69, 0x4A, 0xAA, 0x4A, 0xAA, 0x52, 0xAA, 0x4A, 0x89, 0x4A, 0xCA, 0x52, 0x0A, 0x63");
asm(".byte 0x29, 0x63, 0x2B, 0x8C, 0x90, 0xD6, 0x8F, 0xDE, 0x8F, 0xDE, 0x8F, 0xDE, 0x8B, 0x94, 0x08, 0x63");
asm(".byte 0x09, 0x63, 0xE9, 0x5A, 0xA9, 0x4A, 0xA9, 0x4A, 0x89, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0x8B, 0x4A");
asm(".byte 0xAB, 0x52, 0xAB, 0x52, 0xAB, 0x52, 0x04, 0x21, 0xC6, 0x39, 0xA2, 0x18, 0x07, 0x42, 0x27, 0x42");
asm(".byte 0x04, 0x21, 0x82, 0x10, 0x65, 0x29, 0xE6, 0x39, 0xC6, 0x39, 0x44, 0x29, 0x44, 0x29, 0x44, 0x29");
asm(".byte 0xA2, 0x18, 0x24, 0x29, 0x27, 0x42, 0x61, 0x10, 0x03, 0x21, 0xA5, 0x39, 0x41, 0x08, 0x20, 0x08");
asm(".byte 0xC2, 0x18, 0x26, 0x4A, 0x06, 0x4A, 0x67, 0x5A, 0x67, 0x62, 0x46, 0x5A, 0x87, 0x62, 0xA8, 0x72");
asm(".byte 0x29, 0x8B, 0x49, 0x8B, 0x0C, 0xA4, 0x2C, 0xAC, 0x51, 0xCD, 0xD3, 0xDD, 0x56, 0xE6, 0x97, 0xEE");
asm(".byte 0xD8, 0xEE, 0xF9, 0xF6, 0x1A, 0xEF, 0x3B, 0xF7, 0x7C, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF");
asm(".byte 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF, 0x5B, 0xFF");
asm(".byte 0xF9, 0xF6, 0xB8, 0xEE, 0x76, 0xE6, 0x36, 0xE6, 0x35, 0xE6, 0xD4, 0xD5, 0xB8, 0xEE, 0xD8, 0xEE");
asm(".byte 0x32, 0xB5, 0x64, 0x31, 0xA6, 0x39, 0x48, 0x4A, 0xD1, 0xA4, 0x9C, 0xEF, 0x9D, 0xF7, 0x7C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x3A, 0xDF, 0x3A, 0xE7, 0xF9, 0xDE, 0x19, 0xDF, 0x1A, 0xDF, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x7B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x4B, 0x6B, 0x3A, 0xE7, 0x97, 0xCE");
asm(".byte 0x56, 0xC6, 0xF9, 0xDE, 0x1A, 0xDF, 0x1A, 0xDF, 0xD8, 0xD6, 0xAD, 0x73, 0xD9, 0xDE, 0x7C, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x98, 0xD6, 0x97, 0xCE, 0x57, 0xC6, 0x36, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x3A, 0x49, 0x42, 0x28, 0x42, 0x89, 0x4A, 0x28, 0x42, 0x0A, 0x5B");
asm(".byte 0xA8, 0x52, 0xA7, 0x52, 0x2A, 0x84, 0x0D, 0xC6, 0x0D, 0xCE, 0x4E, 0xD6, 0x6F, 0xD6, 0x0F, 0xC6");
asm(".byte 0xA6, 0x52, 0x09, 0x63, 0xC8, 0x52, 0x68, 0x42, 0xCA, 0x52, 0x69, 0x4A, 0x69, 0x42, 0x6A, 0x4A");
asm(".byte 0x49, 0x42, 0x8A, 0x4A, 0x8A, 0x4A, 0x8E, 0x6B, 0xC2, 0x10, 0x65, 0x31, 0x61, 0x10, 0x89, 0x4A");
asm(".byte 0x07, 0x3A, 0xA2, 0x18, 0xE3, 0x18, 0xC6, 0x39, 0xA6, 0x31, 0xA5, 0x31, 0x44, 0x29, 0xC6, 0x39");
asm(".byte 0xE3, 0x20, 0x61, 0x08, 0xA9, 0x52, 0x61, 0x10, 0x81, 0x10, 0xA2, 0x18, 0x61, 0x08, 0x20, 0x00");
asm(".byte 0x23, 0x29, 0x64, 0x39, 0x84, 0x39, 0x06, 0x52, 0x66, 0x5A, 0xA7, 0x62, 0xA7, 0x6A, 0xC8, 0x72");
asm(".byte 0x6A, 0x8B, 0xEC, 0xA3, 0x2C, 0xAC, 0xAE, 0xBC, 0x51, 0xCD, 0x14, 0xE6, 0x76, 0xE6, 0x97, 0xEE");
asm(".byte 0xD8, 0xEE, 0xF9, 0xEE, 0xFA, 0xF6, 0x1A, 0xF7, 0x3B, 0xF7, 0x5C, 0xF7, 0x9C, 0xF7, 0x9D, 0xFF");
asm(".byte 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDD, 0xFF, 0x9D, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF");
asm(".byte 0x5B, 0xF7, 0x1A, 0xF7, 0xD8, 0xEE, 0x76, 0xE6, 0x36, 0xE6, 0xF4, 0xDD, 0x35, 0xDE, 0xB8, 0xEE");
asm(".byte 0x1A, 0xEF, 0x36, 0xD6, 0xA9, 0x62, 0x27, 0x4A, 0x89, 0x5A, 0x8C, 0x73, 0xFA, 0xDE, 0xBD, 0xF7");
asm(".byte 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x1A, 0xDF");
asm(".byte 0x1A, 0xDF, 0x3A, 0xE7, 0x5B, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0xD8, 0xD6, 0x06, 0x42, 0x3A, 0xE7");
asm(".byte 0x5B, 0xEF, 0x3A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0xE8, 0x5A, 0x6F, 0x8C, 0x7B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x3A, 0xDF, 0x1B, 0xE7, 0x1A, 0xDF, 0xF9, 0xDE, 0xD9, 0xD6, 0x77, 0xCE, 0x56, 0xC6");
asm(".byte 0x15, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x94, 0xB9, 0xCE, 0xF3, 0x94, 0x54, 0x9D, 0x0B, 0x5B");
asm(".byte 0xF5, 0xB5, 0xAC, 0x6B, 0x93, 0xAD, 0x18, 0xDF, 0xB2, 0xDE, 0x15, 0xE7, 0x35, 0xEF, 0xB2, 0xDE");
asm(".byte 0x16, 0xDF, 0x0B, 0x7C, 0xF0, 0x9C, 0x15, 0xB6, 0xF1, 0x94, 0x33, 0x9D, 0x48, 0x42, 0xB5, 0xAD");
asm(".byte 0x8A, 0x4A, 0xD6, 0xB5, 0x13, 0x9D, 0x13, 0x9D, 0xF3, 0x94, 0x24, 0x21, 0x85, 0x31, 0x61, 0x08");
asm(".byte 0x6C, 0x6B, 0x28, 0x42, 0xC3, 0x18, 0x68, 0x4A, 0xA5, 0x31, 0xCA, 0x5A, 0xA9, 0x52, 0xC6, 0x39");
asm(".byte 0xC2, 0x18, 0x61, 0x10, 0x03, 0x21, 0xE2, 0x18, 0xA2, 0x10, 0x24, 0x21, 0xE3, 0x18, 0x61, 0x10");
asm(".byte 0x64, 0x31, 0x85, 0x31, 0x23, 0x29, 0x26, 0x4A, 0xC8, 0x62, 0xC9, 0x6A, 0x09, 0x73, 0x4A, 0x83");
asm(".byte 0x2D, 0x9C, 0x6D, 0xAC, 0x8E, 0xB4, 0x72, 0xD5, 0xD4, 0xDD, 0x55, 0xE6, 0x76, 0xE6, 0x97, 0xEE");
asm(".byte 0xB7, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xFA, 0xEE, 0x1A, 0xF7, 0x1A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x7C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF");
asm(".byte 0x5B, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0xD8, 0xEE, 0x76, 0xEE, 0x35, 0xE6, 0xD4, 0xDD, 0xF4, 0xDD");
asm(".byte 0x98, 0xEE, 0x5B, 0xF7, 0x5B, 0xF7, 0xF2, 0xAC, 0x85, 0x39, 0x8D, 0x73, 0xCD, 0x7B, 0x78, 0xCE");
asm(".byte 0xDD, 0xF7, 0x9D, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xDF, 0x19, 0xDF");
asm(".byte 0x19, 0xDF, 0x19, 0xDF, 0x3A, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x5A, 0xE7, 0x0D, 0x7C");
asm(".byte 0x5A, 0xE7, 0x9C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0xD8, 0xD6, 0xF9, 0xDE, 0x67, 0x4A, 0x32, 0xA5");
asm(".byte 0x39, 0xDF, 0x5A, 0xE7, 0xB7, 0xD6, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0x98, 0xCE");
asm(".byte 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB1, 0x8C, 0xD1, 0x8C, 0xF6, 0xB5, 0x0E, 0x74");
asm(".byte 0x4F, 0x7C, 0x11, 0x95, 0x31, 0x9D, 0x97, 0xC6, 0xD6, 0xD6, 0x36, 0xE7, 0x78, 0xEF, 0x35, 0xE7");
asm(".byte 0x15, 0xE7, 0xB5, 0xD6, 0x10, 0x9D, 0x11, 0x9D, 0x8F, 0x84, 0xD5, 0xAD, 0x0E, 0x74, 0x50, 0x7C");
asm(".byte 0x74, 0xA5, 0x0F, 0x7C, 0x57, 0xBE, 0xF6, 0xB5, 0x75, 0xA5, 0xCF, 0x73, 0x65, 0x29, 0xE7, 0x39");
asm(".byte 0x61, 0x08, 0xEA, 0x5A, 0xE7, 0x39, 0x81, 0x10, 0xAD, 0x73, 0xE2, 0x18, 0xEF, 0x7B, 0x27, 0x42");
asm(".byte 0x65, 0x29, 0xA2, 0x18, 0x61, 0x08, 0x69, 0x52, 0xE3, 0x20, 0xA2, 0x10, 0xC2, 0x18, 0xA2, 0x18");
asm(".byte 0x85, 0x31, 0x44, 0x31, 0x23, 0x21, 0x06, 0x4A, 0xAC, 0x83, 0x46, 0x52, 0x26, 0x52, 0xCC, 0x93");
asm(".byte 0xCB, 0x9B, 0xCF, 0xB4, 0x71, 0xD5, 0xD3, 0xDD, 0x35, 0xE6, 0x76, 0xE6, 0x97, 0xEE, 0xB7, 0xEE");
asm(".byte 0xB7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0xFA, 0xEE, 0x1A, 0xEF, 0x1A, 0xF7");
asm(".byte 0x3B, 0xF7, 0x7C, 0xF7, 0x9D, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF");
asm(".byte 0xDF, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x7B, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF");
asm(".byte 0x3B, 0xF7, 0x1A, 0xF7, 0xF9, 0xF6, 0xD9, 0xEE, 0x97, 0xEE, 0x76, 0xE6, 0xD4, 0xD5, 0x35, 0xE6");
asm(".byte 0x15, 0xDE, 0x36, 0xDE, 0x3B, 0xF7, 0x7C, 0xF7, 0xDA, 0xE6, 0x07, 0x4A, 0xCA, 0x62, 0xB1, 0x9C");
asm(".byte 0x57, 0xCE, 0xDD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x1A, 0xDF, 0xF9, 0xDE, 0x5A, 0xE7, 0x19, 0xDF, 0x3A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x93, 0xAD, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x3A, 0xE7, 0xF9, 0xDE, 0x15, 0xBE, 0xF5, 0xBD");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0xF9, 0xDE, 0x96, 0xCE, 0x1A, 0xDF, 0xF9, 0xDE, 0xD9, 0xD6, 0x98, 0xCE");
asm(".byte 0xD9, 0xD6, 0x97, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x71, 0x84, 0xD2, 0x8C, 0x89, 0x4A");
asm(".byte 0x91, 0x84, 0x07, 0x3A, 0x91, 0x8C, 0x2A, 0x5B, 0x87, 0x52, 0x4F, 0xAD, 0x6B, 0xB5, 0xEE, 0xC5");
asm(".byte 0x71, 0xDE, 0xED, 0xC5, 0x11, 0xC6, 0x49, 0x6B, 0xAF, 0x94, 0x6F, 0x84, 0x0A, 0x5B, 0xEE, 0x73");
asm(".byte 0x07, 0x3A, 0xAA, 0x4A, 0x0B, 0x5B, 0xCF, 0x73, 0x4D, 0x63, 0xCC, 0x52, 0x8E, 0x6B, 0x65, 0x29");
asm(".byte 0xC6, 0x39, 0x81, 0x10, 0xC6, 0x39, 0x03, 0x21, 0x24, 0x21, 0x0B, 0x63, 0x03, 0x21, 0xCD, 0x73");
asm(".byte 0x28, 0x42, 0x40, 0x08, 0xC2, 0x18, 0x65, 0x31, 0xA6, 0x31, 0xC2, 0x18, 0xE3, 0x18, 0xA2, 0x10");
asm(".byte 0xA2, 0x18, 0x82, 0x10, 0xE3, 0x18, 0xC5, 0x41, 0x2A, 0x73, 0xA5, 0x41, 0x68, 0x5A, 0xCB, 0x8B");
asm(".byte 0x0C, 0x9C, 0x4D, 0xA4, 0x72, 0xCD, 0xF4, 0xDD, 0x35, 0xE6, 0x76, 0xE6, 0x97, 0xEE, 0xB7, 0xEE");
asm(".byte 0xB7, 0xEE, 0xB7, 0xEE, 0x97, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7");
asm(".byte 0x1A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x7C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x5B, 0xF7");
asm(".byte 0x5B, 0xFF, 0x5B, 0xFF, 0x3B, 0xFF, 0xF9, 0xF6, 0xD8, 0xEE, 0x97, 0xEE, 0x35, 0xE6, 0x55, 0xE6");
asm(".byte 0xD4, 0xDD, 0xF5, 0xDD, 0xD4, 0xD5, 0x1A, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x50, 0x94, 0xA5, 0x39");
asm(".byte 0x2F, 0x8C, 0xF9, 0xDE, 0xDD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x7C, 0xEF, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x7B, 0xEF, 0xB4, 0xB5, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0xB7, 0xD6");
asm(".byte 0xE9, 0x5A, 0x7B, 0xEF, 0x3A, 0xE7, 0xF9, 0xDE, 0xB7, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6");
asm(".byte 0x97, 0xCE, 0xF9, 0xDE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x29, 0x42, 0x49, 0x42");
asm(".byte 0x69, 0x4A, 0x69, 0x42, 0x89, 0x4A, 0xA9, 0x52, 0xCA, 0x5A, 0xE8, 0x5A, 0x0A, 0x84, 0x8D, 0xBD");
asm(".byte 0x8B, 0xC5, 0xAB, 0xC5, 0xED, 0xCD, 0x49, 0x8C, 0xC7, 0x5A, 0xE8, 0x5A, 0xA9, 0x52, 0x89, 0x4A");
asm(".byte 0x69, 0x4A, 0x69, 0x4A, 0x69, 0x4A, 0xCA, 0x5A, 0x6A, 0x4A, 0x6B, 0x4A, 0x8B, 0x4A, 0x29, 0x42");
asm(".byte 0x85, 0x31, 0x24, 0x21, 0x61, 0x10, 0xE3, 0x20, 0x82, 0x10, 0x07, 0x42, 0x85, 0x31, 0xE7, 0x41");
asm(".byte 0x68, 0x4A, 0x65, 0x29, 0x82, 0x10, 0xCA, 0x5A, 0x44, 0x29, 0xA6, 0x39, 0x61, 0x10, 0x62, 0x10");
asm(".byte 0xC2, 0x18, 0x41, 0x08, 0xC2, 0x18, 0x44, 0x31, 0x2A, 0x73, 0x44, 0x31, 0x47, 0x52, 0x0D, 0x94");
asm(".byte 0xAC, 0x8B, 0xCB, 0x93, 0xCF, 0xBC, 0xF4, 0xDD, 0x56, 0xE6, 0x97, 0xEE, 0x97, 0xEE, 0x97, 0xEE");
asm(".byte 0xB7, 0xEE, 0x97, 0xEE, 0x97, 0xE6, 0x97, 0xEE, 0xB8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xFA, 0xEE, 0x1A, 0xF7, 0x3A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x7C, 0xF7, 0x9D, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF");
asm(".byte 0x7C, 0xFF, 0x7B, 0xFF, 0x5B, 0xFF, 0x5B, 0xF7, 0x5B, 0xF7, 0x1A, 0xF7, 0x97, 0xEE, 0x56, 0xE6");
asm(".byte 0x15, 0xDE, 0x35, 0xE6, 0xF5, 0xDD, 0x36, 0xE6, 0xD9, 0xEE, 0x3B, 0xF7, 0x7C, 0xF7, 0x38, 0xCE");
asm(".byte 0x44, 0x29, 0xEE, 0x7B, 0x58, 0xCE, 0xDE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9B, 0xEF, 0x5A, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x93, 0xB5, 0x19, 0xDF, 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF");
asm(".byte 0xF8, 0xDE, 0xE9, 0x5A, 0x9B, 0xEF, 0x19, 0xE7, 0xF8, 0xDE, 0xD8, 0xD6, 0xF9, 0xDE, 0x97, 0xCE");
asm(".byte 0xF9, 0xDE, 0x98, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x36, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x4A");
asm(".byte 0x8A, 0x4A, 0x8A, 0x4A, 0xAA, 0x4A, 0xAA, 0x4A, 0xC9, 0x52, 0xC9, 0x5A, 0xC8, 0x5A, 0x2B, 0x8C");
asm(".byte 0xAD, 0xBD, 0x8C, 0xC5, 0xAB, 0xC5, 0xED, 0xC5, 0x6A, 0x94, 0xC8, 0x5A, 0xC9, 0x5A, 0xA9, 0x52");
asm(".byte 0xA9, 0x4A, 0x8A, 0x4A, 0x69, 0x4A, 0x89, 0x52, 0xAA, 0x52, 0x8B, 0x52, 0x6B, 0x4A, 0xAC, 0x52");
asm(".byte 0x2A, 0x4A, 0xE7, 0x39, 0x04, 0x21, 0x61, 0x08, 0xE3, 0x20, 0x61, 0x08, 0xE6, 0x39, 0x03, 0x21");
asm(".byte 0xE7, 0x39, 0xA9, 0x52, 0xC2, 0x18, 0x2C, 0x63, 0x81, 0x10, 0xA5, 0x31, 0x03, 0x21, 0x41, 0x08");
asm(".byte 0x24, 0x21, 0x24, 0x21, 0x61, 0x10, 0x03, 0x21, 0x4B, 0x73, 0x43, 0x29, 0x47, 0x5A, 0x4D, 0x9C");
asm(".byte 0x09, 0x73, 0x09, 0x7B, 0x30, 0xC5, 0x10, 0xBD, 0x76, 0xEE, 0x76, 0xE6, 0x97, 0xEE, 0x97, 0xEE");
asm(".byte 0xB7, 0xEE, 0xB7, 0xEE, 0xB7, 0xEE, 0x97, 0xEE, 0xB7, 0xEE, 0xD8, 0xEE, 0xF8, 0xEE, 0xF9, 0xEE");
asm(".byte 0xF9, 0xEE, 0x19, 0xEF, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x7C, 0xF7");
asm(".byte 0x9C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF");
asm(".byte 0x7C, 0xFF, 0x7B, 0xFF, 0x5B, 0xFF, 0x7B, 0xFF, 0x5B, 0xFF, 0x5B, 0xF7, 0x1A, 0xF7, 0x97, 0xEE");
asm(".byte 0x56, 0xE6, 0x56, 0xE6, 0x35, 0xE6, 0x36, 0xE6, 0xF5, 0xDD, 0xB8, 0xEE, 0x1A, 0xEF, 0x7C, 0xF7");
asm(".byte 0x7C, 0xF7, 0x48, 0x52, 0x0A, 0x63, 0x74, 0xAD, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xDD, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x9B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x94, 0xB5, 0x19, 0xDF, 0x5B, 0xE7, 0x19, 0xDF, 0x19, 0xDF");
asm(".byte 0x3A, 0xE7, 0xCD, 0x7B, 0xAC, 0x73, 0xF9, 0xDE, 0x5A, 0xE7, 0xF8, 0xDE, 0x39, 0xDF, 0x19, 0xDF");
asm(".byte 0xD8, 0xD6, 0x97, 0xCE, 0xD9, 0xD6, 0x98, 0xCE, 0x98, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x89, 0x4A, 0x8A, 0x4A, 0xEB, 0x52, 0xAA, 0x4A, 0x69, 0x42, 0x0B, 0x5B, 0xE9, 0x5A, 0x29, 0x63");
asm(".byte 0x2A, 0x84, 0xCF, 0xBD, 0xAD, 0xBD, 0xEC, 0xC5, 0x0E, 0xCE, 0x4A, 0x8C, 0x08, 0x63, 0xA8, 0x52");
asm(".byte 0xC9, 0x52, 0xA9, 0x4A, 0xCB, 0x52, 0xAA, 0x4A, 0xCA, 0x52, 0xCB, 0x5A, 0x8A, 0x4A, 0xCC, 0x52");
asm(".byte 0xCC, 0x52, 0x8A, 0x4A, 0x07, 0x42, 0x82, 0x10, 0x03, 0x21, 0xE3, 0x18, 0x82, 0x10, 0x64, 0x29");
asm(".byte 0xE3, 0x20, 0x44, 0x29, 0x91, 0x94, 0xE3, 0x20, 0x65, 0x29, 0xA5, 0x31, 0x24, 0x29, 0xC3, 0x18");
asm(".byte 0x41, 0x08, 0xC6, 0x39, 0x00, 0x00, 0x43, 0x29, 0x4B, 0x73, 0x44, 0x31, 0x47, 0x52, 0x6E, 0xA4");
asm(".byte 0x66, 0x5A, 0xA8, 0x62, 0xAE, 0xB4, 0x4D, 0xA4, 0x92, 0xCD, 0x35, 0xDE, 0xB7, 0xEE, 0xB7, 0xEE");
asm(".byte 0xB7, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB7, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE");
asm(".byte 0xF9, 0xEE, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x7C, 0xFF, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9D, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xFF");
asm(".byte 0x7C, 0xFF, 0x7B, 0xFF, 0x5B, 0xF7, 0x5B, 0xFF, 0x5B, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0xF9, 0xEE");
asm(".byte 0xB7, 0xEE, 0x76, 0xEE, 0x56, 0xE6, 0x15, 0xE6, 0xF5, 0xDD, 0xD4, 0xD5, 0x97, 0xEE, 0xFA, 0xEE");
asm(".byte 0x7C, 0xF7, 0xBD, 0xFF, 0x50, 0x8C, 0x68, 0x4A, 0xB1, 0x94, 0xFE, 0xFF, 0xDD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x94, 0xB5, 0x1A, 0xE7, 0x19, 0xDF, 0x19, 0xDF");
asm(".byte 0x19, 0xE7, 0x3A, 0xE7, 0x6F, 0x8C, 0xF9, 0xDE, 0xF8, 0xDE, 0x19, 0xDF, 0x1A, 0xDF, 0x1A, 0xDF");
asm(".byte 0x1A, 0xDF, 0xD9, 0xDE, 0xD9, 0xDE, 0x77, 0xCE, 0x98, 0xCE, 0x98, 0xCE, 0x56, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x33, 0x95, 0x2C, 0x5B, 0x37, 0xB6, 0xCE, 0x6B, 0x0B, 0x53, 0x1A, 0xD7, 0x4E, 0x84");
asm(".byte 0xB7, 0xCE, 0xCF, 0x94, 0xB6, 0xD6, 0x52, 0xC6, 0xD5, 0xDE, 0x38, 0xE7, 0xB2, 0xB5, 0x15, 0xBE");
asm(".byte 0x6F, 0x84, 0x56, 0xBE, 0xCD, 0x6B, 0x70, 0x84, 0xB1, 0x8C, 0x2B, 0x5B, 0x54, 0xA5, 0x4D, 0x63");
asm(".byte 0xD6, 0xAD, 0x71, 0x84, 0xAF, 0x73, 0x2C, 0x63, 0x81, 0x10, 0x2C, 0x63, 0xE3, 0x18, 0xE3, 0x18");
asm(".byte 0xE7, 0x39, 0x44, 0x29, 0x48, 0x4A, 0xA6, 0x31, 0x48, 0x4A, 0xC2, 0x18, 0x03, 0x21, 0xC9, 0x5A");
asm(".byte 0x81, 0x10, 0x65, 0x29, 0xA2, 0x10, 0x23, 0x21, 0xAC, 0x7B, 0xE6, 0x41, 0x26, 0x4A, 0x6E, 0x9C");
asm(".byte 0x47, 0x52, 0x68, 0x5A, 0xCF, 0xAC, 0x6D, 0xA4, 0xCF, 0xB4, 0x31, 0xBD, 0x15, 0xDE, 0xD8, 0xEE");
asm(".byte 0xD7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE");
asm(".byte 0xF9, 0xEE, 0x1A, 0xEF, 0x5B, 0xF7, 0x7B, 0xF7, 0x9C, 0xFF, 0x9C, 0xFF, 0x9D, 0xFF, 0xBD, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0x9C, 0xF7, 0x7C, 0xFF, 0x7C, 0xFF, 0x5B, 0xF7, 0x5B, 0xFF, 0x5B, 0xFF, 0x3B, 0xF7, 0x1A, 0xF7");
asm(".byte 0xF9, 0xEE, 0x98, 0xEE, 0x76, 0xEE, 0x56, 0xE6, 0x36, 0xE6, 0x36, 0xE6, 0x56, 0xEE, 0x97, 0xEE");
asm(".byte 0xD9, 0xEE, 0x5C, 0xF7, 0xBE, 0xFF, 0xF7, 0xC5, 0x07, 0x42, 0x33, 0xA5, 0xBD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBD, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x5B, 0xE7, 0x94, 0xB5, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x19, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF, 0x26, 0x42, 0x19, 0xDF, 0xD8, 0xD6, 0x19, 0xDF, 0x96, 0xCE");
asm(".byte 0x19, 0xDF, 0xF9, 0xDE, 0xD8, 0xD6, 0xD9, 0xD6, 0x77, 0xCE, 0xB8, 0xD6, 0x98, 0xD6, 0x57, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x63, 0xCA, 0x52, 0xD6, 0xAD, 0x99, 0xC6, 0xFA, 0xD6, 0x5B, 0xDF");
asm(".byte 0x46, 0x42, 0x16, 0xBE, 0x89, 0x6B, 0x0B, 0x7C, 0x13, 0xBE, 0x6C, 0x8C, 0x0F, 0x9D, 0x92, 0xAD");
asm(".byte 0x6E, 0x84, 0x93, 0xA5, 0xF4, 0xAD, 0x16, 0xB6, 0xCA, 0x52, 0x8D, 0x63, 0x4C, 0x63, 0x70, 0x84");
asm(".byte 0x14, 0x9D, 0x8E, 0x6B, 0x38, 0xBE, 0xCB, 0x52, 0xEA, 0x5A, 0x41, 0x08, 0x74, 0xAD, 0x61, 0x08");
asm(".byte 0x44, 0x29, 0x8D, 0x6B, 0x61, 0x08, 0x89, 0x52, 0xA2, 0x10, 0x03, 0x21, 0xA6, 0x31, 0x44, 0x29");
asm(".byte 0x03, 0x21, 0x61, 0x08, 0x28, 0x4A, 0x40, 0x08, 0xC9, 0x5A, 0xA8, 0x5A, 0x06, 0x42, 0xAC, 0x83");
asm(".byte 0x07, 0x4A, 0x47, 0x52, 0x6D, 0xA4, 0x8E, 0xA4, 0x0D, 0x9C, 0xCF, 0xB4, 0x92, 0xD5, 0xB3, 0xCD");
asm(".byte 0x76, 0xE6, 0xB7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xB7, 0xEE, 0xD8, 0xEE");
asm(".byte 0xF9, 0xEE, 0x1A, 0xF7, 0x3B, 0xF7, 0x7C, 0xF7, 0x9D, 0xF7, 0xBD, 0xFF, 0xBD, 0xFF, 0xDD, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBE, 0xFF, 0x9D, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x5B, 0xF7");
asm(".byte 0x5B, 0xFF, 0x3A, 0xF7, 0xF9, 0xF6, 0xB7, 0xEE, 0x76, 0xE6, 0x76, 0xEE, 0x36, 0xE6, 0x56, 0xE6");
asm(".byte 0x77, 0xEE, 0xD9, 0xEE, 0x5B, 0xEF, 0xBD, 0xF7, 0x5C, 0xE7, 0x65, 0x31, 0x95, 0xB5, 0x9D, 0xEF");
asm(".byte 0xBD, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x5B, 0xE7, 0x7A, 0xEF, 0x7B, 0xEF, 0xB4, 0xB5, 0x3A, 0xE7");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x7A, 0xEF, 0x26, 0x42, 0x77, 0xCE, 0xF8, 0xDE, 0x1A, 0xE7");
asm(".byte 0x96, 0xCE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0x97, 0xCE");
asm(".byte 0x56, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x94, 0x0B, 0x5B, 0xF2, 0x94, 0x0A, 0x5B, 0xE6, 0x31");
asm(".byte 0x11, 0x95, 0x0A, 0x5B, 0xED, 0x73, 0xA7, 0x52, 0x71, 0xA5, 0x69, 0x6B, 0x51, 0xA5, 0x70, 0xAD");
asm(".byte 0xC7, 0x5A, 0xF1, 0x9C, 0x26, 0x42, 0x6F, 0x84, 0xE9, 0x52, 0xF2, 0x94, 0xF2, 0x94, 0x4D, 0x63");
asm(".byte 0xF2, 0x94, 0x8A, 0x4A, 0x10, 0x7C, 0x8E, 0x6B, 0x4D, 0x6B, 0x69, 0x4A, 0xC2, 0x18, 0x8D, 0x73");
asm(".byte 0xC2, 0x18, 0xA2, 0x10, 0x28, 0x42, 0xA2, 0x10, 0xC6, 0x39, 0x24, 0x21, 0x24, 0x21, 0xA5, 0x31");
asm(".byte 0x07, 0x42, 0xE3, 0x18, 0x65, 0x31, 0x41, 0x08, 0x64, 0x29, 0xEA, 0x62, 0x64, 0x31, 0x8C, 0x7B");
asm(".byte 0x06, 0x4A, 0x06, 0x4A, 0xAF, 0xAC, 0x6D, 0x9C, 0x6A, 0x83, 0x4D, 0xA4, 0x30, 0xC5, 0xF0, 0xBC");
asm(".byte 0x30, 0xC5, 0xD3, 0xD5, 0x76, 0xE6, 0xD8, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB7, 0xEE");
asm(".byte 0xD8, 0xEE, 0xD9, 0xEE, 0x1A, 0xEF, 0x3A, 0xF7, 0x5C, 0xF7, 0x9C, 0xF7, 0x9D, 0xFF, 0xBD, 0xFF");
asm(".byte 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0x9D, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF");
asm(".byte 0x7B, 0xFF, 0x5B, 0xF7, 0x5B, 0xFF, 0x5B, 0xFF, 0x1A, 0xF7, 0xB8, 0xEE, 0x56, 0xE6, 0x15, 0xDE");
asm(".byte 0x36, 0xE6, 0x97, 0xEE, 0xF9, 0xEE, 0x5C, 0xF7, 0xBE, 0xFF, 0xFF, 0xFF, 0xC6, 0x39, 0x13, 0xA5");
asm(".byte 0x7C, 0xEF, 0x9D, 0xF7, 0x7C, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0xBC, 0xF7, 0x9C, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0xB4, 0xB5");
asm(".byte 0x3A, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0xA4, 0x31, 0x19, 0xDF, 0x3A, 0xE7");
asm(".byte 0xF8, 0xDE, 0x96, 0xCE, 0xFA, 0xDE, 0xD9, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x36, 0xC6, 0x77, 0xCE");
asm(".byte 0x77, 0xCE, 0x36, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x89, 0x4A, 0xAA, 0x4A, 0x89, 0x4A, 0xAA, 0x52");
asm(".byte 0xA9, 0x52, 0xE9, 0x52, 0x0A, 0x5B, 0x4A, 0x6B, 0x8A, 0x73, 0xAA, 0x7B, 0xA9, 0x7B, 0xAA, 0x7B");
asm(".byte 0xA9, 0x7B, 0x68, 0x6B, 0x29, 0x63, 0xE9, 0x5A, 0xE9, 0x52, 0xC9, 0x52, 0xAA, 0x4A, 0xAA, 0x52");
asm(".byte 0xCB, 0x5A, 0x8D, 0x6B, 0x0D, 0x63, 0x2D, 0x63, 0x6F, 0x6B, 0x8A, 0x52, 0x24, 0x21, 0xE3, 0x20");
asm(".byte 0x64, 0x29, 0xA2, 0x10, 0x81, 0x10, 0x44, 0x29, 0x44, 0x29, 0x82, 0x10, 0xC6, 0x39, 0x85, 0x31");
asm(".byte 0x81, 0x10, 0x82, 0x10, 0xC2, 0x18, 0xC6, 0x39, 0xC2, 0x18, 0x0B, 0x63, 0x64, 0x31, 0xAC, 0x7B");
asm(".byte 0x88, 0x5A, 0x05, 0x4A, 0x4E, 0x9C, 0xCC, 0x8B, 0x29, 0x7B, 0x2D, 0xA4, 0x8E, 0xB4, 0xAE, 0xB4");
asm(".byte 0x2C, 0xA4, 0xAF, 0xBC, 0x31, 0xCD, 0x14, 0xDE, 0x97, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE");
asm(".byte 0xB7, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0x3A, 0xF7, 0x5B, 0xF7, 0x7C, 0xFF, 0x9D, 0xFF");
asm(".byte 0xBD, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDF, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9D, 0xFF, 0x9C, 0xFF, 0x9C, 0xFF");
asm(".byte 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF, 0x7B, 0xFF, 0x1A, 0xF7, 0xB8, 0xEE, 0x35, 0xDE");
asm(".byte 0x56, 0xE6, 0x77, 0xEE, 0xB8, 0xEE, 0xF9, 0xEE, 0x5C, 0xF7, 0xBE, 0xFF, 0xFF, 0xFF, 0xAA, 0x5A");
asm(".byte 0xEE, 0x7B, 0x9D, 0xEF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xDC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9B, 0xF7, 0x9B, 0xF7, 0x9C, 0xF7");
asm(".byte 0xF5, 0xBD, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0xB8, 0xDE, 0x6D, 0x8C, 0x7B, 0xEF");
asm(".byte 0x3A, 0xE7, 0xF8, 0xDE, 0xD8, 0xD6, 0xD9, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0xD4, 0xB5");
asm(".byte 0xD9, 0xD6, 0x98, 0xCE, 0x37, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x89, 0x4A, 0xAA, 0x4A, 0xAA, 0x4A");
asm(".byte 0xA9, 0x4A, 0xA9, 0x4A, 0xC9, 0x52, 0x09, 0x5B, 0x29, 0x63, 0xCA, 0x7B, 0x4C, 0xAD, 0xEF, 0xC5");
asm(".byte 0xEE, 0xC5, 0x6D, 0xB5, 0xE9, 0x7B, 0xE8, 0x5A, 0xE9, 0x5A, 0xC9, 0x52, 0xA9, 0x4A, 0xAA, 0x4A");
asm(".byte 0xAA, 0x52, 0x8A, 0x4A, 0x2C, 0x63, 0xCB, 0x5A, 0x0D, 0x5B, 0x2E, 0x6B, 0xAB, 0x52, 0x03, 0x21");
asm(".byte 0xE3, 0x20, 0x44, 0x29, 0x82, 0x10, 0xE3, 0x18, 0xC2, 0x18, 0xA6, 0x31, 0xA2, 0x10, 0x07, 0x42");
asm(".byte 0xE6, 0x39, 0xA2, 0x18, 0xA2, 0x18, 0x07, 0x42, 0xE3, 0x20, 0x64, 0x31, 0xC6, 0x41, 0x4B, 0x73");
asm(".byte 0xC5, 0x41, 0xC4, 0x39, 0xEC, 0x8B, 0x6A, 0x7B, 0xA8, 0x62, 0x2C, 0x9C, 0xAE, 0xB4, 0x0C, 0xA4");
asm(".byte 0xAB, 0x93, 0x8E, 0xAC, 0xAE, 0xBC, 0xEF, 0xC4, 0x72, 0xCD, 0x96, 0xE6, 0xD8, 0xEE, 0xD8, 0xEE");
asm(".byte 0xB7, 0xEE, 0xB7, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x5B, 0xF7");
asm(".byte 0x7C, 0xF7, 0x9D, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0x9D, 0xFF, 0x9D, 0xFF");
asm(".byte 0x9C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7C, 0xFF, 0x7B, 0xFF, 0x1A, 0xF7, 0x97, 0xEE");
asm(".byte 0x76, 0xE6, 0x35, 0xDE, 0x77, 0xEE, 0xB8, 0xEE, 0xFA, 0xEE, 0x7C, 0xF7, 0xBE, 0xFF, 0xDF, 0xFF");
asm(".byte 0xAE, 0x7B, 0x8D, 0x73, 0x7D, 0xEF, 0xDE, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7");
asm(".byte 0xBC, 0xF7, 0xF5, 0xBD, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x19, 0xE7, 0x49, 0x6B");
asm(".byte 0x39, 0xE7, 0x39, 0xE7, 0xB7, 0xD6, 0xF8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0xD4, 0xB5, 0x77, 0xC6, 0x36, 0xBE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x31, 0x69, 0x42");
asm(".byte 0x48, 0x42, 0xA9, 0x4A, 0x68, 0x42, 0xA9, 0x52, 0xE9, 0x52, 0xC8, 0x5A, 0x2B, 0x84, 0x2E, 0xCE");
asm(".byte 0x4E, 0xD6, 0x6E, 0xDE, 0x8F, 0xDE, 0x0C, 0xA5, 0x86, 0x52, 0xA8, 0x52, 0x88, 0x4A, 0x48, 0x42");
asm(".byte 0x48, 0x42, 0x48, 0x42, 0x49, 0x4A, 0xAA, 0x52, 0xEC, 0x5A, 0xCC, 0x5A, 0xCD, 0x5A, 0x8E, 0x73");
asm(".byte 0xC6, 0x31, 0xA2, 0x10, 0x48, 0x4A, 0xE3, 0x18, 0xA6, 0x31, 0x24, 0x21, 0x85, 0x31, 0xA6, 0x31");
asm(".byte 0x85, 0x31, 0x03, 0x21, 0xC6, 0x39, 0x48, 0x4A, 0xE2, 0x20, 0xE3, 0x20, 0xA5, 0x39, 0x06, 0x42");
asm(".byte 0x84, 0x31, 0xE6, 0x41, 0x8B, 0x7B, 0xE9, 0x62, 0x66, 0x52, 0xCB, 0x93, 0x4C, 0xA4, 0x0C, 0x9C");
asm(".byte 0x8A, 0x8B, 0xEB, 0x9B, 0xAE, 0xBC, 0x8E, 0xBC, 0xAE, 0xBC, 0xB3, 0xD5, 0x96, 0xEE, 0xB7, 0xEE");
asm(".byte 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0x3A, 0xF7");
asm(".byte 0x5B, 0xF7, 0x7C, 0xF7, 0x9D, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBE, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x9C, 0xFF, 0x7B, 0xFF, 0x5B, 0xF7, 0x1A, 0xF7");
asm(".byte 0xB8, 0xEE, 0x56, 0xE6, 0x56, 0xE6, 0x97, 0xEE, 0xB8, 0xEE, 0x1A, 0xF7, 0x7D, 0xF7, 0xBE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xD2, 0x9C, 0xCA, 0x5A, 0xDE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xD5, 0xBD, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0xF1, 0x9C");
asm(".byte 0xCF, 0x9C, 0x19, 0xE7, 0x19, 0xDF, 0x97, 0xD6, 0x97, 0xCE, 0x77, 0xCE, 0x76, 0xCE, 0x76, 0xCE");
asm(".byte 0x56, 0xC6, 0x56, 0xC6, 0x36, 0xBE, 0x15, 0xBE, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB5, 0xA5");
asm(".byte 0x74, 0x9D, 0x0B, 0x53, 0x6F, 0x7C, 0xEA, 0x52, 0xD8, 0xCE, 0xCB, 0x6B, 0x31, 0x9D, 0x58, 0xE7");
asm(".byte 0x6C, 0xB5, 0x77, 0xEF, 0x30, 0xCE, 0xD2, 0xDE, 0x12, 0xBE, 0x51, 0xA5, 0xB3, 0xAD, 0xD1, 0x94");
asm(".byte 0x90, 0x8C, 0x53, 0x9D, 0x8D, 0x6B, 0x70, 0x84, 0x4D, 0x63, 0x13, 0x9D, 0x34, 0x9D, 0xD7, 0xB5");
asm(".byte 0x35, 0xA5, 0x69, 0x4A, 0x41, 0x08, 0x89, 0x4A, 0x69, 0x4A, 0x65, 0x29, 0x70, 0x8C, 0xE3, 0x18");
asm(".byte 0x89, 0x52, 0x44, 0x29, 0xC7, 0x39, 0x48, 0x4A, 0x2B, 0x63, 0xC2, 0x18, 0x48, 0x4A, 0x0B, 0x63");
asm(".byte 0xEA, 0x5A, 0x6C, 0x73, 0xC9, 0x62, 0xAC, 0x7B, 0x27, 0x4A, 0x6A, 0x7B, 0x0C, 0x9C, 0xEC, 0x9B");
asm(".byte 0x6A, 0x83, 0x0C, 0x9C, 0xCE, 0xBC, 0xCE, 0xBC, 0x6E, 0xB4, 0x51, 0xCD, 0x55, 0xE6, 0x97, 0xEE");
asm(".byte 0xD7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xB8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE");
asm(".byte 0x19, 0xF7, 0x3B, 0xF7, 0x7C, 0xF7, 0x9D, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0x9D, 0xFF, 0x9C, 0xFF, 0x7C, 0xFF, 0x5B, 0xF7");
asm(".byte 0x1A, 0xF7, 0xB7, 0xEE, 0x76, 0xE6, 0x56, 0xE6, 0xB8, 0xEE, 0xD8, 0xEE, 0x1A, 0xF7, 0x7D, 0xF7");
asm(".byte 0xBE, 0xFF, 0xFE, 0xFF, 0x34, 0xA5, 0x4C, 0x6B, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xFF, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0x12, 0xA5, 0x9C, 0xEF, 0xBC, 0xF7, 0x9B, 0xF7, 0x9B, 0xF7");
asm(".byte 0x72, 0xAD, 0x11, 0xA5, 0x3A, 0xE7, 0xD8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0x76, 0xCE");
asm(".byte 0x77, 0xC6, 0x56, 0xC6, 0x15, 0xBE, 0x36, 0xC6, 0x36, 0xBE, 0xF5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xD5, 0xAD, 0x16, 0xB6, 0x70, 0x84, 0x6B, 0x5B, 0x90, 0x84, 0x2E, 0x7C, 0xEC, 0x73, 0xCB, 0x73");
asm(".byte 0xB0, 0xB5, 0x16, 0xE7, 0x57, 0xEF, 0xB2, 0xDE, 0x4E, 0xCE, 0x53, 0xCE, 0xF4, 0xBD, 0x6A, 0x6B");
asm(".byte 0x73, 0xAD, 0xAD, 0x6B, 0xB1, 0x8C, 0x50, 0x84, 0x6D, 0x63, 0xAF, 0x73, 0x34, 0xA5, 0x0C, 0x63");
asm(".byte 0xD3, 0x94, 0x75, 0xA5, 0xA9, 0x52, 0x45, 0x29, 0x89, 0x4A, 0xA6, 0x31, 0xEA, 0x5A, 0xCA, 0x5A");
asm(".byte 0x40, 0x08, 0x89, 0x4A, 0x24, 0x21, 0x85, 0x31, 0x6F, 0x94, 0xC2, 0x18, 0xA2, 0x18, 0xA5, 0x31");
asm(".byte 0xA9, 0x5A, 0x88, 0x52, 0x67, 0x4A, 0x8B, 0x73, 0xA9, 0x5A, 0x67, 0x52, 0xCC, 0x8B, 0xEC, 0x93");
asm(".byte 0x26, 0x5A, 0x49, 0x83, 0xAE, 0xB4, 0x8D, 0xB4, 0x8E, 0xB4, 0xAE, 0xBC, 0xB2, 0xD5, 0x56, 0xE6");
asm(".byte 0x97, 0xEE, 0xB7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB7, 0xEE, 0xB7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE");
asm(".byte 0xF9, 0xEE, 0x19, 0xEF, 0x3A, 0xF7, 0x5B, 0xF7, 0x7C, 0xF7, 0x9C, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xFF, 0x7C, 0xFF, 0x5B, 0xF7");
asm(".byte 0x3B, 0xF7, 0xF9, 0xF6, 0x97, 0xE6, 0x76, 0xE6, 0x56, 0xE6, 0x97, 0xEE, 0x98, 0xE6, 0xFA, 0xF6");
asm(".byte 0x7C, 0xF7, 0xBE, 0xFF, 0xDE, 0xF7, 0x34, 0xA5, 0x50, 0x8C, 0xFF, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xDD, 0xF7, 0xDD, 0xFF, 0xDD, 0xF7, 0x12, 0x9D, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xF7, 0x59, 0xE7, 0x9B, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7, 0x96, 0xCE, 0x5B, 0xE7, 0x5A, 0xE7");
asm(".byte 0x3A, 0xDF, 0x19, 0xDF, 0x1A, 0xDF, 0xF5, 0xB5, 0x56, 0xBE, 0x56, 0xC6, 0xD5, 0xB5, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xCA, 0x4A, 0xAD, 0x6B, 0x07, 0x32, 0xEE, 0x6B, 0x68, 0x42, 0xC9, 0x52, 0x0A, 0x63");
asm(".byte 0x2C, 0x7C, 0x4A, 0x8C, 0xED, 0xC5, 0x0E, 0xCE, 0xEE, 0xCD, 0x90, 0xD6, 0xCC, 0x94, 0xEB, 0x7B");
asm(".byte 0x8B, 0x6B, 0x4A, 0x63, 0xCD, 0x6B, 0xCD, 0x73, 0x69, 0x42, 0xCF, 0x73, 0xAB, 0x52, 0xF0, 0x7B");
asm(".byte 0x2D, 0x63, 0x31, 0x7C, 0xAF, 0x73, 0x65, 0x29, 0xAA, 0x52, 0xA5, 0x31, 0xA2, 0x10, 0x85, 0x31");
asm(".byte 0xC6, 0x39, 0x03, 0x21, 0x65, 0x29, 0xE3, 0x18, 0xE6, 0x39, 0x0B, 0x63, 0x81, 0x10, 0x65, 0x31");
asm(".byte 0x07, 0x42, 0x88, 0x52, 0x0A, 0x63, 0xA8, 0x5A, 0x88, 0x5A, 0xE5, 0x41, 0x6B, 0x7B, 0x2A, 0x73");
asm(".byte 0x67, 0x5A, 0x26, 0x52, 0xAA, 0x93, 0x4D, 0xAC, 0x8D, 0xB4, 0x8D, 0xBC, 0x6D, 0xBC, 0x10, 0xC5");
asm(".byte 0xF4, 0xDD, 0x76, 0xE6, 0xB7, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB7, 0xEE, 0xB7, 0xEE, 0xB8, 0xEE");
asm(".byte 0xD8, 0xEE, 0xF9, 0xEE, 0x19, 0xEF, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x7C, 0xF7");
asm(".byte 0x9D, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF");
asm(".byte 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0x9C, 0xFF, 0x5B, 0xF7");
asm(".byte 0x3A, 0xF7, 0x1A, 0xF7, 0xB8, 0xEE, 0x97, 0xE6, 0x76, 0xE6, 0x56, 0xE6, 0x56, 0xE6, 0xB8, 0xEE");
asm(".byte 0xF9, 0xEE, 0x5B, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0x92, 0x94, 0xF3, 0x9C, 0xDA, 0xD6, 0xB9, 0xD6");
asm(".byte 0x99, 0xD6, 0x99, 0xD6, 0xB9, 0xD6, 0x78, 0xCE, 0x78, 0xCE, 0x78, 0xCE, 0x58, 0xCE, 0x37, 0xC6");
asm(".byte 0x37, 0xC6, 0x99, 0xD6, 0x16, 0xC6, 0x77, 0xCE, 0xBC, 0xF7, 0x2A, 0x63, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xB3, 0xB5, 0xD5, 0xBD, 0x46, 0x4A, 0xB3, 0xB5, 0x52, 0xAD, 0x10, 0x9D, 0x52, 0xA5, 0xD0, 0x94");
asm(".byte 0x8F, 0x8C, 0x8F, 0x8C, 0x4E, 0x84, 0x6F, 0x84, 0x2E, 0x84, 0x0D, 0x7C, 0xED, 0x7B, 0xAC, 0x6B");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x49, 0x42, 0x89, 0x42, 0x89, 0x4A, 0x89, 0x4A, 0xAA, 0x52, 0xC9, 0x52");
asm(".byte 0x09, 0x5B, 0x29, 0x63, 0x8B, 0x94, 0x0D, 0xCE, 0xED, 0xCD, 0x0D, 0xCE, 0x2D, 0xCE, 0x8B, 0x94");
asm(".byte 0x09, 0x63, 0x09, 0x5B, 0xC9, 0x5A, 0xA9, 0x52, 0x89, 0x4A, 0x8A, 0x4A, 0x8A, 0x4A, 0xEC, 0x5A");
asm(".byte 0xED, 0x5A, 0x4E, 0x6B, 0x8E, 0x73, 0x6F, 0x6B, 0xE7, 0x41, 0x2C, 0x63, 0x03, 0x21, 0x03, 0x21");
asm(".byte 0x85, 0x31, 0xE6, 0x41, 0x03, 0x21, 0xC2, 0x18, 0x82, 0x10, 0xCA, 0x5A, 0xA5, 0x31, 0xA2, 0x18");
asm(".byte 0x85, 0x31, 0x07, 0x42, 0xA9, 0x5A, 0x67, 0x52, 0x27, 0x4A, 0xA5, 0x39, 0x47, 0x52, 0xE9, 0x6A");
asm(".byte 0x05, 0x4A, 0xA5, 0x41, 0x09, 0x7B, 0xEB, 0x9B, 0x4D, 0xAC, 0x6D, 0xB4, 0x2C, 0xAC, 0x6D, 0xB4");
asm(".byte 0xCF, 0xC4, 0xB3, 0xDD, 0x56, 0xE6, 0x97, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xB7, 0xEE");
asm(".byte 0xB8, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7");
asm(".byte 0x3B, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x5C, 0xF7, 0x5C, 0xF7, 0x7C, 0xF7");
asm(".byte 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x5C, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x5B, 0xF7, 0x7C, 0xF7, 0x5C, 0xF7, 0x9C, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x7C, 0xF7, 0x7B, 0xF7");
asm(".byte 0x1A, 0xF7, 0xD9, 0xEE, 0xB8, 0xEE, 0x97, 0xEE, 0x77, 0xE6, 0x76, 0xE6, 0x56, 0xE6, 0x56, 0xE6");
asm(".byte 0xB7, 0xEE, 0x98, 0xE6, 0x1A, 0xEF, 0x7C, 0xF7, 0xBD, 0xF7, 0x50, 0x8C, 0x58, 0xCE, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xF7, 0xDE, 0xF7, 0xDE, 0xF7, 0xBE, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x2F, 0x84, 0x7B, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x8B, 0x73, 0x69, 0x6B, 0x9B, 0xEF, 0x3A, 0xE7, 0x5A, 0xE7");
asm(".byte 0xF9, 0xDE, 0xD8, 0xDE, 0xF8, 0xDE, 0xD8, 0xD6, 0x97, 0xCE, 0x97, 0xCE, 0x36, 0xC6, 0x15, 0xBE");
asm(".byte 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x3A, 0x89, 0x4A, 0x69, 0x4A, 0x89, 0x4A, 0x89, 0x4A");
asm(".byte 0xEA, 0x52, 0xE9, 0x5A, 0x09, 0x63, 0x8B, 0x94, 0x0D, 0xCE, 0x0D, 0xCE, 0x0D, 0xCE, 0x2D, 0xD6");
asm(".byte 0xCB, 0x9C, 0x09, 0x63, 0xE9, 0x5A, 0xC9, 0x52, 0xA9, 0x52, 0x89, 0x4A, 0x6A, 0x4A, 0xAB, 0x52");
asm(".byte 0xEC, 0x5A, 0x0D, 0x63, 0x4D, 0x63, 0xAF, 0x73, 0xB0, 0x73, 0xE7, 0x41, 0x0E, 0x7C, 0xA2, 0x10");
asm(".byte 0x24, 0x21, 0xE6, 0x39, 0x85, 0x31, 0xA2, 0x10, 0x03, 0x21, 0x61, 0x10, 0x4C, 0x6B, 0x61, 0x10");
asm(".byte 0xC2, 0x18, 0x44, 0x29, 0xC9, 0x5A, 0x27, 0x4A, 0x68, 0x52, 0xC5, 0x39, 0x47, 0x52, 0x67, 0x52");
asm(".byte 0xC5, 0x41, 0xC5, 0x41, 0x09, 0x7B, 0x8B, 0x93, 0x0B, 0xA4, 0x4D, 0xB4, 0x0C, 0xAC, 0x2C, 0xAC");
asm(".byte 0x6D, 0xB4, 0xCE, 0xC4, 0x51, 0xCD, 0x35, 0xE6, 0x97, 0xEE, 0xB8, 0xEE, 0xD9, 0xEE, 0xD8, 0xEE");
asm(".byte 0xB8, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x3B, 0xF7");
asm(".byte 0x3B, 0xF7, 0x3A, 0xF7, 0x1A, 0xF7, 0xFA, 0xEE, 0xDA, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xD9, 0xEE, 0xD9, 0xEE, 0xB8, 0xEE, 0x77, 0xDE, 0x77, 0xE6, 0x77, 0xE6, 0x77, 0xE6, 0x78, 0xE6");
asm(".byte 0x98, 0xE6, 0xB8, 0xEE, 0xFA, 0xEE, 0x1B, 0xEF, 0x1B, 0xEF, 0x7C, 0xF7, 0xB9, 0xE6, 0x5B, 0xF7");
asm(".byte 0xD9, 0xEE, 0x98, 0xE6, 0x36, 0xDE, 0x15, 0xDE, 0xF5, 0xD5, 0x77, 0xE6, 0x56, 0xE6, 0xF4, 0xD5");
asm(".byte 0xD4, 0xD5, 0x76, 0xE6, 0x76, 0xDE, 0x77, 0xDE, 0x1A, 0xEF, 0x5C, 0xEF, 0x71, 0x94, 0xFA, 0xDE");
asm(".byte 0xDE, 0xF7, 0xDE, 0xF7, 0xDE, 0xF7, 0xBE, 0xF7, 0xBD, 0xF7, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x73, 0xAD");
asm(".byte 0x7B, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x1A, 0xE7, 0x2B, 0x84, 0x6C, 0x8C, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0xF8, 0xDE, 0xF9, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6, 0xD5, 0xB5, 0xD8, 0xD6");
asm(".byte 0x56, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x31, 0xA9, 0x4A, 0x27, 0x3A, 0xA9, 0x4A");
asm(".byte 0x69, 0x4A, 0xA9, 0x4A, 0xA7, 0x4A, 0xE8, 0x62, 0xCC, 0x9C, 0x0D, 0xCE, 0x0E, 0xCE, 0x2E, 0xD6");
asm(".byte 0x4E, 0xCE, 0xCB, 0x9C, 0x08, 0x63, 0x87, 0x4A, 0xC9, 0x52, 0x88, 0x4A, 0xA9, 0x4A, 0xCA, 0x52");
asm(".byte 0x8A, 0x4A, 0xAB, 0x4A, 0xCC, 0x52, 0x6E, 0x6B, 0xAE, 0x73, 0x6F, 0x73, 0x65, 0x29, 0x0F, 0x84");
asm(".byte 0x61, 0x08, 0x24, 0x21, 0x27, 0x42, 0x24, 0x21, 0xE3, 0x18, 0xA2, 0x10, 0x03, 0x21, 0x07, 0x42");
asm(".byte 0x03, 0x21, 0xC2, 0x18, 0x85, 0x31, 0x0A, 0x63, 0x47, 0x4A, 0xA5, 0x31, 0x06, 0x42, 0x47, 0x52");
asm(".byte 0xE5, 0x41, 0x84, 0x39, 0xC8, 0x6A, 0x29, 0x83, 0xCC, 0x9B, 0x0C, 0xAC, 0xEB, 0xA3, 0x2C, 0xAC");
asm(".byte 0x2C, 0xB4, 0x4D, 0xB4, 0x6D, 0xB4, 0xEF, 0xC4, 0x35, 0xE6, 0xB7, 0xEE, 0xF9, 0xEE, 0x1A, 0xEF");
asm(".byte 0x1A, 0xF7, 0xD9, 0xEE, 0xB8, 0xEE, 0x97, 0xE6, 0x98, 0xEE, 0xD8, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE");
asm(".byte 0xF9, 0xEE, 0xD9, 0xEE, 0x97, 0xE6, 0x56, 0xE6, 0x36, 0xE6, 0x36, 0xE6, 0x36, 0xE6, 0x56, 0xE6");
asm(".byte 0x77, 0xE6, 0x77, 0xE6, 0x56, 0xE6, 0x36, 0xE6, 0x36, 0xE6, 0xF5, 0xDD, 0x35, 0xE6, 0x36, 0xE6");
asm(".byte 0x36, 0xDE, 0x16, 0xDE, 0x77, 0xE6, 0xF9, 0xEE, 0x1A, 0xEF, 0xDA, 0xE6, 0xD9, 0xE6, 0xF9, 0xEE");
asm(".byte 0x77, 0xDE, 0x77, 0xE6, 0x15, 0xDE, 0xF5, 0xDD, 0x52, 0xC5, 0x11, 0xC5, 0xCF, 0xBC, 0xAF, 0xBC");
asm(".byte 0xD0, 0xBC, 0xF0, 0xC4, 0xCF, 0xBC, 0xD0, 0xBC, 0x8F, 0xB4, 0xED, 0x93, 0x2E, 0x9C, 0x0E, 0x8C");
asm(".byte 0xFA, 0xDE, 0xDE, 0xF7, 0xBE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0xD5, 0xB5, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x3A, 0xE7, 0x35, 0xC6, 0xD8, 0xDE, 0x5B, 0xEF");
asm(".byte 0x19, 0xE7, 0x19, 0xE7, 0xD8, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0x97, 0xCE, 0x94, 0xB5");
asm(".byte 0x1A, 0xDF, 0xD8, 0xD6, 0xB8, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB1, 0x8C, 0x70, 0x84, 0x16, 0xB6");
asm(".byte 0xF1, 0x8C, 0x4C, 0x5B, 0xF9, 0xCE, 0x56, 0xBE, 0x09, 0x63, 0xB6, 0xD6, 0xD2, 0xD6, 0x77, 0xEF");
asm(".byte 0x15, 0xE7, 0x14, 0xE7, 0x53, 0xC6, 0xB2, 0xAD, 0xF0, 0x94, 0x73, 0xA5, 0xED, 0x73, 0xF2, 0x94");
asm(".byte 0x30, 0x7C, 0xB6, 0xAD, 0x95, 0xA5, 0x72, 0x84, 0xF3, 0x94, 0xEF, 0x7B, 0xB7, 0xB5, 0x08, 0x42");
asm(".byte 0x50, 0x8C, 0x82, 0x10, 0xA6, 0x31, 0x4C, 0x6B, 0xE3, 0x18, 0x85, 0x31, 0xA2, 0x10, 0xA6, 0x31");
asm(".byte 0x44, 0x29, 0x68, 0x4A, 0x24, 0x29, 0x0B, 0x63, 0x84, 0x31, 0xED, 0x7B, 0x88, 0x52, 0x6C, 0x73");
asm(".byte 0x27, 0x4A, 0x84, 0x39, 0x0A, 0x73, 0x49, 0x83, 0x2A, 0x83, 0xCB, 0x9B, 0xEB, 0xA3, 0x0C, 0xAC");
asm(".byte 0x0C, 0xAC, 0x0C, 0xAC, 0x0C, 0xAC, 0x8E, 0xBC, 0x51, 0xCD, 0x96, 0xEE, 0xF8, 0xEE, 0x3A, 0xF7");
asm(".byte 0x1A, 0xF7, 0xB4, 0xC5, 0xD8, 0xEE, 0x98, 0xE6, 0x77, 0xE6, 0x56, 0xE6, 0x56, 0xE6, 0x56, 0xE6");
asm(".byte 0x57, 0xE6, 0x57, 0xE6, 0x36, 0xE6, 0x36, 0xE6, 0x35, 0xDE, 0x15, 0xDE, 0xF5, 0xDD, 0x15, 0xDE");
asm(".byte 0xD4, 0xD5, 0x15, 0xDE, 0x35, 0xDE, 0xD4, 0xD5, 0xF4, 0xDD, 0x15, 0xDE, 0xD4, 0xDD, 0xB4, 0xD5");
asm(".byte 0xD4, 0xD5, 0xD4, 0xD5, 0x36, 0xDE, 0x98, 0xE6, 0x1A, 0xEF, 0xD9, 0xE6, 0xF9, 0xEE, 0x98, 0xE6");
asm(".byte 0x36, 0xDE, 0xB4, 0xD5, 0xD4, 0xD5, 0x72, 0xCD, 0x11, 0xBD, 0x2D, 0xA4, 0x2D, 0xAC, 0x4D, 0xAC");
asm(".byte 0x0D, 0xA4, 0xEC, 0xA3, 0xED, 0xA3, 0xCC, 0x9B, 0x6A, 0x93, 0x4A, 0x8B, 0x6B, 0x8B, 0x4B, 0x8B");
asm(".byte 0x2E, 0x94, 0x78, 0xCE, 0xDE, 0xF7, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0xD5, 0xB5, 0x7B, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0x5A, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x19, 0xE7, 0x39, 0xE7, 0x3A, 0xE7, 0xF8, 0xDE, 0xF8, 0xDE, 0xB8, 0xD6, 0x97, 0xD6, 0xB8, 0xD6");
asm(".byte 0xF5, 0xBD, 0x98, 0xCE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB9, 0xC6, 0xD5, 0xAD");
asm(".byte 0xFA, 0xCE, 0x16, 0xB6, 0xD2, 0x8C, 0x16, 0xB6, 0x36, 0xBE, 0x4A, 0x63, 0x8D, 0x94, 0x11, 0xBE");
asm(".byte 0xB5, 0xDE, 0x4E, 0xAD, 0xF1, 0xBD, 0x90, 0xAD, 0xAB, 0x6B, 0xD4, 0xB5, 0xED, 0x73, 0xA8, 0x4A");
asm(".byte 0x53, 0x9D, 0xE6, 0x31, 0xD2, 0x8C, 0x95, 0xA5, 0x75, 0xA5, 0xB2, 0x8C, 0x92, 0x8C, 0x55, 0xA5");
asm(".byte 0x48, 0x42, 0x6C, 0x6B, 0xE4, 0x20, 0x24, 0x21, 0x48, 0x4A, 0x28, 0x42, 0x44, 0x29, 0xA2, 0x18");
asm(".byte 0xE3, 0x20, 0xE7, 0x39, 0x24, 0x21, 0x86, 0x31, 0xEF, 0x83, 0xC9, 0x5A, 0x0A, 0x63, 0xC9, 0x5A");
asm(".byte 0x88, 0x52, 0x06, 0x4A, 0x87, 0x62, 0x09, 0x73, 0x67, 0x62, 0x29, 0x83, 0x8A, 0x93, 0xEB, 0xA3");
asm(".byte 0x0C, 0xAC, 0x0C, 0xAC, 0x0B, 0xAC, 0x4D, 0xB4, 0xEF, 0xC4, 0xB3, 0xD5, 0xB7, 0xEE, 0x19, 0xF7");
asm(".byte 0xF9, 0xEE, 0x8F, 0xAC, 0x93, 0xC5, 0xB3, 0xCD, 0x31, 0xBD, 0xB3, 0xCD, 0xF4, 0xD5, 0xD4, 0xD5");
asm(".byte 0x52, 0xCD, 0x72, 0xCD, 0x31, 0xC5, 0xB4, 0xD5, 0x73, 0xCD, 0x93, 0xCD, 0xD0, 0xB4, 0x52, 0xC5");
asm(".byte 0x52, 0xC5, 0x52, 0xC5, 0x92, 0xCD, 0xB2, 0xD5, 0xB3, 0xD5, 0x31, 0xC5, 0x52, 0xCD, 0xD4, 0xDD");
asm(".byte 0xD4, 0xDD, 0xD4, 0xDD, 0xB3, 0xD5, 0x56, 0xDE, 0x56, 0xDE, 0xD9, 0xEE, 0xF9, 0xEE, 0x77, 0xDE");
asm(".byte 0x15, 0xD6, 0xD0, 0xB4, 0xAF, 0xB4, 0x0C, 0x9C, 0x4A, 0x83, 0x8B, 0x8B, 0xCC, 0x93, 0x2A, 0x7B");
asm(".byte 0xE6, 0x49, 0x64, 0x39, 0xA5, 0x41, 0x47, 0x5A, 0xA8, 0x6A, 0x88, 0x6A, 0x26, 0x5A, 0x85, 0x41");
asm(".byte 0x67, 0x62, 0xED, 0x8B, 0xF6, 0xC5, 0xDE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7C, 0xEF, 0xD5, 0xBD, 0x5B, 0xE7, 0x9C, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x5A, 0xEF");
asm(".byte 0x39, 0xE7, 0x39, 0xE7, 0x96, 0xCE, 0x7B, 0xEF, 0xF9, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xF9, 0xDE, 0x97, 0xCE, 0x97, 0xD6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x31");
asm(".byte 0xEE, 0x73, 0x6C, 0x63, 0x91, 0x84, 0x07, 0x3A, 0x6F, 0x84, 0x09, 0x5B, 0xA7, 0x52, 0x72, 0xA5");
asm(".byte 0x89, 0x6B, 0xEE, 0x9C, 0xEB, 0x7B, 0x8D, 0x8C, 0x51, 0xA5, 0x10, 0x9D, 0x09, 0x5B, 0x90, 0x8C");
asm(".byte 0x67, 0x42, 0x0E, 0x74, 0x49, 0x42, 0x30, 0x7C, 0x8E, 0x6B, 0x2D, 0x5B, 0xF3, 0x9C, 0xCF, 0x73");
asm(".byte 0x31, 0x84, 0x8A, 0x52, 0xE6, 0x39, 0x03, 0x21, 0x04, 0x21, 0xE7, 0x39, 0x27, 0x42, 0xE3, 0x20");
asm(".byte 0x04, 0x21, 0xC3, 0x18, 0xA6, 0x31, 0x61, 0x10, 0x85, 0x31, 0xE6, 0x39, 0xEA, 0x62, 0x4B, 0x6B");
asm(".byte 0x47, 0x4A, 0x27, 0x4A, 0xE5, 0x49, 0x67, 0x62, 0x67, 0x5A, 0xA8, 0x72, 0x69, 0x93, 0xAB, 0x9B");
asm(".byte 0xEB, 0xA3, 0x0C, 0xAC, 0xEB, 0xA3, 0x2C, 0xAC, 0x8E, 0xBC, 0x92, 0xD5, 0x35, 0xDE, 0xB7, 0xEE");
asm(".byte 0x35, 0xDE, 0x4D, 0x9C, 0x0D, 0x9C, 0xCC, 0x93, 0xAB, 0x8B, 0x0D, 0x9C, 0x2D, 0x9C, 0x8B, 0x8B");
asm(".byte 0xAB, 0x8B, 0xAB, 0x8B, 0xCC, 0x93, 0x8B, 0x83, 0x2A, 0x7B, 0xEA, 0x72, 0xA8, 0x62, 0xE9, 0x72");
asm(".byte 0x4A, 0x7B, 0x09, 0x73, 0x09, 0x73, 0xC9, 0x72, 0x2A, 0x7B, 0xE9, 0x72, 0x4A, 0x8B, 0x29, 0x7B");
asm(".byte 0xAF, 0xB4, 0x31, 0xC5, 0x10, 0xBD, 0x52, 0xC5, 0x73, 0xCD, 0x15, 0xD6, 0xB8, 0xE6, 0x97, 0xE6");
asm(".byte 0x77, 0xE6, 0xB3, 0xD5, 0x52, 0xC5, 0xAB, 0x93, 0x29, 0x83, 0x09, 0x73, 0x43, 0x31, 0xC2, 0x20");
asm(".byte 0x61, 0x10, 0x82, 0x18, 0x24, 0x31, 0x44, 0x31, 0xE3, 0x20, 0xC2, 0x20, 0x03, 0x29, 0x23, 0x31");
asm(".byte 0x84, 0x39, 0x06, 0x52, 0xC9, 0x6A, 0x53, 0xB5, 0xFE, 0xFF, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0xF6, 0xBD, 0x9C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x38, 0xE7");
asm(".byte 0x19, 0xE7, 0x19, 0xE7, 0xF8, 0xDE, 0xD7, 0xDE, 0x39, 0xE7, 0x1A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xF9, 0xDE, 0x19, 0xDF, 0x36, 0xBE, 0x98, 0xD6, 0x97, 0xD6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x47, 0x3A, 0x89, 0x42, 0x69, 0x4A, 0x48, 0x3A, 0x88, 0x42, 0x88, 0x4A, 0xC9, 0x5A, 0x09, 0x63");
asm(".byte 0x28, 0x63, 0x68, 0x6B, 0x27, 0x63, 0x28, 0x6B, 0x48, 0x6B, 0x07, 0x63, 0xE8, 0x5A, 0xC9, 0x52");
asm(".byte 0x68, 0x4A, 0x89, 0x4A, 0x48, 0x42, 0x8A, 0x4A, 0x8A, 0x4A, 0xAB, 0x52, 0xAB, 0x52, 0x4D, 0x6B");
asm(".byte 0x6E, 0x6B, 0x90, 0x73, 0x6A, 0x4A, 0x65, 0x29, 0xC2, 0x18, 0x04, 0x21, 0x07, 0x42, 0xE6, 0x39");
asm(".byte 0x81, 0x10, 0x24, 0x21, 0xC3, 0x18, 0x44, 0x29, 0x61, 0x08, 0x24, 0x21, 0x03, 0x21, 0xA5, 0x39");
asm(".byte 0x0A, 0x63, 0x06, 0x4A, 0x84, 0x39, 0xE5, 0x49, 0x66, 0x5A, 0xA7, 0x6A, 0x49, 0x8B, 0xAB, 0xA3");
asm(".byte 0xCB, 0xA3, 0xEC, 0xAB, 0x0C, 0xAC, 0x4D, 0xB4, 0x6D, 0xB4, 0xEF, 0xBC, 0xB2, 0xD5, 0xD3, 0xD5");
asm(".byte 0xF0, 0xB4, 0x8B, 0x8B, 0x29, 0x7B, 0x09, 0x7B, 0x87, 0x62, 0xA8, 0x6A, 0xE6, 0x51, 0x26, 0x52");
asm(".byte 0xE5, 0x49, 0xA5, 0x49, 0x06, 0x4A, 0xE6, 0x49, 0xE6, 0x49, 0xE6, 0x49, 0x06, 0x52, 0x06, 0x4A");
asm(".byte 0xA5, 0x41, 0x43, 0x31, 0xE2, 0x28, 0x81, 0x18, 0xA2, 0x20, 0xC2, 0x20, 0xE6, 0x51, 0x46, 0x62");
asm(".byte 0xC8, 0x72, 0x8B, 0x8B, 0x0D, 0xA4, 0x4E, 0xA4, 0x6B, 0x8B, 0x52, 0xC5, 0xF5, 0xD5, 0x97, 0xE6");
asm(".byte 0x56, 0xDE, 0x15, 0xD6, 0x51, 0xC5, 0x2D, 0xA4, 0x49, 0x83, 0xC8, 0x6A, 0x03, 0x31, 0x04, 0x29");
asm(".byte 0x03, 0x29, 0xC2, 0x20, 0xA2, 0x18, 0xC2, 0x20, 0x23, 0x29, 0x03, 0x29, 0x23, 0x29, 0x03, 0x31");
asm(".byte 0x44, 0x39, 0xC5, 0x41, 0x27, 0x5A, 0x87, 0x72, 0x94, 0xC5, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0xD5, 0xBD, 0x9C, 0xEF, 0x7B, 0xEF, 0x7A, 0xEF");
asm(".byte 0x19, 0xDF, 0x3A, 0xE7, 0x39, 0xE7, 0x18, 0xDF, 0xD7, 0xDE, 0x1A, 0xE7, 0x1A, 0xDF, 0x19, 0xDF");
asm(".byte 0xD9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD5, 0xBD, 0x98, 0xCE, 0x97, 0xCE, 0x76, 0xCE, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x07, 0x3A, 0x69, 0x42, 0x69, 0x42, 0x89, 0x42, 0x88, 0x4A, 0xA9, 0x52, 0xC9, 0x5A");
asm(".byte 0xE8, 0x5A, 0x88, 0x6B, 0x29, 0x84, 0xE8, 0x83, 0xE9, 0x83, 0x09, 0x84, 0x68, 0x6B, 0xC7, 0x5A");
asm(".byte 0xA8, 0x52, 0x88, 0x4A, 0x88, 0x4A, 0x48, 0x4A, 0x8A, 0x4A, 0xAB, 0x52, 0xCC, 0x5A, 0x2D, 0x63");
asm(".byte 0xCF, 0x73, 0x8F, 0x73, 0xF1, 0x7B, 0x2D, 0x63, 0x24, 0x21, 0x82, 0x10, 0x04, 0x21, 0x48, 0x4A");
asm(".byte 0xCA, 0x5A, 0xA2, 0x10, 0x03, 0x21, 0x44, 0x29, 0x24, 0x21, 0xA2, 0x18, 0x81, 0x10, 0x65, 0x29");
asm(".byte 0x68, 0x52, 0x26, 0x4A, 0x64, 0x39, 0xA4, 0x41, 0x87, 0x62, 0xE8, 0x72, 0x49, 0x8B, 0xCB, 0xA3");
asm(".byte 0xEB, 0xAB, 0xEB, 0xA3, 0xEB, 0xAB, 0x4D, 0xB4, 0x4D, 0xB4, 0x6E, 0xB4, 0xCF, 0xBC, 0x2D, 0xA4");
asm(".byte 0x8B, 0x93, 0x6A, 0x83, 0x87, 0x6A, 0x46, 0x5A, 0xE5, 0x49, 0x06, 0x52, 0x43, 0x39, 0x43, 0x31");
asm(".byte 0x44, 0x31, 0xE3, 0x28, 0xE3, 0x20, 0xC2, 0x20, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x40, 0x08, 0x20, 0x08, 0x61, 0x10, 0x61, 0x10, 0xA2, 0x20, 0xC2, 0x28");
asm(".byte 0x43, 0x39, 0x46, 0x62, 0xA8, 0x72, 0xE9, 0x7A, 0x2A, 0x83, 0xE9, 0x7A, 0x52, 0xC5, 0x15, 0xD6");
asm(".byte 0x77, 0xE6, 0x15, 0xDE, 0x31, 0xBD, 0x8B, 0x93, 0xE9, 0x7A, 0x27, 0x5A, 0xE2, 0x28, 0x03, 0x29");
asm(".byte 0x64, 0x39, 0x24, 0x39, 0xE3, 0x28, 0x81, 0x18, 0xC2, 0x20, 0x03, 0x29, 0xA5, 0x49, 0x27, 0x5A");
asm(".byte 0x46, 0x5A, 0x46, 0x5A, 0x67, 0x62, 0xE6, 0x49, 0x87, 0x62, 0xD1, 0xA4, 0xFF, 0xFF, 0xDE, 0xF7");
asm(".byte 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xD5, 0xBD, 0x7B, 0xEF, 0x9C, 0xF7");
asm(".byte 0x7A, 0xEF, 0x19, 0xDF, 0x5A, 0xE7, 0x3A, 0xE7, 0x18, 0xE7, 0xF9, 0xDE, 0x5B, 0xE7, 0xF9, 0xDE");
asm(".byte 0xF9, 0xDE, 0xF8, 0xDE, 0xD8, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x3A, 0x48, 0x3A, 0x68, 0x42, 0x68, 0x42, 0x88, 0x42, 0xC8, 0x52");
asm(".byte 0xA7, 0x4A, 0x08, 0x63, 0xE9, 0x7B, 0x50, 0xCE, 0x90, 0xDE, 0x8F, 0xD6, 0x90, 0xD6, 0x09, 0x84");
asm(".byte 0xC6, 0x52, 0xE8, 0x5A, 0x66, 0x4A, 0x87, 0x4A, 0x88, 0x4A, 0x68, 0x42, 0x89, 0x4A, 0xAA, 0x52");
asm(".byte 0x4D, 0x6B, 0x4D, 0x6B, 0x6E, 0x73, 0x11, 0x84, 0x6E, 0x73, 0x62, 0x10, 0x81, 0x10, 0xC3, 0x18");
asm(".byte 0x65, 0x29, 0x68, 0x4A, 0xE7, 0x39, 0x60, 0x08, 0x85, 0x31, 0x61, 0x08, 0x04, 0x21, 0x40, 0x08");
asm(".byte 0x44, 0x29, 0x0E, 0x84, 0x84, 0x31, 0x84, 0x39, 0xC8, 0x6A, 0xC8, 0x72, 0xAA, 0x93, 0xEB, 0xA3");
asm(".byte 0x0C, 0xAC, 0xEB, 0xA3, 0x0C, 0xAC, 0x6D, 0xB4, 0x2D, 0xAC, 0x6D, 0xB4, 0xAE, 0xB4, 0x0C, 0xA4");
asm(".byte 0x4A, 0x8B, 0x87, 0x6A, 0x47, 0x62, 0xE5, 0x51, 0xE5, 0x49, 0x06, 0x52, 0xE5, 0x49, 0x06, 0x52");
asm(".byte 0xA5, 0x49, 0x43, 0x39, 0x44, 0x39, 0x03, 0x31, 0x03, 0x29, 0x44, 0x31, 0xA5, 0x41, 0x24, 0x31");
asm(".byte 0xC2, 0x20, 0x81, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0xE3, 0x28, 0x23, 0x31, 0x64, 0x39, 0xE5, 0x51");
asm(".byte 0xC5, 0x51, 0xC5, 0x49, 0x26, 0x62, 0x26, 0x62, 0xE9, 0x72, 0x87, 0x6A, 0x2A, 0x7B, 0x11, 0xBD");
asm(".byte 0x77, 0xE6, 0x97, 0xE6, 0x56, 0xDE, 0x4E, 0xA4, 0xAB, 0x93, 0xC9, 0x72, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x44, 0x31, 0x44, 0x31, 0xC2, 0x20, 0xA2, 0x20, 0xA2, 0x20, 0x03, 0x29, 0x23, 0x31, 0x84, 0x41");
asm(".byte 0x67, 0x62, 0xC8, 0x72, 0xC8, 0x72, 0x26, 0x5A, 0xA8, 0x6A, 0x47, 0x5A, 0x2F, 0x8C, 0xFE, 0xFF");
asm(".byte 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xD5, 0xBD, 0x7B, 0xEF");
asm(".byte 0x7C, 0xEF, 0x39, 0xE7, 0x19, 0xDF, 0x7A, 0xE7, 0x5B, 0xEF, 0x19, 0xE7, 0x7B, 0xEF, 0x19, 0xE7");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xDE, 0xF8, 0xDE, 0xD8, 0xD6, 0x16, 0xC6, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x58, 0xC6, 0x4F, 0x7C, 0xB4, 0xA5, 0x36, 0xB6, 0x73, 0xA5");
asm(".byte 0x5B, 0xDF, 0x2D, 0x7C, 0x50, 0x9D, 0x90, 0xB5, 0x56, 0xEF, 0x34, 0xEF, 0xF2, 0xE6, 0xBA, 0xF7");
asm(".byte 0xB5, 0xD6, 0x0B, 0x7C, 0xF3, 0xB5, 0x0C, 0x74, 0xB8, 0xCE, 0xF5, 0xB5, 0x6B, 0x63, 0xB5, 0xAD");
asm(".byte 0x33, 0x9D, 0xD5, 0xB5, 0xB6, 0xB5, 0xB2, 0x8C, 0x15, 0x9D, 0x72, 0x94, 0x82, 0x10, 0xA2, 0x10");
asm(".byte 0xC3, 0x18, 0xA6, 0x31, 0x24, 0x21, 0x48, 0x4A, 0x03, 0x21, 0x24, 0x21, 0x20, 0x00, 0x27, 0x4A");
asm(".byte 0x64, 0x29, 0x68, 0x4A, 0x6C, 0x73, 0x84, 0x31, 0x46, 0x52, 0x29, 0x73, 0x8A, 0x8B, 0x0C, 0xA4");
asm(".byte 0x0C, 0xAC, 0x0C, 0xAC, 0x4D, 0xAC, 0x4D, 0xB4, 0x4C, 0xB4, 0x0C, 0xAC, 0x4C, 0xB4, 0x4D, 0xAC");
asm(".byte 0xCB, 0x9B, 0x09, 0x7B, 0x67, 0x62, 0x06, 0x52, 0xE5, 0x49, 0xE5, 0x51, 0xE5, 0x51, 0x67, 0x62");
asm(".byte 0x06, 0x52, 0x46, 0x5A, 0x06, 0x52, 0xC5, 0x49, 0x64, 0x39, 0xC2, 0x28, 0x81, 0x20, 0x81, 0x18");
asm(".byte 0x61, 0x18, 0x81, 0x18, 0xA2, 0x20, 0xE3, 0x30, 0x44, 0x39, 0x43, 0x31, 0x64, 0x41, 0x84, 0x41");
asm(".byte 0x23, 0x39, 0x84, 0x49, 0x64, 0x41, 0xE5, 0x51, 0xE6, 0x51, 0x26, 0x62, 0xA8, 0x72, 0x4A, 0x83");
asm(".byte 0x36, 0xDE, 0xD9, 0xEE, 0x1A, 0xF7, 0x19, 0xEF, 0xB4, 0xCD, 0x8B, 0x93, 0x23, 0x29, 0x81, 0x18");
asm(".byte 0xC3, 0x20, 0x41, 0x10, 0x61, 0x18, 0x03, 0x29, 0x44, 0x39, 0x44, 0x31, 0x85, 0x41, 0x65, 0x41");
asm(".byte 0xA5, 0x41, 0xE3, 0x30, 0x64, 0x39, 0x88, 0x62, 0xC8, 0x72, 0xC8, 0x6A, 0xC9, 0x6A, 0x4F, 0x94");
asm(".byte 0xFE, 0xFF, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBD, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0xF6, 0xBD");
asm(".byte 0x7C, 0xEF, 0x9C, 0xEF, 0xF8, 0xDE, 0x5B, 0xE7, 0x7C, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x7B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0x36, 0xC6, 0x3B, 0xE7");
asm(".byte 0xB8, 0xD6, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0xB5, 0xE6, 0x29, 0xC9, 0x4A, 0x78, 0xC6");
asm(".byte 0x47, 0x3A, 0xF1, 0x94, 0x8F, 0x8C, 0x2C, 0x7C, 0x32, 0xBE, 0x56, 0xE7, 0x76, 0xF7, 0x34, 0xEF");
asm(".byte 0x77, 0xEF, 0xD6, 0xD6, 0xEE, 0x94, 0xAE, 0x8C, 0xF0, 0x94, 0xB4, 0xB5, 0xE9, 0x52, 0x8C, 0x6B");
asm(".byte 0x52, 0x9D, 0xF5, 0xB5, 0x8D, 0x6B, 0x75, 0xAD, 0xCE, 0x73, 0xF8, 0xBD, 0xF0, 0x7B, 0x45, 0x29");
asm(".byte 0x61, 0x10, 0x24, 0x21, 0x24, 0x29, 0xC2, 0x18, 0x03, 0x21, 0xC2, 0x18, 0xC2, 0x18, 0xE3, 0x18");
asm(".byte 0x65, 0x31, 0xA5, 0x31, 0x6F, 0x8C, 0x64, 0x31, 0x88, 0x5A, 0x47, 0x5A, 0xAB, 0x8B, 0x8A, 0x93");
asm(".byte 0x0C, 0xA4, 0x4D, 0xB4, 0x4C, 0xAC, 0x6D, 0xB4, 0x6D, 0xB4, 0xCE, 0xBC, 0x8D, 0xB4, 0x6D, 0xAC");
asm(".byte 0xCB, 0x9B, 0xC8, 0x7A, 0x46, 0x62, 0x26, 0x5A, 0x26, 0x5A, 0x87, 0x62, 0xA8, 0x6A, 0xA8, 0x72");
asm(".byte 0x87, 0x6A, 0x06, 0x52, 0xA2, 0x20, 0xA1, 0x20, 0x44, 0x39, 0x84, 0x39, 0x24, 0x31, 0x24, 0x31");
asm(".byte 0x24, 0x29, 0x85, 0x41, 0x65, 0x41, 0xA2, 0x28, 0xE2, 0x28, 0x61, 0x18, 0xE3, 0x30, 0xE2, 0x28");
asm(".byte 0x23, 0x31, 0xE3, 0x28, 0xE2, 0x28, 0x03, 0x31, 0x64, 0x41, 0x64, 0x41, 0x27, 0x5A, 0x4A, 0x83");
asm(".byte 0x11, 0xBD, 0xFA, 0xEE, 0x5B, 0xF7, 0x7C, 0xF7, 0x7B, 0xF7, 0xD8, 0xEE, 0x0D, 0x94, 0x41, 0x10");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0x24, 0x39, 0xC2, 0x28, 0x41, 0x08, 0x40, 0x08, 0x41, 0x08, 0x20, 0x08");
asm(".byte 0x60, 0x10, 0xE2, 0x28, 0xE6, 0x51, 0x47, 0x5A, 0x84, 0x41, 0x09, 0x73, 0x09, 0x73, 0x4A, 0x7B");
asm(".byte 0x8C, 0x73, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7");
asm(".byte 0xD5, 0xBD, 0x9C, 0xEF, 0x9C, 0xEF, 0x76, 0xC6, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x39, 0xE7");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0x36, 0xC6");
asm(".byte 0xFA, 0xDE, 0x57, 0xC6, 0xF6, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2B, 0x5B, 0xE6, 0x31, 0x2F, 0x7C");
asm(".byte 0x0A, 0x53, 0x2A, 0x5B, 0x09, 0x5B, 0xA7, 0x52, 0x0E, 0x9D, 0xCA, 0x9C, 0xF3, 0xE6, 0xD1, 0xDE");
asm(".byte 0x4D, 0xD6, 0xD2, 0xE6, 0xEA, 0x9C, 0x08, 0x7C, 0x50, 0xA5, 0x8A, 0x6B, 0x0C, 0x7C, 0x6A, 0x6B");
asm(".byte 0x4A, 0x63, 0xD0, 0x94, 0x0E, 0x7C, 0x2F, 0x84, 0x91, 0x8C, 0x51, 0x8C, 0xB2, 0x94, 0xEF, 0x83");
asm(".byte 0xA6, 0x39, 0x61, 0x08, 0x82, 0x10, 0xE3, 0x20, 0x82, 0x10, 0xC3, 0x18, 0x20, 0x00, 0xA2, 0x18");
asm(".byte 0x45, 0x29, 0x44, 0x29, 0xC5, 0x39, 0xEA, 0x62, 0x68, 0x4A, 0x84, 0x39, 0x4A, 0x73, 0x29, 0x7B");
asm(".byte 0xAB, 0x93, 0x2C, 0xB4, 0x6C, 0xB4, 0x6D, 0xB4, 0x4D, 0xB4, 0x4C, 0xB4, 0x4D, 0xB4, 0x4D, 0xAC");
asm(".byte 0x49, 0x8B, 0xC8, 0x72, 0xC8, 0x6A, 0x67, 0x62, 0x46, 0x62, 0x87, 0x62, 0x87, 0x6A, 0x87, 0x6A");
asm(".byte 0xE6, 0x51, 0x81, 0x10, 0x81, 0x18, 0x85, 0x41, 0x61, 0x10, 0x20, 0x08, 0x61, 0x10, 0x40, 0x08");
asm(".byte 0x41, 0x08, 0x81, 0x18, 0x81, 0x18, 0x61, 0x10, 0x24, 0x31, 0xC6, 0x49, 0x03, 0x31, 0x81, 0x18");
asm(".byte 0x23, 0x31, 0xE2, 0x28, 0xC2, 0x20, 0x61, 0x18, 0xC2, 0x20, 0xE3, 0x28, 0x64, 0x41, 0xA5, 0x49");
asm(".byte 0x09, 0x7B, 0x15, 0xDE, 0x5B, 0xF7, 0x9D, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0x3A, 0xF7, 0x2E, 0x94");
asm(".byte 0x40, 0x10, 0xA2, 0x20, 0x44, 0x39, 0x20, 0x08, 0x20, 0x08, 0x41, 0x08, 0x8D, 0x73, 0x61, 0x10");
asm(".byte 0x21, 0x08, 0xE6, 0x41, 0x48, 0x4A, 0x44, 0x31, 0xE3, 0x30, 0xC8, 0x72, 0x46, 0x62, 0xEC, 0x93");
asm(".byte 0xC9, 0x6A, 0x4C, 0x73, 0xFE, 0xFF, 0xDE, 0xF7, 0x9C, 0xEF, 0x7C, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0xBC, 0xF7, 0xD5, 0xBD, 0x9C, 0xEF, 0x9C, 0xEF, 0x93, 0xB5, 0xBC, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x19, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xD8, 0xD6");
asm(".byte 0x57, 0xC6, 0x77, 0xC6, 0x36, 0xBE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x3A, 0x68, 0x42");
asm(".byte 0x88, 0x42, 0x88, 0x42, 0xA9, 0x4A, 0xE9, 0x5A, 0x29, 0x63, 0x69, 0x6B, 0x2C, 0xAD, 0xB0, 0xE6");
asm(".byte 0x8E, 0xDE, 0x4E, 0xDE, 0x6E, 0xDE, 0x2D, 0xCE, 0xEE, 0xC5, 0xCE, 0xBD, 0x8D, 0xB5, 0x2D, 0xA5");
asm(".byte 0x0D, 0xA5, 0x2E, 0xAD, 0x4F, 0xAD, 0x4F, 0xAD, 0x50, 0xAD, 0xD0, 0x9C, 0xCF, 0x7B, 0xEB, 0x62");
asm(".byte 0x1A, 0xEF, 0x5B, 0xF7, 0x3B, 0xEF, 0x70, 0x94, 0x23, 0x29, 0xC2, 0x18, 0x81, 0x10, 0xE3, 0x20");
asm(".byte 0x61, 0x08, 0xE3, 0x20, 0x03, 0x21, 0x6C, 0x73, 0x26, 0x4A, 0x64, 0x31, 0x87, 0x5A, 0xA8, 0x6A");
asm(".byte 0x28, 0x83, 0x0C, 0xA4, 0x0C, 0xA4, 0x6D, 0xBC, 0x6D, 0xB4, 0xAE, 0xBC, 0xAE, 0xBC, 0x6D, 0xB4");
asm(".byte 0xCB, 0x9B, 0x29, 0x83, 0xE8, 0x72, 0x46, 0x62, 0xC4, 0x49, 0xE5, 0x51, 0x66, 0x62, 0xA8, 0x72");
asm(".byte 0x84, 0x41, 0x61, 0x10, 0x44, 0x31, 0xA2, 0x18, 0x20, 0x08, 0x20, 0x08, 0x00, 0x00, 0xAA, 0x5A");
asm(".byte 0x28, 0x4A, 0x61, 0x10, 0xE6, 0x41, 0xC9, 0x62, 0xA8, 0x6A, 0xA5, 0x41, 0xA1, 0x20, 0xA5, 0x49");
asm(".byte 0x44, 0x39, 0x61, 0x18, 0x81, 0x18, 0x81, 0x18, 0x61, 0x10, 0x81, 0x18, 0xC2, 0x20, 0x23, 0x39");
asm(".byte 0x88, 0x72, 0x8C, 0x93, 0xB8, 0xE6, 0x9C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9C, 0xF7");
asm(".byte 0x53, 0xB5, 0xA2, 0x20, 0xE3, 0x28, 0xA2, 0x18, 0x20, 0x08, 0x61, 0x10, 0x20, 0x08, 0x82, 0x10");
asm(".byte 0x61, 0x10, 0x81, 0x10, 0x85, 0x31, 0x0A, 0x63, 0xA9, 0x5A, 0x26, 0x52, 0xE5, 0x49, 0x67, 0x62");
asm(".byte 0xEC, 0x93, 0xC5, 0x49, 0x70, 0x94, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0xBC, 0xF7, 0xBD, 0xF7, 0xF6, 0xBD, 0x7B, 0xEF, 0x9C, 0xEF, 0x72, 0xAD, 0xBB, 0xF7, 0x5B, 0xE7");
asm(".byte 0x5A, 0xE7, 0x19, 0xDF, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0xB8, 0xD6");
asm(".byte 0x57, 0xC6, 0x16, 0xBE, 0x36, 0xC6, 0x16, 0xBE, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x27, 0x3A");
asm(".byte 0x68, 0x42, 0x89, 0x4A, 0xA8, 0x4A, 0xA9, 0x4A, 0xE9, 0x5A, 0x29, 0x63, 0x68, 0x6B, 0x0C, 0xA5");
asm(".byte 0xAF, 0xDE, 0x6D, 0xDE, 0x4D, 0xDE, 0x6E, 0xDE, 0x6F, 0xD6, 0x6F, 0xD6, 0x4F, 0xCE, 0x2F, 0xCE");
asm(".byte 0x50, 0xCE, 0x70, 0xD6, 0x51, 0xD6, 0x50, 0xCE, 0x0F, 0xC6, 0xCF, 0xBD, 0xAC, 0x7B, 0x33, 0xAD");
asm(".byte 0x3A, 0xEF, 0xF9, 0xEE, 0x77, 0xDE, 0x5B, 0xF7, 0x3A, 0xF7, 0xD9, 0xE6, 0x2A, 0x7B, 0x43, 0x29");
asm(".byte 0x41, 0x08, 0xA2, 0x10, 0xC3, 0x18, 0x40, 0x08, 0x8C, 0x73, 0x27, 0x42, 0x03, 0x21, 0x4A, 0x7B");
asm(".byte 0x49, 0x83, 0x0C, 0x9C, 0x09, 0x83, 0xEC, 0xA3, 0x6D, 0xB4, 0x6D, 0xB4, 0x6D, 0xB4, 0x4D, 0xB4");
asm(".byte 0xCC, 0x9B, 0x05, 0x5A, 0x6A, 0x8B, 0x09, 0x83, 0xC8, 0x7A, 0xA8, 0x7A, 0xA8, 0x7A, 0xA8, 0x72");
asm(".byte 0xE5, 0x51, 0xA1, 0x20, 0x64, 0x39, 0x81, 0x18, 0x24, 0x29, 0x40, 0x08, 0x61, 0x10, 0x41, 0x08");
asm(".byte 0x20, 0x00, 0xA2, 0x18, 0x03, 0x21, 0xA8, 0x5A, 0x0D, 0x94, 0xAB, 0x8B, 0xA8, 0x6A, 0xE6, 0x51");
asm(".byte 0x84, 0x41, 0x44, 0x41, 0xA5, 0x49, 0xE2, 0x28, 0xA2, 0x20, 0x61, 0x10, 0x82, 0x18, 0xC3, 0x28");
asm(".byte 0x47, 0x62, 0x8B, 0x93, 0xB0, 0xB4, 0x19, 0xF7, 0x9C, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBD, 0xF7, 0xB9, 0xE6, 0x81, 0x20, 0x44, 0x31, 0x27, 0x52, 0x41, 0x10, 0xE3, 0x20, 0xC3, 0x20");
asm(".byte 0xA2, 0x18, 0xE3, 0x20, 0x03, 0x21, 0xAA, 0x5A, 0xD1, 0xA4, 0x54, 0xB5, 0xA9, 0x62, 0x68, 0x62");
asm(".byte 0xE6, 0x51, 0x09, 0x7B, 0xA9, 0x62, 0xB5, 0xB5, 0xDE, 0xFF, 0xDE, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x9C, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x57, 0xC6, 0x9C, 0xEF, 0x7B, 0xEF, 0x31, 0xA5, 0x9C, 0xEF");
asm(".byte 0x5A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0x3A, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7, 0x3B, 0xE7");
asm(".byte 0x3A, 0xE7, 0xB8, 0xCE, 0xD1, 0x94, 0xB4, 0xB5, 0xF6, 0xBD, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xC6, 0x29, 0xC5, 0x29, 0x27, 0x3A, 0x27, 0x3A, 0x67, 0x42, 0xC8, 0x52, 0xE8, 0x5A, 0x48, 0x63");
asm(".byte 0x2B, 0xA5, 0x8F, 0xDE, 0x4D, 0xD6, 0x4D, 0xD6, 0x2E, 0xD6, 0x6A, 0x94, 0x06, 0x63, 0xA6, 0x52");
asm(".byte 0x86, 0x4A, 0x46, 0x42, 0x2A, 0x63, 0x68, 0x4A, 0x68, 0x4A, 0xC9, 0x5A, 0x4B, 0x63, 0xA9, 0x5A");
asm(".byte 0xB1, 0xA4, 0x68, 0x52, 0x04, 0x29, 0xC2, 0x18, 0x45, 0x31, 0x95, 0xC5, 0x56, 0xD6, 0x4E, 0x9C");
asm(".byte 0x88, 0x62, 0xA2, 0x18, 0xC2, 0x18, 0x81, 0x10, 0xA2, 0x18, 0x47, 0x4A, 0x03, 0x21, 0xC5, 0x39");
asm(".byte 0x29, 0x73, 0x6A, 0x83, 0x49, 0x8B, 0x8A, 0x93, 0xEC, 0xA3, 0x4C, 0xB4, 0x6D, 0xBC, 0x6D, 0xB4");
asm(".byte 0x4D, 0xB4, 0x69, 0x93, 0x8B, 0x8B, 0x67, 0x62, 0xC4, 0x51, 0x46, 0x62, 0x87, 0x72, 0xE5, 0x59");
asm(".byte 0x46, 0x62, 0x64, 0x39, 0x44, 0x39, 0xE2, 0x28, 0x20, 0x10, 0x07, 0x4A, 0xA1, 0x10, 0x24, 0x29");
asm(".byte 0x24, 0x29, 0x64, 0x29, 0x85, 0x31, 0x23, 0x29, 0x90, 0x94, 0x73, 0xB5, 0xF1, 0xAC, 0x68, 0x62");
asm(".byte 0xE6, 0x51, 0xC5, 0x51, 0x89, 0x6A, 0x03, 0x31, 0x64, 0x41, 0x26, 0x62, 0x26, 0x5A, 0x43, 0x39");
asm(".byte 0xC5, 0x49, 0x8B, 0x8B, 0x2D, 0xA4, 0x35, 0xDE, 0x19, 0xEF, 0x9C, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0x5B, 0xF7, 0x27, 0x52, 0x23, 0x31, 0x44, 0x39, 0x03, 0x31, 0xC2, 0x20");
asm(".byte 0xE3, 0x28, 0x04, 0x29, 0x44, 0x31, 0x24, 0x31, 0xB1, 0x9C, 0x2E, 0x94, 0x2A, 0x73, 0x6B, 0x83");
asm(".byte 0xED, 0x93, 0x47, 0x5A, 0x0A, 0x7B, 0xAD, 0x7B, 0xBA, 0xD6, 0xFE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9D, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0x94, 0xAD, 0x3A, 0xE7, 0x7B, 0xEF, 0x4E, 0x8C");
asm(".byte 0x5A, 0xE7, 0xF9, 0xDE, 0x97, 0xCE, 0xD8, 0xD6, 0xF9, 0xDE, 0x5B, 0xE7, 0xF9, 0xDE, 0xD8, 0xD6");
asm(".byte 0x97, 0xCE, 0x77, 0xCE, 0x4F, 0x84, 0xF1, 0x9C, 0x4E, 0x84, 0xF5, 0xBD, 0xF5, 0xBD, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x90, 0x84, 0xE9, 0x4A, 0xD1, 0x8C, 0x90, 0x7C, 0xAC, 0x6B, 0xB7, 0xCE, 0xEB, 0x73");
asm(".byte 0x75, 0xC6, 0x6E, 0xAD, 0x36, 0xEF, 0x8F, 0xD6, 0x35, 0xE7, 0x36, 0xEF, 0xF1, 0xBD, 0xEE, 0x94");
asm(".byte 0x08, 0x5B, 0x36, 0xBE, 0xE9, 0x52, 0xAD, 0x73, 0xD5, 0xB5, 0x06, 0x3A, 0xD5, 0xAD, 0xCA, 0x5A");
asm(".byte 0x78, 0xD6, 0xC6, 0x41, 0x03, 0x29, 0x04, 0x29, 0x06, 0x52, 0x65, 0x31, 0xE2, 0x20, 0x73, 0xBD");
asm(".byte 0x93, 0xBD, 0xCD, 0x8B, 0xE5, 0x41, 0xA2, 0x18, 0x82, 0x10, 0xC2, 0x18, 0x44, 0x29, 0xE3, 0x20");
asm(".byte 0xE9, 0x62, 0xCB, 0x8B, 0x49, 0x83, 0x49, 0x83, 0xCB, 0x9B, 0x0C, 0xAC, 0x4D, 0xB4, 0x8D, 0xBC");
asm(".byte 0x6D, 0xB4, 0x6D, 0xB4, 0x4A, 0x8B, 0x46, 0x62, 0x09, 0x7B, 0x09, 0x7B, 0xA8, 0x72, 0xC8, 0x7A");
asm(".byte 0xA7, 0x72, 0x26, 0x5A, 0x02, 0x29, 0x27, 0x5A, 0x64, 0x41, 0x07, 0x52, 0xE6, 0x51, 0x03, 0x29");
asm(".byte 0x61, 0x10, 0x03, 0x21, 0x24, 0x29, 0x85, 0x31, 0x6C, 0x73, 0xCD, 0x83, 0xCA, 0x6A, 0x47, 0x52");
asm(".byte 0x03, 0x31, 0x03, 0x29, 0xE3, 0x28, 0xC2, 0x28, 0xC5, 0x49, 0x46, 0x5A, 0x67, 0x6A, 0x46, 0x62");
asm(".byte 0x67, 0x6A, 0x46, 0x62, 0x4E, 0xA4, 0x93, 0xCD, 0x56, 0xD6, 0xF9, 0xEE, 0x7C, 0xF7, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x3B, 0xEF, 0x74, 0xBD, 0x43, 0x39, 0xA5, 0x41, 0xE5, 0x51");
asm(".byte 0x27, 0x5A, 0x26, 0x52, 0xA8, 0x6A, 0x2A, 0x7B, 0x2A, 0x7B, 0x6C, 0x8B, 0x6B, 0x83, 0x6B, 0x83");
asm(".byte 0xB1, 0xA4, 0x4B, 0x7B, 0xA8, 0x6A, 0x6B, 0x83, 0x0A, 0x6B, 0x7C, 0xEF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0x3B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x7C, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x73, 0xAD, 0x3A, 0xE7, 0x7B, 0xEF");
asm(".byte 0xD0, 0x94, 0x3A, 0xE7, 0xF9, 0xDE, 0x96, 0xCE, 0x19, 0xDF, 0x1A, 0xDF, 0x1A, 0xDF, 0x97, 0xCE");
asm(".byte 0x97, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0xB1, 0x94, 0x94, 0xAD, 0xB4, 0xAD, 0xD4, 0xB5, 0x16, 0xBE");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x12, 0x95, 0x88, 0x42, 0x2B, 0x5B, 0x36, 0xB6, 0x6B, 0x63, 0x6B, 0x63");
asm(".byte 0x66, 0x4A, 0xF3, 0xBD, 0x4E, 0xA5, 0x36, 0xE7, 0x76, 0xEF, 0x36, 0xE7, 0x57, 0xEF, 0x53, 0xC6");
asm(".byte 0x2F, 0x9D, 0x4D, 0x84, 0x8B, 0x6B, 0x4B, 0x63, 0x2B, 0x63, 0xED, 0x73, 0x94, 0xAD, 0xD5, 0xB5");
asm(".byte 0x69, 0x4A, 0xB8, 0xDE, 0x45, 0x31, 0x07, 0x4A, 0x44, 0x31, 0xE9, 0x7A, 0xA9, 0x62, 0x81, 0x18");
asm(".byte 0xC6, 0x41, 0x15, 0xD6, 0xED, 0x8B, 0x0D, 0x8C, 0x64, 0x31, 0xA2, 0x10, 0x04, 0x21, 0xC2, 0x18");
asm(".byte 0xE3, 0x20, 0x87, 0x62, 0xEB, 0x93, 0x6A, 0x8B, 0x0D, 0xA4, 0x6A, 0x93, 0xCB, 0x9B, 0x8D, 0xBC");
asm(".byte 0x8E, 0xBC, 0x6D, 0xB4, 0x6D, 0xBC, 0x4D, 0xB4, 0xCB, 0x9B, 0x09, 0x7B, 0x29, 0x8B, 0x29, 0x8B");
asm(".byte 0x09, 0x83, 0x67, 0x6A, 0x64, 0x41, 0x87, 0x6A, 0x47, 0x62, 0xC5, 0x51, 0x87, 0x6A, 0x6A, 0x8B");
asm(".byte 0x6B, 0x8B, 0x8C, 0x8B, 0x90, 0xA4, 0x4F, 0x9C, 0x6F, 0x9C, 0xD1, 0xAC, 0xEA, 0x72, 0x06, 0x52");
asm(".byte 0xA9, 0x62, 0x27, 0x52, 0xE6, 0x49, 0x68, 0x5A, 0x88, 0x62, 0x47, 0x62, 0x67, 0x6A, 0x67, 0x6A");
asm(".byte 0xA8, 0x72, 0x6A, 0x8B, 0x4E, 0xA4, 0xB4, 0xCD, 0x36, 0xD6, 0xD8, 0xE6, 0xFA, 0xEE, 0x5B, 0xF7");
asm(".byte 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x7D, 0xF7, 0x3B, 0xEF, 0x07, 0x52, 0x06, 0x52");
asm(".byte 0xEC, 0x9B, 0x0D, 0xA4, 0x6E, 0xAC, 0x8F, 0xAC, 0x4E, 0xA4, 0xAC, 0x8B, 0xCC, 0x93, 0xAF, 0xB4");
asm(".byte 0x8E, 0xAC, 0x37, 0xD6, 0xFA, 0xE6, 0x16, 0xC6, 0x17, 0xCE, 0x70, 0x94, 0xFB, 0xDE, 0xDE, 0xF7");
asm(".byte 0xBE, 0xF7, 0x9D, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x5B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0xB4, 0xB5, 0x3A, 0xE7");
asm(".byte 0x7B, 0xE7, 0x32, 0xA5, 0x1A, 0xDF, 0x19, 0xDF, 0x96, 0xCE, 0xF9, 0xDE, 0x5B, 0xE7, 0x97, 0xCE");
asm(".byte 0x97, 0xCE, 0x56, 0xC6, 0x76, 0xCE, 0x77, 0xCE, 0xD5, 0xB5, 0x32, 0xA5, 0xD9, 0xD6, 0x36, 0xBE");
asm(".byte 0xF5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCD, 0x6B, 0x88, 0x42, 0x0E, 0x74, 0x26, 0x32, 0x8F, 0x84");
asm(".byte 0x87, 0x42, 0x49, 0x63, 0x89, 0x6B, 0x67, 0x6B, 0x6E, 0xAD, 0x8A, 0x94, 0x0D, 0x9D, 0x0D, 0xA5");
asm(".byte 0x88, 0x6B, 0x4C, 0x84, 0x87, 0x4A, 0xE9, 0x5A, 0x2A, 0x5B, 0x6C, 0x6B, 0x89, 0x4A, 0x89, 0x4A");
asm(".byte 0x6D, 0x6B, 0x48, 0x4A, 0xD1, 0x9C, 0x68, 0x5A, 0xC6, 0x49, 0xC2, 0x20, 0x6F, 0xAC, 0xAC, 0x8B");
asm(".byte 0x44, 0x31, 0xC2, 0x18, 0xC9, 0x6A, 0x2D, 0x9C, 0x2A, 0x7B, 0x64, 0x31, 0xC6, 0x41, 0x61, 0x10");
asm(".byte 0xA2, 0x18, 0x44, 0x31, 0x29, 0x73, 0x4D, 0xA4, 0x8A, 0x93, 0x29, 0x8B, 0xAA, 0x9B, 0xEC, 0xA3");
asm(".byte 0x8D, 0xBC, 0xEF, 0xC4, 0x30, 0xCD, 0x50, 0xCD, 0xCE, 0xBC, 0x4D, 0xAC, 0x6A, 0x8B, 0x67, 0x6A");
asm(".byte 0x06, 0x52, 0x46, 0x62, 0xA8, 0x72, 0x8B, 0x93, 0x8B, 0x93, 0x09, 0x83, 0xA8, 0x72, 0x46, 0x62");
asm(".byte 0xE9, 0x7A, 0xEC, 0xA3, 0x4D, 0xAC, 0x4D, 0xAC, 0xAF, 0xBC, 0x8E, 0xAC, 0xF0, 0xB4, 0xD0, 0xB4");
asm(".byte 0x0D, 0x94, 0x88, 0x62, 0xC9, 0x6A, 0x8B, 0x8B, 0x2A, 0x83, 0xAB, 0x93, 0x8B, 0x93, 0x6A, 0x8B");
asm(".byte 0xE8, 0x7A, 0xAB, 0x93, 0x31, 0xBD, 0x77, 0xE6, 0xB8, 0xE6, 0x98, 0xE6, 0xB8, 0xE6, 0xD9, 0xEE");
asm(".byte 0x3A, 0xF7, 0x9C, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xF7, 0x3B, 0xEF, 0x13, 0xAD");
asm(".byte 0xE6, 0x49, 0xCC, 0x93, 0x0D, 0xA4, 0x2D, 0xA4, 0xAF, 0xB4, 0x4E, 0xAC, 0x6A, 0x83, 0x67, 0x62");
asm(".byte 0xE5, 0x51, 0x26, 0x52, 0x0A, 0x73, 0xD9, 0xDE, 0xBE, 0xF7, 0xDE, 0xFF, 0xBA, 0xD6, 0xDA, 0xDE");
asm(".byte 0xBD, 0xF7, 0x9D, 0xEF, 0x5B, 0xE7, 0xD9, 0xD6, 0x7B, 0xEF, 0xBC, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x94, 0xAD");
asm(".byte 0x3A, 0xE7, 0x5B, 0xE7, 0xB4, 0xB5, 0x5B, 0xE7, 0x5B, 0xE7, 0xF8, 0xDE, 0x3B, 0xE7, 0xF9, 0xDE");
asm(".byte 0x97, 0xCE, 0x98, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0xB4, 0xB5, 0x1A, 0xDF");
asm(".byte 0xD9, 0xD6, 0x98, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x06, 0x32, 0x47, 0x3A, 0x47, 0x3A, 0x88, 0x42");
asm(".byte 0xA8, 0x4A, 0xE8, 0x52, 0xE8, 0x5A, 0x07, 0x5B, 0x88, 0x6B, 0x87, 0x6B, 0x66, 0x6B, 0x67, 0x6B");
asm(".byte 0x48, 0x6B, 0x28, 0x63, 0xC7, 0x5A, 0xA8, 0x52, 0x88, 0x4A, 0xC9, 0x52, 0x69, 0x42, 0x69, 0x4A");
asm(".byte 0xA9, 0x52, 0xEB, 0x5A, 0xAE, 0x7B, 0x4C, 0x73, 0x0B, 0x73, 0xEA, 0x6A, 0x23, 0x39, 0x52, 0xCD");
asm(".byte 0x31, 0xC5, 0xE6, 0x51, 0x68, 0x5A, 0xE2, 0x28, 0xEC, 0x93, 0x09, 0x7B, 0xA5, 0x41, 0x44, 0x29");
asm(".byte 0xE3, 0x20, 0xC2, 0x18, 0xE6, 0x41, 0x29, 0x73, 0x0C, 0x9C, 0x8A, 0x93, 0x6A, 0x93, 0x8A, 0x93");
asm(".byte 0xAA, 0x9B, 0xAE, 0xBC, 0x8E, 0xBC, 0x50, 0xD5, 0x92, 0xD5, 0xB2, 0xDD, 0x51, 0xD5, 0xEF, 0xC4");
asm(".byte 0xEC, 0xA3, 0xEC, 0xA3, 0xEC, 0xAB, 0x0C, 0xAC, 0x2D, 0xAC, 0xEC, 0xA3, 0x4A, 0x8B, 0xE9, 0x7A");
asm(".byte 0xA8, 0x72, 0x67, 0x6A, 0x46, 0x6A, 0x67, 0x6A, 0xE9, 0x7A, 0x6A, 0x8B, 0xEC, 0x9B, 0x6D, 0xAC");
asm(".byte 0x2D, 0xA4, 0x4E, 0x9C, 0x73, 0xC5, 0xD4, 0xD5, 0x93, 0xCD, 0x93, 0xCD, 0xD4, 0xD5, 0x93, 0xCD");
asm(".byte 0x52, 0xBD, 0x73, 0xC5, 0x56, 0xE6, 0xD8, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xD9, 0xEE, 0x1A, 0xEF, 0x5B, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x3B, 0xEF");
asm(".byte 0x1A, 0xE7, 0x8C, 0x83, 0xB4, 0xCD, 0xB0, 0xAC, 0xEC, 0x9B, 0x0D, 0x9C, 0x0D, 0xA4, 0x4A, 0x83");
asm(".byte 0xCC, 0x93, 0x0D, 0x9C, 0xED, 0x93, 0xD0, 0xB4, 0x53, 0xBD, 0xBD, 0xFF, 0xDE, 0xF7, 0xDE, 0xF7");
asm(".byte 0x17, 0xC6, 0xBD, 0xF7, 0x7C, 0xEF, 0x1A, 0xDF, 0xF9, 0xD6, 0x1A, 0xDF, 0x9C, 0xEF, 0x7C, 0xEF");
asm(".byte 0x9B, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF");
asm(".byte 0x73, 0xAD, 0x3A, 0xE7, 0x5A, 0xE7, 0xB3, 0xB5, 0x19, 0xDF, 0xD8, 0xD6, 0x76, 0xC6, 0xB8, 0xD6");
asm(".byte 0x1A, 0xDF, 0xB8, 0xD6, 0x77, 0xCE, 0x77, 0xCE, 0x98, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0xD4, 0xB5");
asm(".byte 0x57, 0xC6, 0xF5, 0xBD, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x06, 0x32, 0x48, 0x42, 0x67, 0x42");
asm(".byte 0x68, 0x42, 0x88, 0x42, 0xA8, 0x4A, 0xE8, 0x52, 0x29, 0x63, 0x47, 0x63, 0x47, 0x6B, 0x88, 0x73");
asm(".byte 0xA9, 0x7B, 0x69, 0x73, 0x08, 0x5B, 0xE8, 0x5A, 0xA8, 0x52, 0x87, 0x4A, 0xC9, 0x52, 0x48, 0x42");
asm(".byte 0x49, 0x42, 0x89, 0x4A, 0xAA, 0x52, 0xF2, 0xA4, 0x6C, 0x7B, 0x0A, 0x73, 0xC9, 0x72, 0x4A, 0x7B");
asm(".byte 0xF4, 0xDD, 0xF4, 0xDD, 0xAC, 0x93, 0xAB, 0x93, 0xA4, 0x49, 0xA8, 0x6A, 0x8B, 0x8B, 0x46, 0x5A");
asm(".byte 0xA5, 0x39, 0x64, 0x31, 0x03, 0x21, 0x27, 0x4A, 0x87, 0x5A, 0x0C, 0x9C, 0xAA, 0x93, 0xAB, 0x9B");
asm(".byte 0x6A, 0x93, 0xEC, 0xA3, 0x4D, 0xB4, 0xEF, 0xC4, 0x50, 0xD5, 0x71, 0xD5, 0x51, 0xCD, 0x31, 0xC5");
asm(".byte 0x51, 0xC5, 0xD3, 0xDD, 0x72, 0xCD, 0xAE, 0xBC, 0x6E, 0xBC, 0xCF, 0xBC, 0xF0, 0xBC, 0x6E, 0xB4");
asm(".byte 0x4E, 0xA4, 0x0D, 0xA4, 0xCC, 0x93, 0x4E, 0xA4, 0x8F, 0xAC, 0xB0, 0xAC, 0xF1, 0xB4, 0x36, 0xDE");
asm(".byte 0xB8, 0xE6, 0x1A, 0xEF, 0x1A, 0xF7, 0x1A, 0xEF, 0xF9, 0xEE, 0xF9, 0xEE, 0xD9, 0xEE, 0xB8, 0xEE");
asm(".byte 0xB8, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xB8, 0xEE, 0xD8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xD9, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0x5B, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0x7D, 0xF7, 0x9D, 0xF7, 0xAD, 0x83, 0xF9, 0xEE, 0x77, 0xDE, 0x76, 0xE6, 0x93, 0xCD, 0x73, 0xCD");
asm(".byte 0x52, 0xC5, 0xF0, 0xBC, 0x6E, 0xB4, 0x6E, 0xAC, 0x0D, 0xA4, 0x52, 0xC5, 0x3B, 0xEF, 0xBE, 0xF7");
asm(".byte 0xFF, 0xFF, 0x34, 0xA5, 0xDE, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x1A, 0xDF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x7C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x53, 0xAD, 0x3A, 0xDF, 0x77, 0xCE, 0xD4, 0xBD, 0xF9, 0xDE, 0xB7, 0xD6, 0xD8, 0xD6");
asm(".byte 0xD8, 0xD6, 0xB8, 0xD6, 0x19, 0xDF, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x57, 0xCE, 0x76, 0xCE");
asm(".byte 0xD8, 0xD6, 0x36, 0xC6, 0x56, 0xC6, 0xF5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x21, 0x48, 0x3A");
asm(".byte 0xC5, 0x29, 0x26, 0x3A, 0x47, 0x42, 0x05, 0x3A, 0xA7, 0x52, 0xA6, 0x52, 0x88, 0x73, 0x4C, 0xAD");
asm(".byte 0xEC, 0xC5, 0x0E, 0xC6, 0x2E, 0xCE, 0xE9, 0x7B, 0x66, 0x4A, 0x05, 0x42, 0xE5, 0x39, 0xA8, 0x4A");
asm(".byte 0x07, 0x3A, 0xE7, 0x39, 0xCA, 0x52, 0xAA, 0x4A, 0x54, 0xAD, 0x0F, 0x94, 0x4B, 0x7B, 0xAD, 0x93");
asm(".byte 0x32, 0xBD, 0x98, 0xEE, 0xF9, 0xEE, 0xB4, 0xD5, 0x6E, 0xAC, 0x2E, 0xA4, 0x46, 0x5A, 0x6A, 0x83");
asm(".byte 0xA8, 0x62, 0xC5, 0x41, 0x64, 0x29, 0x81, 0x10, 0xA8, 0x5A, 0x87, 0x5A, 0xCB, 0x93, 0xCB, 0x9B");
asm(".byte 0x6A, 0x93, 0x8B, 0x9B, 0x29, 0x8B, 0x6D, 0xBC, 0xCE, 0xC4, 0x71, 0xD5, 0xF3, 0xDD, 0x55, 0xE6");
asm(".byte 0x96, 0xEE, 0xD8, 0xEE, 0xF8, 0xF6, 0xD8, 0xEE, 0x56, 0xE6, 0xD3, 0xD5, 0xD4, 0xDD, 0xF4, 0xDD");
asm(".byte 0x15, 0xDE, 0x36, 0xDE, 0x77, 0xE6, 0xB8, 0xEE, 0xF9, 0xEE, 0x3A, 0xF7, 0x7B, 0xF7, 0x9C, 0xFF");
asm(".byte 0x9D, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x9C, 0xF7, 0x7C, 0xF7, 0x5B, 0xF7, 0x3B, 0xEF");
asm(".byte 0xFA, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xF9, 0xEE, 0xF9, 0xEE, 0x1A, 0xEF, 0xF9, 0xEE, 0x3A, 0xEF, 0x9D, 0xF7, 0xDE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0x9D, 0xF7, 0xBD, 0xF7, 0x74, 0xB5, 0x77, 0xE6, 0xF9, 0xEE, 0xF9, 0xEE, 0x98, 0xEE");
asm(".byte 0x97, 0xEE, 0x76, 0xE6, 0xD4, 0xD5, 0x15, 0xDE, 0x72, 0xCD, 0x52, 0xC5, 0xD4, 0xD5, 0x98, 0xDE");
asm(".byte 0xBD, 0xFF, 0xDF, 0xFF, 0xB6, 0xB5, 0xDE, 0xF7, 0x9D, 0xF7, 0x7B, 0xEF, 0x5B, 0xE7, 0x1A, 0xDF");
asm(".byte 0xD9, 0xD6, 0x3A, 0xE7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0xB4, 0xB5, 0x5B, 0xE7, 0x94, 0xAD, 0x76, 0xCE, 0x19, 0xDF, 0x97, 0xD6");
asm(".byte 0xF9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0xD9, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE");
asm(".byte 0xB8, 0xD6, 0xF5, 0xBD, 0x56, 0xC6, 0x16, 0xBE, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0x52");
asm(".byte 0x32, 0x95, 0x88, 0x42, 0xF8, 0xCE, 0x31, 0x95, 0xB3, 0xA5, 0x34, 0xB6, 0x27, 0x5B, 0xF6, 0xDE");
asm(".byte 0x77, 0xF7, 0x6F, 0xD6, 0x35, 0xEF, 0xD2, 0xDE, 0xB0, 0xB5, 0x35, 0xBE, 0x6F, 0x84, 0x4E, 0x7C");
asm(".byte 0x8F, 0x84, 0x07, 0x3A, 0x13, 0x95, 0xCE, 0x73, 0x50, 0x84, 0xB5, 0xB5, 0xF2, 0xA4, 0x0F, 0x8C");
asm(".byte 0x6F, 0xA4, 0xF9, 0xEE, 0x7B, 0xF7, 0x3B, 0xF7, 0xF9, 0xEE, 0x92, 0xCD, 0x93, 0xCD, 0xC8, 0x72");
asm(".byte 0xCC, 0x8B, 0x09, 0x73, 0xC9, 0x62, 0x84, 0x31, 0x61, 0x10, 0xE9, 0x62, 0x88, 0x5A, 0x8E, 0xAC");
asm(".byte 0x0C, 0xA4, 0xCB, 0x9B, 0x4A, 0x8B, 0xAB, 0x9B, 0x4D, 0xB4, 0x8D, 0xBC, 0x0F, 0xC5, 0x14, 0xE6");
asm(".byte 0x76, 0xE6, 0x97, 0xEE, 0xF9, 0xEE, 0x3A, 0xF7, 0x5C, 0xF7, 0x7C, 0xF7, 0x5B, 0xF7, 0x3B, 0xF7");
asm(".byte 0x5B, 0xF7, 0x5B, 0xF7, 0x7B, 0xF7, 0x9C, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBD, 0xFF, 0x9C, 0xF7, 0x5B, 0xF7, 0x1A, 0xEF, 0xD9, 0xEE, 0xD8, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE");
asm(".byte 0x1A, 0xEF, 0x1A, 0xF7, 0x1A, 0xEF, 0x1A, 0xEF, 0xF9, 0xEE, 0x1A, 0xEF, 0x9C, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0x9D, 0xF7, 0x99, 0xD6, 0x52, 0xBD, 0xF9, 0xEE, 0x1A, 0xF7");
asm(".byte 0x1A, 0xF7, 0xF9, 0xF6, 0xF9, 0xF6, 0x97, 0xE6, 0x15, 0xD6, 0x97, 0xEE, 0x16, 0xDE, 0x35, 0xDE");
asm(".byte 0x77, 0xE6, 0x1A, 0xEF, 0xDE, 0xFF, 0xDA, 0xDE, 0x3B, 0xE7, 0xBE, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x1A, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0x5B, 0xE7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0xF5, 0xBD, 0x5B, 0xE7, 0xD1, 0x9C, 0xF9, 0xDE, 0x5A, 0xE7");
asm(".byte 0xB7, 0xD6, 0x19, 0xDF, 0xB8, 0xD6, 0xB8, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xD9, 0xD6");
asm(".byte 0xD9, 0xD6, 0xD9, 0xDE, 0xB4, 0xB5, 0x57, 0xC6, 0x36, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x8C, 0x63, 0xAC, 0x63, 0x2E, 0x74, 0xF5, 0xAD, 0x84, 0x21, 0xD8, 0xCE, 0xF3, 0xB5, 0x0F, 0x95");
asm(".byte 0xF6, 0xDE, 0x98, 0xF7, 0x13, 0xE7, 0x14, 0xE7, 0x35, 0xE7, 0x52, 0xC6, 0xF3, 0xB5, 0x73, 0xA5");
asm(".byte 0xF1, 0x94, 0x4F, 0x7C, 0x91, 0x84, 0xD1, 0x8C, 0xD2, 0x94, 0xEE, 0x73, 0x70, 0x8C, 0x57, 0xD6");
asm(".byte 0x12, 0xAD, 0x4E, 0xA4, 0x3A, 0xF7, 0x5C, 0xF7, 0x3A, 0xF7, 0x56, 0xDE, 0x10, 0xC5, 0x0E, 0x94");
asm(".byte 0x02, 0x31, 0x88, 0x5A, 0x6B, 0x83, 0x8B, 0x7B, 0x27, 0x4A, 0x61, 0x10, 0xC9, 0x62, 0xC9, 0x62");
asm(".byte 0xED, 0x93, 0x2D, 0xAC, 0xAB, 0x93, 0xC8, 0x7A, 0x29, 0x8B, 0x0C, 0xAC, 0x8E, 0xBC, 0xAE, 0xBC");
asm(".byte 0xF4, 0xE5, 0x76, 0xEE, 0xB7, 0xEE, 0x19, 0xF7, 0x7B, 0xF7, 0x9C, 0xFF, 0x9C, 0xFF, 0xBD, 0xFF");
asm(".byte 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x9D, 0xFF, 0x5B, 0xF7, 0xFA, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE");
asm(".byte 0xF9, 0xEE, 0x1A, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7, 0x3B, 0xF7, 0xFA, 0xEE, 0x1A, 0xEF, 0x9C, 0xF7");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0x7D, 0xF7, 0x99, 0xD6, 0x4F, 0x9C, 0xD8, 0xEE");
asm(".byte 0x1A, 0xF7, 0x1A, 0xF7, 0x1A, 0xF7, 0x1A, 0xF7, 0x1A, 0xF7, 0xFA, 0xF6, 0x77, 0xE6, 0x77, 0xDE");
asm(".byte 0x77, 0xDE, 0x97, 0xE6, 0x77, 0xE6, 0x7C, 0xF7, 0x9D, 0xEF, 0xF7, 0xBD, 0xDE, 0xF7, 0xBC, 0xF7");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF");
asm(".byte 0x7C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x94, 0xAD, 0x3A, 0xDF, 0x12, 0xA5, 0x19, 0xE7");
asm(".byte 0x39, 0xE7, 0x76, 0xCE, 0x3A, 0xE7, 0xF9, 0xDE, 0xD8, 0xDE, 0x3A, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x98, 0xD6, 0x77, 0xCE, 0x56, 0xC6, 0x36, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x47, 0x3A, 0xEE, 0x6B, 0xE5, 0x31, 0x6B, 0x5B, 0x05, 0x3A, 0x49, 0x5B, 0xAE, 0x8C");
asm(".byte 0x84, 0x4A, 0x4D, 0xAD, 0xD1, 0xE6, 0x6B, 0xD6, 0xD1, 0xE6, 0x8F, 0xDE, 0x28, 0x84, 0xAB, 0x73");
asm(".byte 0xE4, 0x39, 0x67, 0x42, 0xEE, 0x73, 0xE7, 0x31, 0x48, 0x42, 0xEA, 0x52, 0xCE, 0x73, 0xAE, 0x73");
asm(".byte 0xD9, 0xE6, 0x94, 0xC5, 0xCC, 0x93, 0x3A, 0xF7, 0x7C, 0xFF, 0x77, 0xE6, 0xCD, 0x93, 0x67, 0x62");
asm(".byte 0x43, 0x31, 0x47, 0x5A, 0x23, 0x31, 0x4B, 0x7B, 0x09, 0x7B, 0x68, 0x5A, 0xC2, 0x18, 0xE6, 0x41");
asm(".byte 0x88, 0x52, 0x2A, 0x73, 0x0D, 0x9C, 0x4A, 0x8B, 0xE8, 0x7A, 0x09, 0x83, 0xAB, 0x9B, 0x4D, 0xB4");
asm(".byte 0xEF, 0xC4, 0x92, 0xD5, 0x75, 0xEE, 0xB7, 0xEE, 0xD8, 0xEE, 0x3B, 0xF7, 0x9C, 0xFF, 0x9D, 0xFF");
asm(".byte 0x9D, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0x7C, 0xF7, 0x3B, 0xF7, 0xF9, 0xEE");
asm(".byte 0xD9, 0xEE, 0xF9, 0xEE, 0x1A, 0xEF, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x3B, 0xF7, 0x1A, 0xEF");
asm(".byte 0x7C, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDD, 0xFF, 0x7D, 0xF7, 0x99, 0xDE, 0xCD, 0x93");
asm(".byte 0x97, 0xEE, 0x3A, 0xF7, 0x3A, 0xF7, 0x3A, 0xF7, 0x3A, 0xF7, 0x1A, 0xF7, 0xF9, 0xEE, 0xB8, 0xE6");
asm(".byte 0xD9, 0xEE, 0xD9, 0xEE, 0xB8, 0xEE, 0x97, 0xE6, 0xD9, 0xEE, 0xFE, 0xFF, 0x54, 0xAD, 0xFE, 0xFF");
asm(".byte 0xBD, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0xFA, 0xDE, 0xF9, 0xD6, 0x19, 0xDF, 0xF9, 0xDE, 0x3A, 0xE7");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x52, 0xA5, 0xFA, 0xDE, 0x11, 0x9D");
asm(".byte 0x5A, 0xEF, 0x19, 0xE7, 0x56, 0xCE, 0x1A, 0xE7, 0xF9, 0xDE, 0x3A, 0xE7, 0xF9, 0xDE, 0xD8, 0xD6");
asm(".byte 0xD8, 0xD6, 0xB7, 0xCE, 0xB8, 0xD6, 0x97, 0xCE, 0x16, 0xBE, 0x77, 0xCE, 0x36, 0xC6, 0x36, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xC6, 0x29, 0x27, 0x3A, 0x47, 0x3A, 0x47, 0x3A, 0x46, 0x3A, 0xA7, 0x4A");
asm(".byte 0x48, 0x63, 0x67, 0x6B, 0x2B, 0xAD, 0xCF, 0xE6, 0x8D, 0xDE, 0x8D, 0xDE, 0x6E, 0xD6, 0x8A, 0x94");
asm(".byte 0xA7, 0x52, 0xA7, 0x52, 0x88, 0x4A, 0x27, 0x3A, 0x48, 0x42, 0x48, 0x42, 0x89, 0x4A, 0x89, 0x4A");
asm(".byte 0x2C, 0x6B, 0x5B, 0xF7, 0x57, 0xD6, 0xCD, 0x93, 0x1A, 0xF7, 0x7C, 0xFF, 0x73, 0xC5, 0xE6, 0x51");
asm(".byte 0x27, 0x5A, 0xA8, 0x6A, 0xC9, 0x72, 0x24, 0x31, 0x87, 0x6A, 0x29, 0x7B, 0xA8, 0x6A, 0x64, 0x31");
asm(".byte 0xE3, 0x20, 0x27, 0x4A, 0x26, 0x52, 0x8B, 0x8B, 0x29, 0x83, 0xA8, 0x72, 0xC8, 0x7A, 0xAB, 0x9B");
asm(".byte 0xEC, 0xAB, 0x8E, 0xBC, 0x30, 0xCD, 0x14, 0xDE, 0x76, 0xEE, 0xB7, 0xEE, 0xF9, 0xF6, 0x5B, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9D, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0x9D, 0xFF, 0x7C, 0xFF, 0x3B, 0xF7");
asm(".byte 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x1A, 0xEF, 0x7C, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDD, 0xFF, 0x9D, 0xF7, 0xDA, 0xDE");
asm(".byte 0xAC, 0x93, 0x15, 0xDE, 0x3A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x3A, 0xF7, 0x3A, 0xF7, 0x1A, 0xF7");
asm(".byte 0x1A, 0xF7, 0xF9, 0xEE, 0xD9, 0xEE, 0xB9, 0xEE, 0x77, 0xE6, 0x98, 0xE6, 0x9C, 0xFF, 0x54, 0xAD");
asm(".byte 0xFE, 0xFF, 0xBD, 0xF7, 0x9B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x19, 0xDF, 0x19, 0xDF, 0x1A, 0xDF");
asm(".byte 0x1A, 0xDF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x57, 0xC6, 0x9C, 0xEF");
asm(".byte 0xD1, 0x94, 0x7B, 0xEF, 0x3A, 0xE7, 0xB7, 0xD6, 0x1A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF");
asm(".byte 0xD8, 0xDE, 0xF8, 0xDE, 0xD8, 0xDE, 0xB8, 0xD6, 0x98, 0xD6, 0xB4, 0xB5, 0xFA, 0xDE, 0x77, 0xCE");
asm(".byte 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC6, 0x29, 0x27, 0x3A, 0x26, 0x3A, 0x67, 0x3A, 0x87, 0x42");
asm(".byte 0xE7, 0x52, 0x28, 0x63, 0x67, 0x6B, 0x2B, 0xA5, 0xCF, 0xE6, 0xAD, 0xDE, 0x8D, 0xDE, 0x8E, 0xD6");
asm(".byte 0x8A, 0x94, 0xE7, 0x5A, 0xC8, 0x52, 0x67, 0x42, 0x47, 0x42, 0x48, 0x42, 0x69, 0x4A, 0xC9, 0x52");
asm(".byte 0xCB, 0x52, 0xAA, 0x52, 0xB9, 0xDE, 0xD9, 0xDE, 0xB0, 0xAC, 0xD9, 0xEE, 0x9D, 0xFF, 0x12, 0xB5");
asm(".byte 0xA9, 0x6A, 0x88, 0x6A, 0xD0, 0xB4, 0x2A, 0x8B, 0x44, 0x39, 0x29, 0x7B, 0x8A, 0x93, 0xE9, 0x72");
asm(".byte 0xA5, 0x39, 0x44, 0x31, 0x06, 0x4A, 0xC5, 0x41, 0xC8, 0x6A, 0x08, 0x7B, 0x87, 0x72, 0x87, 0x72");
asm(".byte 0x49, 0x8B, 0xCB, 0xA3, 0x4D, 0xB4, 0xEF, 0xC4, 0x92, 0xD5, 0x35, 0xE6, 0x76, 0xEE, 0xB7, 0xEE");
asm(".byte 0xF9, 0xF6, 0x3A, 0xF7, 0x7C, 0xF7, 0x9C, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0x9D, 0xFF, 0x7C, 0xF7");
asm(".byte 0x5B, 0xF7, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0xF9, 0xEE, 0x1A, 0xEF, 0x3A, 0xF7, 0x5B, 0xF7");
asm(".byte 0x5C, 0xF7, 0x5B, 0xF7, 0x9D, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xF7");
asm(".byte 0x1B, 0xE7, 0xAC, 0x8B, 0xB4, 0xD5, 0x1A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x3B, 0xF7");
asm(".byte 0x1A, 0xF7, 0x1A, 0xF7, 0xF9, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE, 0x77, 0xDE, 0x5B, 0xF7");
asm(".byte 0x33, 0xA5, 0xBD, 0xF7, 0x7C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x97, 0xCE, 0x97, 0xCE, 0x1A, 0xDF, 0xB8, 0xD6, 0xB8, 0xD6, 0x57, 0xCE, 0x94, 0xB5, 0x2E, 0x84");
asm(".byte 0xEE, 0x7B, 0x6B, 0x6B, 0x98, 0xD6, 0x56, 0xCE, 0x56, 0xC6, 0x97, 0xCE, 0x97, 0xCE, 0xF9, 0xDE");
asm(".byte 0x77, 0xCE, 0x57, 0xCE, 0x56, 0xCE, 0x56, 0xC6, 0x15, 0xC6, 0x36, 0xC6, 0x32, 0xA5, 0x57, 0xCE");
asm(".byte 0xD5, 0xB5, 0x94, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x19, 0xE6, 0x29, 0xC5, 0x31, 0x47, 0x3A");
asm(".byte 0x66, 0x42, 0xA6, 0x4A, 0xE7, 0x5A, 0xC6, 0x5A, 0xEB, 0xA4, 0xCE, 0xE6, 0x8E, 0xDE, 0x6C, 0xDE");
asm(".byte 0x4D, 0xD6, 0x4A, 0x8C, 0xC6, 0x52, 0xA7, 0x52, 0x46, 0x3A, 0xE6, 0x31, 0xE6, 0x31, 0x07, 0x32");
asm(".byte 0x68, 0x42, 0x49, 0x42, 0x8A, 0x4A, 0x33, 0xAD, 0xB9, 0xDE, 0x73, 0xC5, 0x77, 0xDE, 0xBC, 0xFF");
asm(".byte 0x53, 0xBD, 0x90, 0xA4, 0x53, 0xC5, 0x72, 0xCD, 0xEC, 0x9B, 0x64, 0x39, 0xCF, 0xB4, 0xEB, 0x9B");
asm(".byte 0xC9, 0x6A, 0xA5, 0x41, 0x23, 0x29, 0x06, 0x4A, 0x06, 0x4A, 0x87, 0x62, 0xE8, 0x7A, 0xA8, 0x72");
asm(".byte 0xC8, 0x72, 0xE8, 0x82, 0x8A, 0x9B, 0x0C, 0xAC, 0x6D, 0xB4, 0xEF, 0xC4, 0xB2, 0xD5, 0x35, 0xE6");
asm(".byte 0x76, 0xEE, 0x97, 0xEE, 0xD8, 0xEE, 0x1A, 0xF7, 0x5B, 0xF7, 0x7C, 0xFF, 0x9C, 0xFF, 0x9D, 0xFF");
asm(".byte 0xBD, 0xFF, 0xDD, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0x9D, 0xF7");
asm(".byte 0x7C, 0xF7, 0x5B, 0xF7, 0xF9, 0xEE, 0xF9, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0x19, 0xF7, 0x3A, 0xF7");
asm(".byte 0x5B, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBE, 0xF7, 0x9D, 0xF7, 0x0E, 0x9C, 0x51, 0xC5, 0x1A, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x5B, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0xD9, 0xEE, 0xB8, 0xEE, 0xB8, 0xE6, 0x77, 0xDE, 0x36, 0xDE");
asm(".byte 0x3B, 0xF7, 0x33, 0xA5, 0x3B, 0xE7, 0x1B, 0xE7, 0xF9, 0xDE, 0x1A, 0xE7, 0xB8, 0xD6, 0x98, 0xCE");
asm(".byte 0x56, 0xC6, 0x15, 0xBE, 0xB4, 0xAD, 0x56, 0xC6, 0x36, 0xC6, 0xF5, 0xBD, 0xF5, 0xBD, 0xD5, 0xB5");
asm(".byte 0xD5, 0xB5, 0xB4, 0xB5, 0x32, 0xA5, 0x16, 0xC6, 0x93, 0xB5, 0xB4, 0xB5, 0xB4, 0xB5, 0xB4, 0xB5");
asm(".byte 0x36, 0xC6, 0x16, 0xC6, 0xD4, 0xBD, 0xD4, 0xBD, 0xB4, 0xB5, 0x94, 0xB5, 0x12, 0xA5, 0x52, 0xA5");
asm(".byte 0x94, 0xAD, 0x93, 0xAD, 0x32, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0B, 0x53, 0x73, 0x9D, 0x88, 0x42");
asm(".byte 0xD0, 0x8C, 0x36, 0xBE, 0x11, 0x95, 0xF8, 0xD6, 0x8C, 0x8C, 0x93, 0xD6, 0x33, 0xEF, 0x75, 0xF7");
asm(".byte 0x54, 0xEF, 0x54, 0xEF, 0x31, 0xC6, 0xEB, 0x7B, 0xD4, 0xB5, 0x8C, 0x6B, 0x73, 0xA5, 0x6C, 0x63");
asm(".byte 0xD1, 0x8C, 0x54, 0x9D, 0xCB, 0x52, 0xB2, 0x94, 0x6D, 0x6B, 0xB9, 0xDE, 0xB8, 0xE6, 0x74, 0xC5");
asm(".byte 0xBD, 0xFF, 0x36, 0xD6, 0x12, 0xB5, 0xD9, 0xE6, 0xB7, 0xE6, 0x11, 0xB5, 0x0A, 0x73, 0x92, 0xCD");
asm(".byte 0x8E, 0xB4, 0xAC, 0x8B, 0x23, 0x29, 0x68, 0x52, 0x23, 0x29, 0x47, 0x52, 0x4A, 0x7B, 0x4A, 0x8B");
asm(".byte 0xC8, 0x72, 0xA8, 0x72, 0x09, 0x83, 0x29, 0x8B, 0xEB, 0xA3, 0x0C, 0xAC, 0x2D, 0xAC, 0x8E, 0xBC");
asm(".byte 0x51, 0xD5, 0xF3, 0xDD, 0x35, 0xE6, 0x76, 0xEE, 0x97, 0xEE, 0xD8, 0xF6, 0xF9, 0xF6, 0x1A, 0xF7");
asm(".byte 0x5B, 0xF7, 0x7C, 0xF7, 0x9C, 0xFF, 0x9D, 0xFF, 0x9D, 0xFF, 0xBC, 0xFF, 0xBD, 0xFF, 0xDE, 0xFF");
asm(".byte 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBD, 0xF7, 0x7C, 0xF7, 0x3A, 0xF7, 0xD9, 0xEE, 0xB8, 0xEE, 0x98, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE");
asm(".byte 0x3A, 0xF7, 0x5B, 0xF7, 0x9C, 0xF7, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0x74, 0xBD, 0xAF, 0xB4, 0x19, 0xF7, 0x5B, 0xF7, 0x7B, 0xF7");
asm(".byte 0x7B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x1A, 0xF7, 0xB8, 0xEE, 0x56, 0xE6, 0xF5, 0xDD, 0x32, 0xBD");
asm(".byte 0xF5, 0xD5, 0x78, 0xDE, 0x74, 0xB5, 0xDE, 0xFF, 0xDD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x1A, 0xDF, 0x19, 0xDF, 0x5B, 0xE7, 0x1A, 0xDF, 0x1A, 0xDF");
asm(".byte 0x3A, 0xE7, 0xF2, 0x9C, 0x98, 0xD6, 0xD9, 0xDE, 0x5B, 0xEF, 0xF8, 0xDE, 0x5A, 0xEF, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xEF, 0x1A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xB8, 0xD6, 0x53, 0xA5");
asm(".byte 0xF6, 0xBD, 0x77, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC9, 0x4A, 0xF5, 0xAD");
asm(".byte 0x2E, 0x74, 0x90, 0x84, 0xE5, 0x31, 0xA7, 0x4A, 0xB7, 0xCE, 0x85, 0x4A, 0xF5, 0xDE, 0xF0, 0xE6");
asm(".byte 0xF1, 0xE6, 0x55, 0xF7, 0x55, 0xEF, 0x94, 0xCE, 0xAE, 0x8C, 0x2E, 0x84, 0x06, 0x32, 0x12, 0x95");
asm(".byte 0x73, 0x9D, 0x4B, 0x5B, 0xB5, 0xAD, 0x28, 0x42, 0x75, 0xA5, 0xA6, 0x31, 0x3B, 0xEF, 0x7B, 0xF7");
asm(".byte 0xAC, 0x8B, 0x9C, 0xF7, 0x3B, 0xEF, 0x98, 0xDE, 0x3B, 0xEF, 0x1A, 0xEF, 0xF5, 0xD5, 0x4A, 0x7B");
asm(".byte 0xEF, 0xBC, 0x8E, 0xAC, 0x4A, 0x7B, 0x64, 0x39, 0xC6, 0x41, 0xA1, 0x18, 0xE6, 0x49, 0xE6, 0x49");
asm(".byte 0x4A, 0x83, 0xA7, 0x72, 0x87, 0x6A, 0xC8, 0x7A, 0x29, 0x83, 0x6A, 0x93, 0xCB, 0x9B, 0x8A, 0x93");
asm(".byte 0x8A, 0x9B, 0x8D, 0xBC, 0xEF, 0xC4, 0x92, 0xDD, 0xD3, 0xDD, 0x35, 0xE6, 0x76, 0xEE, 0x96, 0xEE");
asm(".byte 0xB7, 0xEE, 0xD8, 0xEE, 0xF9, 0xF6, 0x1A, 0xF7, 0x3B, 0xF7, 0x5B, 0xF7, 0x7B, 0xFF, 0x7C, 0xFF");
asm(".byte 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xBD, 0xF7, 0x7B, 0xF7, 0x1A, 0xEF, 0x77, 0xE6, 0x11, 0xB5, 0xD0, 0xAC, 0xD4, 0xCD");
asm(".byte 0x98, 0xE6, 0xD9, 0xE6, 0x1A, 0xEF, 0x9C, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0x1B, 0xEF, 0x6F, 0xAC, 0x77, 0xE6, 0x5B, 0xF7");
asm(".byte 0x7C, 0xF7, 0x7C, 0xFF, 0x5B, 0xF7, 0x3B, 0xF7, 0xF9, 0xF6, 0x77, 0xE6, 0x56, 0xE6, 0x0D, 0x9C");
asm(".byte 0xED, 0x93, 0x73, 0xC5, 0x33, 0xB5, 0x17, 0xC6, 0xDE, 0xFF, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0xFA, 0xDE, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x9C, 0xF7, 0xF6, 0xBD, 0x97, 0xD6, 0x1A, 0xE7, 0x7B, 0xEF, 0xD8, 0xDE, 0x5B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x12, 0x9D, 0x90, 0x94, 0x98, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x31");
asm(".byte 0xB0, 0x84, 0x84, 0x21, 0xF1, 0x8C, 0x05, 0x32, 0xCC, 0x73, 0x6E, 0x84, 0xAD, 0x8C, 0x94, 0xCE");
asm(".byte 0x13, 0xE7, 0x33, 0xEF, 0xD1, 0xE6, 0xB1, 0xDE, 0x90, 0xAD, 0x49, 0x63, 0xAC, 0x6B, 0xE5, 0x31");
asm(".byte 0x6C, 0x63, 0xA9, 0x4A, 0x0B, 0x5B, 0x6C, 0x63, 0x89, 0x4A, 0xEF, 0x73, 0x8A, 0x4A, 0xF6, 0xC5");
asm(".byte 0x7B, 0xFF, 0xCC, 0x8B, 0x77, 0xDE, 0x5B, 0xF7, 0xF6, 0xCD, 0x1A, 0xE7, 0x9C, 0xF7, 0xD9, 0xEE");
asm(".byte 0xED, 0x93, 0xCB, 0x93, 0x2D, 0xA4, 0x2A, 0x7B, 0x64, 0x39, 0x44, 0x31, 0x61, 0x10, 0x67, 0x5A");
asm(".byte 0xA1, 0x18, 0xA8, 0x6A, 0xE8, 0x7A, 0x67, 0x6A, 0x67, 0x6A, 0x87, 0x72, 0x09, 0x83, 0x29, 0x8B");
asm(".byte 0x6A, 0x93, 0xCB, 0xA3, 0xEB, 0xAB, 0x4D, 0xB4, 0xAE, 0xBC, 0x50, 0xD5, 0x92, 0xDD, 0xF3, 0xDD");
asm(".byte 0x35, 0xE6, 0x55, 0xE6, 0x56, 0xE6, 0x76, 0xEE, 0xB7, 0xEE, 0xF8, 0xF6, 0x1A, 0xF7, 0x3A, 0xF7");
asm(".byte 0x5B, 0xF7, 0x9D, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0x9C, 0xFF, 0x3B, 0xF7, 0x97, 0xE6, 0x0D, 0x9C, 0x8F, 0xAC, 0x97, 0xE6");
asm(".byte 0xD8, 0xEE, 0x1A, 0xEF, 0x5B, 0xF7, 0x7C, 0xF7, 0x9C, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0x90, 0xAC, 0x93, 0xCD");
asm(".byte 0x5B, 0xF7, 0x7C, 0xF7, 0x7C, 0xFF, 0x5B, 0xF7, 0x3A, 0xF7, 0xB8, 0xEE, 0xF5, 0xDD, 0xF0, 0xB4");
asm(".byte 0x8C, 0x8B, 0xAC, 0x8B, 0x32, 0xBD, 0xCA, 0x6A, 0xFE, 0xFF, 0xDE, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x9C, 0xEF, 0x9C, 0xEF, 0xB4, 0xB5, 0x56, 0xCE, 0xBC, 0xF7, 0x9C, 0xF7, 0xD8, 0xDE");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xEF, 0x1A, 0xDF, 0x1A, 0xDF, 0xF9, 0xDE");
asm(".byte 0xF9, 0xDE, 0x90, 0x8C, 0x12, 0xA5, 0xB8, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x85, 0x29, 0x06, 0x32, 0x06, 0x32, 0x06, 0x32, 0x67, 0x42, 0x87, 0x4A, 0xA7, 0x52, 0xE8, 0x5A");
asm(".byte 0x67, 0x6B, 0x08, 0x84, 0xE7, 0x7B, 0xA8, 0x7B, 0xE8, 0x7B, 0x26, 0x63, 0xC7, 0x52, 0xA8, 0x4A");
asm(".byte 0x67, 0x42, 0x06, 0x32, 0x07, 0x32, 0x27, 0x3A, 0x28, 0x3A, 0x69, 0x42, 0x69, 0x42, 0xAB, 0x4A");
asm(".byte 0x8C, 0x73, 0x9C, 0xF7, 0x97, 0xE6, 0x67, 0x5A, 0x1A, 0xF7, 0x1A, 0xF7, 0xD2, 0xA4, 0x99, 0xD6");
asm(".byte 0x5B, 0xF7, 0x93, 0xC5, 0x87, 0x62, 0x8E, 0xB4, 0xE8, 0x72, 0x67, 0x5A, 0xE2, 0x28, 0xA1, 0x18");
asm(".byte 0xA8, 0x62, 0x67, 0x52, 0xE5, 0x51, 0xA8, 0x72, 0x87, 0x6A, 0x67, 0x6A, 0x67, 0x6A, 0x87, 0x6A");
asm(".byte 0x6A, 0x8B, 0x8A, 0x9B, 0x8A, 0x9B, 0xAB, 0xA3, 0x0C, 0xAC, 0x8D, 0xBC, 0xAE, 0xC4, 0xEF, 0xCC");
asm(".byte 0x30, 0xCD, 0x71, 0xD5, 0xD3, 0xDD, 0xF4, 0xDD, 0x14, 0xDE, 0x35, 0xE6, 0x77, 0xEE, 0xD8, 0xEE");
asm(".byte 0xF9, 0xF6, 0x1A, 0xF7, 0x5B, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0x7C, 0xF7, 0x3A, 0xF7, 0xB4, 0xCD, 0xB0, 0xB4, 0x56, 0xE6");
asm(".byte 0x19, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9D, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF");
asm(".byte 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xBD, 0xF7, 0xDA, 0xE6");
asm(".byte 0x52, 0xC5, 0x3A, 0xF7, 0x7C, 0xF7, 0x5B, 0xFF, 0x5B, 0xF7, 0x1A, 0xF7, 0x97, 0xEE, 0xF1, 0xBC");
asm(".byte 0x8F, 0xB4, 0xCC, 0x93, 0x8E, 0xAC, 0xD0, 0xB4, 0xCE, 0x83, 0xFF, 0xFF, 0xDE, 0xF7, 0xDE, 0xF7");
asm(".byte 0xDD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9D, 0xF7, 0xBD, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x74, 0xAD, 0x19, 0xDF, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0xD8, 0xD6, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x1A, 0xE7, 0x1A, 0xDF");
asm(".byte 0xF9, 0xDE, 0xD9, 0xDE, 0xF5, 0xBD, 0x57, 0xC6, 0x78, 0xCE, 0x97, 0xCE, 0x16, 0xBE, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xA5, 0x29, 0x27, 0x32, 0x06, 0x32, 0x06, 0x3A, 0x67, 0x42, 0x87, 0x4A, 0xC8, 0x52");
asm(".byte 0x09, 0x5B, 0x27, 0x63, 0x67, 0x6B, 0x66, 0x63, 0x67, 0x6B, 0x47, 0x63, 0xE7, 0x5A, 0x87, 0x4A");
asm(".byte 0x46, 0x42, 0x46, 0x3A, 0x06, 0x32, 0xE6, 0x31, 0xE7, 0x31, 0x08, 0x3A, 0xE7, 0x31, 0x08, 0x3A");
asm(".byte 0x29, 0x3A, 0x86, 0x31, 0x3B, 0xF7, 0x7B, 0xFF, 0x6F, 0x9C, 0xA9, 0x6A, 0x1A, 0xEF, 0x57, 0xCE");
asm(".byte 0xD6, 0xC5, 0xD9, 0xE6, 0xA9, 0x72, 0xAC, 0x8B, 0x06, 0x52, 0x08, 0x7B, 0xC8, 0x6A, 0x67, 0x5A");
asm(".byte 0x05, 0x52, 0xE9, 0x72, 0x87, 0x62, 0xA8, 0x72, 0xE9, 0x7A, 0x66, 0x6A, 0x26, 0x62, 0x26, 0x62");
asm(".byte 0xA8, 0x72, 0x09, 0x8B, 0x6A, 0x9B, 0x8A, 0x9B, 0xAB, 0xA3, 0xAB, 0xA3, 0x2D, 0xB4, 0x4D, 0xB4");
asm(".byte 0x4D, 0xB4, 0x6D, 0xBC, 0x8E, 0xBC, 0x71, 0xD5, 0x92, 0xDD, 0xB3, 0xDD, 0xF4, 0xDD, 0x15, 0xE6");
asm(".byte 0x56, 0xE6, 0xB8, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x5B, 0xF7, 0x9C, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF");
asm(".byte 0xBE, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0x9D, 0xF7, 0x7B, 0xF7, 0xFA, 0xEE, 0x12, 0xBD, 0xD4, 0xD5");
asm(".byte 0xB9, 0xEE, 0x5B, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9D, 0xF7, 0xBD, 0xFF");
asm(".byte 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xFE, 0xFF, 0xFE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0x5C, 0xEF, 0x32, 0xBD, 0xD8, 0xEE, 0x7B, 0xF7, 0x5B, 0xF7, 0x3B, 0xF7, 0xD9, 0xEE, 0x15, 0xDE");
asm(".byte 0xAF, 0xB4, 0x0D, 0x9C, 0xAF, 0xAC, 0x6E, 0xAC, 0x6B, 0x83, 0x17, 0xC6, 0xFE, 0xF7, 0xDE, 0xFF");
asm(".byte 0xDE, 0xF7, 0xBE, 0xF7, 0xDE, 0xF7, 0xDE, 0xF7, 0xBE, 0xF7, 0xBE, 0xF7, 0xBE, 0xF7, 0x9D, 0xF7");
asm(".byte 0xBE, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x9D, 0xF7, 0x94, 0xAD, 0x1A, 0xDF, 0x9D, 0xF7");
asm(".byte 0x3B, 0xE7, 0x1A, 0xDF, 0x7C, 0xEF, 0x5C, 0xEF, 0x5C, 0xE7, 0x7C, 0xEF, 0x3B, 0xE7, 0x1B, 0xDF");
asm(".byte 0x1A, 0xDF, 0xFA, 0xDE, 0xD9, 0xD6, 0xD9, 0xD6, 0x95, 0xAD, 0xDA, 0xD6, 0x77, 0xCE, 0x17, 0xBE");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x23, 0x19, 0xC5, 0x29, 0xA5, 0x29, 0xE5, 0x31, 0x47, 0x42, 0xA8, 0x4A");
asm(".byte 0x25, 0x3A, 0xA6, 0x4A, 0xC6, 0x52, 0x09, 0x7C, 0xAA, 0x94, 0x8B, 0x94, 0x09, 0x84, 0xE6, 0x5A");
asm(".byte 0xA7, 0x52, 0x25, 0x3A, 0xC4, 0x29, 0xA5, 0x29, 0x64, 0x21, 0x64, 0x21, 0xA6, 0x29, 0xE6, 0x31");
asm(".byte 0xA6, 0x29, 0xC6, 0x31, 0x65, 0x29, 0x98, 0xDE, 0x9D, 0xF7, 0x1A, 0xEF, 0xCD, 0x8B, 0x2E, 0x9C");
asm(".byte 0x36, 0xDE, 0x94, 0xC5, 0x7B, 0xF7, 0x94, 0xBD, 0x20, 0x10, 0xA1, 0x20, 0x8B, 0x8B, 0x25, 0x52");
asm(".byte 0x67, 0x62, 0x87, 0x62, 0x46, 0x5A, 0x87, 0x6A, 0xE9, 0x72, 0xA7, 0x6A, 0x87, 0x6A, 0x46, 0x62");
asm(".byte 0x26, 0x62, 0x26, 0x62, 0xE8, 0x82, 0x4A, 0x93, 0xAB, 0xA3, 0x8A, 0xA3, 0xCC, 0xAB, 0xEB, 0xAB");
asm(".byte 0x2C, 0xB4, 0x0C, 0xAC, 0x2D, 0xB4, 0x6D, 0xBC, 0xAE, 0xBC, 0x31, 0xD5, 0x51, 0xD5, 0x72, 0xD5");
asm(".byte 0xB3, 0xDD, 0xF4, 0xDD, 0x36, 0xE6, 0x97, 0xEE, 0xD9, 0xEE, 0x19, 0xEF, 0x3A, 0xF7, 0x7C, 0xFF");
asm(".byte 0x9D, 0xF7, 0xBD, 0xFF, 0xBD, 0xFF, 0x9D, 0xFF, 0x7C, 0xF7, 0x3B, 0xF7, 0xB8, 0xE6, 0x53, 0xC5");
asm(".byte 0x36, 0xDE, 0xD9, 0xEE, 0x5B, 0xF7, 0x5B, 0xF7, 0x5C, 0xF7, 0x7C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0xBD, 0xFF, 0xBD, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xBD, 0xFF, 0x1B, 0xE7, 0xD5, 0xCD, 0x77, 0xE6, 0x5B, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0xB8, 0xEE");
asm(".byte 0x52, 0xC5, 0x8F, 0xAC, 0xAF, 0xB4, 0xAF, 0xB4, 0x4E, 0xA4, 0xC9, 0x62, 0xFE, 0xFF, 0xDE, 0xFF");
asm(".byte 0xDE, 0xF7, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDE, 0xF7, 0xDD, 0xF7, 0xDE, 0xF7, 0xDE, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9D, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x95, 0xAD, 0xDA, 0xD6");
asm(".byte 0x9D, 0xF7, 0x3B, 0xE7, 0x7C, 0xEF, 0x9D, 0xEF, 0x9D, 0xEF, 0x9D, 0xEF, 0x5C, 0xEF, 0x3B, 0xE7");
asm(".byte 0x3B, 0xE7, 0xFA, 0xDE, 0xF9, 0xDE, 0xFA, 0xDE, 0xD9, 0xD6, 0x94, 0xAD, 0x5B, 0xE7, 0x3B, 0xE7");
asm(".byte 0x3B, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0x8C, 0x4A, 0x53, 0x8C, 0x63, 0x8C, 0x6B, 0x56, 0xBE");
asm(".byte 0xEC, 0x73, 0x72, 0xA5, 0x34, 0xB6, 0xAE, 0x94, 0x15, 0xDF, 0x91, 0xD6, 0x37, 0xEF, 0x92, 0xD6");
asm(".byte 0xC8, 0x73, 0x56, 0xC6, 0x09, 0x53, 0xAF, 0x84, 0x09, 0x53, 0xF2, 0x94, 0xB1, 0x8C, 0xCD, 0x6B");
asm(".byte 0xCD, 0x6B, 0xE7, 0x31, 0xB2, 0x8C, 0x69, 0x42, 0x33, 0xAD, 0x5B, 0xF7, 0xDE, 0xFF, 0x7C, 0xF7");
asm(".byte 0x36, 0xD6, 0xB8, 0xE6, 0x2F, 0x9C, 0x3A, 0xF7, 0x5B, 0xF7, 0x36, 0xD6, 0x88, 0x62, 0x6A, 0x83");
asm(".byte 0x09, 0x73, 0xC8, 0x72, 0x6A, 0x83, 0xE8, 0x6A, 0xA7, 0x6A, 0x4A, 0x83, 0xA8, 0x72, 0xC9, 0x7A");
asm(".byte 0x87, 0x6A, 0x46, 0x62, 0x46, 0x62, 0xA7, 0x72, 0x6A, 0x93, 0x6A, 0x9B, 0xCB, 0xA3, 0xCB, 0xA3");
asm(".byte 0xEB, 0xAB, 0x0C, 0xB4, 0x2C, 0xB4, 0x2C, 0xAC, 0x4D, 0xB4, 0x8E, 0xBC, 0x8E, 0xBC, 0x4D, 0xB4");
asm(".byte 0xEF, 0xC4, 0x31, 0xCD, 0xB3, 0xDD, 0xF4, 0xDD, 0x56, 0xE6, 0x97, 0xEE, 0xD8, 0xEE, 0xF9, 0xF6");
asm(".byte 0x1A, 0xF7, 0x5C, 0xF7, 0x7C, 0xF7, 0x7C, 0xFF, 0x7C, 0xF7, 0x5B, 0xF7, 0x1A, 0xEF, 0x98, 0xE6");
asm(".byte 0x12, 0xBD, 0x57, 0xE6, 0xD9, 0xEE, 0x3A, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x7B, 0xF7, 0x7C, 0xF7, 0x9D, 0xF7, 0x9D, 0xFF, 0xBE, 0xFF, 0xBE, 0xFF, 0xDE, 0xFF, 0x9D, 0xFF");
asm(".byte 0xBD, 0xFF, 0x3B, 0xF7, 0xF5, 0xCD, 0xD6, 0xC5, 0xB5, 0xCD, 0x5B, 0xF7, 0x3A, 0xF7, 0xF9, 0xEE");
asm(".byte 0x77, 0xE6, 0x52, 0xC5, 0xAF, 0xB4, 0x11, 0xBD, 0x6E, 0xAC, 0xB0, 0xAC, 0xCE, 0x7B, 0xDE, 0xF7");
asm(".byte 0xBD, 0xF7, 0x9D, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0xBD, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3B, 0xE7, 0x7B, 0xEF, 0xBD, 0xF7, 0x7C, 0xEF, 0x7B, 0xEF, 0x3B, 0xE7, 0x7B, 0xEF, 0x53, 0xAD");
asm(".byte 0x3A, 0xE7, 0x7C, 0xEF, 0x56, 0xC6, 0x9C, 0xEF, 0x5B, 0xE7, 0x3B, 0xE7, 0x1A, 0xDF, 0x3B, 0xE7");
asm(".byte 0xFA, 0xDE, 0xDA, 0xDE, 0xB9, 0xD6, 0xD9, 0xDE, 0xD9, 0xD6, 0xB9, 0xD6, 0x94, 0xAD, 0xB9, 0xD6");
asm(".byte 0x77, 0xCE, 0x37, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x84, 0x84, 0x21, 0x77, 0xBE, 0xC5, 0x29");
asm(".byte 0x0D, 0x74, 0x0D, 0x74, 0xAB, 0x6B, 0xB2, 0xAD, 0xD1, 0xB5, 0xF3, 0xDE, 0xF3, 0xE6, 0xB1, 0xDE");
asm(".byte 0x15, 0xE7, 0xF5, 0xDE, 0x35, 0xBE, 0xD0, 0x8C, 0xCC, 0x6B, 0x8F, 0x7C, 0xD1, 0x8C, 0xD1, 0x8C");
asm(".byte 0xD1, 0x8C, 0x0A, 0x53, 0x07, 0x32, 0x68, 0x42, 0x4C, 0x63, 0x28, 0x42, 0x98, 0xDE, 0xBD, 0xFF");
asm(".byte 0xBE, 0xFF, 0xBD, 0xFF, 0x7B, 0xFF, 0x0E, 0x94, 0x52, 0xBD, 0xB8, 0xEE, 0x76, 0xE6, 0x72, 0xCD");
asm(".byte 0x6A, 0x8B, 0x46, 0x5A, 0x8B, 0x83, 0x6B, 0x83, 0x2A, 0x7B, 0x87, 0x6A, 0x4A, 0x83, 0xA7, 0x72");
asm(".byte 0x09, 0x83, 0x46, 0x6A, 0x46, 0x62, 0x46, 0x62, 0x67, 0x6A, 0x09, 0x8B, 0x8A, 0x9B, 0xAB, 0xA3");
asm(".byte 0xCB, 0xAB, 0xEB, 0xAB, 0x0C, 0xB4, 0x0C, 0xAC, 0x2D, 0xB4, 0x2C, 0xB4, 0x2C, 0xB4, 0x6D, 0xBC");
asm(".byte 0x6D, 0xBC, 0x6D, 0xBC, 0x8E, 0xBC, 0x31, 0xCD, 0x92, 0xD5, 0xF4, 0xDD, 0x56, 0xE6, 0xB8, 0xEE");
asm(".byte 0xD9, 0xEE, 0xF9, 0xEE, 0x1A, 0xF7, 0x3B, 0xF7, 0x3B, 0xF7, 0x3B, 0xF7, 0x1B, 0xEF, 0xFA, 0xE6");
asm(".byte 0xD9, 0xE6, 0x4B, 0x83, 0x15, 0xDE, 0x77, 0xE6, 0xB8, 0xEE, 0x98, 0xEE, 0x36, 0xDE, 0x73, 0xCD");
asm(".byte 0x11, 0xBD, 0x73, 0xCD, 0x57, 0xE6, 0xF9, 0xEE, 0x5B, 0xF7, 0x5C, 0xF7, 0x7C, 0xF7, 0xDA, 0xE6");
asm(".byte 0xF6, 0xCD, 0x98, 0xE6, 0xF5, 0xD5, 0x73, 0xCD, 0x90, 0x9C, 0xF5, 0xCD, 0xF9, 0xEE, 0x1A, 0xEF");
asm(".byte 0x77, 0xE6, 0xD9, 0xEE, 0x56, 0xE6, 0x31, 0xC5, 0xCF, 0xB4, 0xAF, 0xB4, 0xCC, 0x8B, 0x54, 0xAD");
asm(".byte 0xBD, 0xF7, 0x9D, 0xEF, 0x3B, 0xE7, 0x1A, 0xDF, 0x1A, 0xDF, 0x9C, 0xEF, 0x3B, 0xE7, 0x1A, 0xDF");
asm(".byte 0xF9, 0xDE, 0x1A, 0xDF, 0x1A, 0xDF, 0x3A, 0xE7, 0x9C, 0xEF, 0x3A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0xD1, 0x94, 0xB8, 0xD6, 0x5B, 0xE7, 0x16, 0xC6, 0x19, 0xDF, 0x1A, 0xDF, 0xF9, 0xDE, 0xD9, 0xDE");
asm(".byte 0xB9, 0xD6, 0xF9, 0xDE, 0x77, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x56, 0xC6, 0x77, 0xC6");
asm(".byte 0xF5, 0xB5, 0x15, 0xBE, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0A, 0x53, 0xA9, 0x42, 0x6B, 0x63");
asm(".byte 0xA8, 0x42, 0xA8, 0x4A, 0xA7, 0x4A, 0xCB, 0x73, 0xEA, 0x73, 0x89, 0x94, 0x32, 0xEF, 0xAD, 0xDE");
asm(".byte 0xCF, 0xE6, 0xAF, 0xDE, 0x8D, 0xB5, 0xC7, 0x52, 0x46, 0x42, 0x8B, 0x63, 0xE6, 0x31, 0xEA, 0x52");
asm(".byte 0xA9, 0x4A, 0x07, 0x32, 0x4B, 0x5B, 0xC6, 0x31, 0x2C, 0x5B, 0xE6, 0x31, 0x69, 0x42, 0xCA, 0x5A");
asm(".byte 0xB8, 0xDE, 0xBD, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0xF5, 0xD5, 0x11, 0xBD, 0xF0, 0xBC, 0xF0, 0xBC");
asm(".byte 0xCF, 0xB4, 0x8B, 0x8B, 0xA8, 0x6A, 0x67, 0x62, 0x29, 0x7B, 0x09, 0x7B, 0xA8, 0x72, 0xE8, 0x7A");
asm(".byte 0xC7, 0x72, 0xE8, 0x7A, 0x87, 0x72, 0x46, 0x62, 0x06, 0x5A, 0x26, 0x5A, 0xA8, 0x7A, 0x49, 0x93");
asm(".byte 0xAB, 0xA3, 0xCB, 0xAB, 0xEB, 0xAB, 0x0C, 0xAC, 0x2C, 0xB4, 0x2C, 0xB4, 0x2D, 0xB4, 0x2C, 0xB4");
asm(".byte 0x2C, 0xAC, 0x4D, 0xB4, 0x4D, 0xB4, 0x4D, 0xB4, 0xAE, 0xC4, 0x10, 0xCD, 0x52, 0xD5, 0xF4, 0xDD");
asm(".byte 0x76, 0xE6, 0xB8, 0xEE, 0xD9, 0xEE, 0xD9, 0xEE, 0xFA, 0xEE, 0x1A, 0xF7, 0x1A, 0xEF, 0xB9, 0xE6");
asm(".byte 0x7C, 0xF7, 0x7C, 0xF7, 0x47, 0x5A, 0x4E, 0xB4, 0xF0, 0xBC, 0xD0, 0xBC, 0x0D, 0xA4, 0xED, 0x9B");
asm(".byte 0x4E, 0xA4, 0x6F, 0xAC, 0x0D, 0xA4, 0xCC, 0x9B, 0xAF, 0xB4, 0x93, 0xCD, 0x36, 0xDE, 0xD5, 0xD5");
asm(".byte 0x8F, 0xAC, 0xD0, 0xBC, 0x6F, 0xA4, 0x6E, 0xAC, 0x32, 0xBD, 0xA6, 0x41, 0x32, 0xB5, 0xD9, 0xE6");
asm(".byte 0xF9, 0xEE, 0x36, 0xDE, 0x77, 0xE6, 0x97, 0xE6, 0x11, 0xBD, 0x10, 0xBD, 0x2D, 0x9C, 0x8C, 0x7B");
asm(".byte 0x99, 0xD6, 0xBD, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xF9, 0xD6, 0xF9, 0xDE, 0xD9, 0xD6, 0x1A, 0xDF, 0xF9, 0xDE, 0x1A, 0xDF, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3B, 0xE7, 0xD1, 0x94, 0xF9, 0xDE, 0x3A, 0xE7, 0xB4, 0xB5, 0xD8, 0xD6, 0xB8, 0xCE, 0xB8, 0xCE");
asm(".byte 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x36, 0xBE, 0x16, 0xBE, 0x15, 0xBE, 0xF5, 0xB5, 0x36, 0xBE");
asm(".byte 0x12, 0x9D, 0xD4, 0xB5, 0xB4, 0xAD, 0x73, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x21, 0xE6, 0x31");
asm(".byte 0xE6, 0x31, 0x06, 0x32, 0x47, 0x42, 0x86, 0x4A, 0xC6, 0x52, 0xE6, 0x5A, 0xCA, 0xA4, 0xCE, 0xE6");
asm(".byte 0x8D, 0xE6, 0x8C, 0xDE, 0x8E, 0xDE, 0x6C, 0xB5, 0x65, 0x4A, 0x66, 0x4A, 0x26, 0x3A, 0xC6, 0x31");
asm(".byte 0xA6, 0x29, 0xA5, 0x29, 0xA5, 0x29, 0xC6, 0x31, 0x86, 0x29, 0xA6, 0x29, 0xA6, 0x31, 0x86, 0x29");
asm(".byte 0x04, 0x21, 0x0E, 0x8C, 0x3B, 0xF7, 0xBD, 0xFF, 0xBD, 0xFF, 0x7B, 0xFF, 0xF9, 0xEE, 0x97, 0xEE");
asm(".byte 0xF4, 0xDD, 0xF0, 0xBC, 0x0C, 0xA4, 0x26, 0x5A, 0x46, 0x5A, 0xA8, 0x6A, 0xA8, 0x6A, 0xC8, 0x72");
asm(".byte 0xE8, 0x72, 0xE8, 0x7A, 0xA7, 0x72, 0xA7, 0x72, 0x67, 0x6A, 0x26, 0x62, 0x26, 0x5A, 0x46, 0x6A");
asm(".byte 0x09, 0x83, 0xAB, 0xA3, 0xEC, 0xAB, 0xEB, 0xAB, 0x0C, 0xAC, 0x2C, 0xB4, 0x4D, 0xB4, 0x4D, 0xB4");
asm(".byte 0x2C, 0xB4, 0x4D, 0xB4, 0x2C, 0xB4, 0x2C, 0xB4, 0x6D, 0xBC, 0x6D, 0xB4, 0x6D, 0xB4, 0xCF, 0xC4");
asm(".byte 0x92, 0xD5, 0x35, 0xE6, 0x97, 0xEE, 0xB8, 0xEE, 0xD9, 0xEE, 0xF9, 0xEE, 0xD9, 0xEE, 0x1A, 0xEF");
asm(".byte 0x7C, 0xF7, 0xBD, 0xFF, 0xDE, 0xFF, 0xCA, 0x62, 0x68, 0x62, 0x0A, 0x8B, 0xA9, 0x72, 0x85, 0x49");
asm(".byte 0x41, 0x10, 0x00, 0x08, 0x61, 0x18, 0xA2, 0x18, 0x85, 0x49, 0x8B, 0x8B, 0x8B, 0x93, 0xD0, 0xBC");
asm(".byte 0x2E, 0xA4, 0xAC, 0x93, 0x4B, 0x8B, 0xCC, 0x93, 0x4F, 0xA4, 0x68, 0x52, 0x0F, 0x8C, 0xD5, 0xCD");
asm(".byte 0x98, 0xE6, 0x97, 0xE6, 0xF5, 0xD5, 0x56, 0xDE, 0xB8, 0xE6, 0x72, 0xC5, 0x10, 0xBD, 0x8E, 0xAC");
asm(".byte 0xA9, 0x62, 0x7C, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x3A, 0xDF");
asm(".byte 0x3A, 0xDF, 0x3A, 0xE7, 0x19, 0xDF, 0xD9, 0xD6, 0xF9, 0xDE, 0x19, 0xDF, 0xFA, 0xDE, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x11, 0x9D, 0x1A, 0xDF, 0xF9, 0xDE, 0xF4, 0xBD, 0xB8, 0xCE, 0xB8, 0xCE");
asm(".byte 0x97, 0xCE, 0x76, 0xC6, 0x76, 0xC6, 0x97, 0xCE, 0x98, 0xCE, 0x36, 0xC6, 0x57, 0xC6, 0x57, 0xC6");
asm(".byte 0x77, 0xCE, 0x90, 0x8C, 0xB4, 0xAD, 0x94, 0xA5, 0x53, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x85, 0x21");
asm(".byte 0x06, 0x32, 0x06, 0x3A, 0x47, 0x3A, 0x46, 0x3A, 0xA7, 0x4A, 0xA6, 0x52, 0xE6, 0x62, 0xCA, 0x9C");
asm(".byte 0xCE, 0xE6, 0x8D, 0xDE, 0x6C, 0xDE, 0x8D, 0xDE, 0xEB, 0xA4, 0x65, 0x4A, 0x66, 0x4A, 0x46, 0x42");
asm(".byte 0x06, 0x3A, 0xE6, 0x31, 0xC6, 0x29, 0xA5, 0x29, 0xA6, 0x29, 0xC6, 0x31, 0xC6, 0x29, 0xA6, 0x29");
asm(".byte 0xA6, 0x29, 0xA6, 0x29, 0x24, 0x29, 0x94, 0xC5, 0x5B, 0xF7, 0x9D, 0xFF, 0x9D, 0xFF, 0xBD, 0xF7");
asm(".byte 0x7C, 0xF7, 0xF9, 0xEE, 0x35, 0xDE, 0x31, 0xC5, 0xC8, 0x72, 0x46, 0x5A, 0xA8, 0x72, 0xE8, 0x72");
asm(".byte 0xC8, 0x72, 0xA8, 0x72, 0xA7, 0x72, 0xA7, 0x72, 0xA7, 0x72, 0x87, 0x72, 0x26, 0x62, 0x06, 0x5A");
asm(".byte 0x06, 0x5A, 0xA7, 0x72, 0x8A, 0x93, 0xCB, 0xA3, 0x0C, 0xAC, 0x2C, 0xB4, 0x2C, 0xB4, 0x4C, 0xB4");
asm(".byte 0x6D, 0xB4, 0x6D, 0xB4, 0x4D, 0xB4, 0x4D, 0xB4, 0x6D, 0xBC, 0x2C, 0xB4, 0x4D, 0xBC, 0x4D, 0xB4");
asm(".byte 0xAF, 0xC4, 0x31, 0xCD, 0x15, 0xDE, 0x77, 0xE6, 0x77, 0xE6, 0x98, 0xE6, 0xB8, 0xE6, 0xB9, 0xE6");
asm(".byte 0x7C, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDD, 0xFF, 0x99, 0xDE, 0x40, 0x10, 0xA2, 0x20, 0xC2, 0x20");
asm(".byte 0xA2, 0x20, 0x82, 0x18, 0x81, 0x18, 0x61, 0x18, 0x61, 0x18, 0x81, 0x18, 0xC2, 0x28, 0xE6, 0x51");
asm(".byte 0xEA, 0x7A, 0x07, 0x5A, 0xA5, 0x41, 0x64, 0x39, 0x85, 0x39, 0x61, 0x10, 0x28, 0x52, 0xD9, 0xEE");
asm(".byte 0xB8, 0xE6, 0x77, 0xDE, 0xB8, 0xEE, 0xB4, 0xCD, 0xD4, 0xCD, 0xD9, 0xEE, 0x93, 0xC5, 0xF0, 0xBC");
asm(".byte 0xCF, 0xAC, 0x0F, 0x8C, 0x9D, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x3A, 0xDF, 0x1A, 0xDF, 0x7B, 0xEF, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0x5B, 0xE7");
asm(".byte 0x1A, 0xDF, 0x1A, 0xDF, 0xD9, 0xD6, 0xCC, 0x73, 0x97, 0xCE, 0xD8, 0xD6, 0x36, 0xC6, 0xB8, 0xCE");
asm(".byte 0x97, 0xCE, 0x77, 0xCE, 0xD8, 0xD6, 0xF9, 0xDE, 0x3A, 0xDF, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6");
asm(".byte 0x36, 0xC6, 0x36, 0xC6, 0x16, 0xBE, 0xF5, 0xB5, 0x15, 0xB6, 0xD4, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x07, 0x32, 0x06, 0x32, 0xA8, 0x42, 0x06, 0x32, 0xA8, 0x4A, 0x86, 0x42, 0x08, 0x5B, 0xC6, 0x5A");
asm(".byte 0xA9, 0x9C, 0xCF, 0xE6, 0x8C, 0xDE, 0xAD, 0xDE, 0x8D, 0xDE, 0xAA, 0x9C, 0x85, 0x52, 0x46, 0x42");
asm(".byte 0x46, 0x42, 0xA5, 0x29, 0x48, 0x3A, 0x85, 0x29, 0x64, 0x21, 0xC6, 0x29, 0xA6, 0x29, 0xE6, 0x31");
asm(".byte 0x45, 0x21, 0xC7, 0x31, 0x45, 0x21, 0x65, 0x21, 0x65, 0x31, 0xB8, 0xE6, 0x7C, 0xF7, 0x9D, 0xF7");
asm(".byte 0x9D, 0xFF, 0x7D, 0xF7, 0x5B, 0xF7, 0xD8, 0xE6, 0xF4, 0xD5, 0x4A, 0x83, 0x06, 0x52, 0xA7, 0x6A");
asm(".byte 0x29, 0x83, 0x09, 0x7B, 0xC8, 0x72, 0xC8, 0x7A, 0x09, 0x7B, 0xA8, 0x72, 0xA7, 0x72, 0x47, 0x6A");
asm(".byte 0x26, 0x5A, 0x27, 0x62, 0x46, 0x62, 0x29, 0x8B, 0xCB, 0xA3, 0x0C, 0xAC, 0x2C, 0xB4, 0x4D, 0xB4");
asm(".byte 0x4D, 0xB4, 0x6D, 0xB4, 0x6D, 0xBC, 0x6D, 0xBC, 0x6D, 0xBC, 0x4D, 0xB4, 0x4D, 0xB4, 0x4D, 0xB4");
asm(".byte 0x4D, 0xB4, 0x8E, 0xBC, 0x30, 0xCD, 0xD4, 0xDD, 0x16, 0xDE, 0x56, 0xE6, 0x57, 0xDE, 0x77, 0xDE");
asm(".byte 0x1B, 0xEF, 0xDD, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x53, 0xB5, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x82, 0x18, 0x82, 0x18, 0x82, 0x18, 0x81, 0x18, 0x61, 0x10, 0x41, 0x10, 0x61, 0x10");
asm(".byte 0x61, 0x18, 0x20, 0x08, 0x41, 0x08, 0x20, 0x08, 0x20, 0x08, 0x41, 0x08, 0xA2, 0x18, 0x85, 0x39");
asm(".byte 0x3A, 0xEF, 0x3A, 0xF7, 0x1A, 0xEF, 0xB8, 0xEE, 0x56, 0xDE, 0x15, 0xD6, 0xD9, 0xEE, 0xD4, 0xCD");
asm(".byte 0xD0, 0xB4, 0xB0, 0xA4, 0xB6, 0xBD, 0xDE, 0xF7, 0xDD, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x3A, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x5A, 0xE7, 0xF9, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0x3A, 0xE7");
asm(".byte 0x1A, 0xDF, 0x1A, 0xDF, 0x1A, 0xDF, 0xF9, 0xDE, 0xCC, 0x73, 0x77, 0xCE, 0xD8, 0xD6, 0xB8, 0xD6");
asm(".byte 0xD9, 0xD6, 0xF9, 0xDE, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x97, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x94, 0xAD, 0x16, 0xBE, 0x15, 0xBE, 0xD5, 0xB5, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x94, 0xA5, 0xB4, 0xA5, 0x52, 0x95, 0x0A, 0x53, 0xD4, 0xAD, 0x8A, 0x63, 0x50, 0x9D");
asm(".byte 0x2F, 0x9D, 0x74, 0xCE, 0x75, 0xEF, 0x10, 0xE7, 0x96, 0xF7, 0xF1, 0xDE, 0x11, 0xC6, 0x71, 0xA5");
asm(".byte 0xCF, 0x94, 0x10, 0x95, 0xC9, 0x4A, 0x12, 0x95, 0x88, 0x42, 0x70, 0x84, 0xA9, 0x4A, 0x0E, 0x74");
asm(".byte 0x90, 0x84, 0x89, 0x4A, 0x6C, 0x63, 0x48, 0x42, 0xEE, 0x73, 0x27, 0x3A, 0x4C, 0x73, 0x5B, 0xF7");
asm(".byte 0x7C, 0xF7, 0x9D, 0xFF, 0x9D, 0xF7, 0x7C, 0xF7, 0x1A, 0xEF, 0x76, 0xE6, 0xF0, 0xB4, 0x64, 0x41");
asm(".byte 0x8B, 0x8B, 0x4A, 0x83, 0x4A, 0x83, 0x8A, 0x8B, 0x09, 0x7B, 0xE9, 0x7A, 0xC8, 0x7A, 0xA8, 0x72");
asm(".byte 0xA8, 0x72, 0x46, 0x62, 0x26, 0x62, 0x46, 0x62, 0xE9, 0x7A, 0x6A, 0x93, 0xCB, 0xA3, 0x4D, 0xB4");
asm(".byte 0x4D, 0xB4, 0x6D, 0xB4, 0x8E, 0xBC, 0x8D, 0xBC, 0x8E, 0xBC, 0x6D, 0xBC, 0x6D, 0xBC, 0x6D, 0xBC");
asm(".byte 0x6D, 0xBC, 0xAE, 0xBC, 0xAE, 0xC4, 0x51, 0xCD, 0xF4, 0xDD, 0x15, 0xDE, 0x36, 0xDE, 0x57, 0xDE");
asm(".byte 0xD9, 0xE6, 0x9D, 0xF7, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBD, 0xFF, 0x5B, 0xF7");
asm(".byte 0x12, 0xB5, 0xA8, 0x6A, 0x47, 0x5A, 0x84, 0x41, 0x03, 0x29, 0xE2, 0x28, 0xA2, 0x18, 0x61, 0x10");
asm(".byte 0x81, 0x18, 0x82, 0x18, 0x61, 0x10, 0x61, 0x10, 0xA2, 0x18, 0xA2, 0x18, 0xA2, 0x18, 0xE3, 0x28");
asm(".byte 0xA5, 0x41, 0xD8, 0xEE, 0x3A, 0xF7, 0x1A, 0xF7, 0xF9, 0xEE, 0x35, 0xDE, 0xB4, 0xCD, 0xD9, 0xEE");
asm(".byte 0x56, 0xDE, 0xAF, 0xAC, 0x2A, 0x73, 0xFA, 0xDE, 0xDD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0x7B, 0xEF, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF");
asm(".byte 0x1A, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0x1A, 0xDF, 0x19, 0xDF, 0x6B, 0x6B, 0xF5, 0xBD, 0x76, 0xCE");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5B, 0xE7, 0x1A, 0xE7, 0x3A, 0xE7, 0xD9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xD8, 0xD6, 0x97, 0xCE, 0x97, 0xCE, 0x77, 0xCE, 0x73, 0xAD, 0xD9, 0xD6, 0x77, 0xCE, 0x57, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x85, 0x29, 0x6F, 0x7C, 0x15, 0xAE, 0x2E, 0x7C, 0x8F, 0x84, 0x8E, 0x84");
asm(".byte 0x8A, 0x6B, 0xF3, 0xB5, 0x16, 0xDF, 0x95, 0xF7, 0x32, 0xEF, 0x35, 0xEF, 0xD1, 0xDE, 0x31, 0xC6");
asm(".byte 0x69, 0x6B, 0x52, 0xA5, 0x0D, 0x74, 0x0D, 0x74, 0x0E, 0x74, 0x2F, 0x7C, 0x47, 0x3A, 0x89, 0x42");
asm(".byte 0xE6, 0x31, 0x0E, 0x74, 0x6C, 0x63, 0x27, 0x3A, 0xEA, 0x52, 0xAD, 0x6B, 0xAD, 0x6B, 0x65, 0x21");
asm(".byte 0x90, 0x9C, 0xFA, 0xF6, 0x5C, 0xF7, 0x7C, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0x76, 0xE6, 0x2D, 0x9C");
asm(".byte 0x02, 0x31, 0xE9, 0x72, 0x4A, 0x83, 0x6A, 0x8B, 0x09, 0x7B, 0xA8, 0x72, 0xE9, 0x7A, 0xA8, 0x72");
asm(".byte 0xA8, 0x72, 0x87, 0x6A, 0x46, 0x62, 0x26, 0x62, 0x87, 0x6A, 0xE9, 0x7A, 0xE9, 0x8A, 0xAB, 0x9B");
asm(".byte 0x2C, 0xB4, 0x4D, 0xB4, 0x8D, 0xBC, 0x8E, 0xBC, 0x8D, 0xBC, 0xAE, 0xBC, 0x8D, 0xBC, 0x8D, 0xBC");
asm(".byte 0xAE, 0xBC, 0x8E, 0xBC, 0x8D, 0xBC, 0xAF, 0xC4, 0x51, 0xCD, 0xD3, 0xDD, 0xF4, 0xD5, 0x36, 0xDE");
asm(".byte 0x78, 0xE6, 0x5C, 0xF7, 0xBE, 0xFF, 0xDE, 0xFF, 0xDE, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0x9D, 0xF7");
asm(".byte 0x3B, 0xF7, 0x3A, 0xF7, 0x77, 0xE6, 0xD0, 0xB4, 0x8B, 0x8B, 0xE9, 0x72, 0xA8, 0x6A, 0x84, 0x41");
asm(".byte 0x65, 0x39, 0xE2, 0x28, 0xA1, 0x18, 0x82, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0xA2, 0x20, 0x03, 0x29");
asm(".byte 0x06, 0x52, 0xF0, 0xBC, 0x76, 0xE6, 0xF9, 0xEE, 0x19, 0xEF, 0x56, 0xDE, 0xD5, 0xCD, 0x94, 0xC5");
asm(".byte 0xD9, 0xEE, 0x15, 0xCE, 0x4F, 0x9C, 0x88, 0x5A, 0xDD, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5A, 0xE7, 0x5B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0xD9, 0xD6, 0xD8, 0xD6, 0x1A, 0xDF, 0x1A, 0xE7, 0xAC, 0x73, 0x16, 0xC6");
asm(".byte 0xD7, 0xD6, 0x9C, 0xF7, 0x5B, 0xEF, 0x5B, 0xEF, 0x1A, 0xE7, 0x1A, 0xE7, 0x3B, 0xE7, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0xD8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x77, 0xCE, 0x32, 0xA5, 0xD9, 0xD6, 0x77, 0xCE");
asm(".byte 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x19, 0xAD, 0x63, 0x4F, 0x7C, 0xE5, 0x31, 0xF1, 0x94");
asm(".byte 0xC7, 0x4A, 0xEF, 0x94, 0x0B, 0x7C, 0x2C, 0xAD, 0x74, 0xF7, 0xCF, 0xE6, 0x33, 0xEF, 0xD0, 0xDE");
asm(".byte 0x31, 0xC6, 0x8D, 0x8C, 0xC8, 0x52, 0xEC, 0x73, 0x84, 0x21, 0xEE, 0x73, 0xA5, 0x29, 0x07, 0x32");
asm(".byte 0x48, 0x3A, 0x8D, 0x63, 0x6C, 0x63, 0x64, 0x21, 0x2B, 0x5B, 0x27, 0x3A, 0x89, 0x4A, 0x48, 0x42");
asm(".byte 0x07, 0x3A, 0x03, 0x19, 0x6C, 0x83, 0x57, 0xDE, 0x98, 0xEE, 0xB8, 0xEE, 0x97, 0xE6, 0x4E, 0xA4");
asm(".byte 0x8B, 0x8B, 0xA4, 0x49, 0x88, 0x6A, 0x4A, 0x83, 0x6A, 0x8B, 0xE8, 0x7A, 0xC8, 0x7A, 0xA7, 0x6A");
asm(".byte 0x87, 0x6A, 0xA8, 0x72, 0x87, 0x72, 0xA8, 0x72, 0x67, 0x6A, 0x67, 0x6A, 0xA8, 0x7A, 0x4A, 0x8B");
asm(".byte 0xAB, 0xA3, 0x2C, 0xB4, 0x4D, 0xB4, 0x8D, 0xBC, 0xAE, 0xC4, 0xAE, 0xC4, 0xCE, 0xC4, 0xCE, 0xC4");
asm(".byte 0xAE, 0xBC, 0xAE, 0xBC, 0xAE, 0xC4, 0xCF, 0xC4, 0xCE, 0xBC, 0x51, 0xCD, 0x92, 0xD5, 0xD4, 0xD5");
asm(".byte 0x56, 0xDE, 0xD9, 0xEE, 0x9D, 0xFF, 0xBE, 0xFF, 0xBD, 0xFF, 0xBD, 0xFF, 0xFA, 0xEE, 0x7C, 0xF7");
asm(".byte 0x7C, 0xF7, 0x3B, 0xF7, 0x1A, 0xF7, 0xD9, 0xEE, 0x77, 0xE6, 0xD4, 0xD5, 0xD0, 0xB4, 0x4A, 0x8B");
asm(".byte 0xA8, 0x72, 0xE6, 0x51, 0x64, 0x39, 0xE3, 0x28, 0x23, 0x31, 0x44, 0x39, 0x64, 0x39, 0x64, 0x39");
asm(".byte 0xA8, 0x6A, 0x2D, 0xA4, 0x51, 0xC5, 0x35, 0xDE, 0xD8, 0xEE, 0x1A, 0xF7, 0x98, 0xE6, 0x53, 0xBD");
asm(".byte 0xB4, 0xC5, 0xD9, 0xE6, 0x15, 0xCE, 0x4B, 0x7B, 0x6C, 0x6B, 0xDE, 0xFF, 0xBD, 0xF7, 0x7C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7, 0x7B, 0xEF, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xB7, 0xD6, 0x98, 0xCE, 0x5B, 0xEF, 0x4E, 0x84");
asm(".byte 0xD9, 0xDE, 0xD8, 0xDE, 0x7C, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x1A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x19, 0xDF, 0xD8, 0xDE, 0xB8, 0xD6, 0xB7, 0xD6, 0x97, 0xD6, 0x77, 0xCE, 0xB4, 0xB5, 0x77, 0xCE");
asm(".byte 0x56, 0xC6, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x29, 0xE6, 0x31, 0xE6, 0x31, 0x47, 0x3A");
asm(".byte 0x46, 0x42, 0xC7, 0x52, 0x07, 0x5B, 0x67, 0x6B, 0xA9, 0x9C, 0x6D, 0xD6, 0x6C, 0xD6, 0x4D, 0xD6");
asm(".byte 0x4C, 0xD6, 0x48, 0x94, 0xE6, 0x62, 0xC7, 0x52, 0x46, 0x42, 0x06, 0x3A, 0xC5, 0x31, 0xA5, 0x29");
asm(".byte 0x85, 0x21, 0x65, 0x21, 0x64, 0x21, 0x44, 0x21, 0x44, 0x21, 0x45, 0x21, 0x44, 0x21, 0x06, 0x3A");
asm(".byte 0xC6, 0x31, 0x65, 0x21, 0x24, 0x21, 0x82, 0x10, 0x03, 0x29, 0x2B, 0x7B, 0x4E, 0xA4, 0x6B, 0x8B");
asm(".byte 0x2A, 0x83, 0xC5, 0x49, 0x09, 0x7B, 0x26, 0x52, 0xE8, 0x7A, 0x29, 0x83, 0x09, 0x83, 0xC8, 0x7A");
asm(".byte 0x66, 0x62, 0x67, 0x6A, 0xA8, 0x72, 0x88, 0x72, 0xC8, 0x7A, 0x88, 0x72, 0x87, 0x72, 0xA7, 0x7A");
asm(".byte 0xE8, 0x82, 0x6A, 0x93, 0xCB, 0xA3, 0x0C, 0xAC, 0x8D, 0xBC, 0xCE, 0xC4, 0xCE, 0xC4, 0xEF, 0xC4");
asm(".byte 0xEF, 0xC4, 0xAE, 0xBC, 0xCF, 0xC4, 0xCE, 0xC4, 0xCF, 0xC4, 0xF0, 0xC4, 0x8E, 0xAC, 0xAF, 0xB4");
asm(".byte 0xF4, 0xDD, 0xB8, 0xE6, 0x1A, 0xEF, 0x9D, 0xF7, 0x9D, 0xF7, 0x7C, 0xF7, 0x3B, 0xF7, 0xDA, 0xEE");
asm(".byte 0xF9, 0xEE, 0x7C, 0xF7, 0x1A, 0xEF, 0xB9, 0xE6, 0x1A, 0xF7, 0x15, 0xD6, 0x93, 0xCD, 0xD4, 0xD5");
asm(".byte 0xAF, 0xB4, 0x0D, 0xA4, 0xA8, 0x6A, 0x06, 0x52, 0xA5, 0x41, 0x64, 0x39, 0xC5, 0x49, 0x64, 0x39");
asm(".byte 0x44, 0x31, 0xA8, 0x6A, 0x09, 0x7B, 0x51, 0xC5, 0x51, 0xC5, 0xD4, 0xCD, 0x77, 0xDE, 0x5B, 0xF7");
asm(".byte 0xF2, 0xAC, 0x16, 0xCE, 0xB8, 0xE6, 0x32, 0xB5, 0xAD, 0x83, 0x54, 0xAD, 0xDE, 0xFF, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF, 0x5A, 0xE7, 0x39, 0xE7");
asm(".byte 0x4E, 0x8C, 0x3A, 0xE7, 0x39, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x1A, 0xDF, 0x3A, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0xD4, 0xB5, 0xD5, 0xBD");
asm(".byte 0x57, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x29, 0x06, 0x32, 0x26, 0x3A");
asm(".byte 0x67, 0x42, 0x87, 0x4A, 0xE8, 0x52, 0x48, 0x63, 0x67, 0x6B, 0xE7, 0x83, 0x67, 0x94, 0x26, 0x94");
asm(".byte 0x26, 0x94, 0x67, 0x94, 0xA6, 0x7B, 0x26, 0x6B, 0x08, 0x63, 0x86, 0x4A, 0x26, 0x3A, 0x06, 0x32");
asm(".byte 0xC6, 0x29, 0x85, 0x29, 0x65, 0x29, 0x64, 0x21, 0x65, 0x21, 0x44, 0x21, 0x44, 0x21, 0x44, 0x21");
asm(".byte 0x65, 0x29, 0x27, 0x42, 0x44, 0x21, 0x24, 0x21, 0x24, 0x21, 0x04, 0x19, 0xC3, 0x18, 0xE2, 0x20");
asm(".byte 0x03, 0x29, 0xE6, 0x41, 0xC5, 0x49, 0xCC, 0x93, 0x06, 0x5A, 0x87, 0x6A, 0x09, 0x7B, 0x09, 0x83");
asm(".byte 0xC8, 0x7A, 0x67, 0x6A, 0x47, 0x62, 0x87, 0x6A, 0xA7, 0x72, 0xA7, 0x7A, 0xA7, 0x72, 0xA8, 0x72");
asm(".byte 0xA7, 0x72, 0xC8, 0x7A, 0xE9, 0x82, 0xAB, 0x9B, 0x2C, 0xAC, 0x6D, 0xBC, 0xCE, 0xC4, 0xEE, 0xC4");
asm(".byte 0x0F, 0xCD, 0x0F, 0xCD, 0xEF, 0xC4, 0xEF, 0xC4, 0xCF, 0xC4, 0xEF, 0xC4, 0xAF, 0xBC, 0xF0, 0xC4");
asm(".byte 0x4E, 0xAC, 0xD4, 0xDD, 0xB8, 0xE6, 0x3B, 0xEF, 0x5B, 0xF7, 0xF9, 0xEE, 0xB8, 0xE6, 0xB8, 0xE6");
asm(".byte 0x78, 0xDE, 0x98, 0xDE, 0xB4, 0xC5, 0x94, 0xC5, 0xB8, 0xE6, 0xFA, 0xEE, 0xD5, 0xCD, 0x56, 0xDE");
asm(".byte 0x73, 0xC5, 0x11, 0xBD, 0x4E, 0xA4, 0x8B, 0x8B, 0xA8, 0x6A, 0xE6, 0x51, 0xC6, 0x49, 0x26, 0x52");
asm(".byte 0xC6, 0x49, 0xC5, 0x41, 0xA8, 0x6A, 0x29, 0x7B, 0xD0, 0xB4, 0x4E, 0xA4, 0xD4, 0xD5, 0x97, 0xE6");
asm(".byte 0x3A, 0xEF, 0x98, 0xDE, 0x16, 0xCE, 0x98, 0xE6, 0x73, 0xBD, 0xA9, 0x5A, 0xB9, 0xDE, 0x3B, 0xE7");
asm(".byte 0xFA, 0xDE, 0xD9, 0xDE, 0xD8, 0xD6, 0xD9, 0xDE, 0xF9, 0xDE, 0x3A, 0xE7, 0xD9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0xD9, 0xDE, 0xD8, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0xD8, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0x5A, 0xE7, 0x4E, 0x84, 0xF9, 0xDE, 0x56, 0xCE, 0xF9, 0xDE, 0xD9, 0xDE, 0xB9, 0xDE, 0xB8, 0xD6");
asm(".byte 0x77, 0xCE, 0x57, 0xCE, 0x57, 0xCE, 0xB8, 0xD6, 0x77, 0xCE, 0x77, 0xCE, 0xD8, 0xD6, 0xF5, 0xBD");
asm(".byte 0x6F, 0x8C, 0x77, 0xCE, 0xD5, 0xB5, 0x12, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x21, 0x05, 0x32");
asm(".byte 0xE5, 0x31, 0x04, 0x32, 0x46, 0x42, 0x67, 0x4A, 0xC6, 0x5A, 0x65, 0x73, 0xC6, 0x83, 0x28, 0x8C");
asm(".byte 0x06, 0x8C, 0x27, 0x8C, 0x28, 0x94, 0xC6, 0x83, 0xA7, 0x7B, 0x06, 0x63, 0x45, 0x4A, 0x47, 0x42");
asm(".byte 0xC6, 0x31, 0xE6, 0x31, 0x85, 0x29, 0x64, 0x21, 0x44, 0x21, 0x44, 0x19, 0x64, 0x21, 0x44, 0x21");
asm(".byte 0x24, 0x19, 0x24, 0x21, 0xE6, 0x39, 0x24, 0x21, 0x03, 0x19, 0x24, 0x21, 0xE3, 0x18, 0xE3, 0x18");
asm(".byte 0xC2, 0x18, 0xEE, 0x8B, 0x2E, 0x94, 0x23, 0x31, 0x0D, 0x94, 0x05, 0x52, 0x46, 0x62, 0xE8, 0x72");
asm(".byte 0xC8, 0x72, 0xC8, 0x72, 0x87, 0x72, 0x46, 0x62, 0x47, 0x62, 0xA8, 0x72, 0xA7, 0x7A, 0xC8, 0x7A");
asm(".byte 0xA7, 0x72, 0xC8, 0x7A, 0x09, 0x83, 0xC8, 0x82, 0x6A, 0x93, 0xEC, 0xAB, 0x8D, 0xBC, 0xCE, 0xC4");
asm(".byte 0xEE, 0xC4, 0x2F, 0xCD, 0x0F, 0xCD, 0xEF, 0xCC, 0xCF, 0xC4, 0xCE, 0xC4, 0xAF, 0xBC, 0x31, 0xCD");
asm(".byte 0x6D, 0xAC, 0x6E, 0xAC, 0x31, 0xC5, 0x36, 0xDE, 0xFA, 0xEE, 0x77, 0xDE, 0x57, 0xDE, 0xB8, 0xE6");
asm(".byte 0xB8, 0xE6, 0x98, 0xE6, 0xB8, 0xE6, 0x53, 0xBD, 0x53, 0xBD, 0x94, 0xC5, 0x94, 0xBD, 0xF6, 0xCD");
asm(".byte 0x32, 0xB5, 0x52, 0xBD, 0x4F, 0xA4, 0x2E, 0xA4, 0x8B, 0x8B, 0xA8, 0x6A, 0xA5, 0x49, 0xC6, 0x41");
asm(".byte 0x2A, 0x7B, 0x88, 0x6A, 0x47, 0x5A, 0x88, 0x62, 0x0D, 0x9C, 0x51, 0xC5, 0x52, 0xC5, 0x52, 0xC5");
asm(".byte 0x11, 0xB5, 0x36, 0xD6, 0xFA, 0xE6, 0xFA, 0xE6, 0x57, 0xDE, 0x90, 0xA4, 0xEE, 0x83, 0xF9, 0xDE");
asm(".byte 0xB8, 0xD6, 0xFA, 0xDE, 0xD9, 0xD6, 0xD8, 0xD6, 0xD9, 0xDE, 0xB8, 0xD6, 0xD9, 0xDE, 0xD9, 0xDE");
asm(".byte 0xD9, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xDE, 0xD8, 0xDE, 0xD8, 0xDE, 0xB8, 0xD6");
asm(".byte 0xB8, 0xDE, 0xF8, 0xDE, 0x0D, 0x7C, 0x97, 0xCE, 0xB8, 0xD6, 0xD9, 0xD6, 0xD8, 0xD6, 0x98, 0xD6");
asm(".byte 0x98, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x57, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0xB4, 0xB5, 0x97, 0xCE");
asm(".byte 0x32, 0xA5, 0xD1, 0x9C, 0x76, 0xCE, 0xF5, 0xBD, 0x32, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x73, 0xA5");
asm(".byte 0x15, 0xAE, 0x56, 0xBE, 0xCC, 0x6B, 0xF0, 0x8C, 0x8A, 0x6B, 0xF3, 0xBD, 0xF4, 0xDE, 0xB0, 0xDE");
asm(".byte 0x34, 0xEF, 0xD2, 0xE6, 0x76, 0xF7, 0x75, 0xF7, 0xD2, 0xDE, 0x34, 0xEF, 0x52, 0xCE, 0x0E, 0x9D");
asm(".byte 0x8E, 0x8C, 0xA8, 0x4A, 0xCC, 0x6B, 0x8C, 0x63, 0xD1, 0x8C, 0x70, 0x84, 0x23, 0x19, 0xB1, 0x8C");
asm(".byte 0xE3, 0x10, 0x6C, 0x63, 0xC6, 0x31, 0x6C, 0x63, 0x89, 0x4A, 0xC6, 0x31, 0x6D, 0x6B, 0xAA, 0x52");
asm(".byte 0xA6, 0x29, 0xA6, 0x31, 0x68, 0x52, 0x8F, 0xA4, 0x67, 0x5A, 0x6F, 0x9C, 0x0A, 0x73, 0x87, 0x62");
asm(".byte 0xE9, 0x72, 0xE8, 0x72, 0x09, 0x7B, 0x09, 0x7B, 0xA7, 0x6A, 0x87, 0x6A, 0x87, 0x6A, 0xE8, 0x82");
asm(".byte 0xE9, 0x82, 0xC8, 0x7A, 0xC8, 0x7A, 0xE8, 0x82, 0x29, 0x8B, 0x29, 0x8B, 0xAB, 0x9B, 0x8E, 0xBC");
asm(".byte 0xCE, 0xC4, 0xEF, 0xC4, 0xEF, 0xC4, 0xEF, 0xCC, 0xEF, 0xCC, 0xCE, 0xC4, 0xCF, 0xC4, 0x31, 0xCD");
asm(".byte 0xAE, 0xBC, 0x6E, 0xB4, 0x2D, 0xAC, 0xAF, 0xB4, 0x92, 0xCD, 0x56, 0xE6, 0x15, 0xDE, 0x36, 0xDE");
asm(".byte 0x15, 0xD6, 0x77, 0xDE, 0x6F, 0xA4, 0xF4, 0xD5, 0x35, 0xDE, 0x93, 0xCD, 0xAC, 0x8B, 0xD1, 0xAC");
asm(".byte 0x94, 0xBD, 0xB8, 0xE6, 0xF5, 0xCD, 0x56, 0xDE, 0x77, 0xDE, 0xF5, 0xD5, 0xED, 0x9B, 0x67, 0x62");
asm(".byte 0x6B, 0x7B, 0x8F, 0xAC, 0x0E, 0x9C, 0x27, 0x5A, 0xC9, 0x6A, 0xED, 0x9B, 0x6A, 0x83, 0xCC, 0x93");
asm(".byte 0x2D, 0x9C, 0x6E, 0x9C, 0x32, 0xB5, 0xD8, 0xE6, 0xFA, 0xEE, 0x56, 0xDE, 0x2E, 0x94, 0x33, 0xAD");
asm(".byte 0x98, 0xD6, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x9B, 0xF7, 0x7A, 0xEF, 0xB0, 0x94, 0x35, 0xC6, 0x9C, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF");
asm(".byte 0x3B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x1A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xD9, 0xDE, 0xD8, 0xDE");
asm(".byte 0xD8, 0xD6, 0x15, 0xC6, 0x16, 0xC6, 0x77, 0xCE, 0x56, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xD5, 0xAD, 0xED, 0x6B, 0x36, 0xB6, 0x6E, 0x7C, 0xE8, 0x4A, 0x0B, 0x7C, 0x52, 0xC6, 0x36, 0xE7");
asm(".byte 0x12, 0xE7, 0xF2, 0xE6, 0x32, 0xEF, 0x75, 0xEF, 0xF1, 0xEE, 0x11, 0xE7, 0x33, 0xEF, 0xAE, 0xB5");
asm(".byte 0x6F, 0xA5, 0x0C, 0x7C, 0x25, 0x3A, 0xF1, 0x94, 0xA4, 0x29, 0x4F, 0x7C, 0x90, 0x84, 0x70, 0x84");
asm(".byte 0xCE, 0x6B, 0x8D, 0x6B, 0xEA, 0x52, 0x68, 0x42, 0x0A, 0x53, 0xEA, 0x52, 0x89, 0x4A, 0x0B, 0x5B");
asm(".byte 0xEB, 0x5A, 0x27, 0x42, 0x44, 0x21, 0x89, 0x52, 0x4E, 0xA4, 0xAC, 0x83, 0x4B, 0x7B, 0xC8, 0x6A");
asm(".byte 0x09, 0x73, 0x09, 0x73, 0x09, 0x73, 0x09, 0x7B, 0x87, 0x6A, 0x46, 0x62, 0x87, 0x6A, 0x46, 0x62");
asm(".byte 0xA8, 0x72, 0xC8, 0x7A, 0xE8, 0x82, 0xC8, 0x7A, 0xE8, 0x82, 0x4A, 0x93, 0x4A, 0x93, 0xCB, 0xA3");
asm(".byte 0x6D, 0xBC, 0xCE, 0xC4, 0xEF, 0xC4, 0xEF, 0xCC, 0x0F, 0xCD, 0xEF, 0xC4, 0xEF, 0xC4, 0xCF, 0xC4");
asm(".byte 0xEF, 0xC4, 0xF0, 0xC4, 0x4D, 0xAC, 0x0D, 0xA4, 0x0C, 0xA4, 0x10, 0xBD, 0xD4, 0xD5, 0x72, 0xC5");
asm(".byte 0x52, 0xC5, 0xD0, 0xB4, 0xF4, 0xD5, 0x6E, 0xAC, 0x52, 0xC5, 0x72, 0xC5, 0x53, 0xBD, 0x32, 0xB5");
asm(".byte 0x3A, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x3B, 0xF7, 0x1B, 0xEF, 0x1A, 0xF7, 0xD9, 0xEE");
asm(".byte 0x37, 0xDE, 0x57, 0xDE, 0x98, 0xE6, 0x15, 0xDE, 0x11, 0xB5, 0xED, 0x93, 0xAF, 0xAC, 0x09, 0x7B");
asm(".byte 0xAC, 0x8B, 0xAB, 0x8B, 0x4D, 0xA4, 0x8F, 0xA4, 0xD5, 0xCD, 0xD9, 0xE6, 0x15, 0xD6, 0xCD, 0x83");
asm(".byte 0xD9, 0xDE, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF, 0x19, 0xDF, 0xF1, 0x9C, 0x56, 0xC6, 0xBC, 0xF7, 0x7C, 0xEF");
asm(".byte 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x5B, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xB8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x32, 0xA5, 0x97, 0xCE, 0x77, 0xCE, 0x16, 0xBE, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xE6, 0x31, 0x2A, 0x53, 0x09, 0x53, 0x05, 0x32, 0x4D, 0x84, 0xE6, 0x5A, 0xAC, 0x94");
asm(".byte 0x70, 0xD6, 0xCE, 0xDE, 0x10, 0xEF, 0x8D, 0xE6, 0xEF, 0xE6, 0xCE, 0xE6, 0xED, 0xE6, 0x11, 0xE7");
asm(".byte 0xED, 0xC5, 0x87, 0x6B, 0x49, 0x6B, 0xA8, 0x52, 0x09, 0x5B, 0x27, 0x3A, 0x27, 0x3A, 0xE6, 0x31");
asm(".byte 0x23, 0x19, 0xC6, 0x29, 0x24, 0x19, 0x24, 0x19, 0x85, 0x21, 0xE6, 0x31, 0x85, 0x29, 0xE3, 0x18");
asm(".byte 0xC6, 0x31, 0x04, 0x19, 0x03, 0x19, 0x44, 0x29, 0x2B, 0x6B, 0x6C, 0x7B, 0xEC, 0x93, 0xC5, 0x49");
asm(".byte 0x67, 0x62, 0x66, 0x62, 0x87, 0x62, 0x66, 0x62, 0xC8, 0x72, 0x87, 0x6A, 0x26, 0x5A, 0x67, 0x62");
asm(".byte 0x67, 0x62, 0x67, 0x6A, 0xC8, 0x7A, 0xC8, 0x7A, 0xE8, 0x82, 0xE8, 0x82, 0xE8, 0x82, 0x8A, 0x93");
asm(".byte 0xCB, 0xA3, 0x6D, 0xB4, 0xAE, 0xBC, 0xEF, 0xC4, 0xEF, 0xCC, 0xEF, 0xC4, 0xEF, 0xC4, 0xCF, 0xC4");
asm(".byte 0xEF, 0xC4, 0x30, 0xCD, 0xF0, 0xC4, 0xEB, 0x9B, 0xEC, 0x9B, 0x6E, 0xAC, 0x10, 0xBD, 0x52, 0xC5");
asm(".byte 0x31, 0xBD, 0x8E, 0xAC, 0xD0, 0xB4, 0xCF, 0xB4, 0xAF, 0xAC, 0xB4, 0xCD, 0x16, 0xD6, 0x1A, 0xEF");
asm(".byte 0x5B, 0xF7, 0x5B, 0xF7, 0xB9, 0xE6, 0xF2, 0xAC, 0xA9, 0x6A, 0x07, 0x5A, 0x88, 0x6A, 0xA9, 0x6A");
asm(".byte 0xF1, 0xAC, 0x1A, 0xEF, 0x90, 0x9C, 0x47, 0x5A, 0xEA, 0x7A, 0xF1, 0xBC, 0x52, 0xC5, 0x31, 0xC5");
asm(".byte 0x31, 0xBD, 0x0D, 0x94, 0x8A, 0x8B, 0x6A, 0x83, 0x4A, 0x7B, 0x0E, 0x94, 0xD9, 0xE6, 0x32, 0xB5");
asm(".byte 0x47, 0x52, 0x3B, 0xEF, 0x7C, 0xEF, 0x9C, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x9C, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7");
asm(".byte 0x9C, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x56, 0xC6, 0xD1, 0x94, 0x56, 0xCE, 0x5B, 0xE7");
asm(".byte 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xF9, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6, 0x73, 0xAD, 0x1A, 0xDF, 0x1A, 0xDF, 0x19, 0xDF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x29, 0x26, 0x3A, 0x46, 0x3A, 0x87, 0x42, 0xC7, 0x52, 0x27, 0x63");
asm(".byte 0xC7, 0x7B, 0x0C, 0xCE, 0xCD, 0xE6, 0xCD, 0xE6, 0x8C, 0xE6, 0x8C, 0xE6, 0x8C, 0xE6, 0x8B, 0xE6");
asm(".byte 0xAD, 0xE6, 0xAB, 0xBD, 0x86, 0x73, 0xC7, 0x5A, 0x87, 0x4A, 0x46, 0x42, 0xC5, 0x31, 0xA5, 0x29");
asm(".byte 0x85, 0x29, 0x64, 0x21, 0x44, 0x21, 0x44, 0x21, 0x44, 0x21, 0x85, 0x29, 0x44, 0x21, 0x24, 0x19");
asm(".byte 0x24, 0x21, 0x24, 0x21, 0x24, 0x21, 0x24, 0x21, 0xE3, 0x18, 0xCD, 0x83, 0x84, 0x39, 0x0D, 0x9C");
asm(".byte 0x47, 0x5A, 0x09, 0x73, 0x47, 0x5A, 0x05, 0x52, 0xA7, 0x6A, 0x46, 0x62, 0x67, 0x62, 0x06, 0x5A");
asm(".byte 0x46, 0x5A, 0x46, 0x62, 0x67, 0x62, 0xA8, 0x72, 0xC8, 0x7A, 0xE9, 0x82, 0xE8, 0x82, 0x29, 0x8B");
asm(".byte 0x6A, 0x9B, 0x8B, 0x9B, 0x4D, 0xB4, 0x8D, 0xBC, 0xCE, 0xC4, 0xCF, 0xC4, 0xEF, 0xC4, 0xCF, 0xC4");
asm(".byte 0x0F, 0xC5, 0x0F, 0xC5, 0x10, 0xC5, 0xEF, 0xBC, 0x4D, 0xA4, 0x8A, 0x8B, 0x6E, 0xAC, 0x8F, 0xB4");
asm(".byte 0x0C, 0x9C, 0x51, 0xC5, 0x31, 0xBD, 0x31, 0xBD, 0xCF, 0xB4, 0xF0, 0xB4, 0x31, 0xBD, 0xB7, 0xE6");
asm(".byte 0x77, 0xDE, 0x4F, 0xA4, 0x8C, 0x8B, 0xCA, 0x7A, 0x48, 0x6A, 0x47, 0x6A, 0x47, 0x6A, 0x47, 0x6A");
asm(".byte 0x68, 0x72, 0x27, 0x62, 0x2B, 0x83, 0x2B, 0x8B, 0xC9, 0x7A, 0x4B, 0x8B, 0x0A, 0x83, 0x87, 0x6A");
asm(".byte 0xED, 0x9B, 0x6E, 0xAC, 0x0D, 0xA4, 0xAC, 0x8B, 0x67, 0x62, 0xC8, 0x6A, 0x6B, 0x7B, 0xD9, 0xE6");
asm(".byte 0xD1, 0xAC, 0xEA, 0x62, 0x37, 0xC6, 0xBD, 0xF7, 0x9C, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x1A, 0xDF, 0x5A, 0xE7, 0x5A, 0xE7, 0xB7, 0xD6, 0x90, 0x94, 0xB7, 0xD6");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x5A, 0xE7, 0x3B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x19, 0xDF");
asm(".byte 0xF9, 0xDE, 0xD8, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x73, 0xAD, 0x98, 0xCE, 0x36, 0xC6");
asm(".byte 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC5, 0x29, 0x27, 0x3A, 0x47, 0x3A, 0x87, 0x42, 0xA7, 0x52");
asm(".byte 0x27, 0x63, 0xE8, 0x83, 0x0D, 0xCE, 0xCE, 0xEE, 0xEE, 0xE6, 0xAD, 0xE6, 0xAD, 0xE6, 0xAD, 0xE6");
asm(".byte 0xCD, 0xE6, 0xCE, 0xE6, 0xCC, 0xC5, 0xC8, 0x7B, 0xE7, 0x62, 0x67, 0x4A, 0x47, 0x42, 0xE6, 0x31");
asm(".byte 0x85, 0x21, 0x64, 0x21, 0x44, 0x21, 0x44, 0x21, 0x44, 0x21, 0x44, 0x21, 0x85, 0x29, 0x23, 0x21");
asm(".byte 0x23, 0x19, 0x03, 0x19, 0x03, 0x19, 0xE3, 0x18, 0xE3, 0x18, 0x24, 0x21, 0xCD, 0x83, 0x44, 0x31");
asm(".byte 0xEC, 0x9B, 0x4A, 0x83, 0xA8, 0x6A, 0x64, 0x41, 0xE5, 0x49, 0x46, 0x5A, 0x67, 0x62, 0x67, 0x62");
asm(".byte 0xE5, 0x51, 0x26, 0x5A, 0x26, 0x62, 0x67, 0x62, 0x67, 0x6A, 0x09, 0x83, 0xE8, 0x82, 0xC8, 0x82");
asm(".byte 0xE8, 0x82, 0x6A, 0x93, 0x8A, 0x9B, 0x2D, 0xAC, 0x8E, 0xBC, 0xAE, 0xBC, 0x8E, 0xBC, 0xAE, 0xBC");
asm(".byte 0xCE, 0xBC, 0xEF, 0xC4, 0x0F, 0xC5, 0x0F, 0xC5, 0xAE, 0xB4, 0xAA, 0x93, 0xEB, 0x9B, 0xEC, 0x9B");
asm(".byte 0x29, 0x7B, 0x0C, 0x9C, 0x2D, 0xA4, 0x0D, 0x9C, 0xCC, 0x93, 0xAF, 0xB4, 0xAF, 0xAC, 0xAC, 0x8B");
asm(".byte 0x68, 0x6A, 0x48, 0x62, 0x07, 0x62, 0x06, 0x62, 0x64, 0x41, 0xC6, 0x51, 0x28, 0x62, 0x88, 0x72");
asm(".byte 0x27, 0x62, 0x89, 0x72, 0xE6, 0x59, 0x06, 0x5A, 0xEA, 0x7A, 0x0E, 0xA4, 0x2A, 0x8B, 0x88, 0x72");
asm(".byte 0x68, 0x6A, 0xE6, 0x59, 0xA8, 0x6A, 0xEC, 0x93, 0xA8, 0x6A, 0x87, 0x62, 0x09, 0x73, 0x6B, 0x7B");
asm(".byte 0x36, 0xD6, 0x32, 0xAD, 0x71, 0x94, 0xBD, 0xF7, 0xBD, 0xF7, 0x9C, 0xF7, 0x9B, 0xF7, 0x7B, 0xEF");
asm(".byte 0x9B, 0xF7, 0x9B, 0xF7, 0x9B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5A, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0xF8, 0xDE, 0x90, 0x94");
asm(".byte 0xB8, 0xD6, 0x9C, 0xEF, 0x1A, 0xDF, 0x1A, 0xDF, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF");
asm(".byte 0x3A, 0xE7, 0xD9, 0xDE, 0xF8, 0xDE, 0xD8, 0xD6, 0xF8, 0xDE, 0xD8, 0xD6, 0x56, 0xC6, 0x57, 0xCE");
asm(".byte 0x36, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x19, 0xA4, 0x29, 0xE5, 0x31, 0x66, 0x42");
asm(".byte 0x66, 0x4A, 0xC6, 0x5A, 0x86, 0x73, 0xAA, 0xBD, 0xAD, 0xDE, 0xAC, 0xE6, 0x8D, 0xE6, 0x8C, 0xE6");
asm(".byte 0xAC, 0xE6, 0xAC, 0xEE, 0xAD, 0xE6, 0xAC, 0xBD, 0x46, 0x6B, 0x85, 0x52, 0x45, 0x42, 0xE5, 0x39");
asm(".byte 0xA4, 0x29, 0x64, 0x21, 0x24, 0x19, 0x03, 0x19, 0x03, 0x19, 0x04, 0x19, 0x03, 0x19, 0x64, 0x21");
asm(".byte 0xE3, 0x18, 0x03, 0x19, 0xE3, 0x18, 0x03, 0x19, 0xC2, 0x10, 0xE3, 0x18, 0xC3, 0x18, 0x4B, 0x73");
asm(".byte 0x47, 0x52, 0xC8, 0x72, 0x0C, 0xA4, 0xC5, 0x49, 0x47, 0x5A, 0x06, 0x52, 0x26, 0x52, 0x46, 0x62");
asm(".byte 0x47, 0x5A, 0xE5, 0x51, 0x06, 0x5A, 0xE5, 0x51, 0x27, 0x62, 0x46, 0x62, 0xE9, 0x82, 0xA8, 0x7A");
asm(".byte 0xE8, 0x82, 0x09, 0x8B, 0x6A, 0x93, 0x8A, 0x9B, 0xEC, 0xA3, 0x4D, 0xB4, 0x4D, 0xB4, 0x6D, 0xB4");
asm(".byte 0x8E, 0xBC, 0x8E, 0xBC, 0xEF, 0xC4, 0x0F, 0xC5, 0x30, 0xC5, 0xCF, 0xBC, 0x4D, 0xAC, 0xEB, 0x9B");
asm(".byte 0x6A, 0x8B, 0x49, 0x83, 0x4D, 0xA4, 0xCB, 0x9B, 0x6E, 0xAC, 0x8E, 0xAC, 0xE5, 0x51, 0x43, 0x39");
asm(".byte 0xC5, 0x51, 0xC5, 0x51, 0x03, 0x31, 0xA2, 0x28, 0x41, 0x18, 0x61, 0x20, 0x82, 0x28, 0x61, 0x20");
asm(".byte 0x82, 0x28, 0x82, 0x28, 0xE3, 0x30, 0x82, 0x28, 0xA2, 0x28, 0xA2, 0x28, 0xA2, 0x20, 0xC2, 0x28");
asm(".byte 0xE3, 0x28, 0x24, 0x39, 0xA5, 0x49, 0x27, 0x5A, 0x27, 0x5A, 0x68, 0x62, 0x88, 0x62, 0x8B, 0x83");
asm(".byte 0xED, 0x8B, 0xB3, 0xC5, 0x0B, 0x73, 0xB5, 0xB5, 0x16, 0xC6, 0xBD, 0xF7, 0x9C, 0xEF, 0x9B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x9B, 0xF7, 0x9B, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xE7, 0x5B, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x9B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x39, 0xDF");
asm(".byte 0x0E, 0x84, 0x1A, 0xE7, 0x7B, 0xEF, 0x3B, 0xE7, 0xF9, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF");
asm(".byte 0xF9, 0xDE, 0x1A, 0xDF, 0xF9, 0xDE, 0xD8, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0xF9, 0xDE, 0xB4, 0xB5");
asm(".byte 0x97, 0xCE, 0x57, 0xC6, 0xF6, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x94, 0x73, 0xA5, 0xA7, 0x42");
asm(".byte 0xCF, 0x8C, 0x08, 0x5B, 0xF2, 0xBD, 0x52, 0xCE, 0xF2, 0xDE, 0x54, 0xF7, 0xF0, 0xEE, 0x32, 0xF7");
asm(".byte 0x10, 0xEF, 0xF0, 0xEE, 0x53, 0xF7, 0xCE, 0xE6, 0x92, 0xDE, 0x0D, 0xA5, 0x10, 0xA5, 0x4D, 0x84");
asm(".byte 0x2A, 0x63, 0x0E, 0x7C, 0x2F, 0x7C, 0xCA, 0x52, 0xEA, 0x52, 0xE7, 0x31, 0x89, 0x42, 0x68, 0x42");
asm(".byte 0x6C, 0x6B, 0x0B, 0x5B, 0xE3, 0x18, 0x0C, 0x5B, 0xC3, 0x10, 0x69, 0x4A, 0x85, 0x29, 0xC6, 0x31");
asm(".byte 0xA9, 0x62, 0x8B, 0x83, 0xA5, 0x41, 0xEF, 0xBC, 0x87, 0x6A, 0x4B, 0x7B, 0x64, 0x39, 0xC5, 0x49");
asm(".byte 0x88, 0x62, 0x06, 0x52, 0x26, 0x5A, 0xE5, 0x51, 0x06, 0x5A, 0x27, 0x62, 0x47, 0x62, 0xA8, 0x72");
asm(".byte 0xA8, 0x7A, 0x09, 0x83, 0x08, 0x83, 0x4A, 0x93, 0x8A, 0x9B, 0xEC, 0xA3, 0x2D, 0xAC, 0xEC, 0xAB");
asm(".byte 0x0C, 0xAC, 0x6D, 0xB4, 0x8E, 0xBC, 0xCF, 0xC4, 0x30, 0xCD, 0x10, 0xC5, 0x31, 0xCD, 0x4D, 0xAC");
asm(".byte 0x0C, 0xA4, 0x09, 0x83, 0x6A, 0x8B, 0x0C, 0xA4, 0x0C, 0x9C, 0x05, 0x52, 0x41, 0x18, 0x40, 0x10");
asm(".byte 0x40, 0x18, 0x20, 0x10, 0x24, 0x39, 0xCA, 0x72, 0x0A, 0x7B, 0x50, 0xAC, 0x0F, 0x9C, 0x17, 0xD6");
asm(".byte 0xF6, 0xCD, 0x17, 0xD6, 0xD6, 0xCD, 0x94, 0xC5, 0x13, 0xB5, 0xF2, 0xB4, 0x91, 0xAC, 0x2F, 0xA4");
asm(".byte 0x6C, 0x8B, 0xA9, 0x72, 0x06, 0x52, 0x03, 0x31, 0x64, 0x41, 0x23, 0x39, 0x47, 0x5A, 0x87, 0x62");
asm(".byte 0xAB, 0x83, 0x12, 0xB5, 0xD4, 0xCD, 0x27, 0x52, 0xB9, 0xD6, 0xD9, 0xDE, 0x9C, 0xF7, 0x9B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xF7, 0x9B, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x5A, 0xE7, 0x5B, 0xE7, 0x5A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0xBC, 0xF7");
asm(".byte 0x9B, 0xEF, 0x2E, 0x84, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x1A, 0xE7, 0x19, 0xDF");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0x1A, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0x1A, 0xDF, 0x3A, 0xE7");
asm(".byte 0x73, 0xAD, 0x76, 0xCE, 0x56, 0xC6, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x4B, 0x5B, 0x8C, 0x63");
asm(".byte 0x63, 0x21, 0xE8, 0x52, 0x45, 0x42, 0x70, 0xAD, 0x93, 0xD6, 0x70, 0xD6, 0x75, 0xF7, 0x32, 0xEF");
asm(".byte 0xD0, 0xE6, 0x11, 0xEF, 0x32, 0xEF, 0x12, 0xEF, 0x11, 0xEF, 0x50, 0xCE, 0x4D, 0xAD, 0x50, 0xA5");
asm(".byte 0xE7, 0x5A, 0x6A, 0x63, 0x2A, 0x5B, 0x27, 0x3A, 0xCE, 0x6B, 0xE6, 0x31, 0x44, 0x21, 0x4C, 0x63");
asm(".byte 0x64, 0x21, 0x4C, 0x63, 0xEA, 0x52, 0xAA, 0x52, 0x2B, 0x5B, 0x69, 0x4A, 0xCA, 0x52, 0x27, 0x3A");
asm(".byte 0x48, 0x4A, 0xE6, 0x41, 0x6F, 0xA4, 0xE6, 0x49, 0xF0, 0xB4, 0xEC, 0x9B, 0x27, 0x5A, 0x47, 0x5A");
asm(".byte 0x84, 0x41, 0x06, 0x52, 0xA5, 0x49, 0xE6, 0x51, 0xC5, 0x49, 0x06, 0x52, 0x27, 0x5A, 0x47, 0x62");
asm(".byte 0x67, 0x6A, 0x87, 0x72, 0xE8, 0x82, 0x09, 0x83, 0x29, 0x8B, 0xAB, 0x9B, 0x8B, 0x9B, 0x0C, 0xAC");
asm(".byte 0x8A, 0x9B, 0xCB, 0xA3, 0x8B, 0x9B, 0x4D, 0xAC, 0xCF, 0xBC, 0x0F, 0xC5, 0x50, 0xCD, 0x10, 0xC5");
asm(".byte 0x6D, 0xAC, 0xEB, 0x9B, 0x29, 0x83, 0xA8, 0x6A, 0xE8, 0x7A, 0x29, 0x83, 0xAB, 0x93, 0xAF, 0xAC");
asm(".byte 0x94, 0xC5, 0x57, 0xDE, 0x37, 0xD6, 0xB5, 0xC5, 0xF6, 0xCD, 0xFA, 0xEE, 0x3B, 0xEF, 0x5C, 0xF7");
asm(".byte 0x9D, 0xFF, 0x9D, 0xFF, 0xBD, 0xFF, 0xBD, 0xF7, 0x9D, 0xF7, 0x7D, 0xF7, 0x7C, 0xF7, 0x5B, 0xF7");
asm(".byte 0x1A, 0xEF, 0xB9, 0xEE, 0x57, 0xE6, 0xF5, 0xDD, 0x11, 0xBD, 0xA7, 0x6A, 0xEC, 0x9B, 0x67, 0x62");
asm(".byte 0xEC, 0x93, 0xEC, 0x9B, 0x6E, 0xA4, 0xD0, 0xAC, 0x6C, 0x7B, 0x1A, 0xE7, 0x98, 0xD6, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x9C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x7A, 0xEF, 0x6A, 0x6B, 0x7B, 0xEF, 0x9C, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x19, 0xDF");
asm(".byte 0x1A, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0x1A, 0xE7, 0xF9, 0xDE, 0xF8, 0xDE, 0x19, 0xDF, 0xF9, 0xDE");
asm(".byte 0xD8, 0xDE, 0x16, 0xC6, 0x97, 0xCE, 0x57, 0xCE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xED, 0x73");
asm(".byte 0xCD, 0x6B, 0x6B, 0x63, 0x2D, 0x7C, 0x8A, 0x6B, 0x4C, 0x84, 0x8A, 0x94, 0x2D, 0xCE, 0x10, 0xEF");
asm(".byte 0xAD, 0xE6, 0x11, 0xEF, 0xAD, 0xE6, 0x11, 0xEF, 0x11, 0xEF, 0xEF, 0xE6, 0x4E, 0xCE, 0xC8, 0x7B");
asm(".byte 0x0B, 0x84, 0x29, 0x63, 0xA8, 0x52, 0x2A, 0x5B, 0xA9, 0x4A, 0x44, 0x21, 0x89, 0x42, 0x85, 0x29");
asm(".byte 0x69, 0x42, 0xE6, 0x31, 0x07, 0x3A, 0xA5, 0x31, 0x23, 0x21, 0xC6, 0x31, 0x03, 0x19, 0x24, 0x21");
asm(".byte 0x24, 0x21, 0x65, 0x31, 0x27, 0x4A, 0x4E, 0xA4, 0xE9, 0x72, 0xE9, 0x6A, 0x6E, 0xB4, 0xC5, 0x51");
asm(".byte 0xA9, 0x6A, 0x84, 0x41, 0x84, 0x41, 0xA5, 0x49, 0xA5, 0x49, 0x84, 0x49, 0xA5, 0x49, 0xE6, 0x51");
asm(".byte 0x06, 0x52, 0x26, 0x62, 0x87, 0x72, 0xC8, 0x7A, 0xE9, 0x82, 0x29, 0x8B, 0x09, 0x8B, 0x6A, 0x9B");
asm(".byte 0xCB, 0xA3, 0x8A, 0x9B, 0x6A, 0x9B, 0xEC, 0xA3, 0xCC, 0x9B, 0x8D, 0xB4, 0xEF, 0xC4, 0x30, 0xC5");
asm(".byte 0xEF, 0xC4, 0x2C, 0xA4, 0xCB, 0x9B, 0x6A, 0x8B, 0xE9, 0x7A, 0x49, 0x8B, 0xEC, 0xA3, 0x8E, 0xB4");
asm(".byte 0x15, 0xDE, 0xD8, 0xEE, 0x1A, 0xEF, 0x5B, 0xF7, 0x5B, 0xF7, 0x1A, 0xEF, 0x74, 0xBD, 0x3B, 0xEF");
asm(".byte 0x1B, 0xEF, 0x1B, 0xEF, 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x7C, 0xF7, 0x5C, 0xF7");
asm(".byte 0xB9, 0xE6, 0xB8, 0xE6, 0x77, 0xDE, 0x15, 0xDE, 0xD0, 0xB4, 0xEC, 0x9B, 0xCF, 0xB4, 0xCF, 0xBC");
asm(".byte 0x6D, 0xA4, 0xEC, 0x93, 0x0D, 0x9C, 0xCF, 0xAC, 0x93, 0xC5, 0x33, 0xA5, 0x7B, 0xEF, 0xBD, 0xF7");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x7C, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x19, 0xDF, 0x5A, 0xE7, 0x09, 0x63, 0x3A, 0xE7, 0x9C, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x1A, 0xDF, 0x19, 0xDF, 0x1A, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x1A, 0xE7, 0x19, 0xE7, 0xF9, 0xDE");
asm(".byte 0xD8, 0xDE, 0xF9, 0xDE, 0xF5, 0xBD, 0x97, 0xCE, 0x76, 0xCE, 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xA5, 0x29, 0x26, 0x3A, 0x26, 0x3A, 0x86, 0x42, 0xA6, 0x52, 0x47, 0x63, 0x07, 0x84, 0x2C, 0xCE");
asm(".byte 0xCD, 0xE6, 0xAD, 0xE6, 0xAC, 0xE6, 0xAC, 0xEE, 0x8C, 0xE6, 0x8C, 0xE6, 0xCD, 0xEE, 0xCB, 0xBD");
asm(".byte 0xE7, 0x83, 0xE6, 0x5A, 0x66, 0x4A, 0x05, 0x3A, 0xC5, 0x31, 0x85, 0x29, 0x64, 0x21, 0x44, 0x21");
asm(".byte 0x44, 0x21, 0x24, 0x21, 0x65, 0x21, 0x64, 0x29, 0x64, 0x21, 0xA5, 0x31, 0x64, 0x29, 0x24, 0x21");
asm(".byte 0x03, 0x19, 0xC3, 0x18, 0x85, 0x31, 0x27, 0x4A, 0x0A, 0x73, 0xCC, 0x93, 0x02, 0x31, 0x8E, 0xB4");
asm(".byte 0x2A, 0x7B, 0x06, 0x52, 0xC5, 0x49, 0xA5, 0x49, 0x64, 0x41, 0x64, 0x41, 0x84, 0x41, 0x84, 0x41");
asm(".byte 0x84, 0x49, 0x64, 0x41, 0xE6, 0x51, 0x06, 0x5A, 0xA8, 0x72, 0xC8, 0x7A, 0x29, 0x8B, 0x09, 0x8B");
asm(".byte 0x6A, 0x93, 0x6A, 0x93, 0x6A, 0x93, 0x4A, 0x8B, 0x29, 0x8B, 0xAB, 0x9B, 0x2C, 0xAC, 0xAE, 0xBC");
asm(".byte 0x0F, 0xC5, 0xCE, 0xBC, 0x4C, 0xB4, 0xAA, 0x9B, 0x6A, 0x93, 0x49, 0x8B, 0x8A, 0x93, 0x4D, 0xAC");
asm(".byte 0x30, 0xC5, 0x14, 0xDE, 0x56, 0xDE, 0x97, 0xE6, 0x97, 0xE6, 0xD4, 0xCD, 0xD9, 0xEE, 0x98, 0xE6");
asm(".byte 0x19, 0xEF, 0x1A, 0xF7, 0x3A, 0xF7, 0x1A, 0xEF, 0xFA, 0xEE, 0xD9, 0xE6, 0x97, 0xE6, 0x15, 0xD6");
asm(".byte 0x31, 0xC5, 0xF0, 0xB4, 0x32, 0xC5, 0x51, 0xC5, 0x30, 0xC5, 0x10, 0xC5, 0x10, 0xC5, 0x52, 0xCD");
asm(".byte 0x31, 0xC5, 0xB3, 0xCD, 0x0D, 0x9C, 0xAB, 0x8B, 0x92, 0xCD, 0xA9, 0x62, 0x7C, 0xEF, 0xFA, 0xDE");
asm(".byte 0x1A, 0xE7, 0x7B, 0xEF, 0x5A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x1A, 0xE7, 0xF9, 0xDE, 0xD7, 0xD6, 0x5B, 0xEF, 0x29, 0x63, 0xD9, 0xDE, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x7B, 0xEF, 0x5A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0x73, 0xAD, 0xF9, 0xDE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xC5, 0x29, 0x46, 0x3A, 0x67, 0x42, 0x87, 0x4A, 0xA7, 0x52, 0x27, 0x6B, 0x07, 0x84");
asm(".byte 0x2C, 0xCE, 0xCD, 0xE6, 0xAD, 0xE6, 0x8C, 0xE6, 0x8C, 0xE6, 0xAC, 0xE6, 0xAC, 0xE6, 0xCD, 0xE6");
asm(".byte 0xCB, 0xBD, 0xE7, 0x83, 0xE6, 0x62, 0x86, 0x52, 0x25, 0x42, 0xC5, 0x31, 0xA5, 0x29, 0x64, 0x21");
asm(".byte 0x44, 0x21, 0x44, 0x21, 0x44, 0x21, 0x65, 0x29, 0xA5, 0x31, 0xE5, 0x39, 0xC5, 0x31, 0x84, 0x29");
asm(".byte 0x44, 0x21, 0x03, 0x19, 0xE3, 0x18, 0x07, 0x42, 0x85, 0x31, 0xA5, 0x41, 0x0C, 0x9C, 0x43, 0x39");
asm(".byte 0x6E, 0xAC, 0x4D, 0xAC, 0x43, 0x39, 0x47, 0x62, 0xE6, 0x51, 0xA5, 0x49, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x84, 0x41, 0x84, 0x41, 0x64, 0x41, 0xC5, 0x49, 0xA4, 0x49, 0x87, 0x6A, 0x87, 0x72, 0x09, 0x83");
asm(".byte 0x29, 0x8B, 0x09, 0x8B, 0xAB, 0x9B, 0x6A, 0x93, 0x49, 0x8B, 0xAB, 0x9B, 0x4A, 0x8B, 0x4D, 0xAC");
asm(".byte 0x4D, 0xB4, 0x6D, 0xB4, 0x6D, 0xB4, 0x0B, 0xAC, 0xAB, 0x9B, 0x6A, 0x93, 0x09, 0x83, 0x29, 0x8B");
asm(".byte 0xCB, 0x9B, 0x6D, 0xB4, 0x8D, 0xB4, 0xCF, 0xBC, 0xCF, 0xB4, 0x51, 0xC5, 0x32, 0xC5, 0xB7, 0xEE");
asm(".byte 0xD8, 0xEE, 0xB7, 0xE6, 0x77, 0xE6, 0x36, 0xDE, 0x93, 0xCD, 0x10, 0xBD, 0x31, 0xBD, 0xAB, 0x8B");
asm(".byte 0xE9, 0x7A, 0x88, 0x6A, 0x0D, 0xA4, 0x0D, 0x9C, 0x2D, 0xA4, 0x0D, 0x9C, 0x51, 0xC5, 0x31, 0xC5");
asm(".byte 0x8E, 0xAC, 0x31, 0xC5, 0x14, 0xDE, 0x6A, 0x83, 0xCC, 0x8B, 0x73, 0xC5, 0xC6, 0x39, 0xB9, 0xD6");
asm(".byte 0xF5, 0xBD, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x5B, 0xE7, 0x18, 0xDF, 0x7B, 0xEF, 0xED, 0x7B, 0x36, 0xC6, 0x1A, 0xDF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x73, 0xAD, 0xF9, 0xDE, 0xB8, 0xD6, 0x77, 0xCE");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x84, 0x21, 0x26, 0x3A, 0x05, 0x3A, 0x87, 0x42, 0x66, 0x4A, 0x27, 0x63");
asm(".byte 0xC6, 0x7B, 0x0C, 0xCE, 0xAD, 0xE6, 0xAC, 0xE6, 0x8C, 0xE6, 0x8C, 0xE6, 0xAC, 0xE6, 0x8C, 0xE6");
asm(".byte 0xCD, 0xE6, 0xAA, 0xBD, 0xA6, 0x7B, 0x85, 0x52, 0x66, 0x4A, 0x05, 0x3A, 0xA4, 0x29, 0x44, 0x21");
asm(".byte 0x44, 0x21, 0x04, 0x19, 0x24, 0x19, 0x44, 0x21, 0x44, 0x21, 0x85, 0x29, 0xA5, 0x31, 0x44, 0x21");
asm(".byte 0x64, 0x21, 0x44, 0x21, 0xE3, 0x18, 0xC2, 0x10, 0xE7, 0x39, 0xE3, 0x20, 0x88, 0x5A, 0x2D, 0x9C");
asm(".byte 0xE9, 0x72, 0xA8, 0x62, 0xCE, 0xBC, 0xA8, 0x6A, 0xC5, 0x49, 0x85, 0x49, 0xE5, 0x51, 0x43, 0x41");
asm(".byte 0x64, 0x41, 0x03, 0x31, 0x23, 0x39, 0x44, 0x39, 0xA5, 0x49, 0x84, 0x49, 0x06, 0x5A, 0x88, 0x72");
asm(".byte 0xE8, 0x82, 0x29, 0x8B, 0x09, 0x83, 0x6A, 0x93, 0x6A, 0x93, 0x6A, 0x93, 0x29, 0x8B, 0xE9, 0x82");
asm(".byte 0x2D, 0xAC, 0xAA, 0x9B, 0xCB, 0xA3, 0xEB, 0xAB, 0xAA, 0xA3, 0xAA, 0x9B, 0x29, 0x8B, 0x29, 0x83");
asm(".byte 0xE8, 0x82, 0x29, 0x8B, 0xCB, 0x9B, 0x2C, 0xAC, 0x2C, 0xAC, 0xEC, 0xA3, 0x10, 0xC5, 0x30, 0xC5");
asm(".byte 0xCF, 0xB4, 0xEC, 0x9B, 0x4E, 0xAC, 0x2D, 0x9C, 0xAB, 0x8B, 0x09, 0x7B, 0x6A, 0x83, 0xE9, 0x72");
asm(".byte 0xA8, 0x6A, 0x2A, 0x83, 0x47, 0x62, 0x09, 0x7B, 0x29, 0x7B, 0x6A, 0x83, 0x09, 0x7B, 0x2D, 0x9C");
asm(".byte 0xCB, 0x93, 0x4A, 0x83, 0x0D, 0x9C, 0xD3, 0xCD, 0x4A, 0x7B, 0x8B, 0x8B, 0x12, 0xB5, 0x95, 0xB5");
asm(".byte 0xBD, 0xF7, 0x57, 0xD6, 0x3A, 0xE7, 0x7B, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xEF, 0x9B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0x3A, 0xE7");
asm(".byte 0x5B, 0xE7, 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x39, 0xE7, 0x39, 0xE7, 0xEE, 0x7B, 0x74, 0xAD");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0xD5, 0xB5, 0x98, 0xCE, 0x77, 0xCE");
asm(".byte 0x37, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD5, 0xAD, 0x0D, 0x74, 0xAF, 0x8C, 0x93, 0xA5, 0xEC, 0x73");
asm(".byte 0xEE, 0x94, 0x49, 0x8C, 0xD2, 0xDE, 0x10, 0xE7, 0x53, 0xF7, 0x33, 0xF7, 0x12, 0xEF, 0x12, 0xEF");
asm(".byte 0xF0, 0xEE, 0xEE, 0xE6, 0x6F, 0xD6, 0x49, 0x8C, 0xCE, 0x94, 0xEB, 0x7B, 0xA7, 0x52, 0xEE, 0x73");
asm(".byte 0x4C, 0x5B, 0x27, 0x3A, 0x4C, 0x63, 0x27, 0x3A, 0xAA, 0x4A, 0xCA, 0x52, 0x89, 0x4A, 0x89, 0x4A");
asm(".byte 0xA5, 0x29, 0x48, 0x42, 0xC5, 0x31, 0xE6, 0x39, 0xA6, 0x31, 0xC3, 0x18, 0xE3, 0x18, 0xCD, 0x83");
asm(".byte 0xE9, 0x6A, 0xEC, 0x93, 0x23, 0x39, 0x10, 0xC5, 0x6E, 0xAC, 0x43, 0x31, 0x27, 0x5A, 0x47, 0x62");
asm(".byte 0xA4, 0x49, 0x06, 0x52, 0x64, 0x41, 0x84, 0x41, 0x44, 0x39, 0x84, 0x41, 0x64, 0x41, 0xA5, 0x49");
asm(".byte 0x06, 0x5A, 0xC8, 0x7A, 0x09, 0x8B, 0xC8, 0x7A, 0x6A, 0x93, 0x6A, 0x93, 0x6A, 0x93, 0x8B, 0x93");
asm(".byte 0xE8, 0x82, 0xE9, 0x82, 0x09, 0x83, 0x49, 0x8B, 0x6A, 0x93, 0x8A, 0x9B, 0x8A, 0x9B, 0x6A, 0x93");
asm(".byte 0x49, 0x8B, 0x09, 0x83, 0x09, 0x83, 0xE8, 0x82, 0x8A, 0x93, 0xCB, 0xA3, 0xCB, 0x9B, 0xEB, 0x9B");
asm(".byte 0xCB, 0x9B, 0x8A, 0x93, 0xA7, 0x6A, 0xC8, 0x6A, 0x63, 0x41, 0x67, 0x62, 0xA8, 0x6A, 0x88, 0x62");
asm(".byte 0xA8, 0x6A, 0x4A, 0x83, 0xC8, 0x72, 0x87, 0x6A, 0x67, 0x6A, 0xE9, 0x72, 0x47, 0x5A, 0x06, 0x52");
asm(".byte 0x0D, 0xA4, 0x09, 0x83, 0x2A, 0x83, 0x6E, 0xA4, 0x11, 0xBD, 0x09, 0x73, 0x8F, 0xAC, 0xA9, 0x5A");
asm(".byte 0x7C, 0xEF, 0xD9, 0xDE, 0x11, 0xA5, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xEF, 0x5B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0x5A, 0xE7, 0x3A, 0xDF");
asm(".byte 0x39, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x9C, 0xF7, 0x7B, 0xEF, 0x5A, 0xE7, 0x31, 0xA5, 0x4F, 0x84");
asm(".byte 0x74, 0xAD, 0x9C, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x57, 0xC6, 0xB8, 0xD6");
asm(".byte 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0x52, 0x32, 0x95, 0x2A, 0x5B, 0xF0, 0x8C");
asm(".byte 0xF0, 0x94, 0x89, 0x6B, 0x0C, 0x9D, 0xD2, 0xDE, 0x31, 0xEF, 0x52, 0xF7, 0xAD, 0xE6, 0x12, 0xEF");
asm(".byte 0x32, 0xF7, 0x11, 0xEF, 0xCD, 0xE6, 0x8F, 0xD6, 0x49, 0x8C, 0x0E, 0x9D, 0x2C, 0x84, 0x6B, 0x6B");
asm(".byte 0xAC, 0x6B, 0x4C, 0x63, 0x23, 0x19, 0x8D, 0x63, 0xE3, 0x10, 0x68, 0x42, 0xE3, 0x18, 0x0B, 0x5B");
asm(".byte 0x48, 0x42, 0x64, 0x21, 0x47, 0x42, 0xA5, 0x29, 0x85, 0x29, 0x24, 0x21, 0x61, 0x08, 0x24, 0x29");
asm(".byte 0x68, 0x5A, 0xA5, 0x41, 0x8B, 0x8B, 0x88, 0x62, 0x0D, 0xA4, 0xEF, 0xC4, 0xEC, 0x9B, 0x44, 0x39");
asm(".byte 0x47, 0x62, 0x26, 0x62, 0x27, 0x5A, 0xA5, 0x49, 0x44, 0x39, 0x44, 0x39, 0x23, 0x31, 0x64, 0x39");
asm(".byte 0x64, 0x41, 0xA5, 0x49, 0x46, 0x62, 0xE9, 0x82, 0xE9, 0x8A, 0x09, 0x8B, 0x4A, 0x93, 0x08, 0x83");
asm(".byte 0xC8, 0x7A, 0x09, 0x83, 0xE8, 0x82, 0xE8, 0x82, 0x09, 0x83, 0x29, 0x8B, 0x6A, 0x93, 0x6A, 0x93");
asm(".byte 0x6A, 0x93, 0x49, 0x8B, 0x6A, 0x93, 0x09, 0x83, 0x49, 0x8B, 0xE8, 0x82, 0x6A, 0x8B, 0x29, 0x8B");
asm(".byte 0x8A, 0x93, 0x8A, 0x93, 0x4A, 0x83, 0xA7, 0x72, 0x67, 0x62, 0xE9, 0x7A, 0x46, 0x62, 0x26, 0x5A");
asm(".byte 0x87, 0x6A, 0xC9, 0x72, 0x67, 0x62, 0x47, 0x62, 0x29, 0x83, 0xE9, 0x7A, 0xE9, 0x7A, 0xC8, 0x72");
asm(".byte 0xA8, 0x6A, 0x49, 0x83, 0xE9, 0x7A, 0x09, 0x7B, 0x31, 0xBD, 0x0D, 0x9C, 0xAB, 0x8B, 0x31, 0xB5");
asm(".byte 0x8D, 0x7B, 0x7C, 0xEF, 0xD5, 0xBD, 0x77, 0xD6, 0x9C, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xEF, 0x5B, 0xE7");
asm(".byte 0x7B, 0xEF, 0x3A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7, 0x5A, 0xE7, 0xF5, 0xBD");
asm(".byte 0x90, 0x94, 0xD9, 0xD6, 0x9D, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x93, 0xAD");
asm(".byte 0x98, 0xCE, 0x78, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2B, 0x5B, 0x47, 0x3A, 0xAC, 0x6B");
asm(".byte 0xEC, 0x73, 0xA6, 0x4A, 0x6C, 0x8C, 0xA6, 0x73, 0x6E, 0xD6, 0xCE, 0xE6, 0xEE, 0xEE, 0x8C, 0xE6");
asm(".byte 0xAD, 0xE6, 0xCE, 0xE6, 0xCE, 0xEE, 0xEE, 0xE6, 0x0D, 0xCE, 0x08, 0x84, 0x69, 0x73, 0xE8, 0x5A");
asm(".byte 0xA4, 0x31, 0x67, 0x42, 0x64, 0x21, 0x23, 0x19, 0xC6, 0x31, 0x03, 0x19, 0xE7, 0x31, 0xE3, 0x18");
asm(".byte 0x44, 0x21, 0xC6, 0x31, 0x45, 0x21, 0xA6, 0x31, 0xA6, 0x31, 0x65, 0x29, 0xE3, 0x18, 0x81, 0x10");
asm(".byte 0x04, 0x29, 0xE3, 0x28, 0xE6, 0x49, 0xAB, 0x8B, 0xCC, 0x93, 0xC5, 0x49, 0xEF, 0xC4, 0xEF, 0xBC");
asm(".byte 0xE5, 0x51, 0xE6, 0x51, 0x46, 0x62, 0x26, 0x62, 0xA5, 0x49, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x44, 0x41, 0x64, 0x41, 0x44, 0x41, 0x06, 0x62, 0x87, 0x72, 0x29, 0x8B, 0xE8, 0x82, 0x09, 0x83");
asm(".byte 0x29, 0x8B, 0x09, 0x83, 0xE8, 0x7A, 0x8B, 0x93, 0x08, 0x83, 0xE8, 0x82, 0x09, 0x83, 0x4A, 0x8B");
asm(".byte 0x6A, 0x93, 0x69, 0x93, 0x49, 0x93, 0x4A, 0x8B, 0x6A, 0x8B, 0x29, 0x8B, 0xE8, 0x82, 0xA8, 0x72");
asm(".byte 0x87, 0x6A, 0xA8, 0x72, 0xE9, 0x7A, 0xA8, 0x72, 0xE8, 0x7A, 0x87, 0x6A, 0xC8, 0x72, 0x67, 0x6A");
asm(".byte 0x67, 0x6A, 0x87, 0x6A, 0x66, 0x62, 0x67, 0x62, 0x88, 0x6A, 0x09, 0x7B, 0xE8, 0x7A, 0xC8, 0x7A");
asm(".byte 0xE8, 0x7A, 0x09, 0x83, 0x29, 0x83, 0x09, 0x83, 0x6B, 0x8B, 0x6B, 0x7B, 0xED, 0x93, 0x0D, 0x94");
asm(".byte 0x4E, 0x94, 0x1B, 0xE7, 0x16, 0xC6, 0xFE, 0xFF, 0xCB, 0x7B, 0x9C, 0xF7, 0x9B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x9B, 0xF7, 0x3A, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x9C, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0x9B, 0xEF");
asm(".byte 0xB3, 0xB5, 0x90, 0x94, 0x3A, 0xE7, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x7B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0x19, 0xDF");
asm(".byte 0xB4, 0xB5, 0xB8, 0xD6, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x23, 0x19, 0x06, 0x32");
asm(".byte 0x46, 0x42, 0xA7, 0x4A, 0xC7, 0x5A, 0x67, 0x6B, 0xE7, 0x83, 0x0C, 0xCE, 0xCC, 0xE6, 0xAD, 0xEE");
asm(".byte 0x8C, 0xEE, 0xAC, 0xE6, 0xAB, 0xE6, 0xAC, 0xEE, 0xCD, 0xEE, 0xCB, 0xC5, 0xA6, 0x7B, 0xC5, 0x5A");
asm(".byte 0x45, 0x4A, 0x05, 0x3A, 0x84, 0x29, 0x64, 0x21, 0x44, 0x21, 0x24, 0x19, 0x23, 0x21, 0x03, 0x19");
asm(".byte 0x03, 0x19, 0xE3, 0x18, 0xE3, 0x18, 0xE3, 0x18, 0x03, 0x21, 0x44, 0x29, 0xA2, 0x10, 0x24, 0x21");
asm(".byte 0x85, 0x31, 0x61, 0x10, 0x03, 0x29, 0x88, 0x62, 0x26, 0x52, 0xAE, 0xB4, 0xC2, 0x30, 0xAE, 0xB4");
asm(".byte 0x0F, 0xC5, 0xCC, 0x9B, 0xE2, 0x38, 0x05, 0x62, 0x26, 0x6A, 0xE6, 0x59, 0x84, 0x49, 0x23, 0x39");
asm(".byte 0x03, 0x31, 0x23, 0x39, 0x03, 0x31, 0xE3, 0x30, 0xA5, 0x49, 0xE6, 0x59, 0xC8, 0x7A, 0xC8, 0x7A");
asm(".byte 0xE8, 0x82, 0x29, 0x83, 0x29, 0x8B, 0xE8, 0x7A, 0xE8, 0x7A, 0x29, 0x83, 0x29, 0x83, 0x49, 0x8B");
asm(".byte 0x49, 0x8B, 0xAB, 0x9B, 0xCB, 0x9B, 0x8A, 0x93, 0x49, 0x8B, 0x6A, 0x93, 0x6A, 0x8B, 0xA8, 0x72");
asm(".byte 0xC8, 0x72, 0x67, 0x6A, 0x88, 0x6A, 0x67, 0x62, 0x67, 0x62, 0x46, 0x62, 0x87, 0x6A, 0x29, 0x83");
asm(".byte 0x66, 0x6A, 0xC8, 0x72, 0xA7, 0x72, 0x67, 0x6A, 0x67, 0x6A, 0xA7, 0x6A, 0xA8, 0x6A, 0xA8, 0x72");
asm(".byte 0x87, 0x6A, 0xE9, 0x7A, 0x87, 0x6A, 0x09, 0x83, 0xCB, 0x9B, 0xD0, 0xB4, 0xD5, 0xCD, 0xF5, 0xCD");
asm(".byte 0xED, 0x8B, 0x88, 0x5A, 0xDE, 0xFF, 0x9C, 0xF7, 0x8F, 0x94, 0x15, 0xC6, 0x9C, 0xF7, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x11, 0xA5, 0xF9, 0xDE, 0x57, 0xCE, 0xB8, 0xD6, 0x1A, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF");
asm(".byte 0x3A, 0xDF, 0x5A, 0xE7, 0x5B, 0xE7, 0xBC, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x3A, 0xE7, 0x76, 0xCE, 0x90, 0x94, 0x1A, 0xE7, 0x7B, 0xEF, 0x3B, 0xE7, 0x3A, 0xE7, 0x1A, 0xDF");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0x1A, 0xDF, 0x3A, 0xDF, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xD8, 0xD6, 0x36, 0xC6, 0x98, 0xCE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x23, 0x19");
asm(".byte 0xE5, 0x31, 0x46, 0x42, 0xA7, 0x4A, 0xE7, 0x5A, 0x48, 0x6B, 0x07, 0x84, 0x0C, 0xCE, 0xCD, 0xE6");
asm(".byte 0xAD, 0xE6, 0x8B, 0xE6, 0xAC, 0xE6, 0xAB, 0xE6, 0xAC, 0xE6, 0xCC, 0xE6, 0xAA, 0xBD, 0x86, 0x73");
asm(".byte 0xA6, 0x5A, 0x45, 0x4A, 0xE4, 0x39, 0x84, 0x29, 0x44, 0x21, 0x24, 0x21, 0x03, 0x19, 0x04, 0x19");
asm(".byte 0x04, 0x19, 0x04, 0x19, 0xE3, 0x18, 0xE3, 0x18, 0xE3, 0x18, 0x24, 0x21, 0x64, 0x29, 0x81, 0x08");
asm(".byte 0xC3, 0x18, 0x4C, 0x73, 0x03, 0x29, 0x41, 0x10, 0x44, 0x39, 0x03, 0x31, 0x8E, 0xB4, 0xA8, 0x6A");
asm(".byte 0x0A, 0x83, 0x0F, 0xD5, 0x6E, 0xBC, 0x88, 0x72, 0x44, 0x41, 0xE5, 0x59, 0x06, 0x62, 0xE5, 0x51");
asm(".byte 0x64, 0x41, 0x23, 0x39, 0xE3, 0x30, 0x23, 0x31, 0x23, 0x39, 0x23, 0x39, 0xE6, 0x51, 0xE6, 0x59");
asm(".byte 0xA8, 0x7A, 0xC8, 0x7A, 0x09, 0x83, 0x09, 0x83, 0x08, 0x7B, 0x66, 0x6A, 0xE8, 0x7A, 0xC7, 0x7A");
asm(".byte 0x09, 0x83, 0x49, 0x8B, 0x8A, 0x93, 0xAA, 0x9B, 0xEC, 0xA3, 0xCB, 0x9B, 0x8A, 0x93, 0xAB, 0x9B");
asm(".byte 0xE8, 0x82, 0xE8, 0x82, 0xC8, 0x7A, 0x46, 0x6A, 0x47, 0x6A, 0x8B, 0x93, 0xE9, 0x7A, 0xEC, 0xA3");
asm(".byte 0xCB, 0x9B, 0x29, 0x83, 0x6A, 0x8B, 0x6E, 0xAC, 0x6E, 0xAC, 0x8E, 0xAC, 0xAB, 0x93, 0x2D, 0x9C");
asm(".byte 0x4A, 0x8B, 0x0D, 0xA4, 0x8A, 0x93, 0x6E, 0xAC, 0xAF, 0xB4, 0x52, 0xC5, 0x97, 0xE6, 0x1A, 0xE7");
asm(".byte 0x78, 0xD6, 0x4F, 0x94, 0x17, 0xC6, 0xFE, 0xFF, 0x98, 0xD6, 0x7B, 0xEF, 0xD0, 0x9C, 0x9C, 0xF7");
asm(".byte 0x7B, 0xEF, 0x9B, 0xEF, 0xCC, 0x7B, 0xFD, 0xFF, 0xB0, 0x94, 0xED, 0x7B, 0x5A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xEF, 0x5A, 0xEF, 0x7B, 0xEF, 0x9C, 0xF7, 0x9C, 0xF7, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x39, 0xDF, 0x7B, 0xEF, 0x3A, 0xE7, 0x90, 0x8C, 0x1A, 0xDF, 0x5B, 0xE7, 0x3B, 0xE7, 0x3A, 0xE7");
asm(".byte 0xFA, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0x5A, 0xE7, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xB8, 0xD6, 0x53, 0xAD, 0x98, 0xCE, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x03, 0x19, 0x05, 0x32, 0x46, 0x42, 0x66, 0x42, 0xE8, 0x5A, 0x68, 0x6B, 0x07, 0x84, 0xEB, 0xC5");
asm(".byte 0xAC, 0xE6, 0xAC, 0xE6, 0x8D, 0xE6, 0xAC, 0xE6, 0xAC, 0xE6, 0xAC, 0xE6, 0xCD, 0xE6, 0x8A, 0xBD");
asm(".byte 0x65, 0x73, 0x85, 0x52, 0x04, 0x42, 0xA4, 0x31, 0x44, 0x21, 0x24, 0x19, 0x03, 0x19, 0x24, 0x21");
asm(".byte 0x03, 0x19, 0x44, 0x21, 0x24, 0x21, 0x04, 0x19, 0x03, 0x19, 0xC2, 0x18, 0x64, 0x29, 0x23, 0x21");
asm(".byte 0x41, 0x08, 0x82, 0x10, 0xAE, 0x7B, 0x64, 0x39, 0x82, 0x18, 0x41, 0x10, 0xC6, 0x49, 0x4A, 0x83");
asm(".byte 0xEF, 0xC4, 0x23, 0x39, 0x8E, 0xBC, 0xEF, 0xC4, 0x4A, 0x8B, 0x84, 0x41, 0x84, 0x41, 0xE5, 0x51");
asm(".byte 0x26, 0x5A, 0xA5, 0x49, 0x63, 0x41, 0x44, 0x41, 0x03, 0x31, 0x44, 0x39, 0x23, 0x31, 0x64, 0x41");
asm(".byte 0x06, 0x5A, 0x67, 0x6A, 0xC8, 0x7A, 0xE9, 0x7A, 0xE8, 0x7A, 0x46, 0x6A, 0xE8, 0x82, 0x08, 0x83");
asm(".byte 0xE8, 0x7A, 0x09, 0x83, 0xAB, 0x93, 0xEB, 0xA3, 0xCB, 0xA3, 0xEB, 0xA3, 0x4D, 0xB4, 0x4D, 0xB4");
asm(".byte 0x6D, 0xB4, 0x8E, 0xBC, 0xAE, 0xBC, 0x4D, 0xAC, 0x8E, 0xB4, 0xCF, 0xBC, 0xAE, 0xB4, 0x31, 0xC5");
asm(".byte 0x71, 0xCD, 0x92, 0xD5, 0x15, 0xDE, 0x56, 0xE6, 0x97, 0xE6, 0x97, 0xE6, 0x97, 0xE6, 0xB8, 0xE6");
asm(".byte 0xD8, 0xEE, 0x15, 0xD6, 0x97, 0xE6, 0xD3, 0xCD, 0xD4, 0xCD, 0x36, 0xDE, 0xF9, 0xEE, 0x77, 0xDE");
asm(".byte 0xB9, 0xDE, 0x3B, 0xE7, 0x68, 0x52, 0x7C, 0xF7, 0xFE, 0xFF, 0x16, 0xC6, 0xBD, 0xF7, 0x93, 0xB5");
asm(".byte 0xF9, 0xDE, 0x9C, 0xEF, 0x9C, 0xF7, 0x0D, 0x84, 0x4D, 0x8C, 0x14, 0xC6, 0x0D, 0x84, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0xBD, 0xF7, 0x9C, 0xEF");
asm(".byte 0x1A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x3A, 0xE7, 0x90, 0x94, 0x1A, 0xDF, 0x3B, 0xE7, 0x7C, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5B, 0xE7, 0x19, 0xDF, 0xB8, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6");
asm(".byte 0xB8, 0xD6, 0xB7, 0xD6, 0xD8, 0xD6, 0x32, 0xA5, 0x5B, 0xE7, 0x5B, 0xE7, 0x3B, 0xE7, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x70, 0x84, 0xCC, 0x6B, 0x05, 0x3A, 0xD3, 0xAD, 0x29, 0x5B, 0x70, 0xAD, 0x8E, 0xB5");
asm(".byte 0xD2, 0xE6, 0x51, 0xEF, 0x10, 0xEF, 0x31, 0xEF, 0xAD, 0xE6, 0x32, 0xEF, 0xEF, 0xEE, 0x11, 0xEF");
asm(".byte 0x4E, 0xCE, 0xC7, 0x7B, 0xEE, 0x9C, 0x2D, 0x84, 0xC4, 0x31, 0x2B, 0x5B, 0xE7, 0x31, 0x2C, 0x63");
asm(".byte 0x48, 0x42, 0xC6, 0x31, 0x28, 0x42, 0x24, 0x21, 0x08, 0x42, 0xC7, 0x31, 0xE6, 0x39, 0x88, 0x4A");
asm(".byte 0x64, 0x29, 0x81, 0x10, 0x44, 0x29, 0x03, 0x21, 0x4C, 0x73, 0x0A, 0x73, 0x20, 0x10, 0x44, 0x41");
asm(".byte 0x84, 0x41, 0x2D, 0xA4, 0x87, 0x62, 0x4A, 0x8B, 0x10, 0xC5, 0x6D, 0xAC, 0xE9, 0x7A, 0x63, 0x39");
asm(".byte 0x64, 0x41, 0x46, 0x62, 0x26, 0x5A, 0xA4, 0x49, 0x84, 0x49, 0x03, 0x31, 0x03, 0x31, 0x64, 0x41");
asm(".byte 0x03, 0x31, 0xA5, 0x49, 0x06, 0x5A, 0x26, 0x62, 0x88, 0x72, 0x8B, 0x8B, 0x67, 0x6A, 0xC9, 0x7A");
asm(".byte 0x87, 0x72, 0xA7, 0x72, 0x29, 0x83, 0x29, 0x83, 0xCB, 0x9B, 0x2C, 0xAC, 0x0C, 0xA4, 0xAE, 0xB4");
asm(".byte 0xAE, 0xBC, 0xEF, 0xBC, 0x30, 0xC5, 0x51, 0xCD, 0x92, 0xD5, 0xB3, 0xD5, 0xD4, 0xDD, 0xB3, 0xD5");
asm(".byte 0xCF, 0xB4, 0x15, 0xDE, 0x97, 0xE6, 0xD9, 0xEE, 0x1A, 0xF7, 0x3B, 0xF7, 0x3A, 0xF7, 0x3B, 0xF7");
asm(".byte 0x3A, 0xF7, 0x3A, 0xEF, 0x1A, 0xEF, 0xF9, 0xEE, 0xD4, 0xCD, 0x15, 0xD6, 0xD9, 0xE6, 0xF9, 0xE6");
asm(".byte 0x5B, 0xEF, 0x98, 0xD6, 0x50, 0x94, 0x30, 0x8C, 0xDE, 0xFF, 0xFE, 0xFF, 0x2E, 0x84, 0x39, 0xEF");
asm(".byte 0xED, 0x7B, 0x19, 0xE7, 0x7B, 0xEF, 0x9C, 0xF7, 0x9B, 0xF7, 0x3A, 0xE7, 0x97, 0xD6, 0x73, 0xB5");
asm(".byte 0x5B, 0xEF, 0x3A, 0xE7, 0x7B, 0xEF, 0x9C, 0xF7, 0x9B, 0xEF, 0x3A, 0xDF, 0x7B, 0xEF, 0x9C, 0xF7");
asm(".byte 0x7B, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0x5A, 0xE7, 0xD1, 0x94, 0x1A, 0xDF, 0x3B, 0xE7");
asm(".byte 0x5B, 0xE7, 0xFA, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0x5A, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0xB7, 0xCE, 0x97, 0xCE, 0xB7, 0xD6, 0xB8, 0xD6, 0x12, 0xA5, 0xD9, 0xD6, 0x36, 0xC6, 0xF6, 0xBD");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x94, 0x2E, 0x7C, 0x4E, 0x7C, 0x52, 0x9D, 0x8A, 0x6B, 0x90, 0xAD");
asm(".byte 0x69, 0x8C, 0xF1, 0xE6, 0x11, 0xEF, 0x32, 0xF7, 0xF0, 0xE6, 0xEE, 0xE6, 0x11, 0xEF, 0xEF, 0xE6");
asm(".byte 0x31, 0xEF, 0x4D, 0xCE, 0xCB, 0x9C, 0x4B, 0x8C, 0xEB, 0x7B, 0x46, 0x42, 0xC9, 0x52, 0xCA, 0x52");
asm(".byte 0x2B, 0x5B, 0xC2, 0x10, 0x07, 0x3A, 0xA5, 0x29, 0x64, 0x21, 0xC6, 0x31, 0xA6, 0x31, 0x68, 0x4A");
asm(".byte 0x67, 0x4A, 0x24, 0x21, 0xE3, 0x20, 0x24, 0x29, 0x81, 0x10, 0x44, 0x31, 0xA6, 0x51, 0xE7, 0x59");
asm(".byte 0x20, 0x08, 0xA5, 0x49, 0x87, 0x6A, 0x0D, 0x9C, 0xA4, 0x49, 0x0D, 0xAC, 0x10, 0xC5, 0x49, 0x83");
asm(".byte 0xE9, 0x7A, 0x43, 0x39, 0xC5, 0x51, 0x26, 0x62, 0xA4, 0x51, 0x85, 0x49, 0x23, 0x39, 0x02, 0x31");
asm(".byte 0x03, 0x31, 0x85, 0x41, 0x44, 0x39, 0x44, 0x41, 0x26, 0x5A, 0xE5, 0x59, 0x67, 0x6A, 0xA8, 0x72");
asm(".byte 0x66, 0x6A, 0xA7, 0x72, 0xA8, 0x72, 0x0D, 0xA4, 0x08, 0x83, 0x0C, 0x9C, 0xCA, 0x9B, 0x8D, 0xAC");
asm(".byte 0x69, 0x8B, 0xCE, 0xBC, 0xAE, 0xB4, 0x51, 0xCD, 0x14, 0xDE, 0x35, 0xDE, 0x55, 0xE6, 0x35, 0xDE");
asm(".byte 0xB4, 0xCD, 0xD4, 0xCD, 0xF9, 0xF6, 0x3A, 0xEF, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xF7");
asm(".byte 0x5B, 0xF7, 0x5B, 0xF7, 0x5B, 0xEF, 0x3B, 0xF7, 0x3A, 0xF7, 0x98, 0xE6, 0xB8, 0xE6, 0xF9, 0xEE");
asm(".byte 0x5B, 0xF7, 0x5B, 0xF7, 0x3B, 0xEF, 0xEE, 0x83, 0xDE, 0xF7, 0xDE, 0xF7, 0xDE, 0xFF, 0xBC, 0xF7");
asm(".byte 0x72, 0xB5, 0xB8, 0xDE, 0x9C, 0xF7, 0xBC, 0xF7, 0xDC, 0xFF, 0x09, 0x63, 0xF9, 0xDE, 0xC9, 0x5A");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0xBC, 0xEF, 0x7C, 0xEF, 0x3B, 0xDF, 0xBC, 0xEF, 0xBC, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0xB7, 0xD6, 0xF5, 0xBD, 0x7B, 0xEF, 0xD1, 0x9C, 0x1A, 0xDF");
asm(".byte 0x9C, 0xEF, 0x1A, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xD9, 0xD6, 0x3A, 0xE7");
asm(".byte 0x97, 0xCE, 0xB7, 0xCE, 0xB7, 0xD6, 0x96, 0xCE, 0x97, 0xCE, 0xB8, 0xD6, 0x56, 0xC6, 0x56, 0xC6");
asm(".byte 0x16, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x29, 0xE9, 0x52, 0x63, 0x21, 0x29, 0x5B, 0x08, 0x5B");
asm(".byte 0x0E, 0x9D, 0x6D, 0xB5, 0x8E, 0xD6, 0x30, 0xEF, 0xCD, 0xE6, 0xEF, 0xEE, 0x8C, 0xE6, 0xEF, 0xEE");
asm(".byte 0xAC, 0xE6, 0xCD, 0xEE, 0x0C, 0xCE, 0x85, 0x7B, 0x47, 0x6B, 0x86, 0x52, 0xE4, 0x39, 0x88, 0x4A");
asm(".byte 0x84, 0x29, 0x27, 0x3A, 0x03, 0x19, 0xC2, 0x18, 0xE6, 0x39, 0xC2, 0x18, 0xA5, 0x31, 0x23, 0x21");
asm(".byte 0x47, 0x4A, 0x64, 0x29, 0x81, 0x10, 0x44, 0x29, 0x6C, 0x73, 0xA2, 0x20, 0x41, 0x10, 0x44, 0x39");
asm(".byte 0x65, 0x41, 0x65, 0x39, 0x40, 0x08, 0xE6, 0x49, 0x8F, 0xAC, 0x0D, 0x9C, 0x26, 0x62, 0xEF, 0xC4");
asm(".byte 0x2C, 0xAC, 0xE8, 0x7A, 0xC9, 0x72, 0x22, 0x39, 0xC5, 0x51, 0x26, 0x62, 0xC5, 0x51, 0x84, 0x49");
asm(".byte 0x03, 0x39, 0xC2, 0x30, 0x03, 0x39, 0x44, 0x41, 0x64, 0x41, 0x23, 0x39, 0x84, 0x41, 0x23, 0x39");
asm(".byte 0x06, 0x5A, 0x06, 0x5A, 0xA8, 0x72, 0xA7, 0x72, 0xE8, 0x72, 0xE8, 0x7A, 0x8B, 0x93, 0x0C, 0xA4");
asm(".byte 0x8A, 0x8B, 0x4D, 0xA4, 0x2C, 0xA4, 0x30, 0xC5, 0x31, 0xC5, 0xD3, 0xD5, 0x55, 0xE6, 0x55, 0xE6");
asm(".byte 0x76, 0xE6, 0x97, 0xEE, 0xB7, 0xE6, 0xF9, 0xF6, 0x19, 0xF7, 0xFA, 0xEE, 0x3B, 0xF7, 0x3B, 0xF7");
asm(".byte 0x1A, 0xEF, 0x3A, 0xF7, 0x1A, 0xF7, 0x1A, 0xF7, 0x1A, 0xEF, 0xF9, 0xEE, 0xD8, 0xEE, 0x16, 0xD6");
asm(".byte 0x97, 0xE6, 0x98, 0xDE, 0xFA, 0xE6, 0xB9, 0xD6, 0xAD, 0x73, 0xDE, 0xF7, 0xDE, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7, 0xDD, 0xF7, 0x9B, 0xEF, 0x2E, 0x8C, 0x3A, 0xE7");
asm(".byte 0xD4, 0xBD, 0xD4, 0xBD, 0x3A, 0xE7, 0x5B, 0xEF, 0x7C, 0xEF, 0x9C, 0xEF, 0xBC, 0xEF, 0xBC, 0xF7");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x9B, 0xEF, 0x97, 0xD6, 0x76, 0xCE, 0x7B, 0xEF, 0xD0, 0x94");
asm(".byte 0x3A, 0xE7, 0x5B, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xD6");
asm(".byte 0xF9, 0xDE, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0xB8, 0xD6, 0xB4, 0xB5, 0x56, 0xC6");
asm(".byte 0x36, 0xC6, 0xF6, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x23, 0x19, 0xA4, 0x29, 0xC4, 0x31, 0x46, 0x42");
asm(".byte 0xA7, 0x52, 0x0A, 0x84, 0xEA, 0x9C, 0xAE, 0xDE, 0x0E, 0xEF, 0xCD, 0xE6, 0x8B, 0xE6, 0xAC, 0xE6");
asm(".byte 0xAB, 0xE6, 0xAB, 0xE6, 0xCC, 0xE6, 0xAA, 0xC5, 0xC6, 0x7B, 0xC6, 0x62, 0x86, 0x52, 0x25, 0x42");
asm(".byte 0xC5, 0x39, 0xC5, 0x31, 0x64, 0x29, 0x43, 0x21, 0x23, 0x21, 0x23, 0x21, 0x03, 0x21, 0x02, 0x21");
asm(".byte 0xE5, 0x39, 0xA4, 0x31, 0xE2, 0x18, 0xE6, 0x41, 0x44, 0x29, 0x90, 0xAC, 0x04, 0x39, 0x82, 0x18");
asm(".byte 0x41, 0x10, 0x04, 0x29, 0xC6, 0x49, 0x41, 0x10, 0x40, 0x10, 0x26, 0x5A, 0xAE, 0xB4, 0xC5, 0x51");
asm(".byte 0xAB, 0x9B, 0xEF, 0xBC, 0xCB, 0x9B, 0xA8, 0x72, 0x88, 0x6A, 0x23, 0x41, 0xE5, 0x51, 0xC5, 0x51");
asm(".byte 0xA4, 0x51, 0x44, 0x41, 0x03, 0x31, 0xC2, 0x30, 0x03, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x43, 0x39, 0x64, 0x41, 0x85, 0x49, 0xC5, 0x51, 0xE9, 0x7A, 0xC4, 0x51, 0x4A, 0x83, 0x08, 0x7B");
asm(".byte 0xC7, 0x72, 0x49, 0x83, 0x49, 0x8B, 0xCB, 0x9B, 0xAE, 0xB4, 0x31, 0xC5, 0x6E, 0xAC, 0xF0, 0xBC");
asm(".byte 0x14, 0xE6, 0x56, 0xE6, 0x35, 0xDE, 0x76, 0xE6, 0xB7, 0xEE, 0x36, 0xDE, 0xF9, 0xEE, 0xD9, 0xEE");
asm(".byte 0x77, 0xE6, 0xF8, 0xEE, 0x77, 0xE6, 0xD8, 0xEE, 0xB8, 0xE6, 0xB8, 0xEE, 0x97, 0xEE, 0x56, 0xDE");
asm(".byte 0x97, 0xE6, 0xB4, 0xCD, 0xD4, 0xC5, 0x16, 0xCE, 0x48, 0x4A, 0x7C, 0xEF, 0xDE, 0xF7, 0xBD, 0xF7");
asm(".byte 0x9C, 0xEF, 0xBC, 0xF7, 0xB7, 0xD6, 0xBC, 0xF7, 0x9B, 0xEF, 0x39, 0xDF, 0xF9, 0xDE, 0x6E, 0x8C");
asm(".byte 0xA7, 0x5A, 0x45, 0x4A, 0x9B, 0xF7, 0x7B, 0xEF, 0xBD, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0xD8, 0xDE, 0xD8, 0xDE, 0x9C, 0xEF");
asm(".byte 0x94, 0xAD, 0x5B, 0xE7, 0x1A, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xDE");
asm(".byte 0xD8, 0xD6, 0xF8, 0xDE, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0x5A, 0xE7, 0x32, 0xA5");
asm(".byte 0x76, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x19, 0xC5, 0x29, 0xE5, 0x31");
asm(".byte 0x46, 0x42, 0x87, 0x4A, 0xA9, 0x73, 0x0A, 0x9D, 0xEE, 0xDE, 0x2E, 0xEF, 0x0E, 0xEF, 0xAC, 0xE6");
asm(".byte 0x8C, 0xE6, 0x8C, 0xE6, 0xAB, 0xE6, 0xCD, 0xE6, 0xAA, 0xC5, 0x07, 0x8C, 0x26, 0x6B, 0x85, 0x5A");
asm(".byte 0x45, 0x4A, 0x05, 0x3A, 0xC4, 0x39, 0xA4, 0x31, 0x63, 0x29, 0x63, 0x29, 0x63, 0x29, 0x43, 0x29");
asm(".byte 0x05, 0x42, 0x04, 0x42, 0x84, 0x29, 0x41, 0x08, 0xC6, 0x49, 0x69, 0x7A, 0x45, 0x41, 0xEB, 0x72");
asm(".byte 0xA2, 0x18, 0x41, 0x10, 0x61, 0x10, 0xE3, 0x28, 0xC6, 0x49, 0xE4, 0x28, 0x61, 0x10, 0x6A, 0x83");
asm(".byte 0x51, 0xC5, 0xA4, 0x49, 0x8E, 0xBC, 0xCE, 0xBC, 0x09, 0x83, 0xA8, 0x72, 0x47, 0x62, 0x43, 0x41");
asm(".byte 0xC4, 0x51, 0xC5, 0x51, 0x84, 0x49, 0x23, 0x39, 0xE2, 0x30, 0xE2, 0x30, 0xE2, 0x30, 0x23, 0x41");
asm(".byte 0x23, 0x39, 0x23, 0x39, 0x24, 0x39, 0x24, 0x39, 0x43, 0x39, 0x06, 0x52, 0x23, 0x39, 0x64, 0x41");
asm(".byte 0xE8, 0x72, 0x29, 0x83, 0xE8, 0x7A, 0x49, 0x8B, 0xAB, 0x93, 0xCB, 0x9B, 0x2D, 0xAC, 0x2D, 0xA4");
asm(".byte 0xB3, 0xD5, 0x52, 0xCD, 0xF3, 0xDD, 0x15, 0xDE, 0xB3, 0xD5, 0x15, 0xDE, 0xF4, 0xDD, 0x76, 0xE6");
asm(".byte 0x36, 0xDE, 0x76, 0xE6, 0x97, 0xE6, 0x57, 0xE6, 0x77, 0xE6, 0xD4, 0xD5, 0x36, 0xDE, 0x15, 0xDE");
asm(".byte 0xD4, 0xD5, 0x93, 0xCD, 0x92, 0xCD, 0xF4, 0xCD, 0xB4, 0xC5, 0xE6, 0x39, 0xDE, 0xFF, 0xBD, 0xF7");
asm(".byte 0x7C, 0xEF, 0x2E, 0x84, 0xF4, 0xBD, 0xD8, 0xD6, 0x39, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0x73, 0xB5");
asm(".byte 0x4B, 0x6B, 0x93, 0xB5, 0x7B, 0xEF, 0x3A, 0xE7, 0x7B, 0xEF, 0x9B, 0xEF, 0xBC, 0xF7, 0x9C, 0xEF");
asm(".byte 0x9C, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x9B, 0xEF, 0x96, 0xCE, 0xF8, 0xDE");
asm(".byte 0x5B, 0xE7, 0xD1, 0x94, 0xD9, 0xD6, 0x1A, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0xD8, 0xDE, 0x19, 0xDF, 0xB8, 0xD6, 0x97, 0xCE, 0x76, 0xCE, 0x76, 0xCE, 0x97, 0xCE");
asm(".byte 0x77, 0xCE, 0x76, 0xC6, 0x56, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x19, 0x84, 0x29");
asm(".byte 0xA4, 0x29, 0xE5, 0x31, 0x46, 0x42, 0x28, 0x63, 0xA9, 0x94, 0xEE, 0xDE, 0x2F, 0xEF, 0x2F, 0xEF");
asm(".byte 0xCC, 0xE6, 0x8C, 0xE6, 0xAB, 0xE6, 0x8A, 0xDE, 0xAC, 0xDE, 0x8A, 0xBD, 0xA6, 0x83, 0x46, 0x73");
asm(".byte 0xA5, 0x62, 0x65, 0x52, 0x45, 0x4A, 0x05, 0x3A, 0xE4, 0x39, 0xC4, 0x39, 0xA3, 0x39, 0x84, 0x31");
asm(".byte 0xA3, 0x39, 0xA6, 0x5A, 0xE1, 0x18, 0x40, 0x10, 0x64, 0x31, 0x65, 0x61, 0xE6, 0x61, 0x24, 0x31");
asm(".byte 0xE7, 0x49, 0xC2, 0x20, 0x24, 0x31, 0x41, 0x10, 0x62, 0x18, 0x24, 0x31, 0x64, 0x31, 0x65, 0x31");
asm(".byte 0xA2, 0x20, 0x8E, 0xAC, 0x87, 0x62, 0xE9, 0x7A, 0xEE, 0xC4, 0x2C, 0xAC, 0xC8, 0x7A, 0x67, 0x6A");
asm(".byte 0x67, 0x62, 0x84, 0x49, 0xC5, 0x51, 0xC5, 0x51, 0x64, 0x41, 0x23, 0x39, 0xE2, 0x30, 0xE2, 0x30");
asm(".byte 0xE2, 0x38, 0x23, 0x39, 0x44, 0x39, 0x03, 0x39, 0x64, 0x41, 0x23, 0x39, 0x02, 0x31, 0xE3, 0x30");
asm(".byte 0xC6, 0x49, 0x63, 0x41, 0x29, 0x7B, 0x6A, 0x8B, 0xE8, 0x7A, 0xC7, 0x72, 0x08, 0x83, 0x2D, 0xAC");
asm(".byte 0x8A, 0x93, 0x8A, 0x93, 0x31, 0xC5, 0x31, 0xC5, 0x31, 0xCD, 0xD3, 0xDD, 0xD3, 0xDD, 0x72, 0xCD");
asm(".byte 0xB3, 0xD5, 0x52, 0xC5, 0xD4, 0xD5, 0x11, 0xBD, 0xD4, 0xD5, 0xB3, 0xD5, 0x52, 0xC5, 0xB3, 0xD5");
asm(".byte 0x6E, 0xAC, 0x6E, 0xAC, 0x11, 0xBD, 0x8F, 0xAC, 0x4E, 0x9C, 0x0B, 0x6B, 0x54, 0xAD, 0xDD, 0xF7");
asm(".byte 0x9C, 0xEF, 0x5B, 0xE7, 0x32, 0xA5, 0x6E, 0x8C, 0x09, 0x63, 0x1A, 0xE7, 0x19, 0xDF, 0x5A, 0xE7");
asm(".byte 0x1A, 0xDF, 0x19, 0xE7, 0xB8, 0xDE, 0x93, 0xB5, 0x9B, 0xEF, 0x9B, 0xF7, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x38, 0xDF");
asm(".byte 0x39, 0xDF, 0x3A, 0xDF, 0x12, 0x9D, 0xD8, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xF9, 0xDE, 0xD9, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6, 0xB7, 0xCE, 0x97, 0xCE, 0x97, 0xCE");
asm(".byte 0x96, 0xCE, 0xD0, 0x94, 0x97, 0xCE, 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x48, 0x3A");
asm(".byte 0x6F, 0x84, 0xAC, 0x6B, 0x88, 0x4A, 0xAB, 0x6B, 0xCA, 0x73, 0x0C, 0x9D, 0xF0, 0xDE, 0x71, 0xEF");
asm(".byte 0x72, 0xF7, 0x30, 0xEF, 0x10, 0xEF, 0xEE, 0xEE, 0x0E, 0xEF, 0x31, 0xF7, 0x0C, 0xC6, 0x48, 0x94");
asm(".byte 0xA7, 0x83, 0x29, 0x8C, 0x47, 0x73, 0x48, 0x73, 0xAA, 0x7B, 0x28, 0x6B, 0xA7, 0x5A, 0x29, 0x6B");
asm(".byte 0xA6, 0x52, 0x25, 0x4A, 0x44, 0x31, 0x91, 0x9C, 0x07, 0x4A, 0x0B, 0x8B, 0xA5, 0x51, 0x44, 0x39");
asm(".byte 0x68, 0x5A, 0x82, 0x18, 0x24, 0x31, 0xE7, 0x49, 0xA5, 0x39, 0x61, 0x10, 0xA2, 0x20, 0x44, 0x39");
asm(".byte 0xE6, 0x51, 0xC2, 0x20, 0x23, 0x39, 0x30, 0xBD, 0x43, 0x41, 0x6D, 0xB4, 0xCE, 0xC4, 0xAB, 0x9B");
asm(".byte 0xA7, 0x72, 0xA8, 0x72, 0x46, 0x6A, 0x26, 0x62, 0xA4, 0x51, 0xC5, 0x51, 0x64, 0x41, 0x23, 0x39");
asm(".byte 0x23, 0x39, 0xE2, 0x30, 0x02, 0x39, 0x43, 0x41, 0x64, 0x41, 0x43, 0x39, 0x03, 0x31, 0x64, 0x41");
asm(".byte 0x64, 0x41, 0x03, 0x31, 0xC5, 0x49, 0x23, 0x39, 0xC5, 0x51, 0xC9, 0x6A, 0x05, 0x52, 0x09, 0x7B");
asm(".byte 0xAB, 0x9B, 0x8A, 0x93, 0xAB, 0x93, 0x6A, 0x93, 0xEC, 0xA3, 0x8B, 0x93, 0x6E, 0xAC, 0x6E, 0xB4");
asm(".byte 0xD0, 0xBC, 0xF0, 0xC4, 0x8E, 0xB4, 0xD0, 0xBC, 0xCF, 0xBC, 0xF0, 0xBC, 0x6E, 0xA4, 0xF1, 0xBC");
asm(".byte 0xAF, 0xAC, 0x6B, 0x8B, 0x2D, 0x9C, 0x4D, 0xA4, 0xE9, 0x6A, 0xED, 0x8B, 0xA6, 0x31, 0xBD, 0xF7");
asm(".byte 0xDE, 0xFF, 0xBD, 0xF7, 0x7B, 0xEF, 0x73, 0xAD, 0xC8, 0x52, 0xD9, 0xD6, 0x5B, 0xEF, 0x7A, 0xEF");
asm(".byte 0x5B, 0xEF, 0x52, 0xAD, 0xD7, 0xDE, 0xFC, 0xFF, 0xF1, 0xA4, 0xDC, 0xFF, 0x9C, 0xF7, 0x9C, 0xF7");
asm(".byte 0x9C, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0xB6, 0xD6, 0x19, 0xDF, 0x19, 0xDF, 0xF1, 0x9C, 0xD8, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xD9, 0xD6, 0xF9, 0xDE, 0xF9, 0xDE, 0x19, 0xDF, 0xD8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0xB8, 0xD6");
asm(".byte 0x97, 0xCE, 0xB7, 0xCE, 0xB8, 0xD6, 0x1A, 0xDF, 0x98, 0xCE, 0x77, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x0A, 0x53, 0x0D, 0x74, 0x0E, 0x74, 0x09, 0x5B, 0x87, 0x4A, 0x0B, 0x7C, 0x6A, 0x84, 0x8F, 0xD6");
asm(".byte 0x71, 0xEF, 0x73, 0xF7, 0x50, 0xEF, 0x0F, 0xEF, 0x0F, 0xEF, 0xAC, 0xE6, 0xCD, 0xE6, 0xAA, 0xBD");
asm(".byte 0x67, 0x94, 0x28, 0x8C, 0x29, 0x94, 0x09, 0x8C, 0xE9, 0x8B, 0xC9, 0x8B, 0xA9, 0x83, 0x85, 0x5A");
asm(".byte 0x86, 0x52, 0xC1, 0x18, 0x2E, 0x8C, 0xDA, 0xE6, 0x69, 0x52, 0x54, 0xC5, 0x48, 0x72, 0x85, 0x41");
asm(".byte 0x03, 0x29, 0x07, 0x52, 0x48, 0x62, 0x81, 0x18, 0xC3, 0x20, 0x28, 0x52, 0x65, 0x39, 0x61, 0x10");
asm(".byte 0x03, 0x29, 0x44, 0x39, 0x8C, 0x7B, 0x81, 0x18, 0x05, 0x52, 0x2D, 0xA4, 0x46, 0x62, 0x6D, 0xAC");
asm(".byte 0x2D, 0xAC, 0xE9, 0x7A, 0x67, 0x6A, 0x67, 0x6A, 0x67, 0x6A, 0x05, 0x5A, 0xE5, 0x59, 0x84, 0x49");
asm(".byte 0x43, 0x41, 0x43, 0x39, 0xE2, 0x30, 0xE2, 0x30, 0x02, 0x31, 0x03, 0x39, 0x44, 0x41, 0x64, 0x41");
asm(".byte 0x43, 0x39, 0x43, 0x39, 0x84, 0x41, 0x43, 0x39, 0x03, 0x31, 0x23, 0x31, 0xE2, 0x28, 0x84, 0x41");
asm(".byte 0xE6, 0x51, 0x88, 0x6A, 0xC8, 0x7A, 0x87, 0x72, 0x4A, 0x8B, 0x29, 0x83, 0x67, 0x6A, 0x2D, 0xA4");
asm(".byte 0x2A, 0x8B, 0xAB, 0x9B, 0x6D, 0xAC, 0x6A, 0x93, 0x2D, 0xAC, 0x2D, 0xAC, 0xAB, 0x93, 0xEC, 0x93");
asm(".byte 0x8B, 0x8B, 0x8B, 0x8B, 0x2A, 0x7B, 0x09, 0x7B, 0x2A, 0x73, 0x0A, 0x6B, 0x85, 0x39, 0x4F, 0x84");
asm(".byte 0xD6, 0xBD, 0x1A, 0xDF, 0xDA, 0xDE, 0xB8, 0xD6, 0x4B, 0x6B, 0x8F, 0x94, 0xF1, 0x9C, 0x35, 0xC6");
asm(".byte 0x77, 0xCE, 0x57, 0xCE, 0x93, 0xB5, 0x11, 0xA5, 0x4D, 0x8C, 0xCD, 0x7B, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x77, 0xCE, 0x97, 0xCE, 0xB8, 0xD6, 0x77, 0xCE, 0x57, 0xCE, 0x77, 0xCE, 0x57, 0xCE, 0x97, 0xCE");
asm(".byte 0x56, 0xCE, 0x4E, 0x8C, 0x16, 0xC6, 0x16, 0xBE, 0x2E, 0x84, 0xF5, 0xBD, 0xD4, 0xB5, 0x15, 0xBE");
asm(".byte 0xB4, 0xB5, 0x73, 0xAD, 0x73, 0xAD, 0x53, 0xAD, 0xB4, 0xB5, 0x53, 0xAD, 0x52, 0xA5, 0x32, 0xA5");
asm(".byte 0x12, 0x9D, 0x4E, 0x8C, 0xC8, 0x5A, 0xA4, 0x31, 0xED, 0x7B, 0x4B, 0x63, 0x0D, 0x7C, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xA2, 0x08, 0x27, 0x3A, 0xA4, 0x29, 0xC5, 0x29, 0xC8, 0x52, 0x49, 0x63, 0x88, 0x6B");
asm(".byte 0xCD, 0xBD, 0x72, 0xF7, 0x92, 0xF7, 0x4F, 0xEF, 0x50, 0xF7, 0x0D, 0xEF, 0xCC, 0xE6, 0xAB, 0xDE");
asm(".byte 0x0A, 0xCE, 0x49, 0xB5, 0xC7, 0xA4, 0x09, 0xAD, 0xA9, 0xA4, 0x67, 0x9C, 0xC9, 0xAC, 0x89, 0xA4");
asm(".byte 0xA2, 0x41, 0x26, 0x52, 0x52, 0xB5, 0x78, 0xDE, 0xD9, 0xE6, 0x03, 0x31, 0xD6, 0xDD, 0x68, 0x62");
asm(".byte 0x03, 0x31, 0x24, 0x31, 0x44, 0x39, 0x0B, 0x7B, 0xC2, 0x28, 0x82, 0x18, 0xA2, 0x20, 0x68, 0x5A");
asm(".byte 0x24, 0x29, 0x61, 0x10, 0x03, 0x29, 0x03, 0x31, 0xAD, 0x83, 0xE3, 0x28, 0x26, 0x52, 0x67, 0x62");
asm(".byte 0x29, 0x83, 0x2C, 0xAC, 0x29, 0x8B, 0x87, 0x72, 0x46, 0x6A, 0x66, 0x6A, 0x46, 0x6A, 0x05, 0x5A");
asm(".byte 0xC5, 0x51, 0x84, 0x49, 0x64, 0x41, 0x03, 0x39, 0x03, 0x31, 0xE2, 0x30, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x23, 0x39, 0x43, 0x39, 0x64, 0x41, 0x43, 0x39, 0x64, 0x39, 0x02, 0x31, 0x23, 0x39, 0x23, 0x31");
asm(".byte 0xE2, 0x28, 0x23, 0x31, 0xA5, 0x49, 0x84, 0x49, 0xC9, 0x72, 0x67, 0x6A, 0x2A, 0x83, 0xE9, 0x7A");
asm(".byte 0xC8, 0x72, 0x05, 0x5A, 0x6A, 0x8B, 0x09, 0x7B, 0x4A, 0x83, 0xA8, 0x6A, 0x4A, 0x83, 0x4A, 0x7B");
asm(".byte 0x4A, 0x7B, 0xA8, 0x6A, 0x67, 0x62, 0x87, 0x62, 0xC8, 0x6A, 0x47, 0x5A, 0xA2, 0x18, 0x24, 0x29");
asm(".byte 0x2C, 0x6B, 0x7C, 0xEF, 0xDD, 0xF7, 0xBD, 0xF7, 0x7C, 0xEF, 0x73, 0xAD, 0x12, 0xA5, 0x97, 0xD6");
asm(".byte 0x19, 0xDF, 0x7B, 0xEF, 0x5B, 0xEF, 0x9B, 0xF7, 0x7B, 0xEF, 0xBC, 0xF7, 0x0D, 0x84, 0x5B, 0xEF");
asm(".byte 0x5A, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0x5B, 0xE7, 0xD8, 0xD6, 0x73, 0xAD, 0x19, 0xDF, 0x1A, 0xDF, 0x73, 0xAD, 0xD8, 0xDE, 0xF9, 0xDE");
asm(".byte 0xD8, 0xD6, 0xB8, 0xD6, 0xD8, 0xD6, 0x97, 0xD6, 0x97, 0xCE, 0x97, 0xD6, 0x97, 0xCE, 0x76, 0xCE");
asm(".byte 0x56, 0xC6, 0x76, 0xCE, 0x56, 0xCE, 0x36, 0xC6, 0x77, 0xCE, 0x16, 0xBE, 0xF5, 0xB5, 0xB4, 0xB5");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x18, 0x84, 0x21, 0x84, 0x29, 0xE5, 0x31, 0x05, 0x3A, 0x49, 0x63");
asm(".byte 0xA5, 0x52, 0x69, 0x8C, 0x31, 0xEF, 0x72, 0xF7, 0x4F, 0xEF, 0x50, 0xF7, 0x4E, 0xF7, 0x0C, 0xEF");
asm(".byte 0xCC, 0xE6, 0x8B, 0xDE, 0x6B, 0xDE, 0x4B, 0xDE, 0x4B, 0xD6, 0x2B, 0xD6, 0x4B, 0xDE, 0x0A, 0xAD");
asm(".byte 0x44, 0x52, 0x09, 0x83, 0xAB, 0x93, 0xB8, 0xE6, 0xDA, 0xE6, 0x99, 0xE6, 0x65, 0x51, 0xEE, 0x93");
asm(".byte 0x69, 0x62, 0x03, 0x31, 0x24, 0x31, 0x03, 0x31, 0xA9, 0x6A, 0xA9, 0x6A, 0x41, 0x10, 0x61, 0x10");
asm(".byte 0xE3, 0x28, 0x07, 0x4A, 0x03, 0x29, 0x61, 0x10, 0xC2, 0x20, 0x03, 0x31, 0x2F, 0x94, 0xA2, 0x20");
asm(".byte 0xC5, 0x49, 0x43, 0x39, 0xEC, 0x9B, 0x6A, 0x93, 0xA8, 0x7A, 0x67, 0x6A, 0x46, 0x6A, 0x46, 0x6A");
asm(".byte 0x05, 0x62, 0xE5, 0x59, 0xC4, 0x51, 0x84, 0x49, 0x64, 0x41, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31");
asm(".byte 0x23, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x64, 0x41, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x23, 0x39, 0x23, 0x39, 0xC2, 0x28, 0xC2, 0x28, 0x03, 0x29, 0x03, 0x31, 0x06, 0x52, 0x84, 0x49");
asm(".byte 0x67, 0x62, 0x67, 0x62, 0x67, 0x62, 0xE5, 0x51, 0x26, 0x5A, 0xE9, 0x7A, 0x46, 0x62, 0x47, 0x5A");
asm(".byte 0x67, 0x5A, 0xA8, 0x6A, 0xA5, 0x41, 0xA9, 0x6A, 0x85, 0x39, 0xA2, 0x18, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x03, 0x21, 0xA3, 0x18, 0x37, 0xC6, 0xDE, 0xF7, 0xFE, 0xFF, 0xDD, 0xF7, 0x32, 0xAD, 0xB0, 0x94");
asm(".byte 0x3A, 0xE7, 0x7B, 0xEF, 0xBC, 0xF7, 0xBC, 0xF7, 0xAB, 0x73, 0x8E, 0x94, 0xC8, 0x62, 0xDC, 0xF7");
asm(".byte 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0xB7, 0xD6, 0x56, 0xC6, 0x5A, 0xE7, 0x5B, 0xEF, 0xB4, 0xB5, 0x3A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0xD8, 0xD6, 0xF9, 0xDE");
asm(".byte 0xB7, 0xD6, 0xB7, 0xD6, 0xD8, 0xD6, 0xB7, 0xD6, 0xB7, 0xD6, 0x6E, 0x8C, 0x36, 0xC6, 0x36, 0xBE");
asm(".byte 0xF5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x18, 0x85, 0x21, 0x84, 0x21, 0xC5, 0x29, 0x05, 0x3A");
asm(".byte 0xE8, 0x5A, 0xA6, 0x52, 0x87, 0x6B, 0x2D, 0xC6, 0x91, 0xF7, 0x4F, 0xEF, 0x70, 0xEF, 0x50, 0xF7");
asm(".byte 0x2E, 0xEF, 0xEC, 0xEE, 0xAB, 0xE6, 0xAB, 0xE6, 0x8B, 0xE6, 0x8B, 0xE6, 0x8C, 0xE6, 0x07, 0x8C");
asm(".byte 0x46, 0x52, 0xA9, 0x62, 0x67, 0x62, 0xB4, 0xD5, 0x53, 0xCD, 0x2F, 0xAC, 0x95, 0xDD, 0x24, 0x41");
asm(".byte 0x48, 0x5A, 0x24, 0x31, 0x65, 0x41, 0x03, 0x31, 0x44, 0x39, 0x89, 0x62, 0x6B, 0x83, 0x68, 0x62");
asm(".byte 0x82, 0x20, 0x61, 0x10, 0x44, 0x31, 0x48, 0x52, 0xA2, 0x20, 0xA2, 0x20, 0xC2, 0x20, 0x03, 0x31");
asm(".byte 0x6F, 0xA4, 0xC2, 0x20, 0x44, 0x39, 0x47, 0x62, 0xAB, 0x93, 0xE8, 0x82, 0xA7, 0x72, 0x67, 0x72");
asm(".byte 0x46, 0x6A, 0x26, 0x6A, 0x05, 0x5A, 0x05, 0x5A, 0xC4, 0x51, 0xA4, 0x49, 0x43, 0x39, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x39, 0x43, 0x39, 0x43, 0x39, 0x64, 0x41, 0x43, 0x39, 0x43, 0x39, 0x64, 0x39");
asm(".byte 0x23, 0x39, 0x23, 0x39, 0x44, 0x39, 0x23, 0x39, 0x44, 0x39, 0x03, 0x31, 0x03, 0x31, 0xC2, 0x20");
asm(".byte 0xC2, 0x28, 0x03, 0x31, 0x84, 0x41, 0x64, 0x39, 0x64, 0x39, 0x64, 0x39, 0x64, 0x39, 0xC5, 0x41");
asm(".byte 0xC5, 0x41, 0x64, 0x39, 0x43, 0x31, 0xC2, 0x20, 0x20, 0x08, 0x20, 0x08, 0x00, 0x00, 0x20, 0x00");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x07, 0x4A, 0x24, 0x29, 0xFE, 0xFF, 0xFE, 0xFF, 0xDD, 0xF7, 0xD0, 0x9C");
asm(".byte 0x73, 0xAD, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xFE, 0xFF, 0xD0, 0x9C, 0xFD, 0xFF, 0x15, 0xC6");
asm(".byte 0x56, 0xC6, 0xDC, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xEF, 0x92, 0xAD, 0x39, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0xF5, 0xBD");
asm(".byte 0x5A, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xF8, 0xDE, 0xB8, 0xD6");
asm(".byte 0xD8, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0x19, 0xDF, 0xF8, 0xDE, 0x19, 0xDF, 0xB0, 0x94, 0x36, 0xC6");
asm(".byte 0x15, 0xBE, 0xD5, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC2, 0x10, 0x64, 0x21, 0x44, 0x21, 0xA4, 0x29");
asm(".byte 0xA4, 0x29, 0x66, 0x4A, 0x25, 0x42, 0xA4, 0x52, 0xE9, 0xA4, 0x4F, 0xEF, 0x6F, 0xF7, 0x70, 0xF7");
asm(".byte 0x71, 0xF7, 0x50, 0xEF, 0x2D, 0xEF, 0xEC, 0xE6, 0xAB, 0xE6, 0x8B, 0xE6, 0xAB, 0xE6, 0xA6, 0x7B");
asm(".byte 0x26, 0x4A, 0x88, 0x5A, 0x68, 0x62, 0xCF, 0xAC, 0x6F, 0xA4, 0xA9, 0x82, 0xE7, 0x79, 0x07, 0x92");
asm(".byte 0xCA, 0x7A, 0xE3, 0x30, 0x03, 0x31, 0x64, 0x39, 0x44, 0x39, 0x24, 0x31, 0x44, 0x41, 0x68, 0x62");
asm(".byte 0xCA, 0x72, 0x24, 0x39, 0x61, 0x10, 0x61, 0x18, 0xA6, 0x41, 0x89, 0x5A, 0x82, 0x20, 0xA2, 0x20");
asm(".byte 0xC2, 0x20, 0x24, 0x31, 0x6F, 0x9C, 0x44, 0x31, 0xA1, 0x20, 0xE9, 0x7A, 0x49, 0x8B, 0xA8, 0x7A");
asm(".byte 0xA7, 0x72, 0x67, 0x72, 0x46, 0x6A, 0x26, 0x62, 0x05, 0x5A, 0x05, 0x5A, 0xC4, 0x51, 0x84, 0x41");
asm(".byte 0x23, 0x39, 0x23, 0x39, 0x02, 0x31, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x64, 0x39");
asm(".byte 0x64, 0x39, 0x43, 0x39, 0x44, 0x39, 0x23, 0x39, 0x43, 0x39, 0x43, 0x39, 0x64, 0x39, 0x64, 0x39");
asm(".byte 0x43, 0x39, 0x43, 0x39, 0x64, 0x39, 0x43, 0x39, 0x23, 0x31, 0x03, 0x29, 0xE3, 0x28, 0xA1, 0x18");
asm(".byte 0xE2, 0x20, 0xA2, 0x20, 0xE3, 0x28, 0xE9, 0x6A, 0x44, 0x29, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00");
asm(".byte 0x20, 0x00, 0x20, 0x08, 0x21, 0x08, 0xE3, 0x20, 0xAA, 0x5A, 0x50, 0x84, 0xFE, 0xFF, 0xDA, 0xDE");
asm(".byte 0xF5, 0xBD, 0x8F, 0x94, 0x9C, 0xF7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0xEC, 0x83, 0xB7, 0xDE");
asm(".byte 0x8B, 0x73, 0x3A, 0xE7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF");
asm(".byte 0x9B, 0xEF, 0x7B, 0xEF, 0x5B, 0xE7, 0x5A, 0xE7, 0xB3, 0xB5, 0x7A, 0xEF, 0x5A, 0xE7, 0x5A, 0xE7");
asm(".byte 0xD5, 0xBD, 0x3A, 0xE7, 0x3A, 0xE7, 0x19, 0xE7, 0x19, 0xDF, 0xF9, 0xDE, 0xF8, 0xDE, 0xD8, 0xD6");
asm(".byte 0xD8, 0xD6, 0x19, 0xDF, 0xD8, 0xD6, 0xD7, 0xD6, 0x97, 0xD6, 0xB7, 0xD6, 0xB8, 0xD6, 0x52, 0xA5");
asm(".byte 0x56, 0xC6, 0x36, 0xC6, 0xF5, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x3A, 0x4C, 0x5B, 0x06, 0x32");
asm(".byte 0x2B, 0x53, 0x48, 0x3A, 0x6B, 0x63, 0xCC, 0x73, 0x48, 0x63, 0x4A, 0x8C, 0x0D, 0xC6, 0x70, 0xEF");
asm(".byte 0x91, 0xF7, 0x92, 0xF7, 0x92, 0xF7, 0x71, 0xF7, 0x50, 0xF7, 0x0C, 0xEF, 0xEE, 0xEE, 0x66, 0x73");
asm(".byte 0x06, 0x4A, 0xC9, 0x6A, 0xA9, 0x6A, 0xAF, 0xA4, 0xAF, 0xA4, 0xAC, 0x83, 0x06, 0x4A, 0x88, 0x8A");
asm(".byte 0x0A, 0xB3, 0x8D, 0xB3, 0x82, 0x20, 0xE6, 0x51, 0x64, 0x41, 0xA5, 0x49, 0x64, 0x39, 0x85, 0x41");
asm(".byte 0x03, 0x31, 0x48, 0x5A, 0x6C, 0x83, 0x64, 0x39, 0xA2, 0x20, 0x82, 0x18, 0x48, 0x52, 0x89, 0x5A");
asm(".byte 0xA2, 0x20, 0xC2, 0x20, 0xC2, 0x20, 0x64, 0x39, 0xEE, 0x93, 0x24, 0x31, 0x23, 0x39, 0x4A, 0x8B");
asm(".byte 0x09, 0x83, 0xA7, 0x7A, 0xA7, 0x72, 0x67, 0x6A, 0x46, 0x62, 0x26, 0x62, 0x25, 0x5A, 0xE5, 0x51");
asm(".byte 0xA4, 0x49, 0x64, 0x41, 0x64, 0x41, 0x02, 0x31, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x43, 0x39, 0x44, 0x39, 0x64, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x23, 0x31, 0x64, 0x41");
asm(".byte 0x84, 0x41, 0x64, 0x41, 0xA4, 0x41, 0xC4, 0x49, 0xC5, 0x49, 0xC5, 0x49, 0xE5, 0x49, 0xE5, 0x49");
asm(".byte 0x06, 0x52, 0x43, 0x31, 0xE2, 0x28, 0x64, 0x39, 0xED, 0x93, 0xE6, 0x49, 0x00, 0x00, 0x20, 0x00");
asm(".byte 0x20, 0x08, 0x20, 0x00, 0x20, 0x00, 0x20, 0x08, 0x21, 0x08, 0xAA, 0x62, 0xA2, 0x18, 0xDE, 0xF7");
asm(".byte 0xDE, 0xFF, 0x7B, 0xEF, 0xF1, 0x9C, 0xBC, 0xF7, 0x9C, 0xEF, 0x5A, 0xE7, 0x7B, 0xEF, 0xD8, 0xDE");
asm(".byte 0x97, 0xD6, 0x3A, 0xE7, 0xBC, 0xF7, 0xBC, 0xF7, 0x9C, 0xF7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x5A, 0xE7, 0x5B, 0xE7, 0xF3, 0xBD, 0x5A, 0xE7, 0x5A, 0xE7");
asm(".byte 0x5A, 0xE7, 0x15, 0xC6, 0xF9, 0xDE, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0xF8, 0xDE, 0xD8, 0xDE");
asm(".byte 0xD8, 0xDE, 0xF8, 0xDE, 0x19, 0xDF, 0xD8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xD6, 0x97, 0xCE");
asm(".byte 0xB4, 0xB5, 0x77, 0xCE, 0x56, 0xC6, 0xF6, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC2, 0x10, 0xEA, 0x52");
asm(".byte 0xC6, 0x29, 0x08, 0x3A, 0x44, 0x21, 0xA9, 0x4A, 0x67, 0x42, 0x49, 0x63, 0x07, 0x5B, 0x8A, 0x8C");
asm(".byte 0xED, 0xBD, 0x30, 0xE7, 0x91, 0xF7, 0x91, 0xF7, 0x92, 0xF7, 0x92, 0xF7, 0x0E, 0xCE, 0x66, 0x52");
asm(".byte 0x26, 0x4A, 0xE9, 0x6A, 0x0A, 0x73, 0x67, 0x62, 0x6E, 0x9C, 0x4B, 0x7B, 0xA5, 0x49, 0xCA, 0x7A");
asm(".byte 0xEA, 0xA2, 0xAA, 0x7A, 0x43, 0x51, 0x85, 0x69, 0xA2, 0x30, 0xC6, 0x51, 0x64, 0x39, 0x44, 0x39");
asm(".byte 0x85, 0x41, 0x03, 0x31, 0x24, 0x31, 0x4F, 0x9C, 0x2B, 0x83, 0x81, 0x20, 0xC2, 0x20, 0xE3, 0x28");
asm(".byte 0xE6, 0x49, 0x27, 0x52, 0xC2, 0x20, 0xC2, 0x20, 0xE3, 0x20, 0x64, 0x39, 0xEE, 0x8B, 0x03, 0x29");
asm(".byte 0xA4, 0x41, 0xAB, 0x9B, 0xC8, 0x7A, 0xA7, 0x72, 0x87, 0x72, 0x46, 0x62, 0x26, 0x62, 0x26, 0x62");
asm(".byte 0x05, 0x5A, 0xC5, 0x51, 0xA4, 0x49, 0x63, 0x41, 0x64, 0x41, 0x23, 0x39, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x44, 0x39, 0x44, 0x39, 0x23, 0x31, 0x44, 0x39");
asm(".byte 0x23, 0x39, 0x64, 0x39, 0x84, 0x41, 0xA4, 0x41, 0xA4, 0x49, 0xC5, 0x49, 0xC5, 0x49, 0xA4, 0x49");
asm(".byte 0xE4, 0x49, 0x84, 0x41, 0xE2, 0x20, 0xE3, 0x28, 0x43, 0x31, 0x0D, 0x94, 0x07, 0x4A, 0x00, 0x00");
asm(".byte 0x20, 0x00, 0x21, 0x08, 0x20, 0x00, 0x21, 0x08, 0x20, 0x08, 0x20, 0x08, 0x24, 0x31, 0xC7, 0x41");
asm(".byte 0x6D, 0x6B, 0x3B, 0xE7, 0xBC, 0xEF, 0xF1, 0x9C, 0x9B, 0xEF, 0x1A, 0xE7, 0x9C, 0xEF, 0x5B, 0xEF");
asm(".byte 0x08, 0x63, 0x6B, 0x73, 0xCB, 0x7B, 0x5A, 0xE7, 0x9C, 0xEF, 0x9C, 0xEF, 0x9B, 0xEF, 0x9B, 0xEF");
asm(".byte 0x9C, 0xEF, 0x9B, 0xEF, 0x7B, 0xEF, 0x7B, 0xE7, 0x5A, 0xE7, 0x5B, 0xEF, 0x70, 0xAD, 0x3A, 0xE7");
asm(".byte 0x3A, 0xE7, 0x1A, 0xE7, 0xF5, 0xBD, 0xF9, 0xDE, 0xF9, 0xDE, 0x39, 0xDF, 0xF8, 0xD6, 0xD8, 0xD6");
asm(".byte 0xF8, 0xDE, 0xF8, 0xDE, 0x39, 0xE7, 0xD8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0x97, 0xD6");
asm(".byte 0x97, 0xCE, 0xF1, 0x9C, 0xF9, 0xDE, 0x56, 0xC6, 0xF6, 0xBD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x48, 0x3A");
asm(".byte 0x0B, 0x53, 0x07, 0x32, 0xE6, 0x31, 0x65, 0x21, 0x0A, 0x53, 0xA9, 0x4A, 0x25, 0x3A, 0xE8, 0x5A");
asm(".byte 0xA5, 0x52, 0x05, 0x63, 0x69, 0x94, 0x4E, 0xCE, 0x71, 0xEF, 0x12, 0xE7, 0x0A, 0x84, 0xC6, 0x39");
asm(".byte 0x4C, 0x6B, 0x6B, 0x7B, 0x0A, 0x73, 0xC9, 0x6A, 0xC9, 0x6A, 0xA8, 0x62, 0xA5, 0x41, 0xA9, 0x6A");
asm(".byte 0x88, 0x72, 0xC6, 0x61, 0x68, 0x62, 0x44, 0x49, 0x47, 0x7A, 0xE3, 0x48, 0xC6, 0x69, 0xE6, 0x61");
asm(".byte 0x23, 0x39, 0x24, 0x31, 0x24, 0x31, 0xE3, 0x28, 0xEA, 0x6A, 0x4B, 0x83, 0x89, 0x6A, 0x85, 0x41");
asm(".byte 0x81, 0x18, 0xE3, 0x20, 0xE3, 0x28, 0xAA, 0x62, 0xA1, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0x44, 0x39");
asm(".byte 0xCD, 0x8B, 0xA2, 0x18, 0x87, 0x6A, 0x49, 0x8B, 0xC8, 0x7A, 0x87, 0x72, 0x46, 0x6A, 0x26, 0x62");
asm(".byte 0x05, 0x5A, 0x05, 0x5A, 0xE5, 0x51, 0xC4, 0x49, 0x84, 0x49, 0x84, 0x41, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x64, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x44, 0x39");
asm(".byte 0x43, 0x39, 0x63, 0x39, 0x64, 0x39, 0x84, 0x41, 0xA4, 0x49, 0xC4, 0x49, 0xC4, 0x49, 0xE5, 0x49");
asm(".byte 0xE5, 0x49, 0xC5, 0x49, 0xA4, 0x41, 0xE2, 0x20, 0x03, 0x29, 0x64, 0x31, 0xED, 0x93, 0xC6, 0x39");
asm(".byte 0x00, 0x00, 0x21, 0x08, 0x21, 0x08, 0x20, 0x08, 0x40, 0x08, 0x20, 0x08, 0x20, 0x08, 0x82, 0x18");
asm(".byte 0x28, 0x4A, 0x61, 0x10, 0x1A, 0xE7, 0x57, 0xC6, 0xD5, 0xB5, 0x7B, 0xEF, 0x3A, 0xE7, 0x9C, 0xEF");
asm(".byte 0x19, 0xDF, 0xB8, 0xD6, 0x8F, 0x94, 0xDD, 0xF7, 0x9B, 0xEF, 0x1A, 0xDF, 0x9C, 0xEF, 0x7B, 0xEF");
asm(".byte 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xEF, 0x7B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x71, 0xAD");
asm(".byte 0x1A, 0xE7, 0x1A, 0xE7, 0x19, 0xDF, 0xB4, 0xB5, 0xD8, 0xDE, 0xD8, 0xDE, 0xF9, 0xDE, 0x19, 0xDF");
asm(".byte 0x19, 0xDF, 0x39, 0xE7, 0x39, 0xE7, 0x19, 0xDF, 0xB8, 0xD6, 0xB7, 0xD6, 0x97, 0xCE, 0x97, 0xCE");
asm(".byte 0x97, 0xCE, 0x97, 0xCE, 0xF1, 0x9C, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xC2, 0x10, 0x85, 0x21, 0x64, 0x19, 0x45, 0x19, 0x65, 0x21, 0x88, 0x42, 0x64, 0x21, 0xA5, 0x29");
asm(".byte 0xE5, 0x39, 0xA7, 0x52, 0x24, 0x42, 0x84, 0x52, 0x66, 0x73, 0x06, 0x63, 0x22, 0x29, 0x4C, 0x6B");
asm(".byte 0x2F, 0x8C, 0x2E, 0x94, 0x4F, 0x9C, 0xED, 0x8B, 0x0A, 0x73, 0xE6, 0x49, 0x27, 0x52, 0x88, 0x62");
asm(".byte 0x06, 0x52, 0x27, 0x7A, 0x07, 0x6A, 0x26, 0x62, 0x64, 0x41, 0xE6, 0x59, 0xC3, 0x38, 0x03, 0x61");
asm(".byte 0x89, 0x9A, 0x24, 0x41, 0x03, 0x31, 0xC3, 0x28, 0x04, 0x31, 0xC6, 0x49, 0x0A, 0x7B, 0x0A, 0x7B");
asm(".byte 0x27, 0x5A, 0x03, 0x29, 0x61, 0x10, 0xC3, 0x20, 0xC2, 0x20, 0xE6, 0x49, 0xA2, 0x18, 0xA2, 0x18");
asm(".byte 0xC2, 0x20, 0x04, 0x31, 0x8C, 0x83, 0x81, 0x18, 0x09, 0x7B, 0x69, 0x8B, 0xA7, 0x72, 0x67, 0x6A");
asm(".byte 0x26, 0x62, 0x05, 0x5A, 0x05, 0x5A, 0xE5, 0x59, 0xE5, 0x51, 0xC4, 0x49, 0xA4, 0x49, 0x43, 0x39");
asm(".byte 0x23, 0x39, 0x63, 0x39, 0x43, 0x39, 0x43, 0x39, 0x63, 0x39, 0x43, 0x39, 0x64, 0x39, 0x64, 0x39");
asm(".byte 0x43, 0x39, 0x64, 0x39, 0x43, 0x39, 0x43, 0x39, 0x84, 0x41, 0xA4, 0x49, 0xC4, 0x49, 0xC4, 0x49");
asm(".byte 0xC4, 0x49, 0xC4, 0x49, 0xA4, 0x49, 0x84, 0x41, 0x03, 0x29, 0x44, 0x31, 0xC5, 0x41, 0x2E, 0x94");
asm(".byte 0x44, 0x29, 0x20, 0x00, 0x21, 0x08, 0x21, 0x08, 0x21, 0x08, 0x40, 0x08, 0x21, 0x08, 0x40, 0x08");
asm(".byte 0x20, 0x08, 0x04, 0x29, 0xA6, 0x39, 0x48, 0x4A, 0x94, 0xAD, 0x5B, 0xE7, 0x9C, 0xEF, 0xBC, 0xF7");
asm(".byte 0x9B, 0xEF, 0x8C, 0x73, 0x6A, 0x73, 0x0C, 0x84, 0x8F, 0x8C, 0xFD, 0xFF, 0x5B, 0xE7, 0x7B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0xF4, 0xBD, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xF5, 0xBD, 0xD8, 0xD6, 0xF8, 0xDE, 0xF9, 0xDE");
asm(".byte 0xD8, 0xDE, 0xF9, 0xDE, 0xF8, 0xDE, 0xD8, 0xDE, 0xD9, 0xDE, 0xB8, 0xD6, 0x97, 0xD6, 0x77, 0xCE");
asm(".byte 0x56, 0xC6, 0x77, 0xCE, 0x77, 0xCE, 0xD1, 0x9C, 0xD9, 0xD6, 0x16, 0xC6, 0x16, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xC3, 0x10, 0x65, 0x21, 0x44, 0x19, 0x44, 0x19, 0x65, 0x19, 0x27, 0x3A, 0x64, 0x21");
asm(".byte 0x85, 0x29, 0x85, 0x29, 0xE9, 0x52, 0x05, 0x42, 0xC5, 0x39, 0xA1, 0x10, 0xC5, 0x39, 0x16, 0xC6");
asm(".byte 0xF2, 0xA4, 0xB0, 0x9C, 0x2F, 0x9C, 0x2E, 0x94, 0x4F, 0x9C, 0x89, 0x5A, 0xE9, 0x6A, 0xC9, 0x72");
asm(".byte 0x44, 0x39, 0x88, 0x6A, 0x88, 0x92, 0x06, 0x62, 0x27, 0x62, 0x85, 0x49, 0x06, 0x5A, 0x24, 0x39");
asm(".byte 0x45, 0x51, 0xE3, 0x60, 0x0B, 0xBB, 0xE7, 0x69, 0x23, 0x31, 0xE3, 0x28, 0x24, 0x39, 0x48, 0x5A");
asm(".byte 0x2A, 0x7B, 0xEA, 0x7A, 0x06, 0x52, 0xC6, 0x49, 0x81, 0x18, 0xA2, 0x20, 0xE3, 0x20, 0xC6, 0x41");
asm(".byte 0x81, 0x18, 0xC3, 0x20, 0xC2, 0x20, 0x03, 0x31, 0x4C, 0x7B, 0x81, 0x20, 0x8B, 0x8B, 0x08, 0x83");
asm(".byte 0xA7, 0x72, 0x46, 0x6A, 0x25, 0x62, 0x05, 0x5A, 0x05, 0x5A, 0x05, 0x5A, 0xE5, 0x51, 0xC4, 0x49");
asm(".byte 0xA4, 0x41, 0x23, 0x39, 0x43, 0x39, 0x43, 0x39, 0x63, 0x41, 0x43, 0x39, 0x64, 0x39, 0x64, 0x41");
asm(".byte 0x43, 0x39, 0x84, 0x41, 0x64, 0x39, 0x64, 0x41, 0x64, 0x41, 0xA4, 0x41, 0xC5, 0x49, 0xC4, 0x49");
asm(".byte 0xC4, 0x49, 0xC5, 0x49, 0xE5, 0x49, 0xA4, 0x49, 0x64, 0x39, 0x23, 0x31, 0x44, 0x39, 0x47, 0x52");
asm(".byte 0x70, 0x9C, 0x82, 0x18, 0x20, 0x00, 0x20, 0x00, 0x21, 0x08, 0x41, 0x08, 0x20, 0x08, 0x61, 0x10");
asm(".byte 0x20, 0x08, 0x20, 0x00, 0x62, 0x18, 0x24, 0x31, 0x41, 0x10, 0x50, 0x8C, 0xD9, 0xDE, 0xBC, 0xF7");
asm(".byte 0xBC, 0xF7, 0x9C, 0xF7, 0xBC, 0xF7, 0xDC, 0xFF, 0xFD, 0xFF, 0x7B, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x3A, 0xE7, 0xF9, 0xDE, 0x5A, 0xE7, 0x3A, 0xDF, 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xDF, 0x3A, 0xDF");
asm(".byte 0xB8, 0xD6, 0xD8, 0xD6, 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0x15, 0xBE, 0xD8, 0xDE, 0x3A, 0xE7");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0xB7, 0xD6, 0xF9, 0xDE, 0x97, 0xCE");
asm(".byte 0x76, 0xCE, 0x77, 0xCE, 0x97, 0xCE, 0x97, 0xCE, 0x73, 0xAD, 0x77, 0xCE, 0x56, 0xC6, 0x36, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x10, 0x85, 0x21, 0x44, 0x19, 0x44, 0x19, 0x64, 0x19, 0xE7, 0x31");
asm(".byte 0x85, 0x21, 0xC6, 0x29, 0xA5, 0x29, 0x48, 0x42, 0xE3, 0x20, 0x03, 0x21, 0xB4, 0xB5, 0x57, 0xC6");
asm(".byte 0x94, 0xB5, 0x88, 0x5A, 0x8C, 0x83, 0x90, 0xA4, 0x6F, 0x9C, 0x48, 0x52, 0xED, 0x8B, 0x4F, 0x9C");
asm(".byte 0x85, 0x41, 0x6B, 0x83, 0xC9, 0x92, 0x47, 0x6A, 0x46, 0x62, 0x07, 0x62, 0xC5, 0x51, 0x06, 0x62");
asm(".byte 0x44, 0x39, 0x24, 0x39, 0xE6, 0x69, 0x03, 0x61, 0x4C, 0xD3, 0xA5, 0x61, 0x04, 0x31, 0x24, 0x39");
asm(".byte 0x07, 0x52, 0xE6, 0x51, 0x4B, 0x7B, 0x8C, 0x8B, 0xA4, 0x49, 0x44, 0x31, 0xA2, 0x18, 0xA2, 0x18");
asm(".byte 0x85, 0x41, 0x85, 0x41, 0x61, 0x18, 0xC3, 0x20, 0x81, 0x18, 0x44, 0x39, 0x2B, 0x73, 0x43, 0x39");
asm(".byte 0x6A, 0x8B, 0xE8, 0x82, 0x87, 0x6A, 0x46, 0x62, 0x05, 0x5A, 0x05, 0x5A, 0x05, 0x5A, 0x05, 0x5A");
asm(".byte 0xC4, 0x51, 0xA4, 0x41, 0x43, 0x39, 0x63, 0x39, 0x63, 0x41, 0x43, 0x39, 0x43, 0x39, 0x64, 0x41");
asm(".byte 0x63, 0x39, 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0xA4, 0x49, 0xC4, 0x49");
asm(".byte 0xC4, 0x49, 0xE5, 0x51, 0xE5, 0x49, 0xE5, 0x49, 0xC4, 0x49, 0x84, 0x41, 0x23, 0x31, 0x64, 0x39");
asm(".byte 0x8C, 0x83, 0x4B, 0x73, 0x00, 0x00, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x20, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x20, 0x00, 0x21, 0x08, 0x82, 0x18, 0x49, 0x52, 0x61, 0x10, 0xC6, 0x39");
asm(".byte 0x3B, 0xE7, 0xDC, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBC, 0xF7, 0xDD, 0xF7");
asm(".byte 0xDD, 0xF7, 0x7B, 0xEF, 0x3B, 0xE7, 0x1A, 0xDF, 0xD8, 0xD6, 0xF9, 0xDE, 0x19, 0xDF, 0x19, 0xDF");
asm(".byte 0x3A, 0xDF, 0x36, 0xC6, 0x1A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xDF, 0x36, 0xC6, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0xF8, 0xDE, 0xD8, 0xDE, 0xD8, 0xDE, 0xD8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0xF9, 0xDE");
asm(".byte 0xB8, 0xD6, 0x97, 0xD6, 0xB7, 0xD6, 0x98, 0xD6, 0xD8, 0xD6, 0x12, 0x9D, 0x77, 0xCE, 0x77, 0xCE");
asm(".byte 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0x3A, 0x89, 0x42, 0x48, 0x3A, 0x86, 0x21, 0x27, 0x32");
asm(".byte 0x89, 0x3A, 0x48, 0x3A, 0x69, 0x42, 0xE7, 0x39, 0xE3, 0x18, 0xD0, 0x94, 0x58, 0xE7, 0xB2, 0xB5");
asm(".byte 0xF5, 0xC5, 0xA9, 0x62, 0x89, 0x62, 0xEA, 0x6A, 0x6B, 0x73, 0x88, 0x5A, 0x53, 0xB5, 0xF2, 0xB4");
asm(".byte 0xA6, 0x41, 0xB0, 0xAC, 0x6E, 0xB4, 0x6C, 0x9B, 0xE9, 0x72, 0x88, 0x6A, 0x27, 0x62, 0x06, 0x5A");
asm(".byte 0x06, 0x62, 0x85, 0x49, 0x44, 0x39, 0xC5, 0x59, 0xE6, 0x69, 0x44, 0x69, 0x4C, 0xCB, 0xE3, 0x40");
asm(".byte 0x23, 0x39, 0x84, 0x41, 0x48, 0x5A, 0x07, 0x4A, 0x0E, 0x94, 0xEA, 0x72, 0xE3, 0x28, 0x03, 0x29");
asm(".byte 0xC2, 0x20, 0x20, 0x10, 0x68, 0x5A, 0x65, 0x39, 0x61, 0x10, 0xA2, 0x20, 0xA2, 0x20, 0x84, 0x41");
asm(".byte 0xC9, 0x72, 0x84, 0x39, 0x09, 0x7B, 0xE8, 0x7A, 0x87, 0x6A, 0x46, 0x62, 0x05, 0x5A, 0x05, 0x5A");
asm(".byte 0x05, 0x5A, 0xE5, 0x51, 0xC4, 0x49, 0x84, 0x41, 0x63, 0x41, 0x64, 0x41, 0x64, 0x41, 0x64, 0x41");
asm(".byte 0x43, 0x39, 0xA4, 0x41, 0x84, 0x41, 0xA4, 0x41, 0xA4, 0x49, 0xA4, 0x49, 0xA4, 0x49, 0xE5, 0x51");
asm(".byte 0xE5, 0x51, 0x05, 0x52, 0xE5, 0x51, 0x05, 0x52, 0xE5, 0x51, 0xE5, 0x49, 0x84, 0x41, 0x44, 0x31");
asm(".byte 0x06, 0x4A, 0xCD, 0x8B, 0xA6, 0x41, 0x00, 0x00, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0xC3, 0x18, 0x61, 0x10, 0x20, 0x00, 0xA2, 0x18, 0xE3, 0x20, 0xC7, 0x41");
asm(".byte 0xA6, 0x41, 0x41, 0x10, 0xD2, 0x9C, 0x9D, 0xF7, 0xDD, 0xF7, 0xDD, 0xF7, 0xBC, 0xF7, 0xBD, 0xF7");
asm(".byte 0xDD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0xDD, 0xF7, 0xBD, 0xF7, 0x9B, 0xEF, 0xF9, 0xDE, 0x19, 0xDF");
asm(".byte 0x3A, 0xDF, 0x19, 0xDF, 0xF1, 0x9C, 0x19, 0xDF, 0x5A, 0xE7, 0x3A, 0xE7, 0x19, 0xDF, 0x97, 0xCE");
asm(".byte 0x3A, 0xE7, 0xF9, 0xDE, 0x19, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xF8, 0xDE, 0xD9, 0xDE");
asm(".byte 0xD9, 0xDE, 0x1A, 0xDF, 0xF9, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xFA, 0xDE, 0xB0, 0x94, 0x77, 0xCE");
asm(".byte 0x57, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x3A, 0xC6, 0x29, 0x48, 0x3A, 0x65, 0x19");
asm(".byte 0x07, 0x2A, 0x68, 0x3A, 0xC6, 0x29, 0x24, 0x21, 0x2B, 0x63, 0x7A, 0xEF, 0x55, 0xC6, 0x97, 0xCE");
asm(".byte 0xF3, 0xC5, 0x2C, 0x8C, 0xCC, 0x83, 0x0A, 0x6B, 0xA9, 0x5A, 0x64, 0x39, 0x0A, 0x73, 0xD1, 0xA4");
asm(".byte 0xC6, 0x49, 0x8B, 0x83, 0xEC, 0x93, 0x6F, 0xC4, 0x90, 0xAC, 0x6F, 0xA4, 0x4B, 0x83, 0x68, 0x6A");
asm(".byte 0x47, 0x62, 0x07, 0x5A, 0x85, 0x49, 0x24, 0x39, 0xA5, 0x49, 0xE6, 0x61, 0xE6, 0x61, 0xA5, 0x79");
asm(".byte 0x8D, 0xDB, 0x24, 0x49, 0x85, 0x41, 0xE6, 0x49, 0x85, 0x41, 0xA9, 0x6A, 0x0E, 0x94, 0x88, 0x6A");
asm(".byte 0x48, 0x5A, 0x61, 0x18, 0x82, 0x18, 0x61, 0x18, 0xA9, 0x62, 0xC9, 0x6A, 0x81, 0x18, 0xA2, 0x20");
asm(".byte 0xA2, 0x20, 0xC5, 0x49, 0x47, 0x5A, 0xC5, 0x49, 0xC8, 0x7A, 0xA7, 0x72, 0x66, 0x6A, 0x26, 0x62");
asm(".byte 0x05, 0x5A, 0x05, 0x5A, 0x05, 0x52, 0xE5, 0x51, 0xC4, 0x49, 0x63, 0x41, 0x63, 0x41, 0x43, 0x39");
asm(".byte 0x43, 0x39, 0x64, 0x41, 0x63, 0x41, 0x84, 0x41, 0xA4, 0x41, 0xA4, 0x49, 0xA4, 0x49, 0xC5, 0x49");
asm(".byte 0xE5, 0x51, 0x05, 0x52, 0x05, 0x5A, 0x25, 0x5A, 0x05, 0x5A, 0x05, 0x52, 0xE5, 0x49, 0x84, 0x41");
asm(".byte 0x23, 0x31, 0xE9, 0x6A, 0x0A, 0x73, 0xA2, 0x18, 0x20, 0x08, 0x21, 0x08, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x10, 0xA2, 0x18, 0x45, 0x31, 0x00, 0x00, 0x21, 0x08, 0xA2, 0x20");
asm(".byte 0xA6, 0x41, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x20, 0x61, 0x10, 0x95, 0xB5, 0xBD, 0xF7, 0xDD, 0xF7");
asm(".byte 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xDE, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0x9D, 0xF7, 0x9B, 0xEF");
asm(".byte 0x5B, 0xEF, 0x5B, 0xEF, 0x5A, 0xE7, 0x8B, 0x73, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0x97, 0xD6, 0x19, 0xDF, 0x3A, 0xE7, 0x19, 0xE7, 0x19, 0xE7, 0x19, 0xE7, 0x19, 0xDF, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0x1A, 0xE7, 0xB7, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE, 0xB8, 0xD6, 0xB4, 0xB5");
asm(".byte 0x77, 0xCE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x19, 0x28, 0x32, 0xA6, 0x29");
asm(".byte 0xA6, 0x21, 0xC7, 0x29, 0x08, 0x3A, 0xE6, 0x31, 0x12, 0x9D, 0x7A, 0xE7, 0x93, 0xB5, 0x19, 0xDF");
asm(".byte 0x53, 0xAD, 0x0A, 0x63, 0xA9, 0x62, 0x09, 0x6B, 0x26, 0x4A, 0xC8, 0x62, 0x8B, 0x7B, 0xC9, 0x6A");
asm(".byte 0x64, 0x39, 0xD0, 0xAC, 0xF1, 0xB4, 0x4F, 0xBC, 0xEA, 0x7A, 0x8F, 0xA4, 0x2E, 0x9C, 0x6F, 0xA4");
asm(".byte 0x2E, 0x9C, 0x4B, 0x83, 0x68, 0x6A, 0xC6, 0x51, 0x24, 0x39, 0x65, 0x49, 0xE6, 0x61, 0x06, 0x62");
asm(".byte 0x07, 0x6A, 0xE6, 0x89, 0x0B, 0xB3, 0xC2, 0x28, 0x44, 0x39, 0x44, 0x39, 0x64, 0x39, 0x4B, 0x7B");
asm(".byte 0x0A, 0x73, 0x4B, 0x7B, 0x85, 0x39, 0xA2, 0x20, 0xA2, 0x18, 0xE3, 0x20, 0xAD, 0x83, 0x27, 0x52");
asm(".byte 0x81, 0x18, 0xA2, 0x20, 0xA2, 0x20, 0x06, 0x52, 0xA5, 0x49, 0x06, 0x52, 0xC8, 0x72, 0x87, 0x72");
asm(".byte 0x46, 0x62, 0x26, 0x62, 0x25, 0x5A, 0x05, 0x5A, 0xE5, 0x51, 0xE5, 0x51, 0x84, 0x41, 0x43, 0x39");
asm(".byte 0x43, 0x39, 0x63, 0x41, 0x63, 0x41, 0x64, 0x41, 0x64, 0x41, 0x84, 0x41, 0x84, 0x41, 0xC5, 0x49");
asm(".byte 0xC4, 0x49, 0x05, 0x52, 0x05, 0x52, 0x05, 0x52, 0x05, 0x52, 0x05, 0x5A, 0xC5, 0x51, 0xA4, 0x41");
asm(".byte 0x84, 0x39, 0xC5, 0x49, 0x0A, 0x73, 0x64, 0x39, 0x81, 0x18, 0x20, 0x08, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x61, 0x10, 0xE7, 0x49, 0xC3, 0x20, 0x00, 0x00");
asm(".byte 0x62, 0x18, 0x82, 0x18, 0x69, 0x5A, 0x82, 0x20, 0xC2, 0x20, 0xE3, 0x28, 0xC3, 0x20, 0x04, 0x21");
asm(".byte 0x74, 0xAD, 0x9D, 0xEF, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7, 0xBD, 0xF7");
asm(".byte 0x7B, 0xEF, 0x5B, 0xEF, 0x5B, 0xE7, 0x5A, 0xEF, 0xE8, 0x5A, 0x3A, 0xE7, 0x19, 0xDF, 0x19, 0xE7");
asm(".byte 0xF9, 0xDE, 0xB8, 0xD6, 0x19, 0xE7, 0x3A, 0xE7, 0x1A, 0xE7, 0x19, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0xF9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0x97, 0xCE, 0x98, 0xD6, 0x98, 0xD6");
asm(".byte 0x8C, 0x73, 0xB8, 0xD6, 0x77, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x19, 0xE8, 0x31");
asm(".byte 0x65, 0x21, 0x86, 0x21, 0x44, 0x21, 0x8D, 0x73, 0x2F, 0x7C, 0x90, 0x8C, 0xD2, 0xAD, 0x1A, 0xDF");
asm(".byte 0xB0, 0x94, 0x0A, 0x63, 0xC9, 0x62, 0x07, 0x4A, 0xC6, 0x41, 0xEA, 0x6A, 0xA9, 0x62, 0x27, 0x52");
asm(".byte 0xA5, 0x39, 0x06, 0x52, 0x48, 0x6A, 0x4B, 0x9B, 0xF1, 0xBC, 0xF1, 0xB4, 0x2E, 0x9C, 0x4F, 0xA4");
asm(".byte 0x2E, 0x9C, 0xED, 0x93, 0x0E, 0x9C, 0xED, 0x93, 0x6C, 0x83, 0x27, 0x52, 0xA6, 0x49, 0x07, 0x62");
asm(".byte 0x27, 0x62, 0x27, 0x62, 0x47, 0x72, 0xA5, 0x79, 0x6D, 0xB3, 0x44, 0x41, 0x24, 0x31, 0xE3, 0x28");
asm(".byte 0x44, 0x39, 0xEA, 0x6A, 0xD1, 0xAC, 0x06, 0x52, 0xE6, 0x49, 0x82, 0x18, 0x82, 0x18, 0xE6, 0x49");
asm(".byte 0x2E, 0x94, 0x44, 0x39, 0x81, 0x18, 0x82, 0x18, 0xC2, 0x20, 0x85, 0x41, 0x64, 0x39, 0x84, 0x41");
asm(".byte 0xC8, 0x72, 0x66, 0x6A, 0x26, 0x62, 0x26, 0x62, 0x06, 0x5A, 0x05, 0x52, 0x05, 0x52, 0xE5, 0x51");
asm(".byte 0xA4, 0x41, 0x43, 0x39, 0x63, 0x41, 0x43, 0x39, 0x43, 0x39, 0x63, 0x41, 0x63, 0x41, 0x84, 0x41");
asm(".byte 0xA4, 0x41, 0xC4, 0x49, 0xC4, 0x49, 0xE5, 0x51, 0xE5, 0x51, 0xC5, 0x51, 0xE5, 0x51, 0xA4, 0x49");
asm(".byte 0x63, 0x39, 0x43, 0x39, 0x06, 0x4A, 0x27, 0x52, 0x81, 0x20, 0x23, 0x31, 0x20, 0x08, 0x21, 0x08");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x61, 0x10, 0x82, 0x18, 0x69, 0x5A");
asm(".byte 0x20, 0x10, 0x20, 0x08, 0x82, 0x18, 0xC3, 0x28, 0xAA, 0x6A, 0x61, 0x18, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0x44, 0x31, 0xE3, 0x28, 0x82, 0x18, 0xAE, 0x73, 0xBD, 0xF7, 0xBD, 0xEF, 0x9C, 0xEF, 0x9C, 0xEF");
asm(".byte 0x9D, 0xF7, 0x9D, 0xEF, 0x5B, 0xE7, 0x7B, 0xEF, 0x5A, 0xEF, 0xEC, 0x7B, 0x1A, 0xE7, 0x1A, 0xE7");
asm(".byte 0xF9, 0xDE, 0xF9, 0xDE, 0x97, 0xD6, 0x19, 0xE7, 0x19, 0xDF, 0x3A, 0xE7, 0x1A, 0xE7, 0x1A, 0xE7");
asm(".byte 0xF9, 0xDE, 0xD9, 0xDE, 0x1A, 0xE7, 0xB8, 0xD6, 0x98, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE");
asm(".byte 0x98, 0xD6, 0x27, 0x42, 0x1A, 0xDF, 0xB8, 0xD6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x11");
asm(".byte 0xE7, 0x31, 0xC6, 0x29, 0x85, 0x29, 0x2B, 0x63, 0x73, 0xAD, 0xA9, 0x4A, 0x51, 0x9D, 0x92, 0xA5");
asm(".byte 0xB1, 0x94, 0xEA, 0x5A, 0x48, 0x4A, 0x84, 0x31, 0xA9, 0x5A, 0xCA, 0x62, 0x0B, 0x6B, 0xC6, 0x41");
asm(".byte 0x27, 0x52, 0x68, 0x62, 0x68, 0x72, 0xA9, 0x92, 0x47, 0x6A, 0xA8, 0x6A, 0xAD, 0x8B, 0x53, 0xC5");
asm(".byte 0x90, 0xA4, 0x2E, 0x9C, 0xED, 0x9B, 0x0E, 0x9C, 0x6B, 0x83, 0x6C, 0x83, 0x0B, 0x73, 0xAA, 0x6A");
asm(".byte 0x6C, 0x83, 0xEA, 0x82, 0xEA, 0x7A, 0xE9, 0x7A, 0xEA, 0x9A, 0xC6, 0x79, 0x2B, 0x93, 0x23, 0x31");
asm(".byte 0x24, 0x31, 0x03, 0x29, 0xA5, 0x41, 0x47, 0x5A, 0x8C, 0x83, 0xE2, 0x28, 0x44, 0x31, 0x81, 0x18");
asm(".byte 0xC2, 0x20, 0x0E, 0x94, 0x6C, 0x83, 0x44, 0x39, 0x81, 0x10, 0xA2, 0x20, 0xC2, 0x20, 0xC6, 0x49");
asm(".byte 0x27, 0x5A, 0x43, 0x39, 0x87, 0x72, 0x46, 0x62, 0x26, 0x62, 0x26, 0x62, 0x05, 0x5A, 0x05, 0x52");
asm(".byte 0x05, 0x52, 0xC4, 0x49, 0x63, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0xC5, 0x49, 0xA4, 0x49, 0xC4, 0x49, 0xC5, 0x49");
asm(".byte 0x64, 0x39, 0x23, 0x31, 0x85, 0x41, 0x84, 0x41, 0xA1, 0x20, 0x03, 0x31, 0x03, 0x29, 0x20, 0x00");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x20, 0x00, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x82, 0x10");
asm(".byte 0xA2, 0x20, 0x89, 0x62, 0x00, 0x00, 0x41, 0x10, 0x82, 0x18, 0x24, 0x39, 0xAA, 0x6A, 0x61, 0x18");
asm(".byte 0xE3, 0x28, 0x24, 0x39, 0x65, 0x41, 0xA6, 0x49, 0x64, 0x39, 0x03, 0x21, 0xB9, 0xD6, 0x5C, 0xE7");
asm(".byte 0x7B, 0xEF, 0x9C, 0xEF, 0x7C, 0xEF, 0x3B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x10, 0xA5, 0x3A, 0xE7");
asm(".byte 0x19, 0xDF, 0x19, 0xDF, 0xF9, 0xDE, 0xB8, 0xD6, 0xD8, 0xDE, 0xF9, 0xDE, 0x3A, 0xE7, 0xF9, 0xDE");
asm(".byte 0xD9, 0xDE, 0xD9, 0xDE, 0xD9, 0xD6, 0x3A, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE, 0xB8, 0xD6");
asm(".byte 0x98, 0xCE, 0x98, 0xD6, 0x47, 0x4A, 0x1A, 0xDF, 0x78, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x85, 0x21, 0xE6, 0x31, 0x48, 0x42, 0x2B, 0x63, 0xEA, 0x5A, 0xEE, 0x73, 0x31, 0x95, 0x34, 0xB6");
asm(".byte 0xED, 0x73, 0xAD, 0x73, 0x65, 0x31, 0x89, 0x5A, 0xCA, 0x62, 0x6C, 0x73, 0x0A, 0x6B, 0x64, 0x31");
asm(".byte 0x88, 0x62, 0xA9, 0x62, 0x48, 0x6A, 0xA9, 0x82, 0x68, 0x62, 0x47, 0x62, 0x67, 0x62, 0x67, 0x62");
asm(".byte 0x68, 0x6A, 0x2A, 0x7B, 0x53, 0xBD, 0xD1, 0xB4, 0xCD, 0x93, 0x4B, 0x83, 0x8D, 0x83, 0x0B, 0x73");
asm(".byte 0x28, 0x52, 0x6C, 0x83, 0x4C, 0x8B, 0xAD, 0x93, 0xAC, 0x93, 0xED, 0xAB, 0xCE, 0xCB, 0x27, 0x72");
asm(".byte 0x0E, 0x9C, 0x27, 0x5A, 0xE6, 0x49, 0x07, 0x52, 0xC6, 0x49, 0x88, 0x6A, 0xC9, 0x6A, 0x85, 0x39");
asm(".byte 0xE3, 0x28, 0xA2, 0x18, 0x27, 0x52, 0x8F, 0xA4, 0xE9, 0x72, 0x03, 0x29, 0x81, 0x18, 0xA2, 0x18");
asm(".byte 0xC2, 0x20, 0xA5, 0x49, 0x0A, 0x73, 0x43, 0x39, 0x66, 0x6A, 0x26, 0x62, 0x46, 0x62, 0x26, 0x62");
asm(".byte 0xE5, 0x59, 0xE5, 0x51, 0xC4, 0x49, 0xA4, 0x41, 0x43, 0x39, 0x43, 0x39, 0x43, 0x39, 0x23, 0x39");
asm(".byte 0x43, 0x39, 0x43, 0x39, 0x64, 0x41, 0x84, 0x41, 0x84, 0x41, 0x84, 0x41, 0x43, 0x39, 0x84, 0x41");
asm(".byte 0x64, 0x41, 0x23, 0x39, 0xE2, 0x28, 0x24, 0x31, 0xE2, 0x28, 0x03, 0x31, 0x23, 0x39, 0xE2, 0x28");
asm(".byte 0x21, 0x08, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x10, 0x03, 0x29, 0xE7, 0x51, 0x00, 0x00, 0x20, 0x08, 0x82, 0x18, 0x07, 0x52");
asm(".byte 0xAA, 0x6A, 0x41, 0x10, 0xE3, 0x28, 0x03, 0x31, 0x85, 0x49, 0x44, 0x39, 0xC6, 0x41, 0x61, 0x10");
asm(".byte 0x4C, 0x6B, 0xBD, 0xF7, 0x7B, 0xEF, 0x7B, 0xEF, 0x3B, 0xDF, 0x3B, 0xE7, 0x3A, 0xE7, 0xF8, 0xDE");
asm(".byte 0x5B, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xD8, 0xDE, 0xD8, 0xDE, 0x1A, 0xDF, 0xF9, 0xDE");
asm(".byte 0xD8, 0xD6, 0xD9, 0xDE, 0xD9, 0xDE, 0xB8, 0xD6, 0xD9, 0xDE, 0xD9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x98, 0xD6, 0x98, 0xCE, 0xB8, 0xD6, 0xEE, 0x7B, 0x98, 0xCE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x85, 0x31, 0x4B, 0x63, 0x8B, 0x73, 0x0A, 0x63, 0x10, 0x9D, 0xD6, 0xD6, 0xD2, 0xAD");
asm(".byte 0x4E, 0x7C, 0xA5, 0x29, 0x0B, 0x63, 0x2B, 0x63, 0xED, 0x7B, 0xAD, 0x7B, 0xC6, 0x41, 0x27, 0x52");
asm(".byte 0xA9, 0x6A, 0xC9, 0x7A, 0xA9, 0x8A, 0x67, 0x6A, 0x88, 0x62, 0x68, 0x62, 0x68, 0x62, 0x67, 0x62");
asm(".byte 0xC9, 0x72, 0x47, 0x62, 0x68, 0x62, 0xA5, 0x49, 0x0A, 0x7B, 0xD1, 0xB4, 0x12, 0xBD, 0x0E, 0x9C");
asm(".byte 0xEA, 0x6A, 0x48, 0x52, 0x2C, 0x7B, 0x4B, 0x8B, 0x6C, 0x8B, 0xAC, 0x9B, 0xCD, 0x93, 0x4E, 0xCC");
asm(".byte 0xCE, 0xC3, 0x27, 0x62, 0xED, 0x93, 0x68, 0x5A, 0xAA, 0x62, 0xEA, 0x6A, 0xEA, 0x72, 0x6B, 0x7B");
asm(".byte 0x6C, 0x7B, 0x07, 0x4A, 0x81, 0x18, 0xC2, 0x20, 0x4F, 0x9C, 0xED, 0x8B, 0x44, 0x39, 0x27, 0x52");
asm(".byte 0x61, 0x10, 0xA2, 0x20, 0xC2, 0x20, 0xC6, 0x49, 0xEA, 0x72, 0x64, 0x41, 0x87, 0x6A, 0x46, 0x62");
asm(".byte 0x66, 0x62, 0x26, 0x5A, 0x05, 0x52, 0xE5, 0x51, 0xC4, 0x49, 0xA4, 0x49, 0x43, 0x39, 0x23, 0x39");
asm(".byte 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x64, 0x41, 0x64, 0x39, 0x63, 0x39, 0x64, 0x41");
asm(".byte 0x43, 0x39, 0x23, 0x31, 0x02, 0x31, 0xE2, 0x28, 0xE2, 0x28, 0x02, 0x29, 0x23, 0x31, 0x43, 0x39");
asm(".byte 0xA2, 0x20, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x20, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x82, 0x10, 0x61, 0x10, 0x07, 0x52, 0xE3, 0x28, 0x00, 0x08, 0x41, 0x10");
asm(".byte 0x81, 0x18, 0x28, 0x5A, 0x48, 0x62, 0x61, 0x10, 0xA2, 0x20, 0xC3, 0x28, 0x20, 0x08, 0x65, 0x39");
asm(".byte 0x20, 0x08, 0x45, 0x31, 0x89, 0x5A, 0xB9, 0xD6, 0x5B, 0xE7, 0x1A, 0xDF, 0x3B, 0xDF, 0x3B, 0xE7");
asm(".byte 0x3B, 0xE7, 0x7C, 0xEF, 0x3A, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xD9, 0xDE, 0xD9, 0xD6, 0xF9, 0xDE");
asm(".byte 0xD8, 0xDE, 0xD9, 0xDE, 0xD9, 0xD6, 0xD9, 0xD6, 0xD8, 0xD6, 0xB9, 0xD6, 0x1A, 0xE7, 0x98, 0xD6");
asm(".byte 0x98, 0xCE, 0x98, 0xCE, 0x98, 0xCE, 0xB8, 0xD6, 0x53, 0xA5, 0x78, 0xCE, 0x77, 0xC6, 0x57, 0xE6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x8C, 0x73, 0x4F, 0xA5, 0x2D, 0x84, 0x0E, 0x84, 0xED, 0x7B, 0xAD, 0x6B");
asm(".byte 0x07, 0x3A, 0xCE, 0x6B, 0x50, 0x84, 0xB1, 0x94, 0x2F, 0x84, 0x27, 0x42, 0xE7, 0x49, 0xA9, 0x62");
asm(".byte 0xC9, 0x72, 0xEA, 0x92, 0xC9, 0x82, 0x88, 0x62, 0xA9, 0x62, 0x88, 0x62, 0x68, 0x62, 0x68, 0x62");
asm(".byte 0x68, 0x62, 0x68, 0x6A, 0xC9, 0x72, 0x67, 0x62, 0x47, 0x5A, 0x06, 0x52, 0x27, 0x5A, 0x47, 0x62");
asm(".byte 0x4B, 0x83, 0x2F, 0x94, 0xCD, 0x83, 0x2B, 0x73, 0xAD, 0x93, 0x4B, 0x83, 0x8C, 0x93, 0xAD, 0x93");
asm(".byte 0xEE, 0xAB, 0xF2, 0xF4, 0x6C, 0xA3, 0x68, 0x5A, 0x90, 0xA4, 0xA9, 0x62, 0x89, 0x62, 0xEA, 0x72");
asm(".byte 0x0A, 0x6B, 0xEE, 0x8B, 0x2B, 0x73, 0xE7, 0x41, 0xE2, 0x20, 0x0B, 0x6B, 0x2E, 0x94, 0xA5, 0x41");
asm(".byte 0x84, 0x41, 0x88, 0x62, 0x41, 0x10, 0xC2, 0x20, 0xE2, 0x28, 0xE5, 0x49, 0xA9, 0x6A, 0x64, 0x39");
asm(".byte 0xA7, 0x6A, 0x66, 0x62, 0x46, 0x5A, 0x05, 0x5A, 0xE5, 0x51, 0xC5, 0x49, 0xA4, 0x49, 0x84, 0x41");
asm(".byte 0x43, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x43, 0x39");
asm(".byte 0x23, 0x39, 0x23, 0x31, 0x02, 0x31, 0x03, 0x31, 0xE2, 0x28, 0x03, 0x31, 0x23, 0x31, 0x43, 0x39");
asm(".byte 0x64, 0x41, 0xA2, 0x20, 0x41, 0x08, 0x20, 0x08, 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x62, 0x10, 0x81, 0x18, 0x28, 0x52, 0x24, 0x31");
asm(".byte 0x20, 0x08, 0x41, 0x08, 0x41, 0x10, 0x64, 0x39, 0x65, 0x41, 0x20, 0x10, 0x82, 0x18, 0x82, 0x18");
asm(".byte 0xA6, 0x41, 0x61, 0x10, 0x45, 0x31, 0x65, 0x41, 0x44, 0x39, 0x0F, 0x84, 0x1B, 0xDF, 0x1A, 0xDF");
asm(".byte 0x1B, 0xDF, 0x3B, 0xDF, 0x3B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x3B, 0xE7, 0x3A, 0xE7, 0x3A, 0xE7");
asm(".byte 0xD9, 0xD6, 0xB8, 0xD6, 0xD9, 0xD6, 0xD9, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xD9, 0xD6");
asm(".byte 0x1A, 0xDF, 0xFA, 0xDE, 0xFA, 0xDE, 0x1A, 0xDF, 0x3B, 0xE7, 0x70, 0x8C, 0x77, 0xCE, 0x36, 0xCE");
asm(".byte 0x37, 0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x4D, 0x8C, 0xAC, 0x7B, 0x4C, 0x6B, 0xE6, 0x39, 0xC6, 0x31");
asm(".byte 0x8D, 0x6B, 0xAD, 0x6B, 0x6C, 0x5B, 0xA9, 0x4A, 0x48, 0x42, 0x27, 0x42, 0xA9, 0x62, 0xEA, 0x72");
asm(".byte 0xC9, 0x82, 0xCA, 0x8A, 0x89, 0x6A, 0xA9, 0x62, 0x68, 0x5A, 0x88, 0x62, 0x88, 0x62, 0x67, 0x5A");
asm(".byte 0x68, 0x62, 0x68, 0x6A, 0xA9, 0x72, 0xA9, 0x6A, 0x47, 0x62, 0x88, 0x6A, 0x68, 0x62, 0x27, 0x62");
asm(".byte 0x06, 0x5A, 0xE6, 0x51, 0xA5, 0x49, 0xC6, 0x41, 0xE6, 0x49, 0xAD, 0x93, 0xB0, 0xAC, 0x12, 0xC5");
asm(".byte 0x32, 0xCD, 0x52, 0xC5, 0x53, 0xED, 0xF5, 0xFD, 0x6C, 0x8B, 0x89, 0x62, 0xAD, 0x83, 0x89, 0x5A");
asm(".byte 0xA9, 0x62, 0xA9, 0x62, 0xC9, 0x6A, 0xEE, 0x8B, 0xE6, 0x41, 0x03, 0x21, 0xE6, 0x41, 0xD0, 0xA4");
asm(".byte 0xAC, 0x83, 0x03, 0x29, 0x88, 0x5A, 0x07, 0x4A, 0x81, 0x18, 0xE2, 0x20, 0xE2, 0x28, 0xC6, 0x49");
asm(".byte 0x2B, 0x73, 0x03, 0x31, 0x67, 0x62, 0x87, 0x6A, 0x25, 0x5A, 0xE5, 0x51, 0xE5, 0x51, 0xA4, 0x49");
asm(".byte 0x84, 0x41, 0x64, 0x41, 0x43, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x31, 0x23, 0x39");
asm(".byte 0x02, 0x31, 0x02, 0x31, 0x02, 0x31, 0x02, 0x31, 0xE2, 0x28, 0x03, 0x31, 0x02, 0x31, 0x23, 0x31");
asm(".byte 0x43, 0x39, 0x64, 0x39, 0xE2, 0x28, 0x81, 0x18, 0x20, 0x00, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x10, 0x61, 0x10, 0xC2, 0x20");
asm(".byte 0x28, 0x5A, 0x24, 0x31, 0x62, 0x18, 0x20, 0x08, 0x82, 0x18, 0x61, 0x18, 0xA2, 0x18, 0xE3, 0x28");
asm(".byte 0x61, 0x10, 0x44, 0x31, 0x61, 0x18, 0xA3, 0x20, 0x85, 0x41, 0xA6, 0x49, 0x65, 0x41, 0xE6, 0x41");
asm(".byte 0x74, 0xAD, 0x3B, 0xDF, 0x1B, 0xDF, 0x5B, 0xE7, 0x3B, 0xE7, 0x3B, 0xDF, 0x3B, 0xE7, 0x3B, 0xE7");
asm(".byte 0x3A, 0xE7, 0xF9, 0xDE, 0xB8, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE, 0x98, 0xCE, 0x98, 0xCE");
asm(".byte 0xF9, 0xDE, 0xB9, 0xD6, 0x98, 0xCE, 0xB8, 0xD6, 0x37, 0xC6, 0x57, 0xC6, 0x2E, 0x84, 0xF5, 0xBD");
asm(".byte 0xD6, 0xED, 0xB4, 0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0x52, 0x4B, 0x6B, 0x48, 0x42, 0xCA, 0x52");
asm(".byte 0x2B, 0x5B, 0xCE, 0x73, 0x07, 0x3A, 0x48, 0x3A, 0x89, 0x4A, 0xEE, 0x83, 0xEA, 0x6A, 0xEA, 0x82");
asm(".byte 0xCA, 0x7A, 0xA9, 0x6A, 0x89, 0x5A, 0x88, 0x5A, 0x88, 0x5A, 0x88, 0x62, 0x88, 0x62, 0x88, 0x62");
asm(".byte 0x67, 0x5A, 0x47, 0x62, 0xA9, 0x72, 0x67, 0x62, 0x68, 0x62, 0x48, 0x62, 0x47, 0x62, 0x27, 0x5A");
asm(".byte 0x47, 0x62, 0x06, 0x5A, 0x06, 0x5A, 0x85, 0x49, 0x24, 0x31, 0xE2, 0x20, 0x65, 0x49, 0x85, 0x49");
asm(".byte 0xA6, 0x51, 0x88, 0x6A, 0x2B, 0x8B, 0x0E, 0xB4, 0xF2, 0xEC, 0xD5, 0xF5, 0x8C, 0x83, 0x0B, 0x73");
asm(".byte 0xD5, 0xCD, 0xAD, 0x8B, 0xA9, 0x62, 0x69, 0x5A, 0x6C, 0x83, 0xC9, 0x62, 0x24, 0x29, 0x64, 0x31");
asm(".byte 0x4B, 0x73, 0x32, 0xAD, 0x47, 0x52, 0xC6, 0x41, 0x8C, 0x83, 0x24, 0x31, 0xA2, 0x20, 0xC2, 0x20");
asm(".byte 0xA1, 0x18, 0xA5, 0x41, 0xAD, 0x83, 0x85, 0x39, 0x43, 0x39, 0x46, 0x5A, 0x26, 0x5A, 0xC5, 0x51");
asm(".byte 0xA4, 0x49, 0x84, 0x41, 0x63, 0x41, 0x43, 0x41, 0x43, 0x39, 0x23, 0x39, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x02, 0x31, 0x03, 0x31, 0x02, 0x29, 0x02, 0x31, 0x03, 0x31, 0x03, 0x31, 0x02, 0x31, 0x23, 0x31");
asm(".byte 0x43, 0x39, 0x43, 0x39, 0x23, 0x31, 0x03, 0x29, 0xE2, 0x28, 0x20, 0x08, 0x21, 0x00, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x20, 0x08, 0x41, 0x10");
asm(".byte 0xA3, 0x20, 0xA2, 0x20, 0xA6, 0x49, 0xC2, 0x20, 0xE3, 0x28, 0x20, 0x10, 0x41, 0x08, 0xA2, 0x20");
asm(".byte 0x61, 0x10, 0x41, 0x10, 0x03, 0x31, 0x44, 0x39, 0x20, 0x08, 0x44, 0x39, 0x23, 0x31, 0x85, 0x41");
asm(".byte 0xA6, 0x49, 0x65, 0x39, 0xCA, 0x5A, 0xFA, 0xDE, 0x5B, 0xE7, 0x3B, 0xE7, 0x3B, 0xE7, 0x3B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x3A, 0xE7, 0x7B, 0xEF, 0xD9, 0xDE, 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xCE, 0x97, 0xCE");
asm(".byte 0x98, 0xCE, 0xFA, 0xDE, 0x57, 0xC6, 0x56, 0xC6, 0x16, 0xBE, 0x36, 0xBE, 0x36, 0xBE, 0xF2, 0x9C");
asm(".byte 0x16, 0xDE, 0x16, 0xEE, 0x73, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x42, 0xAD, 0x73, 0xAA, 0x52");
asm(".byte 0x48, 0x42, 0x07, 0x3A, 0x13, 0x9D, 0x4C, 0x5B, 0x4C, 0x53, 0x2C, 0x6B, 0x91, 0xAC, 0xEA, 0x7A");
asm(".byte 0xA9, 0x62, 0x88, 0x5A, 0x88, 0x5A, 0x88, 0x5A, 0x89, 0x62, 0x88, 0x62, 0x88, 0x62, 0x68, 0x62");
asm(".byte 0x68, 0x62, 0x67, 0x62, 0x68, 0x62, 0x47, 0x62, 0x68, 0x62, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A");
asm(".byte 0xA9, 0x6A, 0x47, 0x62, 0x06, 0x5A, 0x27, 0x62, 0x85, 0x49, 0x03, 0x31, 0xC2, 0x20, 0x65, 0x41");
asm(".byte 0x84, 0x49, 0x64, 0x49, 0xA5, 0x51, 0x27, 0x62, 0x88, 0x7A, 0x2B, 0xDB, 0xAD, 0xEB, 0xCD, 0xA3");
asm(".byte 0x27, 0x5A, 0xA5, 0x41, 0xF1, 0xB4, 0xAD, 0x83, 0x2F, 0x94, 0xEE, 0x8B, 0x6C, 0x7B, 0xA5, 0x39");
asm(".byte 0x24, 0x29, 0xE7, 0x41, 0xED, 0x8B, 0x0E, 0x8C, 0x48, 0x4A, 0x2B, 0x73, 0xAD, 0x8B, 0xA5, 0x41");
asm(".byte 0x81, 0x18, 0xC2, 0x20, 0xC2, 0x20, 0xC2, 0x20, 0x8C, 0x83, 0xEA, 0x72, 0xE2, 0x28, 0x43, 0x39");
asm(".byte 0xC5, 0x49, 0xA4, 0x49, 0x84, 0x41, 0x64, 0x41, 0x63, 0x39, 0x43, 0x39, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x23, 0x39, 0x03, 0x31, 0x23, 0x31, 0x23, 0x31, 0x02, 0x31, 0x02, 0x31, 0x23, 0x31, 0x03, 0x31");
asm(".byte 0x23, 0x31, 0x63, 0x39, 0x43, 0x41, 0x02, 0x29, 0x23, 0x31, 0x43, 0x39, 0x61, 0x10, 0x20, 0x08");
asm(".byte 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x82, 0x18, 0x61, 0x18, 0x04, 0x31, 0xE3, 0x28, 0x82, 0x18, 0x41, 0x10");
asm(".byte 0x61, 0x18, 0x82, 0x18, 0x62, 0x18, 0x03, 0x31, 0xC3, 0x28, 0xE3, 0x28, 0xA2, 0x20, 0xA5, 0x41");
asm(".byte 0x24, 0x39, 0x65, 0x41, 0xA6, 0x49, 0xC6, 0x49, 0xA6, 0x39, 0xD6, 0xBD, 0x5B, 0xE7, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x7B, 0xE7, 0x5B, 0xEF, 0x5B, 0xEF, 0x7B, 0xEF, 0xD9, 0xD6, 0xD8, 0xD6, 0xB8, 0xD6");
asm(".byte 0x98, 0xD6, 0xFA, 0xDE, 0x98, 0xD6, 0x97, 0xCE, 0x57, 0xC6, 0x57, 0xC6, 0x36, 0xC6, 0x56, 0xC6");
asm(".byte 0x0E, 0x94, 0xB8, 0xF6, 0xD4, 0xC5, 0x94, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x39, 0x69, 0x4A");
asm(".byte 0xE7, 0x39, 0x89, 0x4A, 0xCA, 0x52, 0x50, 0x8C, 0xEB, 0x5A, 0xAE, 0x83, 0x2C, 0x73, 0xD2, 0xA4");
asm(".byte 0xA9, 0x52, 0xA9, 0x5A, 0xA9, 0x5A, 0x88, 0x5A, 0x88, 0x5A, 0x88, 0x62, 0x88, 0x62, 0x88, 0x62");
asm(".byte 0x68, 0x62, 0x67, 0x5A, 0x47, 0x62, 0x67, 0x72, 0x27, 0x62, 0x67, 0x62, 0x47, 0x62, 0x47, 0x62");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x07, 0x62, 0xA5, 0x49, 0x03, 0x31, 0xE2, 0x28");
asm(".byte 0x23, 0x39, 0x84, 0x49, 0x85, 0x49, 0x85, 0x49, 0x06, 0x5A, 0x88, 0x6A, 0x0B, 0xBB, 0x0E, 0xFC");
asm(".byte 0xCD, 0xC3, 0x0D, 0xA4, 0xA9, 0x6A, 0xC3, 0x20, 0x06, 0x52, 0xC6, 0x49, 0xA9, 0x6A, 0xB0, 0x9C");
asm(".byte 0xAD, 0x7B, 0xA6, 0x39, 0x68, 0x52, 0x48, 0x52, 0x53, 0xB5, 0x48, 0x52, 0x68, 0x52, 0x2F, 0x94");
asm(".byte 0xAC, 0x83, 0xE6, 0x49, 0xA2, 0x18, 0xA2, 0x18, 0xA2, 0x20, 0xC2, 0x20, 0x07, 0x52, 0xA9, 0x6A");
asm(".byte 0x23, 0x39, 0xC2, 0x28, 0xE2, 0x28, 0x23, 0x39, 0x64, 0x41, 0x43, 0x41, 0x43, 0x39, 0x43, 0x39");
asm(".byte 0x23, 0x39, 0x23, 0x31, 0x03, 0x31, 0x23, 0x31, 0x02, 0x31, 0x02, 0x31, 0xE2, 0x28, 0x23, 0x31");
asm(".byte 0x03, 0x31, 0x23, 0x39, 0x63, 0x39, 0x64, 0x41, 0xE2, 0x28, 0x23, 0x31, 0xC5, 0x49, 0x03, 0x29");
asm(".byte 0x20, 0x00, 0x21, 0x08, 0x41, 0x08, 0x21, 0x08, 0x20, 0x00, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x10, 0x61, 0x10, 0x82, 0x18, 0xA2, 0x20, 0x04, 0x29, 0x20, 0x08");
asm(".byte 0x65, 0x31, 0x00, 0x00, 0x82, 0x18, 0xA2, 0x20, 0xC3, 0x28, 0x61, 0x18, 0x07, 0x52, 0x24, 0x31");
asm(".byte 0xE7, 0x49, 0x44, 0x31, 0xE7, 0x49, 0xE7, 0x49, 0xCA, 0x6A, 0x30, 0x94, 0xC6, 0x39, 0xB1, 0x94");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x7C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3A, 0xE7, 0x3A, 0xE7, 0x3A, 0xDF, 0x97, 0xCE, 0x77, 0xCE, 0x77, 0xCE, 0x56, 0xC6, 0x36, 0xBE");
asm(".byte 0x36, 0xC6, 0x2E, 0xB4, 0xDA, 0xEE, 0x98, 0xD6, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA6, 0x39");
asm(".byte 0x4D, 0x6B, 0xAA, 0x52, 0x89, 0x52, 0x49, 0x52, 0xCF, 0x8B, 0x2C, 0x63, 0x6D, 0x63, 0x2C, 0x5B");
asm(".byte 0x2F, 0x7C, 0xA9, 0x52, 0x89, 0x5A, 0x89, 0x5A, 0x88, 0x5A, 0x88, 0x62, 0x68, 0x62, 0x68, 0x62");
asm(".byte 0x68, 0x62, 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x6A, 0x67, 0x7A, 0x47, 0x62, 0x47, 0x62, 0x47, 0x62");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x06, 0x5A, 0x27, 0x62, 0x06, 0x5A, 0xE6, 0x51, 0x03, 0x31");
asm(".byte 0xE3, 0x28, 0xE2, 0x28, 0x85, 0x49, 0x64, 0x49, 0x64, 0x49, 0xC5, 0x51, 0x68, 0x62, 0xA9, 0x82");
asm(".byte 0xEE, 0xEB, 0x50, 0xF4, 0xF1, 0xC4, 0x12, 0xC5, 0x6C, 0x83, 0xC2, 0x20, 0x8C, 0x83, 0x24, 0x31");
asm(".byte 0x64, 0x39, 0x03, 0x29, 0xE6, 0x49, 0x8D, 0x7B, 0xA9, 0x5A, 0x6F, 0x9C, 0x6F, 0x94, 0x07, 0x4A");
asm(".byte 0xCA, 0x62, 0x6C, 0x7B, 0x4B, 0x7B, 0xC6, 0x41, 0xA2, 0x18, 0xC2, 0x20, 0x82, 0x18, 0x81, 0x18");
asm(".byte 0xE2, 0x28, 0x23, 0x31, 0xE2, 0x28, 0x23, 0x31, 0xE2, 0x28, 0xA1, 0x28, 0xE2, 0x28, 0x23, 0x31");
asm(".byte 0x43, 0x39, 0x23, 0x39, 0x23, 0x39, 0x02, 0x31, 0x02, 0x31, 0xE2, 0x30, 0xE2, 0x30, 0x02, 0x29");
asm(".byte 0x03, 0x31, 0x23, 0x31, 0x63, 0x39, 0x64, 0x39, 0x64, 0x41, 0xC2, 0x28, 0x44, 0x39, 0xC5, 0x49");
asm(".byte 0x23, 0x31, 0x20, 0x00, 0x21, 0x08, 0x21, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0xA2, 0x18, 0x61, 0x18, 0x61, 0x18, 0x41, 0x10");
asm(".byte 0x00, 0x00, 0xEE, 0x8B, 0x00, 0x00, 0x62, 0x18, 0xC3, 0x20, 0x62, 0x18, 0x44, 0x39, 0xA5, 0x49");
asm(".byte 0xC6, 0x49, 0x48, 0x5A, 0xC3, 0x20, 0x65, 0x39, 0x03, 0x29, 0xC7, 0x41, 0x6D, 0x7B, 0x0F, 0x84");
asm(".byte 0xCB, 0x5A, 0x0B, 0x63, 0xD9, 0xDE, 0x5B, 0xE7, 0x7C, 0xE7, 0x5C, 0xEF, 0x7C, 0xEF, 0x5B, 0xE7");
asm(".byte 0x3B, 0xE7, 0xFA, 0xDE, 0xB8, 0xD6, 0x1A, 0xDF, 0xB8, 0xD6, 0x98, 0xCE, 0x98, 0xCE, 0x57, 0xC6");
asm(".byte 0x57, 0xC6, 0x57, 0xDE, 0x70, 0xC4, 0xF9, 0xDE, 0xF6, 0xBD, 0x94, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x28, 0x52, 0x6D, 0x83, 0x49, 0x62, 0x28, 0x52, 0x08, 0x42, 0x10, 0x7C, 0x4D, 0x5B, 0x6D, 0x5B");
asm(".byte 0x2C, 0x53, 0x0F, 0x7C, 0xA9, 0x52, 0xA9, 0x5A, 0x68, 0x5A, 0x88, 0x5A, 0x68, 0x5A, 0x68, 0x5A");
asm(".byte 0x68, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x47, 0x5A, 0x48, 0x8A, 0x46, 0x6A, 0x67, 0x62, 0x47, 0x62");
asm(".byte 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0xC5, 0x51, 0x27, 0x5A, 0x06, 0x5A, 0x06, 0x5A");
asm(".byte 0x23, 0x31, 0x03, 0x29, 0xA1, 0x20, 0x64, 0x49, 0x64, 0x49, 0x84, 0x49, 0x85, 0x49, 0x27, 0x62");
asm(".byte 0xA9, 0x72, 0x0B, 0xAB, 0xD0, 0xFC, 0xD2, 0xEC, 0x53, 0xCD, 0x52, 0xCD, 0x0A, 0x73, 0x61, 0x18");
asm(".byte 0x2B, 0x73, 0x64, 0x39, 0xC2, 0x20, 0x23, 0x31, 0xE3, 0x28, 0x64, 0x39, 0xEE, 0x83, 0x19, 0xEF");
asm(".byte 0x68, 0x52, 0xCA, 0x62, 0xEE, 0x83, 0x2B, 0x73, 0x24, 0x31, 0x07, 0x4A, 0xA1, 0x20, 0x81, 0x18");
asm(".byte 0xA2, 0x18, 0xA2, 0x18, 0xA2, 0x20, 0x82, 0x20, 0x81, 0x18, 0xA2, 0x20, 0xC2, 0x20, 0xA2, 0x28");
asm(".byte 0xA2, 0x28, 0xA2, 0x28, 0xE2, 0x28, 0x03, 0x31, 0x02, 0x31, 0xE2, 0x30, 0xE2, 0x30, 0xE2, 0x30");
asm(".byte 0xE2, 0x28, 0x03, 0x31, 0x43, 0x39, 0x64, 0x39, 0x64, 0x41, 0x64, 0x41, 0xC2, 0x20, 0x64, 0x41");
asm(".byte 0xC5, 0x51, 0x23, 0x31, 0x21, 0x00, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x61, 0x08, 0x61, 0x08, 0x61, 0x10, 0xA3, 0x18, 0x61, 0x08, 0x20, 0x08");
asm(".byte 0x00, 0x00, 0xC2, 0x18, 0x69, 0x5A, 0x00, 0x08, 0x41, 0x10, 0xC3, 0x28, 0x82, 0x18, 0xE3, 0x30");
asm(".byte 0x23, 0x39, 0x07, 0x52, 0x28, 0x5A, 0xE7, 0x49, 0x07, 0x52, 0xA6, 0x39, 0xC7, 0x41, 0xE7, 0x41");
asm(".byte 0x71, 0x94, 0x14, 0xA5, 0x30, 0x84, 0x85, 0x31, 0xB5, 0xB5, 0x5B, 0xE7, 0x9C, 0xEF, 0x5B, 0xE7");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xD9, 0xD6, 0x3A, 0xDF, 0x98, 0xCE, 0x77, 0xCE");
asm(".byte 0x77, 0xCE, 0x77, 0xCE, 0x98, 0xF6, 0x13, 0xBD, 0x76, 0xC6, 0x36, 0xBE, 0xD5, 0xB5, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x29, 0x5A, 0x0C, 0x73, 0xC7, 0x39, 0x08, 0x32, 0x28, 0x3A, 0x51, 0x84, 0x4C, 0x5B");
asm(".byte 0x6D, 0x5B, 0x0B, 0x53, 0xEF, 0x7B, 0xA9, 0x5A, 0x68, 0x5A, 0x68, 0x5A, 0x27, 0x52, 0x48, 0x5A");
asm(".byte 0x47, 0x5A, 0x68, 0x5A, 0x28, 0x5A, 0x06, 0x4A, 0x27, 0x6A, 0x88, 0xA2, 0x47, 0x5A, 0x47, 0x5A");
asm(".byte 0x47, 0x62, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x26, 0x5A, 0x06, 0x5A, 0x27, 0x62, 0x06, 0x5A");
asm(".byte 0x07, 0x5A, 0x44, 0x39, 0x03, 0x29, 0xA2, 0x20, 0x24, 0x39, 0x64, 0x49, 0x64, 0x49, 0x65, 0x49");
asm(".byte 0xE6, 0x59, 0xA9, 0x6A, 0xCA, 0x82, 0x2E, 0xDC, 0x11, 0xF5, 0x12, 0xED, 0x33, 0xD5, 0x11, 0xC5");
asm(".byte 0x85, 0x41, 0xA1, 0x18, 0x0A, 0x73, 0xA9, 0x6A, 0x23, 0x31, 0xE3, 0x28, 0xC2, 0x20, 0xC2, 0x20");
asm(".byte 0xEA, 0x6A, 0xB5, 0xBD, 0xEA, 0x62, 0x8D, 0x7B, 0x70, 0x94, 0x44, 0x39, 0x23, 0x31, 0xA5, 0x41");
asm(".byte 0xC2, 0x20, 0x41, 0x10, 0x61, 0x10, 0x81, 0x18, 0xA2, 0x18, 0xA2, 0x20, 0x81, 0x18, 0x61, 0x10");
asm(".byte 0x61, 0x18, 0xA2, 0x28, 0x03, 0x31, 0xC3, 0x28, 0x81, 0x20, 0xA2, 0x20, 0xE2, 0x28, 0xE2, 0x28");
asm(".byte 0xE2, 0x28, 0x03, 0x31, 0x23, 0x31, 0x43, 0x39, 0x64, 0x41, 0x64, 0x41, 0x64, 0x41, 0xC2, 0x28");
asm(".byte 0x84, 0x41, 0xE5, 0x51, 0x23, 0x31, 0x20, 0x00, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x10, 0x61, 0x08, 0x82, 0x10, 0x61, 0x08, 0x81, 0x10, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x20, 0x08, 0x4C, 0x7B, 0x04, 0x29, 0x61, 0x10, 0x61, 0x18, 0x82, 0x18, 0x65, 0x31");
asm(".byte 0x85, 0x41, 0x24, 0x31, 0xC2, 0x28, 0xA6, 0x41, 0x89, 0x62, 0xA9, 0x62, 0x89, 0x5A, 0xAA, 0x5A");
asm(".byte 0xAA, 0x5A, 0xEB, 0x62, 0x34, 0xA5, 0xB6, 0xB5, 0x75, 0xAD, 0xA6, 0x31, 0xD2, 0x94, 0x5C, 0xEF");
asm(".byte 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xF9, 0xDE, 0xB8, 0xD6");
asm(".byte 0xB8, 0xD6, 0xB8, 0xD6, 0x98, 0xDE, 0xD9, 0xF6, 0xB0, 0x9C, 0x77, 0xCE, 0x77, 0xCE, 0x16, 0xBE");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x31, 0x6E, 0x6B, 0xC7, 0x31, 0xE8, 0x31, 0x69, 0x42, 0x71, 0x84");
asm(".byte 0x0C, 0x53, 0x2C, 0x53, 0xAA, 0x4A, 0xCE, 0x7B, 0x68, 0x52, 0x68, 0x5A, 0x48, 0x52, 0x27, 0x52");
asm(".byte 0x48, 0x5A, 0x68, 0x5A, 0x28, 0x5A, 0x27, 0x52, 0xA5, 0x49, 0x68, 0xA2, 0x26, 0x72, 0x68, 0x62");
asm(".byte 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x07, 0x5A, 0xE6, 0x51, 0x27, 0x5A");
asm(".byte 0x26, 0x62, 0x06, 0x5A, 0x85, 0x49, 0x03, 0x29, 0xE3, 0x20, 0xC2, 0x28, 0x64, 0x49, 0x64, 0x49");
asm(".byte 0x64, 0x49, 0xA5, 0x51, 0x88, 0x6A, 0xCA, 0x7A, 0x2B, 0x93, 0xD1, 0xF4, 0x12, 0xFD, 0x12, 0xED");
asm(".byte 0xD1, 0xCC, 0xEE, 0xA3, 0x44, 0x39, 0xA2, 0x18, 0x27, 0x52, 0xA5, 0x41, 0xE2, 0x20, 0xC2, 0x20");
asm(".byte 0xC2, 0x20, 0x44, 0x39, 0x47, 0x52, 0x94, 0xBD, 0x2F, 0x8C, 0xCD, 0x83, 0x64, 0x41, 0x23, 0x39");
asm(".byte 0x03, 0x31, 0xA1, 0x20, 0xE3, 0x28, 0x61, 0x18, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x81, 0x10");
asm(".byte 0x82, 0x18, 0xA2, 0x20, 0xA2, 0x20, 0x81, 0x20, 0x81, 0x18, 0xA2, 0x20, 0xE3, 0x28, 0xC2, 0x20");
asm(".byte 0xA2, 0x20, 0xC2, 0x28, 0x03, 0x31, 0x23, 0x31, 0x64, 0x39, 0x84, 0x41, 0xA4, 0x41, 0x64, 0x41");
asm(".byte 0xC2, 0x28, 0xA5, 0x41, 0xE5, 0x49, 0x23, 0x31, 0x00, 0x00, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x82, 0x10, 0x62, 0x10, 0x62, 0x10, 0x21, 0x08, 0x21, 0x08");
asm(".byte 0x82, 0x10, 0x41, 0x08, 0x21, 0x08, 0x82, 0x18, 0x82, 0x18, 0x42, 0x10, 0xA2, 0x20, 0x82, 0x18");
asm(".byte 0x28, 0x4A, 0xEB, 0x62, 0xA6, 0x41, 0x03, 0x29, 0x61, 0x18, 0xE3, 0x28, 0xAA, 0x62, 0x2C, 0x73");
asm(".byte 0x4C, 0x73, 0x4C, 0x6B, 0x51, 0x8C, 0x30, 0x84, 0x58, 0xCE, 0x79, 0xCE, 0xB6, 0xB5, 0xE7, 0x41");
asm(".byte 0x13, 0x9D, 0x3B, 0xE7, 0x5B, 0xE7, 0x5B, 0xE7, 0x3B, 0xE7, 0x3A, 0xE7, 0xF9, 0xDE, 0xD9, 0xDE");
asm(".byte 0x3B, 0xE7, 0x3A, 0xE7, 0x1A, 0xE7, 0x1A, 0xF7, 0x3B, 0xF7, 0x6F, 0x84, 0x57, 0xCE, 0x77, 0xCE");
asm(".byte 0x36, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x66, 0x29, 0x4E, 0x6B, 0xC7, 0x31, 0xE8, 0x31, 0x29, 0x3A");
asm(".byte 0xB2, 0x8C, 0x29, 0x3A, 0x28, 0x3A, 0x69, 0x42, 0xAD, 0x73, 0x27, 0x4A, 0x48, 0x52, 0x27, 0x52");
asm(".byte 0x27, 0x52, 0x48, 0x5A, 0x48, 0x5A, 0x27, 0x5A, 0x85, 0x41, 0x85, 0x61, 0x68, 0xAA, 0x48, 0x5A");
asm(".byte 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0xE6, 0x51");
asm(".byte 0x07, 0x5A, 0x26, 0x5A, 0x06, 0x62, 0xC6, 0x51, 0xE3, 0x28, 0xE3, 0x28, 0xC2, 0x20, 0x64, 0x49");
asm(".byte 0x44, 0x49, 0x64, 0x49, 0x84, 0x49, 0x68, 0x6A, 0xE9, 0x7A, 0x2B, 0x7B, 0x4F, 0xBC, 0xD1, 0xF4");
asm(".byte 0x11, 0xF5, 0x91, 0xEC, 0x70, 0xD4, 0x4B, 0x9B, 0x84, 0x49, 0xA2, 0x18, 0x85, 0x39, 0x24, 0x31");
asm(".byte 0xC2, 0x20, 0xC3, 0x28, 0x03, 0x29, 0x64, 0x39, 0x17, 0xCE, 0x37, 0xC6, 0x89, 0x5A, 0x64, 0x41");
asm(".byte 0x44, 0x39, 0x23, 0x31, 0x03, 0x29, 0xC2, 0x20, 0xE2, 0x28, 0xC2, 0x20, 0x61, 0x18, 0x40, 0x10");
asm(".byte 0x41, 0x10, 0x81, 0x18, 0xA2, 0x20, 0xA2, 0x20, 0xA2, 0x20, 0xC3, 0x20, 0xA2, 0x20, 0x82, 0x20");
asm(".byte 0x61, 0x18, 0xA2, 0x20, 0xC3, 0x20, 0xE3, 0x28, 0xC3, 0x20, 0xC2, 0x20, 0xC2, 0x20, 0x43, 0x31");
asm(".byte 0x84, 0x41, 0x02, 0x29, 0xA5, 0x41, 0xC4, 0x49, 0x23, 0x31, 0x21, 0x00, 0x20, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x21, 0x08, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x62, 0x10, 0x41, 0x08, 0x20, 0x08, 0x41, 0x08, 0x62, 0x18, 0xC2, 0x20");
asm(".byte 0x61, 0x18, 0xCB, 0x5A, 0xAE, 0x7B, 0x89, 0x52, 0x44, 0x31, 0xC3, 0x20, 0xE4, 0x28, 0x82, 0x18");
asm(".byte 0xE7, 0x49, 0xAE, 0x7B, 0x71, 0x94, 0xD6, 0xBD, 0xF3, 0x9C, 0x95, 0xB5, 0xD6, 0xB5, 0xD6, 0xBD");
asm(".byte 0xF3, 0x9C, 0x28, 0x42, 0x94, 0xAD, 0x3B, 0xE7, 0x3B, 0xE7, 0x3B, 0xE7, 0x1A, 0xDF, 0x1A, 0xDF");
asm(".byte 0x5B, 0xE7, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xD6, 0xB8, 0xF6, 0x98, 0xDE, 0x93, 0xAD, 0x77, 0xCE");
asm(".byte 0x57, 0xC6, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x65, 0x29, 0xAB, 0x52, 0xC7, 0x31, 0xC8, 0x31");
asm(".byte 0xE8, 0x31, 0x14, 0x95, 0xE7, 0x31, 0xE8, 0x31, 0xA7, 0x31, 0x8E, 0x73, 0xE6, 0x41, 0x27, 0x4A");
asm(".byte 0x28, 0x52, 0x47, 0x52, 0x47, 0x52, 0x27, 0x52, 0xC6, 0x49, 0x64, 0x49, 0xE7, 0x91, 0x06, 0x62");
asm(".byte 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x06, 0x5A");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x62, 0x27, 0x62, 0x07, 0x5A, 0xE3, 0x28, 0xE3, 0x28, 0xA2, 0x20");
asm(".byte 0x23, 0x39, 0x44, 0x41, 0x64, 0x49, 0x64, 0x49, 0x06, 0x5A, 0xC9, 0x72, 0x0B, 0x7B, 0xEE, 0x9B");
asm(".byte 0x2F, 0xB4, 0x2F, 0xE4, 0xD0, 0xFC, 0xB1, 0xF4, 0x0E, 0xCC, 0xEA, 0x92, 0xC6, 0x61, 0xA2, 0x20");
asm(".byte 0x64, 0x39, 0xE6, 0x49, 0xA2, 0x20, 0xE3, 0x28, 0x03, 0x29, 0xB5, 0xBD, 0xFA, 0xDE, 0x65, 0x39");
asm(".byte 0x23, 0x31, 0x43, 0x39, 0x23, 0x39, 0x44, 0x39, 0xE2, 0x28, 0x61, 0x18, 0xC2, 0x20, 0xC2, 0x28");
asm(".byte 0xA2, 0x20, 0x81, 0x18, 0x61, 0x18, 0x61, 0x10, 0xA2, 0x20, 0xA2, 0x18, 0xA2, 0x20, 0xA2, 0x20");
asm(".byte 0xA2, 0x20, 0xC2, 0x20, 0xA2, 0x20, 0x82, 0x18, 0xA2, 0x20, 0xA2, 0x20, 0xE3, 0x28, 0xE3, 0x20");
asm(".byte 0xC2, 0x20, 0x82, 0x18, 0xE3, 0x28, 0xA5, 0x49, 0xE5, 0x49, 0x43, 0x31, 0x21, 0x08, 0x41, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x08, 0x20, 0x08, 0x20, 0x00, 0x41, 0x08, 0x20, 0x00, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x10, 0x41, 0x08, 0x20, 0x08, 0x61, 0x18");
asm(".byte 0xE3, 0x28, 0x61, 0x18, 0x71, 0x94, 0x91, 0x94, 0x50, 0x8C, 0xEF, 0x83, 0xE7, 0x49, 0x24, 0x31");
asm(".byte 0xC3, 0x20, 0xA6, 0x41, 0x24, 0x29, 0xAE, 0x73, 0x54, 0xAD, 0x96, 0xB5, 0xB6, 0xB5, 0xB7, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD, 0x07, 0x42, 0x33, 0xA5, 0x3B, 0xDF, 0x3B, 0xE7, 0x3A, 0xDF");
asm(".byte 0x3A, 0xE7, 0x3B, 0xE7, 0xD9, 0xDE, 0xD8, 0xD6, 0xD8, 0xE6, 0x98, 0xF6, 0x98, 0xD6, 0xB1, 0x94");
asm(".byte 0x98, 0xCE, 0x37, 0xC6, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x46, 0x29, 0xAB, 0x52, 0xC7, 0x31");
asm(".byte 0xC7, 0x31, 0xC7, 0x31, 0x8E, 0x6B, 0xE7, 0x31, 0xE7, 0x31, 0x86, 0x29, 0x0C, 0x63, 0x07, 0x42");
asm(".byte 0x07, 0x4A, 0x48, 0x52, 0x28, 0x5A, 0x07, 0x4A, 0xC6, 0x49, 0x65, 0x49, 0x86, 0x71, 0x85, 0x51");
asm(".byte 0x27, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x47, 0x5A");
asm(".byte 0x26, 0x5A, 0x06, 0x5A, 0x06, 0x5A, 0x27, 0x62, 0x27, 0x5A, 0x07, 0x62, 0x24, 0x39, 0xE3, 0x28");
asm(".byte 0xC2, 0x20, 0xE3, 0x28, 0x44, 0x41, 0x44, 0x41, 0x64, 0x49, 0x85, 0x49, 0xA9, 0x72, 0x2B, 0x83");
asm(".byte 0xAC, 0x8B, 0x4F, 0xA4, 0xCD, 0x93, 0xCD, 0xBB, 0x70, 0xEC, 0xD1, 0xFC, 0xEE, 0xE3, 0xEA, 0xAA");
asm(".byte 0x07, 0x6A, 0xA2, 0x28, 0x44, 0x41, 0x85, 0x41, 0x81, 0x18, 0xC2, 0x28, 0xF2, 0xA4, 0xB1, 0xA4");
asm(".byte 0x24, 0x39, 0xA2, 0x20, 0x03, 0x31, 0x23, 0x39, 0x64, 0x41, 0x44, 0x41, 0xC2, 0x20, 0x61, 0x10");
asm(".byte 0xA1, 0x18, 0xC2, 0x20, 0xA2, 0x20, 0xA2, 0x18, 0xC2, 0x20, 0xA2, 0x20, 0xE3, 0x28, 0x28, 0x52");
asm(".byte 0x49, 0x52, 0x44, 0x31, 0xA2, 0x18, 0xC3, 0x20, 0xA3, 0x20, 0xA3, 0x20, 0xA2, 0x18, 0x41, 0x10");
asm(".byte 0x61, 0x18, 0xA2, 0x20, 0xC2, 0x20, 0x41, 0x10, 0x61, 0x18, 0x06, 0x52, 0x23, 0x31, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x21, 0x08, 0x41, 0x08, 0x20, 0x00, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x40, 0x08, 0x20, 0x00");
asm(".byte 0x82, 0x20, 0xE4, 0x28, 0x24, 0x29, 0x95, 0xB5, 0x54, 0xAD, 0x54, 0xA5, 0x54, 0xAD, 0xB2, 0x94");
asm(".byte 0x44, 0x29, 0x44, 0x31, 0x24, 0x31, 0x08, 0x4A, 0x4C, 0x6B, 0x07, 0x42, 0x75, 0xAD, 0xB6, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xBA, 0xD6, 0x07, 0x42, 0x33, 0xA5, 0xFA, 0xDE");
asm(".byte 0x1A, 0xDF, 0x7B, 0xE7, 0xF9, 0xDE, 0xF9, 0xD6, 0xD8, 0xD6, 0xB8, 0xEE, 0xB9, 0xEE, 0x98, 0xD6");
asm(".byte 0x8C, 0x73, 0x5B, 0xE7, 0x57, 0xC6, 0x17, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x29, 0xCB, 0x52");
asm(".byte 0xC7, 0x31, 0xC7, 0x31, 0xA7, 0x29, 0x6E, 0x6B, 0xC7, 0x31, 0xC7, 0x31, 0x87, 0x29, 0xAA, 0x52");
asm(".byte 0xC6, 0x39, 0x28, 0x4A, 0x27, 0x52, 0x07, 0x42, 0xA6, 0x41, 0x45, 0x41, 0x66, 0x71, 0x44, 0x49");
asm(".byte 0x85, 0x39, 0x27, 0x5A, 0x27, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A");
asm(".byte 0x47, 0x62, 0x27, 0x5A, 0xE6, 0x51, 0x06, 0x52, 0x27, 0x62, 0x27, 0x5A, 0x06, 0x62, 0x85, 0x49");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xC2, 0x20, 0x85, 0x49, 0x44, 0x41, 0x44, 0x41, 0x64, 0x49, 0x68, 0x6A");
asm(".byte 0x2A, 0x7B, 0x6B, 0x83, 0x4F, 0xA4, 0x0E, 0x9C, 0xAD, 0x8B, 0xAD, 0x9B, 0x2F, 0xCC, 0x70, 0xF4");
asm(".byte 0x2E, 0xFC, 0x6C, 0xE3, 0xE6, 0x81, 0xC3, 0x38, 0xE3, 0x38, 0x48, 0x72, 0xC2, 0x30, 0x6C, 0x7B");
asm(".byte 0xEB, 0x6A, 0x89, 0x62, 0xC2, 0x28, 0xA2, 0x20, 0x03, 0x39, 0x23, 0x39, 0xE3, 0x30, 0xA2, 0x20");
asm(".byte 0xA2, 0x18, 0x61, 0x10, 0xA2, 0x18, 0x24, 0x31, 0xE3, 0x20, 0x81, 0x18, 0xC2, 0x20, 0xC2, 0x20");
asm(".byte 0xC2, 0x28, 0xE2, 0x28, 0x03, 0x29, 0xE7, 0x49, 0x69, 0x5A, 0x45, 0x31, 0x44, 0x31, 0x81, 0x18");
asm(".byte 0xA2, 0x18, 0x41, 0x10, 0x82, 0x18, 0x61, 0x18, 0xA2, 0x20, 0xC3, 0x20, 0x03, 0x31, 0x64, 0x39");
asm(".byte 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x61, 0x10");
asm(".byte 0x00, 0x00, 0xA2, 0x20, 0x41, 0x10, 0xAA, 0x52, 0x96, 0xB5, 0x96, 0xB5, 0x75, 0xAD, 0x75, 0xAD");
asm(".byte 0xD6, 0xBD, 0xB2, 0x94, 0x89, 0x52, 0x44, 0x31, 0x45, 0x31, 0x91, 0x94, 0x50, 0x8C, 0x49, 0x4A");
asm(".byte 0xD2, 0x94, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x79, 0xCE, 0x18, 0xC6, 0x28, 0x42");
asm(".byte 0x34, 0xA5, 0xFA, 0xDE, 0x5B, 0xE7, 0xFA, 0xDE, 0xF9, 0xDE, 0xD9, 0xD6, 0xD9, 0xF6, 0xB8, 0xE6");
asm(".byte 0xD9, 0xD6, 0xC9, 0x5A, 0xB9, 0xD6, 0x78, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21");
asm(".byte 0xAB, 0x4A, 0xC7, 0x31, 0xA7, 0x31, 0xC7, 0x29, 0x8E, 0x6B, 0xA7, 0x31, 0xC7, 0x31, 0xC8, 0x29");
asm(".byte 0x30, 0x7C, 0x86, 0x29, 0x85, 0x31, 0x85, 0x31, 0x65, 0x39, 0x44, 0x41, 0x86, 0x71, 0x44, 0x41");
asm(".byte 0x24, 0x31, 0x85, 0x39, 0x27, 0x5A, 0x27, 0x5A, 0x47, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0xE6, 0x51, 0x26, 0x5A, 0x27, 0x5A, 0x06, 0x5A");
asm(".byte 0xC6, 0x51, 0xE3, 0x28, 0x03, 0x29, 0xC2, 0x20, 0x24, 0x39, 0x64, 0x41, 0x24, 0x39, 0x44, 0x41");
asm(".byte 0x06, 0x5A, 0xEA, 0x72, 0x6B, 0x83, 0x0E, 0x9C, 0x4F, 0xA4, 0xEE, 0x9B, 0x8C, 0x8B, 0xED, 0x9B");
asm(".byte 0x2F, 0xB4, 0x0E, 0xC4, 0xCD, 0xDB, 0x6C, 0xEB, 0x47, 0x9A, 0x24, 0x51, 0x61, 0x28, 0xCA, 0x8A");
asm(".byte 0xF2, 0xB4, 0x07, 0x52, 0x65, 0x49, 0x68, 0x6A, 0xC2, 0x28, 0xA2, 0x28, 0xC2, 0x28, 0xA2, 0x28");
asm(".byte 0xC2, 0x28, 0xE2, 0x28, 0x20, 0x10, 0x24, 0x29, 0x23, 0x29, 0x84, 0x39, 0x23, 0x29, 0xA2, 0x18");
asm(".byte 0x03, 0x29, 0xE2, 0x28, 0xC2, 0x20, 0x04, 0x29, 0x03, 0x29, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0xC6, 0x41, 0x82, 0x20, 0x82, 0x20, 0x82, 0x20, 0xA2, 0x28, 0xC3, 0x28, 0x64, 0x39");
asm(".byte 0x44, 0x39, 0x21, 0x00, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x10, 0x20, 0x08, 0x21, 0x08, 0xE7, 0x41, 0xD6, 0xBD, 0xF7, 0xC5, 0xB6, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x91, 0x94, 0xC6, 0x39, 0x45, 0x31, 0x8A, 0x5A, 0xCE, 0x7B");
asm(".byte 0xD2, 0x9C, 0xD2, 0x9C, 0x10, 0x84, 0xB6, 0xB5, 0xB6, 0xB5, 0x17, 0xC6, 0x17, 0xBE, 0xB6, 0xB5");
asm(".byte 0xF7, 0xBD, 0xE7, 0x39, 0x13, 0x9D, 0xD9, 0xD6, 0xD9, 0xD6, 0x99, 0xD6, 0xD9, 0xDE, 0xD9, 0xF6");
asm(".byte 0xB8, 0xDE, 0xB8, 0xD6, 0x47, 0x4A, 0xF9, 0xDE, 0x57, 0xCE, 0x36, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x45, 0x21, 0xCB, 0x52, 0xE8, 0x31, 0xE8, 0x31, 0x8A, 0x3A, 0xB3, 0x84, 0xC8, 0x31, 0xE8, 0x31");
asm(".byte 0xC8, 0x29, 0x8B, 0x4A, 0xA6, 0x31, 0x86, 0x31, 0x66, 0x39, 0x65, 0x51, 0x86, 0x71, 0x24, 0x39");
asm(".byte 0x44, 0x29, 0x24, 0x31, 0x64, 0x39, 0x27, 0x5A, 0x27, 0x5A, 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A");
asm(".byte 0x47, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x62, 0x47, 0x5A, 0x64, 0x39, 0x27, 0x5A, 0x26, 0x5A");
asm(".byte 0x06, 0x5A, 0x06, 0x52, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xA2, 0x20, 0x44, 0x39, 0x23, 0x39");
asm(".byte 0x44, 0x41, 0x64, 0x41, 0xA9, 0x6A, 0x4B, 0x83, 0x8C, 0x8B, 0x6F, 0x9C, 0x2E, 0x9C, 0x6C, 0x83");
asm(".byte 0x6C, 0x8B, 0x0E, 0x9C, 0x2E, 0xA4, 0x4F, 0xAC, 0xAD, 0xA3, 0x0B, 0xAB, 0x07, 0x82, 0x44, 0x59");
asm(".byte 0x61, 0x38, 0x33, 0xB5, 0xCF, 0xA3, 0xC2, 0x40, 0xA6, 0x69, 0x48, 0x7A, 0xA5, 0x59, 0x47, 0x6A");
asm(".byte 0x64, 0x49, 0x03, 0x31, 0xC2, 0x28, 0x40, 0x10, 0x44, 0x31, 0x44, 0x31, 0x4B, 0x73, 0x27, 0x52");
asm(".byte 0xA2, 0x20, 0xE6, 0x49, 0x8D, 0x83, 0xA9, 0x62, 0x04, 0x31, 0xE3, 0x28, 0xA2, 0x20, 0x82, 0x18");
asm(".byte 0x41, 0x10, 0x61, 0x10, 0xA2, 0x20, 0xA2, 0x20, 0xA2, 0x28, 0x82, 0x20, 0xC2, 0x20, 0xA2, 0x20");
asm(".byte 0x64, 0x39, 0x84, 0x39, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x21, 0x08, 0x82, 0x18, 0x41, 0x10, 0x41, 0x08, 0xC3, 0x18, 0x75, 0xB5, 0x78, 0xCE");
asm(".byte 0x17, 0xBE, 0xD6, 0xBD, 0x96, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x0F, 0x84, 0xE7, 0x41, 0x07, 0x4A");
asm(".byte 0x6D, 0x73, 0x30, 0x8C, 0xF2, 0x9C, 0x54, 0xAD, 0xCF, 0x7B, 0xD6, 0xB5, 0x38, 0xC6, 0xB6, 0xB5");
asm(".byte 0xD6, 0xB5, 0xD6, 0xB5, 0xD6, 0xBD, 0x85, 0x31, 0x74, 0xAD, 0x3B, 0xE7, 0xD9, 0xDE, 0xD9, 0xDE");
asm(".byte 0xD9, 0xFE, 0x98, 0xD6, 0x77, 0xCE, 0xED, 0x7B, 0xB8, 0xD6, 0xB8, 0xD6, 0x57, 0xC6, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x65, 0x29, 0x8F, 0x6B, 0xC7, 0x31, 0x09, 0x32, 0xD8, 0x95, 0x1C, 0xCF, 0x08, 0x32");
asm(".byte 0x09, 0x32, 0x09, 0x32, 0x29, 0x42, 0xC7, 0x39, 0x86, 0x41, 0xA7, 0x69, 0x86, 0x59, 0x44, 0x31");
asm(".byte 0x45, 0x31, 0x44, 0x29, 0x24, 0x31, 0x44, 0x31, 0x07, 0x52, 0x06, 0x52, 0x47, 0x5A, 0x27, 0x5A");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x06, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x27, 0x5A, 0x43, 0x39, 0x27, 0x5A");
asm(".byte 0x27, 0x5A, 0x06, 0x5A, 0x27, 0x5A, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0xC2, 0x20, 0x23, 0x31");
asm(".byte 0x23, 0x39, 0x44, 0x39, 0x44, 0x41, 0x67, 0x62, 0x2B, 0x7B, 0x4B, 0x83, 0xEE, 0x93, 0x4F, 0x9C");
asm(".byte 0x8C, 0x8B, 0x0A, 0x73, 0x4B, 0x83, 0x0E, 0x9C, 0x2E, 0xA4, 0x4F, 0xA4, 0xAD, 0x93, 0xEA, 0x82");
asm(".byte 0xA5, 0x51, 0x04, 0x41, 0x24, 0x31, 0xE7, 0x71, 0xD2, 0xEC, 0x85, 0x71, 0xC3, 0x58, 0xE3, 0x60");
asm(".byte 0x03, 0x51, 0x03, 0x49, 0x03, 0x39, 0xC2, 0x28, 0x81, 0x20, 0x03, 0x21, 0x61, 0x10, 0x61, 0x10");
asm(".byte 0x03, 0x21, 0x03, 0x29, 0x0B, 0x6B, 0x85, 0x41, 0xE3, 0x28, 0xA2, 0x20, 0x82, 0x18, 0x61, 0x10");
asm(".byte 0xC2, 0x18, 0x28, 0x4A, 0xC2, 0x18, 0x41, 0x10, 0xE3, 0x28, 0x82, 0x20, 0x61, 0x18, 0xC2, 0x20");
asm(".byte 0x61, 0x18, 0xA5, 0x49, 0xA4, 0x41, 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0xC3, 0x18, 0x45, 0x29, 0x41, 0x08, 0x41, 0x10, 0x00, 0x08, 0xCE, 0x7B");
asm(".byte 0xFB, 0xE6, 0xBA, 0xDE, 0xD6, 0xBD, 0x96, 0xB5, 0xB6, 0xB5, 0xD6, 0xB5, 0x75, 0xB5, 0x2C, 0x6B");
asm(".byte 0xC7, 0x41, 0xC7, 0x41, 0x50, 0x8C, 0x33, 0xA5, 0xB6, 0xB5, 0xF7, 0xBD, 0x51, 0x8C, 0xD6, 0xBD");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD, 0xD6, 0xBD, 0x75, 0xAD, 0x24, 0x21, 0xBA, 0xD6, 0x1A, 0xDF");
asm(".byte 0xFA, 0xE6, 0x1A, 0xF7, 0xFA, 0xDE, 0x1A, 0xDF, 0x4B, 0x6B, 0x98, 0xCE, 0x97, 0xCE, 0x57, 0xC6");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x66, 0x29, 0xEC, 0x5A, 0xC8, 0x31, 0x08, 0x32, 0x4A, 0x32, 0xFC, 0xD6");
asm(".byte 0xE9, 0x31, 0x29, 0x32, 0x29, 0x3A, 0x29, 0x42, 0xE8, 0x61, 0xE7, 0x69, 0x86, 0x41, 0x66, 0x31");
asm(".byte 0x65, 0x29, 0x45, 0x31, 0x45, 0x31, 0x24, 0x29, 0x44, 0x31, 0x07, 0x52, 0x06, 0x52, 0x27, 0x5A");
asm(".byte 0x27, 0x5A, 0x06, 0x52, 0x07, 0x5A, 0x06, 0x5A, 0x26, 0x5A, 0x27, 0x5A, 0x06, 0x5A, 0x06, 0x52");
asm(".byte 0x06, 0x5A, 0x26, 0x5A, 0x06, 0x5A, 0x27, 0x5A, 0x44, 0x39, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xC2, 0x20, 0x24, 0x39, 0x24, 0x39, 0x44, 0x41, 0xE6, 0x51, 0xC9, 0x72, 0x4B, 0x83, 0x6C, 0x83");
asm(".byte 0x8C, 0x8B, 0x4B, 0x83, 0xCA, 0x6A, 0x0B, 0x73, 0x4B, 0x83, 0xED, 0x93, 0x2F, 0xA4, 0x4F, 0xA4");
asm(".byte 0x8C, 0x8B, 0x0A, 0x7B, 0xC6, 0x51, 0x89, 0x5A, 0x44, 0x39, 0xC3, 0x38, 0x69, 0x9A, 0xCD, 0xF3");
asm(".byte 0x81, 0x68, 0x04, 0x81, 0x44, 0x81, 0x03, 0x49, 0x03, 0x39, 0xC2, 0x28, 0x61, 0x18, 0x61, 0x10");
asm(".byte 0x82, 0x10, 0x81, 0x18, 0x4B, 0x73, 0xA5, 0x41, 0xC2, 0x20, 0x81, 0x18, 0x82, 0x18, 0x82, 0x18");
asm(".byte 0x24, 0x29, 0xE3, 0x20, 0x03, 0x21, 0x65, 0x31, 0x82, 0x18, 0xE3, 0x28, 0xC3, 0x28, 0x82, 0x20");
asm(".byte 0xC3, 0x28, 0x61, 0x10, 0x26, 0x5A, 0xE5, 0x51, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x61, 0x08, 0x62, 0x10, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x03, 0x21, 0x41, 0x08, 0x61, 0x10, 0x00, 0x00");
asm(".byte 0xC6, 0x39, 0xF6, 0xC5, 0xFA, 0xE6, 0x78, 0xCE, 0xB6, 0xB5, 0x96, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0x34, 0xA5, 0x8A, 0x5A, 0x07, 0x4A, 0x2C, 0x6B, 0xB2, 0x94, 0x75, 0xAD, 0xB6, 0xB5, 0xF7, 0xBD");
asm(".byte 0xD6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD, 0xD6, 0xBD, 0xD7, 0xBD, 0xF3, 0x9C, 0xC6, 0x39");
asm(".byte 0x1B, 0xE7, 0xFA, 0xE6, 0xFA, 0xEE, 0xD9, 0xD6, 0xFA, 0xDE, 0x90, 0x8C, 0xB8, 0xD6, 0x98, 0xCE");
asm(".byte 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x66, 0x21, 0xCB, 0x4A, 0xE8, 0x31, 0x08, 0x32, 0x49, 0x32");
asm(".byte 0x1B, 0xD7, 0x29, 0x32, 0x29, 0x3A, 0x2A, 0x5A, 0x8B, 0x82, 0x08, 0x52, 0xC7, 0x31, 0x87, 0x31");
asm(".byte 0x86, 0x31, 0x65, 0x29, 0x65, 0x29, 0x45, 0x31, 0x45, 0x31, 0x44, 0x31, 0x07, 0x52, 0x06, 0x52");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x06, 0x52, 0x07, 0x5A, 0x06, 0x5A, 0x06, 0x52, 0x07, 0x5A, 0x06, 0x5A");
asm(".byte 0x07, 0x5A, 0x06, 0x52, 0x26, 0x5A, 0x06, 0x5A, 0x27, 0x5A, 0x84, 0x41, 0x03, 0x31, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xA2, 0x20, 0x03, 0x29, 0x03, 0x31, 0x44, 0x41, 0x64, 0x49, 0x88, 0x6A, 0x6B, 0x83");
asm(".byte 0x2B, 0x7B, 0x2B, 0x7B, 0xEA, 0x72, 0x88, 0x62, 0x89, 0x62, 0xEA, 0x6A, 0x4B, 0x7B, 0xED, 0x93");
asm(".byte 0x4F, 0x9C, 0x2E, 0x9C, 0x6B, 0x8B, 0xC9, 0x72, 0xEA, 0x7A, 0x28, 0x52, 0xA6, 0x41, 0x61, 0x10");
asm(".byte 0x82, 0x30, 0x28, 0xA2, 0x26, 0xDA, 0xC5, 0xD9, 0x85, 0xA9, 0x03, 0x51, 0x44, 0x41, 0x03, 0x39");
asm(".byte 0x64, 0x41, 0xA6, 0x49, 0xE6, 0x49, 0x44, 0x39, 0x61, 0x18, 0x82, 0x18, 0xA2, 0x20, 0xA2, 0x20");
asm(".byte 0x61, 0x18, 0x24, 0x29, 0x81, 0x10, 0x89, 0x5A, 0x85, 0x39, 0x82, 0x18, 0xC2, 0x20, 0x61, 0x18");
asm(".byte 0xC3, 0x20, 0x82, 0x18, 0xE2, 0x20, 0x46, 0x62, 0x05, 0x52, 0x40, 0x10, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x62, 0x10, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0xA3, 0x18, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0xA2, 0x10, 0x40, 0x08, 0x62, 0x18");
asm(".byte 0x00, 0x00, 0xC3, 0x20, 0xCE, 0x7B, 0x1B, 0xE7, 0xFA, 0xE6, 0xF7, 0xBD, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0xD6, 0xB5, 0x95, 0xB5, 0x71, 0x94, 0xCA, 0x62, 0x2C, 0x6B, 0xCF, 0x7B, 0x34, 0xA5, 0x96, 0xB5");
asm(".byte 0xB6, 0xB5, 0x58, 0xCE, 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xB5, 0xD7, 0xBD, 0xD6, 0xBD, 0xF7, 0xBD");
asm(".byte 0x0F, 0x84, 0xEF, 0x7B, 0xDA, 0xEE, 0xD9, 0xEE, 0xB9, 0xD6, 0xB8, 0xD6, 0xB5, 0xB5, 0xB8, 0xD6");
asm(".byte 0x98, 0xCE, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x66, 0x21, 0xCC, 0x52, 0x08, 0x32, 0x08, 0x32");
asm(".byte 0x09, 0x3A, 0x10, 0x7C, 0x29, 0x52, 0xAB, 0x72, 0x6A, 0x5A, 0x49, 0x3A, 0x09, 0x32, 0xC7, 0x31");
asm(".byte 0xA7, 0x29, 0x66, 0x29, 0x65, 0x31, 0x45, 0x31, 0x45, 0x31, 0x44, 0x29, 0x44, 0x31, 0xE7, 0x51");
asm(".byte 0x06, 0x52, 0x07, 0x52, 0x27, 0x5A, 0x06, 0x52, 0x06, 0x5A, 0x06, 0x52, 0xE6, 0x51, 0x06, 0x52");
asm(".byte 0x27, 0x5A, 0x64, 0x41, 0x06, 0x52, 0x06, 0x5A, 0x06, 0x5A, 0x26, 0x5A, 0xC5, 0x49, 0x24, 0x39");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0xE2, 0x28, 0xA2, 0x20, 0x03, 0x31, 0x44, 0x39, 0x64, 0x41, 0x68, 0x62");
asm(".byte 0x6C, 0x83, 0x8C, 0x8B, 0x2B, 0x7B, 0xEA, 0x72, 0x68, 0x5A, 0xE6, 0x49, 0xA9, 0x62, 0xC9, 0x6A");
asm(".byte 0x8C, 0x83, 0x2E, 0x9C, 0x4F, 0x9C, 0xCD, 0x93, 0x0A, 0x7B, 0xC9, 0x72, 0x77, 0xE6, 0x68, 0x62");
asm(".byte 0x64, 0x39, 0xC3, 0x20, 0x41, 0x10, 0xC3, 0x48, 0x07, 0x9A, 0x05, 0xD2, 0x05, 0xD2, 0x44, 0x61");
asm(".byte 0x64, 0x51, 0xA5, 0x51, 0x85, 0x49, 0xE2, 0x28, 0x81, 0x18, 0xE3, 0x30, 0xE3, 0x28, 0xA2, 0x20");
asm(".byte 0xA2, 0x20, 0x82, 0x18, 0xC2, 0x20, 0xA2, 0x18, 0x20, 0x08, 0xA2, 0x18, 0xA2, 0x20, 0xC2, 0x28");
asm(".byte 0xA2, 0x20, 0xA2, 0x20, 0x20, 0x08, 0xC5, 0x49, 0x46, 0x5A, 0x26, 0x5A, 0x81, 0x18, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x21, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x82, 0x10, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0xE3, 0x20, 0x20, 0x00");
asm(".byte 0x61, 0x10, 0x20, 0x08, 0xA2, 0x18, 0x86, 0x31, 0x58, 0xD6, 0xFA, 0xE6, 0x99, 0xD6, 0xD6, 0xB5");
asm(".byte 0xB6, 0xB5, 0xD6, 0xBD, 0xB6, 0xB5, 0x95, 0xB5, 0x6D, 0x73, 0x0B, 0x63, 0x8D, 0x73, 0xF3, 0x9C");
asm(".byte 0x75, 0xAD, 0xB6, 0xB5, 0xB6, 0xB5, 0x38, 0xC6, 0x96, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0x38, 0xC6, 0xF7, 0xBD, 0x69, 0x4A, 0x58, 0xDE, 0xB9, 0xE6, 0x98, 0xD6, 0xB8, 0xD6, 0xD1, 0x94");
asm(".byte 0x1A, 0xDF, 0x98, 0xCE, 0x77, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x29, 0x0D, 0x5B, 0x09, 0x3A");
asm(".byte 0x08, 0x3A, 0x29, 0x52, 0x11, 0x9C, 0x6A, 0x52, 0x8A, 0x3A, 0x8B, 0x32, 0x4A, 0x32, 0x29, 0x32");
asm(".byte 0xE8, 0x31, 0xC7, 0x31, 0x86, 0x31, 0x65, 0x29, 0x65, 0x31, 0x45, 0x31, 0x44, 0x29, 0x24, 0x31");
asm(".byte 0xE6, 0x49, 0xE6, 0x49, 0x07, 0x52, 0x27, 0x5A, 0x06, 0x52, 0x06, 0x52, 0x06, 0x52, 0x85, 0x41");
asm(".byte 0xC6, 0x49, 0x06, 0x52, 0xC5, 0x49, 0x06, 0x52, 0xE6, 0x51, 0x06, 0x5A, 0x06, 0x5A, 0xE6, 0x51");
asm(".byte 0x44, 0x39, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x20, 0xC2, 0x20, 0x03, 0x29, 0x03, 0x31, 0x44, 0x41");
asm(".byte 0xE6, 0x59, 0x2A, 0x7B, 0xAD, 0x8B, 0x4B, 0x83, 0x0A, 0x7B, 0x88, 0x62, 0xC6, 0x49, 0x27, 0x52");
asm(".byte 0x88, 0x62, 0xCA, 0x6A, 0xCD, 0x93, 0x4F, 0x9C, 0x0E, 0x94, 0x6B, 0x83, 0xC9, 0x72, 0xF1, 0xB4");
asm(".byte 0x0E, 0x9C, 0x4B, 0x7B, 0x88, 0x62, 0x06, 0x52, 0x81, 0x20, 0x61, 0x20, 0xC2, 0x58, 0xE5, 0xB1");
asm(".byte 0xA4, 0x81, 0xE2, 0x48, 0xE3, 0x38, 0xE3, 0x38, 0x03, 0x31, 0x03, 0x39, 0xE3, 0x30, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x24, 0x39, 0xA2, 0x28, 0x82, 0x18, 0x82, 0x18, 0x82, 0x10, 0xA2, 0x20, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xA2, 0x20, 0xA2, 0x20, 0x61, 0x10, 0x26, 0x5A, 0x46, 0x5A, 0x46, 0x5A, 0x03, 0x31");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x41, 0x10, 0xA3, 0x20, 0xC3, 0x20, 0x6D, 0x73, 0xFB, 0xE6, 0xFA, 0xE6");
asm(".byte 0x17, 0xC6, 0xD7, 0xBD, 0xF7, 0xBD, 0x17, 0xBE, 0x17, 0xBE, 0xD2, 0x9C, 0x6D, 0x73, 0x0B, 0x63");
asm(".byte 0x30, 0x84, 0x55, 0xAD, 0xB6, 0xB5, 0xB6, 0xB5, 0x59, 0xC6, 0x79, 0xCE, 0x79, 0xCE, 0x79, 0xCE");
asm(".byte 0x79, 0xCE, 0x79, 0xCE, 0xD6, 0xBD, 0xF3, 0x9C, 0xCA, 0x6A, 0xD9, 0xE6, 0x78, 0xCE, 0x78, 0xCE");
asm(".byte 0xB1, 0x94, 0x1A, 0xDF, 0x3A, 0xDF, 0xF9, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x31, 0x4D, 0x6B");
asm(".byte 0x6A, 0x62, 0x6A, 0x6A, 0x29, 0x52, 0xAF, 0x73, 0x6A, 0x32, 0xAB, 0x32, 0xAB, 0x3A, 0x6A, 0x3A");
asm(".byte 0x29, 0x32, 0xE8, 0x31, 0xC7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x45, 0x31, 0x45, 0x29, 0x45, 0x29");
asm(".byte 0x24, 0x31, 0xA6, 0x41, 0xE6, 0x49, 0xE6, 0x49, 0x27, 0x52, 0x06, 0x52, 0xE6, 0x51, 0x06, 0x4A");
asm(".byte 0x24, 0x31, 0x64, 0x39, 0xE6, 0x51, 0x64, 0x39, 0xE6, 0x51, 0xC5, 0x49, 0x26, 0x5A, 0x26, 0x5A");
asm(".byte 0x26, 0x5A, 0x44, 0x39, 0x23, 0x31, 0x03, 0x31, 0xE3, 0x28, 0xC2, 0x20, 0xC2, 0x20, 0x03, 0x29");
asm(".byte 0x44, 0x39, 0x84, 0x41, 0x88, 0x6A, 0xAD, 0x8B, 0xCD, 0x8B, 0x4B, 0x83, 0xC9, 0x6A, 0x07, 0x52");
asm(".byte 0xC6, 0x49, 0x07, 0x4A, 0x89, 0x62, 0x2B, 0x7B, 0xEE, 0x93, 0x0E, 0x94, 0xED, 0x93, 0x0A, 0x7B");
asm(".byte 0x09, 0x7B, 0x15, 0xDE, 0x2B, 0x83, 0x0A, 0x7B, 0x0A, 0x7B, 0xC9, 0x7A, 0xC5, 0x51, 0xA2, 0x28");
asm(".byte 0xA3, 0x38, 0xA4, 0x79, 0x84, 0x89, 0x24, 0x49, 0x64, 0x49, 0xE3, 0x38, 0x61, 0x20, 0xC2, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x30, 0xE3, 0x30, 0xC2, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0xE3, 0x30, 0xC2, 0x28, 0x82, 0x18, 0x03, 0x29, 0x46, 0x5A, 0x26, 0x5A, 0x67, 0x62");
asm(".byte 0x85, 0x41, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x61, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0xA2, 0x18, 0x41, 0x08, 0x41, 0x10, 0x82, 0x10, 0x82, 0x18, 0xA2, 0x20, 0xE3, 0x20, 0xBA, 0xDE");
asm(".byte 0xFB, 0xE6, 0x99, 0xD6, 0xD6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD, 0x17, 0xC6, 0x54, 0xAD, 0x71, 0x8C");
asm(".byte 0x89, 0x52, 0x6D, 0x73, 0xD2, 0x94, 0x95, 0xAD, 0x96, 0xB5, 0x38, 0xC6, 0xB6, 0xB5, 0x96, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0x58, 0xCE, 0xD6, 0xB5, 0xD6, 0xBD, 0x89, 0x5A, 0xB5, 0xC5, 0x98, 0xCE");
asm(".byte 0x98, 0xCE, 0xD1, 0x94, 0x3A, 0xDF, 0x57, 0xC6, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0x52");
asm(".byte 0xAF, 0x93, 0x49, 0x4A, 0x29, 0x32, 0x29, 0x32, 0xAF, 0x6B, 0x6A, 0x32, 0xAB, 0x32, 0xAB, 0x3A");
asm(".byte 0x6A, 0x3A, 0x29, 0x32, 0xE8, 0x31, 0xC7, 0x29, 0x86, 0x31, 0x66, 0x31, 0x65, 0x31, 0x66, 0x31");
asm(".byte 0x24, 0x29, 0x24, 0x31, 0x85, 0x39, 0xC6, 0x49, 0xC6, 0x49, 0x27, 0x5A, 0xE6, 0x51, 0x06, 0x52");
asm(".byte 0xE7, 0x49, 0x24, 0x29, 0x04, 0x29, 0x64, 0x41, 0x85, 0x41, 0xC5, 0x49, 0xA5, 0x49, 0x06, 0x5A");
asm(".byte 0x26, 0x5A, 0x27, 0x62, 0x64, 0x41, 0x44, 0x39, 0x03, 0x29, 0x03, 0x29, 0xE3, 0x28, 0xC2, 0x20");
asm(".byte 0x03, 0x29, 0x03, 0x31, 0x64, 0x41, 0x47, 0x62, 0x6C, 0x83, 0xEE, 0x93, 0x8C, 0x83, 0x6C, 0x83");
asm(".byte 0x47, 0x5A, 0xA5, 0x41, 0xE6, 0x49, 0x48, 0x5A, 0x68, 0x5A, 0x6C, 0x83, 0xEE, 0x93, 0xEE, 0x93");
asm(".byte 0x8C, 0x8B, 0xC9, 0x72, 0xCD, 0x93, 0x0E, 0x94, 0xA9, 0x6A, 0xEA, 0x7A, 0xE9, 0x7A, 0xA9, 0x7A");
asm(".byte 0x67, 0x72, 0xC5, 0x59, 0x24, 0x59, 0x64, 0x69, 0xA1, 0x40, 0xC3, 0x30, 0x64, 0x41, 0x85, 0x49");
asm(".byte 0x44, 0x39, 0x03, 0x31, 0x61, 0x18, 0xA2, 0x20, 0xA2, 0x20, 0xA2, 0x20, 0xA2, 0x20, 0xE3, 0x28");
asm(".byte 0xA2, 0x20, 0x03, 0x31, 0xC2, 0x28, 0xC3, 0x28, 0x41, 0x08, 0xA5, 0x49, 0x46, 0x5A, 0x26, 0x5A");
asm(".byte 0xA8, 0x6A, 0x06, 0x4A, 0x20, 0x00, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x62, 0x10, 0x62, 0x10, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08");
asm(".byte 0x41, 0x08, 0xC3, 0x18, 0x41, 0x08, 0x41, 0x10, 0x82, 0x18, 0x82, 0x18, 0xC3, 0x20, 0x82, 0x18");
asm(".byte 0x8E, 0x7B, 0xDA, 0xDE, 0xDA, 0xE6, 0xF7, 0xBD, 0xB6, 0xB5, 0xD6, 0xB5, 0xD7, 0xBD, 0xF7, 0xBD");
asm(".byte 0xF3, 0x9C, 0x4C, 0x6B, 0x0C, 0x63, 0x8E, 0x73, 0x54, 0xA5, 0x18, 0xC6, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD, 0x58, 0xCE, 0xD6, 0xB5, 0x34, 0xAD, 0xCA, 0x6A");
asm(".byte 0x98, 0xCE, 0x98, 0xCE, 0xB5, 0xB5, 0x77, 0xCE, 0x77, 0xCE, 0x57, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xA7, 0x31, 0x2C, 0x53, 0x49, 0x32, 0x49, 0x32, 0x29, 0x32, 0x93, 0x84, 0x8B, 0x32, 0x4E, 0x4B");
asm(".byte 0xCC, 0x3A, 0x4A, 0x32, 0x08, 0x32, 0xC7, 0x31, 0x87, 0x31, 0x86, 0x31, 0x65, 0x31, 0x45, 0x29");
asm(".byte 0x24, 0x29, 0x45, 0x31, 0x24, 0x29, 0x45, 0x31, 0xC6, 0x49, 0xC6, 0x49, 0x07, 0x52, 0xE6, 0x51");
asm(".byte 0xE6, 0x51, 0xC5, 0x41, 0x24, 0x31, 0x23, 0x29, 0x23, 0x31, 0xC6, 0x49, 0xA5, 0x49, 0x85, 0x41");
asm(".byte 0xA5, 0x49, 0xC5, 0x51, 0x06, 0x5A, 0xA5, 0x49, 0x44, 0x39, 0x03, 0x31, 0x03, 0x29, 0xC2, 0x20");
asm(".byte 0xA2, 0x20, 0xC2, 0x20, 0x03, 0x31, 0x64, 0x39, 0xE6, 0x51, 0xA9, 0x72, 0x0E, 0x94, 0xCD, 0x8B");
asm(".byte 0x4B, 0x7B, 0xE9, 0x6A, 0xE6, 0x49, 0xA5, 0x41, 0xA5, 0x41, 0x07, 0x4A, 0x89, 0x62, 0xAD, 0x8B");
asm(".byte 0x0D, 0x94, 0xCD, 0x93, 0x2B, 0x7B, 0xC9, 0x72, 0x8D, 0x83, 0x4C, 0x7B, 0xCA, 0x72, 0xEA, 0x7A");
asm(".byte 0xC9, 0x7A, 0xA8, 0x72, 0x47, 0x72, 0x27, 0x72, 0x68, 0xC2, 0x29, 0xEB, 0x06, 0xAA, 0x03, 0x49");
asm(".byte 0x61, 0x20, 0x40, 0x18, 0x61, 0x18, 0x81, 0x20, 0xA2, 0x20, 0xE3, 0x28, 0xE3, 0x28, 0xA2, 0x20");
asm(".byte 0x82, 0x20, 0x81, 0x18, 0x03, 0x31, 0xE3, 0x28, 0xC3, 0x20, 0x20, 0x08, 0x06, 0x5A, 0x26, 0x5A");
asm(".byte 0x47, 0x5A, 0xC9, 0x6A, 0x27, 0x52, 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x62, 0x10, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x21, 0x08, 0xC3, 0x18, 0x82, 0x10, 0x41, 0x08, 0x82, 0x18, 0x61, 0x18, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x20, 0x99, 0xDE, 0xDA, 0xE6, 0x99, 0xD6, 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xBD");
asm(".byte 0x38, 0xC6, 0x95, 0xB5, 0x13, 0xA5, 0x69, 0x52, 0x2C, 0x63, 0xB2, 0x94, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x38, 0xC6, 0xB6, 0xB5, 0xB6, 0xC5");
asm(".byte 0x08, 0x52, 0xD6, 0xB5, 0x77, 0xCE, 0xF1, 0x9C, 0xF5, 0xBD, 0xF5, 0xBD, 0x94, 0xAD, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x87, 0x29, 0x8B, 0x42, 0x29, 0x32, 0x4A, 0x32, 0x29, 0x32, 0xB3, 0x8C, 0x6A, 0x32");
asm(".byte 0x4E, 0x43, 0xAB, 0x3A, 0x29, 0x32, 0xC7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x66, 0x31, 0x65, 0x31");
asm(".byte 0x45, 0x29, 0x45, 0x29, 0x25, 0x31, 0x25, 0x29, 0x24, 0x31, 0xA6, 0x41, 0xA6, 0x41, 0xE6, 0x49");
asm(".byte 0xC6, 0x49, 0xC6, 0x49, 0x24, 0x31, 0x23, 0x31, 0x03, 0x29, 0x03, 0x29, 0x85, 0x41, 0xA5, 0x49");
asm(".byte 0x85, 0x41, 0x44, 0x39, 0x64, 0x39, 0xC5, 0x49, 0xA5, 0x49, 0x44, 0x39, 0x23, 0x31, 0x03, 0x31");
asm(".byte 0xC2, 0x28, 0xE3, 0x28, 0xE2, 0x20, 0x03, 0x29, 0x44, 0x31, 0xA5, 0x49, 0x48, 0x62, 0x0D, 0x94");
asm(".byte 0x0E, 0x94, 0xC9, 0x6A, 0x0A, 0x73, 0x68, 0x62, 0x85, 0x41, 0x64, 0x39, 0x07, 0x4A, 0xE6, 0x49");
asm(".byte 0xEA, 0x72, 0xED, 0x93, 0xEE, 0x93, 0x8C, 0x8B, 0xEA, 0x72, 0x27, 0x5A, 0x68, 0x5A, 0xCD, 0x83");
asm(".byte 0xE9, 0x72, 0xEA, 0x7A, 0xC9, 0x72, 0xA9, 0x72, 0x67, 0x72, 0x27, 0x72, 0x47, 0xBA, 0x08, 0xFB");
asm(".byte 0x47, 0xC2, 0x27, 0x7A, 0xA5, 0x59, 0xE3, 0x28, 0x03, 0x39, 0xC2, 0x28, 0x20, 0x10, 0x61, 0x18");
asm(".byte 0xA2, 0x20, 0xE3, 0x28, 0x03, 0x29, 0xE2, 0x28, 0xC2, 0x28, 0x81, 0x18, 0x41, 0x10, 0x26, 0x52");
asm(".byte 0xA8, 0x62, 0xE9, 0x6A, 0xEA, 0x72, 0x07, 0x52, 0xE3, 0x20, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x62, 0x10, 0x21, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0xA2, 0x18, 0xA2, 0x10, 0x20, 0x08, 0xC3, 0x20, 0x82, 0x18");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0x82, 0x18, 0x8D, 0x7B, 0xB9, 0xDE, 0xDA, 0xE6, 0xF7, 0xBD, 0xB6, 0xB5");
asm(".byte 0xD7, 0xBD, 0x38, 0xC6, 0x78, 0xCE, 0xD6, 0xBD, 0xD2, 0x9C, 0x2C, 0x6B, 0x71, 0x8C, 0x54, 0xAD");
asm(".byte 0x96, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xD6, 0xB5, 0xB6, 0xB5, 0xD7, 0xBD, 0x79, 0xCE");
asm(".byte 0x59, 0xD6, 0xD2, 0xB4, 0x10, 0x84, 0xD9, 0xD6, 0x70, 0x8C, 0x16, 0xBE, 0xD5, 0xB5, 0xB4, 0xB5");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x29, 0x8A, 0x42, 0x29, 0x32, 0x6A, 0x3A, 0x49, 0x32, 0xCF, 0x6B");
asm(".byte 0x4A, 0x32, 0x8A, 0x3A, 0x4A, 0x3A, 0xE8, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x66, 0x31");
asm(".byte 0x45, 0x31, 0x45, 0x31, 0x25, 0x31, 0x45, 0x31, 0x25, 0x31, 0x24, 0x31, 0x65, 0x39, 0x85, 0x41");
asm(".byte 0xA5, 0x41, 0xA5, 0x41, 0x44, 0x31, 0x04, 0x29, 0x03, 0x29, 0x03, 0x31, 0x03, 0x31, 0x23, 0x31");
asm(".byte 0x44, 0x39, 0x44, 0x39, 0x03, 0x31, 0x44, 0x39, 0x85, 0x41, 0xA5, 0x49, 0x23, 0x39, 0x23, 0x39");
asm(".byte 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0xE2, 0x20, 0x03, 0x29, 0x03, 0x29, 0x64, 0x39, 0x27, 0x62");
asm(".byte 0xAC, 0x8B, 0x2E, 0x9C, 0x6C, 0x83, 0x06, 0x52, 0xA9, 0x6A, 0x27, 0x52, 0x85, 0x41, 0x85, 0x41");
asm(".byte 0xE6, 0x49, 0x07, 0x52, 0x4B, 0x7B, 0xEE, 0x93, 0xCD, 0x93, 0x2B, 0x7B, 0x89, 0x6A, 0x24, 0x31");
asm(".byte 0x0B, 0x6B, 0x0E, 0x94, 0x0A, 0x7B, 0xE9, 0x7A, 0xA9, 0x72, 0xA8, 0x72, 0x88, 0x72, 0x47, 0x72");
asm(".byte 0x47, 0xC2, 0xE8, 0xFA, 0x27, 0xBA, 0xE6, 0x69, 0x06, 0x62, 0x44, 0x49, 0xE6, 0x59, 0xA2, 0x20");
asm(".byte 0x64, 0x39, 0x20, 0x10, 0x81, 0x18, 0x82, 0x20, 0xC2, 0x28, 0xC3, 0x28, 0x20, 0x08, 0x20, 0x08");
asm(".byte 0x20, 0x08, 0x64, 0x31, 0xE9, 0x6A, 0x0A, 0x73, 0x07, 0x4A, 0x40, 0x08, 0x61, 0x10, 0x41, 0x08");
asm(".byte 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x00, 0x00, 0xC3, 0x20");
asm(".byte 0x61, 0x18, 0xC3, 0x20, 0xC3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x58, 0xD6, 0xDA, 0xE6, 0x99, 0xD6");
asm(".byte 0xB6, 0xB5, 0xB6, 0xB5, 0x58, 0xCE, 0x58, 0xCE, 0x34, 0xAD, 0x71, 0x94, 0xAA, 0x5A, 0xE7, 0x41");
asm(".byte 0x0F, 0x84, 0x96, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x38, 0xC6");
asm(".byte 0x95, 0xB5, 0xB6, 0xBD, 0xD7, 0xDD, 0xC7, 0x39, 0xD5, 0xB5, 0x32, 0xA5, 0xB4, 0xB5, 0x73, 0xA5");
asm(".byte 0x53, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x29, 0x6A, 0x3A, 0x29, 0x32, 0x29, 0x32, 0x49, 0x3A");
asm(".byte 0xAF, 0x6B, 0x29, 0x32, 0x29, 0x32, 0x08, 0x32, 0xC8, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x86, 0x31");
asm(".byte 0x66, 0x31, 0x65, 0x31, 0x45, 0x31, 0x25, 0x31, 0x25, 0x31, 0x25, 0x31, 0x44, 0x31, 0x45, 0x31");
asm(".byte 0x85, 0x41, 0xA5, 0x41, 0x45, 0x39, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x03, 0x29, 0x04, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x29, 0x03, 0x29, 0x24, 0x31, 0x64, 0x39, 0xC5, 0x49, 0x23, 0x39");
asm(".byte 0x23, 0x31, 0x03, 0x31, 0x03, 0x29, 0xC2, 0x20, 0xE2, 0x20, 0xE2, 0x20, 0xE3, 0x28, 0x64, 0x39");
asm(".byte 0x68, 0x6A, 0x0A, 0x83, 0xED, 0x93, 0x8C, 0x83, 0x07, 0x52, 0xE6, 0x49, 0x06, 0x52, 0x65, 0x41");
asm(".byte 0x24, 0x31, 0xE6, 0x49, 0xC6, 0x49, 0xA9, 0x62, 0xAD, 0x8B, 0x0E, 0x94, 0x8C, 0x83, 0xC9, 0x72");
asm(".byte 0x64, 0x41, 0xC2, 0x20, 0xEA, 0x6A, 0x90, 0xA4, 0x4B, 0x83, 0xC9, 0x7A, 0xC9, 0x72, 0x89, 0x72");
asm(".byte 0x88, 0x72, 0x68, 0x72, 0x48, 0xC2, 0xC7, 0xFA, 0xE6, 0xA1, 0xC6, 0x59, 0xC6, 0x51, 0x84, 0x49");
asm(".byte 0x07, 0x5A, 0xE3, 0x28, 0xC3, 0x28, 0x44, 0x31, 0x65, 0x39, 0x03, 0x31, 0xE2, 0x28, 0xA2, 0x20");
asm(".byte 0x20, 0x08, 0x82, 0x10, 0x82, 0x10, 0xC2, 0x20, 0x6C, 0x83, 0xE6, 0x49, 0x41, 0x08, 0x61, 0x10");
asm(".byte 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x20, 0x00, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x10, 0x04, 0x21, 0x00, 0x00");
asm(".byte 0x82, 0x18, 0x61, 0x18, 0xE3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xA2, 0x20, 0x30, 0x8C, 0x99, 0xDE");
asm(".byte 0xDA, 0xDE, 0xF6, 0xBD, 0xB6, 0xB5, 0x17, 0xC6, 0x79, 0xD6, 0x96, 0xB5, 0x8E, 0x7B, 0xCE, 0x83");
asm(".byte 0x65, 0x39, 0x28, 0x52, 0xD2, 0x9C, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xD7, 0xBD");
asm(".byte 0xF7, 0xBD, 0x75, 0xAD, 0x75, 0xB5, 0xB6, 0xDD, 0x28, 0x4A, 0x74, 0xAD, 0xD1, 0x94, 0xB5, 0xB5");
asm(".byte 0x53, 0xA5, 0x12, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x29, 0x49, 0x3A, 0x29, 0x32, 0x29, 0x32");
asm(".byte 0x09, 0x32, 0x8F, 0x6B, 0x08, 0x3A, 0x29, 0x32, 0x08, 0x32, 0xC7, 0x31, 0xC7, 0x31, 0xA7, 0x31");
asm(".byte 0x86, 0x31, 0x66, 0x31, 0x66, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x24, 0x31, 0x45, 0x31");
asm(".byte 0x45, 0x31, 0x65, 0x39, 0x65, 0x39, 0x24, 0x31, 0x04, 0x29, 0x03, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x29, 0x23, 0x31, 0x44, 0x39, 0x84, 0x41");
asm(".byte 0x64, 0x39, 0x23, 0x31, 0x03, 0x31, 0x03, 0x31, 0xC2, 0x28, 0x23, 0x29, 0xE2, 0x28, 0xE3, 0x28");
asm(".byte 0x23, 0x31, 0xC5, 0x49, 0xC9, 0x72, 0xAC, 0x8B, 0x8C, 0x8B, 0x89, 0x62, 0x23, 0x31, 0xA5, 0x41");
asm(".byte 0xA6, 0x49, 0x44, 0x39, 0x64, 0x39, 0x07, 0x52, 0xC6, 0x49, 0xEA, 0x6A, 0x0E, 0x94, 0x0E, 0x94");
asm(".byte 0x2B, 0x7B, 0x27, 0x5A, 0x24, 0x31, 0x03, 0x29, 0x27, 0x5A, 0xB1, 0xAC, 0xED, 0x93, 0xEA, 0x7A");
asm(".byte 0xA9, 0x72, 0xA8, 0x72, 0xA9, 0x72, 0x68, 0x72, 0x48, 0xBA, 0xA8, 0xF2, 0x85, 0x89, 0xA5, 0x51");
asm(".byte 0xC5, 0x51, 0xE6, 0x61, 0xE3, 0x30, 0x07, 0x52, 0x20, 0x08, 0xA6, 0x41, 0xE6, 0x49, 0xE6, 0x49");
asm(".byte 0x65, 0x39, 0x41, 0x10, 0x40, 0x08, 0x61, 0x08, 0x41, 0x08, 0xCA, 0x62, 0xA5, 0x41, 0x61, 0x10");
asm(".byte 0x61, 0x10, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x21, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x61, 0x10");
asm(".byte 0x00, 0x00, 0x61, 0x10, 0x61, 0x10, 0xE3, 0x28, 0xC3, 0x28, 0xA3, 0x20, 0x04, 0x29, 0x24, 0x31");
asm(".byte 0x38, 0xD6, 0xDA, 0xDE, 0x58, 0xCE, 0xF7, 0xBD, 0xD6, 0xBD, 0x78, 0xCE, 0xD6, 0xBD, 0xAE, 0x7B");
asm(".byte 0x8E, 0x7B, 0x8A, 0x5A, 0xA2, 0x20, 0xAA, 0x5A, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5");
asm(".byte 0x58, 0xC6, 0x55, 0xAD, 0x34, 0xA5, 0x14, 0xAD, 0x54, 0xC5, 0x10, 0x9C, 0x4C, 0x63, 0x2F, 0x84");
asm(".byte 0x77, 0xCE, 0x53, 0xA5, 0x33, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x29, 0x4A, 0x3A, 0x29, 0x32");
asm(".byte 0x29, 0x32, 0x08, 0x32, 0x6E, 0x63, 0x29, 0x3A, 0x29, 0x3A, 0x09, 0x3A, 0xE8, 0x39, 0xC8, 0x39");
asm(".byte 0xA7, 0x31, 0x86, 0x31, 0x86, 0x31, 0x66, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31");
asm(".byte 0x44, 0x31, 0x24, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x04, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x44, 0x39");
asm(".byte 0x44, 0x39, 0xA5, 0x41, 0x23, 0x31, 0x23, 0x31, 0x03, 0x31, 0x03, 0x29, 0x03, 0x29, 0xC2, 0x28");
asm(".byte 0xE3, 0x28, 0x03, 0x31, 0x84, 0x41, 0x88, 0x62, 0x6B, 0x83, 0x8C, 0x83, 0xC9, 0x6A, 0x64, 0x39");
asm(".byte 0x23, 0x31, 0xC5, 0x49, 0xA5, 0x41, 0x24, 0x31, 0xC6, 0x41, 0xE6, 0x49, 0x47, 0x5A, 0x8C, 0x83");
asm(".byte 0x2E, 0x9C, 0xAD, 0x8B, 0xA9, 0x6A, 0x44, 0x39, 0xC2, 0x20, 0x23, 0x31, 0xA5, 0x49, 0x0E, 0x94");
asm(".byte 0xB0, 0xAC, 0x6B, 0x8B, 0xC9, 0x72, 0xA9, 0x72, 0x68, 0x6A, 0x27, 0x6A, 0x07, 0xBA, 0x67, 0xEA");
asm(".byte 0x85, 0x71, 0x44, 0x41, 0x06, 0x52, 0x26, 0x62, 0xE5, 0x49, 0xC2, 0x20, 0x82, 0x18, 0xC6, 0x41");
asm(".byte 0x07, 0x52, 0x07, 0x4A, 0xA2, 0x18, 0x45, 0x31, 0xC2, 0x20, 0x20, 0x08, 0x20, 0x08, 0x44, 0x31");
asm(".byte 0x81, 0x10, 0x82, 0x10, 0x62, 0x10, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x20, 0x00");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0xA6, 0x39, 0x41, 0x08, 0x41, 0x10, 0x61, 0x10, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xA2, 0x20, 0x54, 0xB5, 0x99, 0xD6, 0xB9, 0xDE, 0x18, 0xC6, 0x96, 0xB5, 0x38, 0xCE, 0x17, 0xCE");
asm(".byte 0x71, 0x94, 0x4D, 0x73, 0x8E, 0x7B, 0x45, 0x31, 0x45, 0x31, 0xD3, 0xA4, 0xD7, 0xBD, 0xD6, 0xBD");
asm(".byte 0xD6, 0xBD, 0x38, 0xCE, 0x55, 0xAD, 0xB2, 0x9C, 0x92, 0x94, 0xB2, 0x9C, 0xB2, 0xC4, 0x24, 0x21");
asm(".byte 0x2E, 0x84, 0x57, 0xCE, 0x94, 0xAD, 0x74, 0xAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x29, 0x49, 0x3A");
asm(".byte 0x29, 0x3A, 0x29, 0x32, 0x08, 0x3A, 0xF0, 0x73, 0x08, 0x32, 0x29, 0x3A, 0x29, 0x3A, 0x08, 0x3A");
asm(".byte 0xE8, 0x39, 0xA7, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x65, 0x31, 0x45, 0x31, 0x45, 0x31");
asm(".byte 0x24, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0x04, 0x29, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x44, 0x31, 0x44, 0x39, 0x64, 0x41, 0x44, 0x39, 0x23, 0x31, 0x03, 0x31, 0x03, 0x29, 0xE2, 0x28");
asm(".byte 0xE3, 0x28, 0x23, 0x31, 0x03, 0x31, 0x85, 0x41, 0x47, 0x5A, 0xA8, 0x6A, 0x2B, 0x7B, 0x0A, 0x73");
asm(".byte 0x07, 0x52, 0xE2, 0x28, 0x64, 0x39, 0xE6, 0x49, 0x44, 0x39, 0x64, 0x39, 0xE6, 0x49, 0xC6, 0x49");
asm(".byte 0x68, 0x62, 0xEE, 0x93, 0x0E, 0x94, 0x0A, 0x7B, 0xC6, 0x49, 0x03, 0x31, 0xE3, 0x28, 0x44, 0x39");
asm(".byte 0x84, 0x49, 0x47, 0x62, 0x0D, 0x9C, 0x0D, 0x9C, 0x8C, 0x8B, 0xA9, 0x6A, 0x27, 0x62, 0xE6, 0x61");
asm(".byte 0xE6, 0xB1, 0x27, 0xE2, 0x85, 0x69, 0xC6, 0x51, 0xC6, 0x51, 0x44, 0x39, 0x26, 0x5A, 0x41, 0x10");
asm(".byte 0xA6, 0x39, 0x07, 0x52, 0x27, 0x52, 0x24, 0x29, 0x24, 0x29, 0x65, 0x39, 0x49, 0x52, 0xC6, 0x49");
asm(".byte 0x81, 0x18, 0x41, 0x10, 0x61, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x21, 0x08, 0x41, 0x08, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x20, 0x00, 0x41, 0x08, 0x61, 0x10, 0xC3, 0x20, 0xE3, 0x28, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xE4, 0x28, 0xE7, 0x49, 0x38, 0xD6, 0xDA, 0xDE, 0x58, 0xCE, 0xB6, 0xB5, 0x17, 0xC6");
asm(".byte 0x58, 0xCE, 0x34, 0xB5, 0x0C, 0x6B, 0x6D, 0x73, 0xEB, 0x6A, 0x24, 0x31, 0x08, 0x4A, 0xB6, 0xB5");
asm(".byte 0x96, 0xB5, 0x96, 0xB5, 0xD7, 0xBD, 0x55, 0xAD, 0x50, 0x8C, 0x10, 0x8C, 0x10, 0x84, 0x10, 0xAC");
asm(".byte 0x04, 0x31, 0xEE, 0x7B, 0x94, 0xAD, 0x12, 0xA5, 0xF2, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x29");
asm(".byte 0x49, 0x3A, 0x29, 0x3A, 0x29, 0x3A, 0x08, 0x3A, 0xB3, 0x8C, 0x09, 0x32, 0x29, 0x3A, 0x49, 0x3A");
asm(".byte 0x08, 0x3A, 0xC8, 0x39, 0xA7, 0x39, 0xA7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x45, 0x31, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xE3, 0x28");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x04, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x31, 0x24, 0x31, 0x44, 0x39, 0x44, 0x39, 0x23, 0x31, 0x03, 0x31, 0x03, 0x29");
asm(".byte 0xC2, 0x20, 0x03, 0x31, 0xE2, 0x28, 0x03, 0x31, 0x03, 0x31, 0x85, 0x41, 0xE5, 0x51, 0x0A, 0x73");
asm(".byte 0x2A, 0x73, 0xA9, 0x62, 0x44, 0x39, 0xE3, 0x28, 0xE6, 0x49, 0x44, 0x39, 0x64, 0x39, 0x85, 0x39");
asm(".byte 0xA5, 0x41, 0xE6, 0x49, 0x2B, 0x7B, 0x2E, 0x94, 0x8C, 0x8B, 0x68, 0x62, 0x44, 0x39, 0xC2, 0x20");
asm(".byte 0x03, 0x31, 0x64, 0x39, 0x85, 0x49, 0xA5, 0x49, 0x27, 0x5A, 0x8C, 0x8B, 0x0E, 0x9C, 0x6C, 0x83");
asm(".byte 0xA9, 0x6A, 0xE7, 0x61, 0xE7, 0xB9, 0x27, 0xDA, 0x85, 0x59, 0x06, 0x52, 0x68, 0x6A, 0xA5, 0x49");
asm(".byte 0x61, 0x10, 0xE3, 0x28, 0x48, 0x5A, 0x48, 0x52, 0x64, 0x31, 0x81, 0x18, 0x68, 0x5A, 0x23, 0x29");
asm(".byte 0x24, 0x31, 0x68, 0x5A, 0x69, 0x5A, 0x65, 0x39, 0x40, 0x08, 0x61, 0x10, 0x61, 0x08, 0x20, 0x00");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x20, 0x08, 0x65, 0x31, 0x61, 0x10, 0x41, 0x08, 0x61, 0x10, 0xA2, 0x20, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xC3, 0x20, 0xE3, 0x28, 0xC3, 0x20, 0xD6, 0xC5, 0x99, 0xDE, 0x79, 0xD6, 0x38, 0xC6");
asm(".byte 0xD6, 0xB5, 0x79, 0xD6, 0xB6, 0xBD, 0x8D, 0x7B, 0x2C, 0x6B, 0xCE, 0x83, 0x85, 0x39, 0xA2, 0x20");
asm(".byte 0x91, 0x94, 0x95, 0xB5, 0x96, 0xB5, 0x96, 0xB5, 0xF7, 0xBD, 0xEF, 0x83, 0xAE, 0x7B, 0x8E, 0x73");
asm(".byte 0x2C, 0x7B, 0xAA, 0x7A, 0x0C, 0x6B, 0x12, 0x9D, 0x32, 0xA5, 0xD1, 0x94, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xA7, 0x29, 0x29, 0x3A, 0x49, 0x3A, 0x49, 0x3A, 0x29, 0x3A, 0x8F, 0x6B, 0x29, 0x3A, 0x29, 0x3A");
asm(".byte 0x29, 0x3A, 0x08, 0x3A, 0xC8, 0x39, 0xA7, 0x31, 0x66, 0x31, 0x45, 0x29, 0x45, 0x29, 0x25, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0x04, 0x29, 0xE4, 0x28, 0x04, 0x29");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x04, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x23, 0x31, 0x23, 0x31, 0x03, 0x31, 0x23, 0x31");
asm(".byte 0x03, 0x29, 0xC2, 0x20, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0x03, 0x29, 0x64, 0x39, 0xA5, 0x49");
asm(".byte 0x88, 0x62, 0xEA, 0x72, 0xC9, 0x6A, 0xA6, 0x49, 0xC2, 0x28, 0xA5, 0x41, 0xE6, 0x49, 0x65, 0x41");
asm(".byte 0xC6, 0x49, 0x24, 0x31, 0x64, 0x39, 0x27, 0x5A, 0xCD, 0x8B, 0xCD, 0x93, 0xC9, 0x6A, 0xE6, 0x51");
asm(".byte 0x03, 0x29, 0xE3, 0x28, 0x24, 0x39, 0x64, 0x41, 0x85, 0x41, 0x85, 0x49, 0xC5, 0x51, 0xC5, 0x51");
asm(".byte 0x48, 0x62, 0x4C, 0x83, 0x6B, 0x7B, 0xC9, 0x72, 0x68, 0xCA, 0x28, 0xC2, 0x45, 0x49, 0x47, 0x62");
asm(".byte 0x85, 0x49, 0xC6, 0x41, 0x41, 0x10, 0xE7, 0x49, 0x68, 0x5A, 0xC6, 0x41, 0x61, 0x10, 0x28, 0x4A");
asm(".byte 0x89, 0x5A, 0xC6, 0x41, 0xC2, 0x20, 0x44, 0x39, 0xC6, 0x49, 0x44, 0x31, 0x03, 0x29, 0x20, 0x08");
asm(".byte 0x20, 0x00, 0x21, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x41, 0x08, 0xE3, 0x20, 0x41, 0x08, 0x41, 0x08, 0x82, 0x10, 0x82, 0x18");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0x45, 0x31, 0x28, 0x52, 0x79, 0xD6, 0xDA, 0xDE");
asm(".byte 0x38, 0xC6, 0xD6, 0xBD, 0x58, 0xCE, 0x38, 0xCE, 0x50, 0x94, 0x0C, 0x6B, 0x6D, 0x73, 0xAA, 0x62");
asm(".byte 0xA3, 0x20, 0x69, 0x52, 0x96, 0xB5, 0x75, 0xB5, 0xB6, 0xB5, 0xB6, 0xB5, 0x51, 0x8C, 0x8D, 0x73");
asm(".byte 0x6D, 0x73, 0x4C, 0x73, 0x10, 0xB4, 0x82, 0x18, 0xF1, 0x9C, 0x12, 0xA5, 0xD2, 0x94, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x86, 0x29, 0x09, 0x32, 0x29, 0x32, 0x29, 0x32, 0xE8, 0x31, 0x6E, 0x63, 0xE8, 0x31");
asm(".byte 0xE8, 0x31, 0xC8, 0x31, 0xA7, 0x29, 0x86, 0x29, 0x66, 0x31, 0x66, 0x29, 0x45, 0x29, 0x45, 0x29");
asm(".byte 0x25, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0xE4, 0x28, 0xE4, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x23, 0x31, 0x03, 0x31, 0x23, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0x23, 0x31");
asm(".byte 0x64, 0x39, 0x47, 0x5A, 0xC9, 0x6A, 0xC9, 0x6A, 0x47, 0x5A, 0x24, 0x31, 0x03, 0x31, 0x69, 0x62");
asm(".byte 0xC6, 0x49, 0xE6, 0x49, 0x24, 0x31, 0x03, 0x31, 0x64, 0x41, 0x0A, 0x73, 0xCD, 0x8B, 0x4B, 0x7B");
asm(".byte 0x88, 0x62, 0x44, 0x39, 0xA2, 0x20, 0x03, 0x31, 0x44, 0x39, 0x64, 0x41, 0x64, 0x41, 0x85, 0x41");
asm(".byte 0x85, 0x49, 0x84, 0x41, 0x64, 0x41, 0x64, 0x49, 0x28, 0x5A, 0xCA, 0x8A, 0x0B, 0xDB, 0xE7, 0x81");
asm(".byte 0x85, 0x49, 0x68, 0x6A, 0x24, 0x39, 0x61, 0x10, 0x85, 0x41, 0x68, 0x5A, 0x27, 0x52, 0xE3, 0x28");
asm(".byte 0x82, 0x18, 0x64, 0x31, 0xA9, 0x5A, 0xE3, 0x28, 0xE3, 0x20, 0xA2, 0x20, 0x23, 0x31, 0x07, 0x52");
asm(".byte 0x20, 0x08, 0x41, 0x08, 0x20, 0x00, 0x61, 0x08, 0x61, 0x08, 0x03, 0x21, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x62, 0x10, 0x61, 0x08, 0x41, 0x08, 0x62, 0x10");
asm(".byte 0x61, 0x18, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xE3, 0x28, 0x24, 0x29, 0xF7, 0xC5");
asm(".byte 0xDA, 0xDE, 0x79, 0xD6, 0x38, 0xC6, 0xF7, 0xBD, 0xBA, 0xD6, 0x54, 0xB5, 0x6D, 0x73, 0x0C, 0x6B");
asm(".byte 0x0C, 0x6B, 0x85, 0x39, 0xC3, 0x28, 0x34, 0xAD, 0x96, 0xB5, 0x75, 0xAD, 0xD7, 0xBD, 0xD2, 0x9C");
asm(".byte 0x2C, 0x6B, 0xEB, 0x6A, 0xCB, 0x62, 0x0C, 0x7B, 0xE3, 0x38, 0x0E, 0x7C, 0xF2, 0x9C, 0xD1, 0x94");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21, 0xE8, 0x31, 0xE8, 0x31, 0xE8, 0x31, 0xC8, 0x29, 0x4D, 0x5B");
asm(".byte 0xC8, 0x31, 0xC8, 0x31, 0xA7, 0x29, 0x87, 0x29, 0x86, 0x29, 0x66, 0x29, 0x66, 0x29, 0x45, 0x29");
asm(".byte 0x25, 0x29, 0x04, 0x29, 0x24, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0xE4, 0x28, 0xE4, 0x28, 0xE4, 0x28, 0xE3, 0x28, 0xE4, 0x28, 0x04, 0x29, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x03, 0x29, 0x03, 0x29, 0x03, 0x31, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0xE2, 0x28, 0x03, 0x29, 0xE3, 0x28, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x44, 0x39, 0x07, 0x52, 0x89, 0x62, 0xCA, 0x6A, 0xA9, 0x6A, 0x85, 0x41, 0xC2, 0x28");
asm(".byte 0x07, 0x52, 0x27, 0x52, 0xE6, 0x49, 0xC6, 0x49, 0x03, 0x31, 0x03, 0x31, 0x06, 0x5A, 0x8C, 0x8B");
asm(".byte 0x8C, 0x83, 0xC9, 0x72, 0x06, 0x5A, 0x03, 0x31, 0xE3, 0x28, 0x23, 0x31, 0x44, 0x39, 0x44, 0x39");
asm(".byte 0x44, 0x39, 0x64, 0x41, 0x64, 0x41, 0x44, 0x41, 0x44, 0x39, 0x23, 0x39, 0x04, 0x39, 0x44, 0x71");
asm(".byte 0xAA, 0xE2, 0x88, 0x82, 0x69, 0x62, 0x44, 0x39, 0x24, 0x31, 0xC2, 0x20, 0x68, 0x5A, 0x48, 0x5A");
asm(".byte 0xC6, 0x41, 0x61, 0x10, 0xE3, 0x20, 0xCA, 0x62, 0x24, 0x31, 0xE3, 0x20, 0xC2, 0x20, 0xC3, 0x20");
asm(".byte 0xC6, 0x49, 0x20, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x61, 0x08, 0xC3, 0x18, 0x62, 0x10");
asm(".byte 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x82, 0x10, 0xA2, 0x10, 0x41, 0x08");
asm(".byte 0x61, 0x10, 0x82, 0x18, 0xC3, 0x28, 0x24, 0x31, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0x45, 0x31");
asm(".byte 0xCB, 0x62, 0xB9, 0xDE, 0xDA, 0xDE, 0x38, 0xC6, 0x17, 0xC6, 0x99, 0xD6, 0x38, 0xCE, 0xAE, 0x83");
asm(".byte 0x0C, 0x6B, 0x0B, 0x6B, 0x69, 0x5A, 0xA2, 0x20, 0x0B, 0x6B, 0x95, 0xB5, 0x75, 0xB5, 0xF7, 0xBD");
asm(".byte 0x55, 0xAD, 0x0C, 0x6B, 0xCB, 0x62, 0xAA, 0x62, 0x89, 0x5A, 0x8E, 0x9B, 0xC6, 0x41, 0x12, 0x9D");
asm(".byte 0xD1, 0x94, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21, 0xE8, 0x31, 0xE8, 0x31, 0xE8, 0x29, 0xC7, 0x31");
asm(".byte 0x2D, 0x5B, 0xA7, 0x29, 0xA7, 0x29, 0xA7, 0x29, 0x86, 0x29, 0x86, 0x29, 0x66, 0x29, 0x45, 0x29");
asm(".byte 0x45, 0x29, 0x25, 0x29, 0x25, 0x29, 0x24, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xE4, 0x28, 0x04, 0x29, 0xE3, 0x28, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0xE2, 0x28, 0x03, 0x29, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x31, 0x23, 0x31, 0x85, 0x41, 0x68, 0x5A, 0xC9, 0x6A, 0xC9, 0x6A, 0x07, 0x52");
asm(".byte 0x24, 0x31, 0x64, 0x39, 0xAA, 0x62, 0x07, 0x4A, 0x68, 0x5A, 0x23, 0x31, 0x03, 0x31, 0x64, 0x41");
asm(".byte 0xA9, 0x6A, 0x6C, 0x83, 0x0A, 0x7B, 0x89, 0x6A, 0x44, 0x41, 0xC2, 0x20, 0x03, 0x31, 0x24, 0x39");
asm(".byte 0x24, 0x39, 0x44, 0x39, 0x44, 0x39, 0x64, 0x41, 0x64, 0x41, 0x44, 0x39, 0x44, 0x39, 0x23, 0x39");
asm(".byte 0x03, 0x39, 0x24, 0x81, 0xC6, 0xB9, 0x85, 0x59, 0x89, 0x62, 0xE6, 0x49, 0x61, 0x10, 0x68, 0x5A");
asm(".byte 0x89, 0x5A, 0xE6, 0x41, 0x61, 0x18, 0x69, 0x5A, 0x4C, 0x73, 0x85, 0x39, 0x03, 0x29, 0xE3, 0x20");
asm(".byte 0xC2, 0x20, 0x48, 0x52, 0x41, 0x10, 0x41, 0x08, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x04, 0x21, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0xC3, 0x20, 0xE3, 0x28, 0xE3, 0x28, 0x65, 0x39, 0xC3, 0x28, 0x04, 0x29");
asm(".byte 0x45, 0x31, 0x65, 0x39, 0x79, 0xD6, 0xDA, 0xDE, 0x79, 0xCE, 0x38, 0xC6, 0x79, 0xCE, 0xBA, 0xDE");
asm(".byte 0xF2, 0xA4, 0x8A, 0x5A, 0x0C, 0x6B, 0xCB, 0x62, 0x24, 0x31, 0x45, 0x31, 0x75, 0xB5, 0xB6, 0xB5");
asm(".byte 0x76, 0xB5, 0x95, 0xB5, 0xAE, 0x7B, 0xAA, 0x62, 0x8A, 0x5A, 0x89, 0x5A, 0x89, 0x6A, 0xC3, 0x28");
asm(".byte 0xF2, 0x9C, 0xB1, 0x94, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x65, 0x21, 0xE8, 0x31, 0xE8, 0x31, 0xE7, 0x29");
asm(".byte 0xC7, 0x29, 0x2D, 0x63, 0xA7, 0x29, 0xA7, 0x29, 0xA7, 0x29, 0x86, 0x29, 0x86, 0x31, 0x66, 0x29");
asm(".byte 0x45, 0x29, 0x45, 0x29, 0x25, 0x29, 0x25, 0x31, 0x24, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0x03, 0x29, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0x03, 0x29, 0xE3, 0x28, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0x23, 0x31, 0x03, 0x31, 0x23, 0x39, 0x48, 0x5A, 0xA9, 0x6A, 0xC9, 0x6A");
asm(".byte 0xA9, 0x62, 0x84, 0x39, 0x03, 0x29, 0xEA, 0x6A, 0x27, 0x52, 0x48, 0x5A, 0x07, 0x4A, 0x24, 0x31");
asm(".byte 0x23, 0x31, 0xE6, 0x49, 0xEA, 0x72, 0x6B, 0x83, 0xC9, 0x72, 0x47, 0x62, 0x24, 0x31, 0xE3, 0x28");
asm(".byte 0x24, 0x31, 0x44, 0x39, 0x24, 0x39, 0x44, 0x39, 0x44, 0x39, 0x44, 0x39, 0x44, 0x39, 0x44, 0x39");
asm(".byte 0x44, 0x39, 0x03, 0x39, 0xE3, 0x40, 0x65, 0x99, 0x23, 0x89, 0x24, 0x41, 0x44, 0x41, 0xA2, 0x18");
asm(".byte 0xA9, 0x5A, 0x2B, 0x6B, 0x48, 0x52, 0x24, 0x29, 0x44, 0x31, 0x28, 0x4A, 0x28, 0x52, 0x65, 0x39");
asm(".byte 0x24, 0x29, 0xC3, 0x20, 0x85, 0x39, 0x82, 0x18, 0x41, 0x08, 0x61, 0x10, 0x61, 0x08, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0xA6, 0x31, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x62, 0x10, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0x82, 0x10, 0x41, 0x08, 0x62, 0x10, 0x04, 0x29, 0x86, 0x41, 0xA3, 0x20, 0xE7, 0x49, 0x04, 0x29");
asm(".byte 0x65, 0x39, 0x04, 0x31, 0xC7, 0x41, 0xCF, 0x83, 0xDA, 0xDE, 0xDA, 0xDE, 0x79, 0xCE, 0x99, 0xD6");
asm(".byte 0xDA, 0xDE, 0x17, 0xCE, 0x4C, 0x73, 0xCB, 0x62, 0x4D, 0x73, 0x69, 0x5A, 0x65, 0x39, 0xD3, 0x9C");
asm(".byte 0xD7, 0xBD, 0x75, 0xAD, 0x95, 0xB5, 0xB2, 0x9C, 0x8A, 0x5A, 0x89, 0x5A, 0x69, 0x5A, 0x49, 0x5A");
asm(".byte 0xA6, 0x49, 0xB1, 0x94, 0x95, 0xB5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21, 0xC8, 0x31, 0xE8, 0x31");
asm(".byte 0xC7, 0x31, 0xA7, 0x29, 0x11, 0x7C, 0xA7, 0x31, 0xA7, 0x31, 0xA7, 0x31, 0x87, 0x31, 0x86, 0x31");
asm(".byte 0x66, 0x31, 0x66, 0x31, 0x45, 0x31, 0x45, 0x29, 0x25, 0x31, 0x25, 0x31, 0x25, 0x31, 0x24, 0x31");
asm(".byte 0x24, 0x29, 0x04, 0x29, 0x24, 0x31, 0x04, 0x29, 0x04, 0x31, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x03, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE2, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0x24, 0x31, 0x03, 0x31, 0x03, 0x31, 0x27, 0x52, 0x89, 0x62");
asm(".byte 0xA9, 0x6A, 0xC9, 0x6A, 0xE6, 0x49, 0x44, 0x31, 0xE7, 0x49, 0xCA, 0x6A, 0x27, 0x52, 0x89, 0x5A");
asm(".byte 0x07, 0x52, 0x24, 0x31, 0x44, 0x39, 0x06, 0x52, 0xEA, 0x7A, 0xCA, 0x72, 0xA9, 0x6A, 0x64, 0x41");
asm(".byte 0xE3, 0x28, 0x03, 0x31, 0x44, 0x39, 0x24, 0x39, 0x24, 0x31, 0x44, 0x39, 0x44, 0x39, 0x44, 0x39");
asm(".byte 0x44, 0x39, 0x24, 0x39, 0x03, 0x31, 0xE3, 0x30, 0xC3, 0x48, 0x23, 0x89, 0x04, 0x69, 0xA2, 0x28");
asm(".byte 0x04, 0x31, 0xA2, 0x20, 0x68, 0x5A, 0x2B, 0x73, 0xCA, 0x62, 0x65, 0x31, 0xCA, 0x5A, 0xCA, 0x62");
asm(".byte 0x85, 0x39, 0x45, 0x31, 0x24, 0x29, 0x64, 0x31, 0x44, 0x29, 0x41, 0x08, 0x61, 0x10, 0x61, 0x10");
asm(".byte 0x61, 0x08, 0x61, 0x08, 0x82, 0x10, 0xA2, 0x10, 0x41, 0x08, 0x61, 0x08, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0xE3, 0x18, 0x41, 0x08, 0x41, 0x10, 0x08, 0x4A, 0xC7, 0x49, 0x82, 0x20, 0xE7, 0x49");
asm(".byte 0x86, 0x39, 0x04, 0x31, 0xC3, 0x20, 0xC7, 0x41, 0x08, 0x4A, 0x99, 0xD6, 0xDB, 0xDE, 0x99, 0xD6");
asm(".byte 0x99, 0xCE, 0xDA, 0xDE, 0xBA, 0xDE, 0x50, 0x94, 0xEB, 0x6A, 0x28, 0x52, 0x49, 0x52, 0xA3, 0x20");
asm(".byte 0x29, 0x52, 0xF7, 0xBD, 0x75, 0xAD, 0x75, 0xAD, 0x54, 0xAD, 0xAA, 0x5A, 0x69, 0x5A, 0x69, 0x52");
asm(".byte 0xE8, 0x51, 0xAA, 0x72, 0x65, 0x31, 0xB1, 0x94, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21, 0xA7, 0x31");
asm(".byte 0xC7, 0x31, 0xA8, 0x29, 0xA7, 0x29, 0x8E, 0x6B, 0xA7, 0x29, 0xC8, 0x31, 0xA7, 0x31, 0xA7, 0x31");
asm(".byte 0x86, 0x31, 0x86, 0x31, 0x66, 0x31, 0x65, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31");
asm(".byte 0x25, 0x31, 0x45, 0x31, 0x25, 0x31, 0x24, 0x31, 0x45, 0x31, 0x24, 0x31, 0x24, 0x31, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC2, 0x28, 0xE2, 0x28, 0x03, 0x29");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x29, 0xA5, 0x41");
asm(".byte 0x89, 0x62, 0x89, 0x62, 0xC9, 0x6A, 0xA9, 0x62, 0x64, 0x39, 0x64, 0x39, 0xA9, 0x62, 0x27, 0x52");
asm(".byte 0x88, 0x5A, 0x48, 0x5A, 0xE6, 0x49, 0x65, 0x39, 0x44, 0x39, 0x06, 0x52, 0xA9, 0x6A, 0xA9, 0x6A");
asm(".byte 0x27, 0x5A, 0x24, 0x39, 0xE3, 0x28, 0x23, 0x31, 0x24, 0x39, 0x23, 0x31, 0x23, 0x31, 0x24, 0x31");
asm(".byte 0x44, 0x39, 0x24, 0x39, 0x24, 0x39, 0x23, 0x39, 0x03, 0x31, 0xE3, 0x30, 0x04, 0x71, 0x24, 0x99");
asm(".byte 0xE3, 0x48, 0xE2, 0x28, 0x20, 0x10, 0x03, 0x31, 0x44, 0x39, 0xE6, 0x41, 0xE3, 0x20, 0xA6, 0x39");
asm(".byte 0x28, 0x4A, 0xA9, 0x5A, 0xC6, 0x39, 0xA5, 0x39, 0x85, 0x39, 0x07, 0x42, 0x41, 0x08, 0x61, 0x10");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x08, 0x24, 0x21, 0x62, 0x10, 0x41, 0x08, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x08, 0x41, 0x08, 0x41, 0x08, 0x61, 0x10, 0x45, 0x31, 0x45, 0x31, 0x49, 0x52");
asm(".byte 0x65, 0x39, 0xC7, 0x41, 0x65, 0x39, 0x04, 0x31, 0x04, 0x29, 0x08, 0x4A, 0x54, 0xB5, 0xFB, 0xE6");
asm(".byte 0xBA, 0xD6, 0x99, 0xD6, 0xBA, 0xD6, 0xFB, 0xDE, 0xD7, 0xC5, 0xCB, 0x62, 0x49, 0x52, 0x08, 0x52");
asm(".byte 0x04, 0x31, 0x04, 0x31, 0x34, 0xAD, 0xB6, 0xB5, 0x75, 0xAD, 0x75, 0xAD, 0x0C, 0x6B, 0x48, 0x52");
asm(".byte 0x08, 0x4A, 0x8A, 0x5A, 0x86, 0x49, 0x41, 0x18, 0xEE, 0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x45, 0x21");
asm(".byte 0xA7, 0x31, 0xC7, 0x31, 0xC7, 0x31, 0xC7, 0x29, 0xCB, 0x52, 0xA7, 0x31, 0xC7, 0x31, 0xC7, 0x31");
asm(".byte 0xC7, 0x31, 0xC7, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31");
asm(".byte 0x45, 0x31, 0x45, 0x31, 0x25, 0x31, 0x45, 0x31, 0x24, 0x31, 0x24, 0x31, 0x24, 0x31, 0x24, 0x31");
asm(".byte 0x24, 0x31, 0x04, 0x29, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x29");
asm(".byte 0x23, 0x31, 0x27, 0x52, 0x88, 0x62, 0xA9, 0x6A, 0x0A, 0x73, 0xA5, 0x41, 0x85, 0x39, 0xE6, 0x49");
asm(".byte 0x68, 0x5A, 0x48, 0x52, 0x2B, 0x73, 0x48, 0x5A, 0xE6, 0x49, 0x24, 0x31, 0x23, 0x31, 0xE6, 0x51");
asm(".byte 0x27, 0x5A, 0x27, 0x5A, 0x44, 0x39, 0x24, 0x31, 0x03, 0x31, 0x24, 0x31, 0x03, 0x31, 0x03, 0x31");
asm(".byte 0x23, 0x31, 0x23, 0x31, 0x44, 0x39, 0x23, 0x39, 0x23, 0x31, 0xE3, 0x30, 0xE3, 0x30, 0xA2, 0x30");
asm(".byte 0xE3, 0x80, 0x64, 0xA9, 0x82, 0x20, 0x61, 0x18, 0xC3, 0x20, 0x24, 0x39, 0x03, 0x31, 0xC2, 0x20");
asm(".byte 0xA6, 0x39, 0x4C, 0x73, 0xAD, 0x7B, 0xCA, 0x5A, 0x28, 0x4A, 0x07, 0x42, 0xCA, 0x5A, 0x20, 0x08");
asm(".byte 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x08, 0xC3, 0x18, 0xA2, 0x10, 0x61, 0x08");
asm(".byte 0x41, 0x08, 0x61, 0x10, 0x41, 0x08, 0xC7, 0x39, 0x41, 0x08, 0xC3, 0x20, 0x45, 0x31, 0xC3, 0x20");
asm(".byte 0x0C, 0x6B, 0xA6, 0x41, 0xC7, 0x49, 0xAA, 0x62, 0xE7, 0x49, 0xA2, 0x20, 0xC7, 0x41, 0xAA, 0x5A");
asm(".byte 0x78, 0xD6, 0xDA, 0xDE, 0x9A, 0xD6, 0x79, 0xCE, 0xDA, 0xDE, 0xB6, 0xBD, 0xCF, 0x83, 0x69, 0x52");
asm(".byte 0xE7, 0x49, 0x86, 0x39, 0xA2, 0x20, 0xAE, 0x7B, 0xB6, 0xB5, 0x55, 0xAD, 0x55, 0xAD, 0xAE, 0x7B");
asm(".byte 0xE7, 0x49, 0xA6, 0x41, 0xC7, 0x41, 0x44, 0x41, 0x61, 0x20, 0x8D, 0x73, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x45, 0x21, 0xC7, 0x31, 0xC7, 0x31, 0xC7, 0x31, 0xC8, 0x31, 0xEB, 0x52, 0xA7, 0x29, 0xA7, 0x29");
asm(".byte 0xE8, 0x39, 0xE8, 0x31, 0xC7, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x66, 0x31, 0x65, 0x31, 0x45, 0x31");
asm(".byte 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31");
asm(".byte 0x04, 0x29, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x29, 0x03, 0x29, 0xE3, 0x28, 0x24, 0x31");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE6, 0x49, 0x48, 0x52, 0x68, 0x5A, 0xCA, 0x6A, 0xA9, 0x62, 0x64, 0x39");
asm(".byte 0xA5, 0x41, 0x0B, 0x6B, 0x27, 0x52, 0xCA, 0x6A, 0x88, 0x5A, 0x27, 0x52, 0x65, 0x39, 0x03, 0x31");
asm(".byte 0x23, 0x39, 0xA5, 0x49, 0xC5, 0x49, 0x64, 0x39, 0x24, 0x31, 0x03, 0x31, 0x24, 0x31, 0x24, 0x39");
asm(".byte 0x23, 0x31, 0x23, 0x31, 0x03, 0x31, 0x23, 0x31, 0x23, 0x39, 0x03, 0x31, 0xE3, 0x30, 0xE3, 0x28");
asm(".byte 0xE3, 0x38, 0xC3, 0x48, 0x03, 0x91, 0xA1, 0x60, 0xA2, 0x20, 0x61, 0x18, 0x24, 0x39, 0x03, 0x31");
asm(".byte 0x04, 0x31, 0xA2, 0x20, 0x24, 0x29, 0x07, 0x4A, 0x07, 0x4A, 0x08, 0x4A, 0x28, 0x4A, 0x2B, 0x63");
asm(".byte 0x20, 0x00, 0x82, 0x10, 0x82, 0x10, 0x82, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x10, 0x24, 0x29");
asm(".byte 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0x61, 0x10, 0x82, 0x10, 0x61, 0x08, 0xC3, 0x18, 0xC3, 0x20");
asm(".byte 0x85, 0x39, 0xAA, 0x62, 0x49, 0x5A, 0xC7, 0x49, 0xEB, 0x6A, 0x69, 0x5A, 0xE3, 0x28, 0xE7, 0x49");
asm(".byte 0x28, 0x52, 0x17, 0xCE, 0xFA, 0xDE, 0xBA, 0xD6, 0x79, 0xCE, 0x9A, 0xD6, 0x75, 0xB5, 0xAE, 0x83");
asm(".byte 0x28, 0x52, 0x69, 0x5A, 0xA6, 0x41, 0xC3, 0x28, 0x08, 0x4A, 0x55, 0xAD, 0xD6, 0xBD, 0xB6, 0xB5");
asm(".byte 0xB2, 0x9C, 0xAA, 0x62, 0xAA, 0x6A, 0x45, 0x31, 0x24, 0x39, 0x04, 0x41, 0xCA, 0x5A, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0x66, 0x29, 0xC7, 0x31, 0xE7, 0x31, 0x48, 0x32, 0xE8, 0x31, 0xCB, 0x4A, 0x55, 0x4D");
asm(".byte 0xF7, 0x4D, 0xE8, 0x31, 0xE7, 0x31, 0xA7, 0x31, 0x86, 0x31, 0x86, 0x31, 0x65, 0x31, 0x65, 0x31");
asm(".byte 0x45, 0x31, 0x65, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x45, 0x31, 0x24, 0x29");
asm(".byte 0xE4, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0x03, 0x31, 0xE3, 0x30, 0xE3, 0x28, 0xC6, 0x41, 0x07, 0x52, 0x68, 0x5A, 0x89, 0x62, 0xCA, 0x6A");
asm(".byte 0xA5, 0x41, 0xA6, 0x41, 0x68, 0x5A, 0x07, 0x52, 0x48, 0x5A, 0x89, 0x62, 0x48, 0x52, 0xE6, 0x49");
asm(".byte 0x24, 0x31, 0x03, 0x31, 0x44, 0x39, 0x64, 0x39, 0x44, 0x39, 0x24, 0x31, 0x03, 0x31, 0xE3, 0x28");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x30");
asm(".byte 0xE3, 0x30, 0xC2, 0x28, 0x03, 0x41, 0xC3, 0x70, 0xA6, 0xC9, 0xC3, 0x48, 0x41, 0x10, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x24, 0x31, 0x61, 0x18, 0x04, 0x29, 0xE7, 0x49, 0x24, 0x31, 0xC3, 0x20, 0x89, 0x52");
asm(".byte 0x89, 0x52, 0x40, 0x08, 0x61, 0x08, 0x61, 0x10, 0x82, 0x10, 0x61, 0x10, 0x82, 0x10, 0x61, 0x08");
asm(".byte 0xE3, 0x18, 0x82, 0x10, 0x61, 0x10, 0x61, 0x08, 0x61, 0x08, 0x82, 0x10, 0x21, 0x08, 0xA2, 0x18");
asm(".byte 0x41, 0x10, 0xA6, 0x39, 0x8A, 0x62, 0xCB, 0x6A, 0x49, 0x52, 0x2C, 0x73, 0xCB, 0x6A, 0xA6, 0x41");
asm(".byte 0xC3, 0x28, 0xAA, 0x62, 0x30, 0x94, 0x99, 0xD6, 0xFB, 0xDE, 0xF7, 0xC5, 0x75, 0xB5, 0x54, 0xB5");
asm(".byte 0x2C, 0x73, 0xAA, 0x62, 0x29, 0x52, 0xE7, 0x49, 0x45, 0x39, 0x04, 0x31, 0x13, 0xA5, 0x34, 0xA5");
asm(".byte 0x34, 0xA5, 0xB2, 0x9C, 0xE7, 0x49, 0x45, 0x39, 0xC7, 0x41, 0x24, 0x39, 0x66, 0x59, 0xE4, 0x20");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xC9, 0x32, 0x29, 0x3A, 0x29, 0x3A, 0x8D, 0x4B, 0x29, 0x32, 0x8A, 0x4A");
asm(".byte 0xCE, 0x3B, 0x50, 0x3C, 0xC7, 0x31, 0xC7, 0x39, 0xA7, 0x31, 0x86, 0x31, 0x86, 0x31, 0x66, 0x39");
asm(".byte 0x66, 0x39, 0x66, 0x39, 0x65, 0x31, 0x65, 0x39, 0x45, 0x31, 0x45, 0x31, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0x04, 0x29, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x20, 0xA3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xE2, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x44, 0x39, 0x07, 0x4A, 0x48, 0x52, 0x47, 0x52");
asm(".byte 0xCA, 0x6A, 0xA9, 0x62, 0x24, 0x31, 0xA6, 0x41, 0x68, 0x5A, 0x07, 0x4A, 0x4C, 0x7B, 0x48, 0x5A");
asm(".byte 0x07, 0x4A, 0x85, 0x41, 0x03, 0x31, 0x03, 0x31, 0x23, 0x31, 0x44, 0x39, 0x23, 0x31, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x30, 0xE3, 0x30, 0xE2, 0x30, 0xA2, 0x30, 0xC3, 0x40, 0xA2, 0x78, 0x44, 0x89, 0x41, 0x10");
asm(".byte 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0x81, 0x18, 0xE7, 0x49, 0x89, 0x5A, 0x24, 0x31, 0xC3, 0x20");
asm(".byte 0xA6, 0x39, 0xCA, 0x5A, 0x81, 0x10, 0x61, 0x08, 0x61, 0x10, 0x82, 0x10, 0xC3, 0x18, 0x81, 0x10");
asm(".byte 0x82, 0x10, 0x61, 0x08, 0x65, 0x29, 0x41, 0x08, 0x61, 0x08, 0x61, 0x10, 0x24, 0x21, 0x61, 0x08");
asm(".byte 0xA2, 0x18, 0x61, 0x10, 0x04, 0x29, 0xCB, 0x62, 0xAA, 0x62, 0x2C, 0x73, 0xEB, 0x6A, 0xAA, 0x62");
asm(".byte 0xAA, 0x62, 0xA2, 0x20, 0x28, 0x52, 0xC7, 0x41, 0xF7, 0xC5, 0xFB, 0xDE, 0x17, 0xC6, 0x92, 0x9C");
asm(".byte 0xB2, 0x9C, 0x2C, 0x73, 0x2C, 0x73, 0x49, 0x52, 0x28, 0x4A, 0x65, 0x39, 0x24, 0x31, 0x8E, 0x7B");
asm(".byte 0x13, 0xA5, 0x34, 0xA5, 0xF3, 0x9C, 0x49, 0x52, 0x45, 0x39, 0x07, 0x4A, 0x44, 0x39, 0x86, 0x61");
asm(".byte 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2A, 0x3B, 0x49, 0x32, 0x49, 0x3A, 0x09, 0x3A, 0x08, 0x32");
asm(".byte 0x49, 0x3A, 0xC7, 0x31, 0x6A, 0x3A, 0xE8, 0x31, 0x87, 0x39, 0xA7, 0x39, 0xA6, 0x39, 0xA6, 0x39");
asm(".byte 0x86, 0x39, 0x65, 0x31, 0x45, 0x31, 0x24, 0x31, 0x04, 0x29, 0xE4, 0x28, 0x04, 0x29, 0x04, 0x29");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0x03, 0x29, 0xE6, 0x49, 0x68, 0x5A");
asm(".byte 0x48, 0x52, 0xA9, 0x62, 0x0B, 0x73, 0x24, 0x31, 0xE7, 0x49, 0x27, 0x52, 0xE6, 0x49, 0x0B, 0x73");
asm(".byte 0x07, 0x4A, 0x27, 0x52, 0xC6, 0x49, 0x24, 0x31, 0xE3, 0x30, 0x03, 0x31, 0x44, 0x31, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x31, 0xE6, 0x49");
asm(".byte 0xA5, 0x41, 0xE3, 0x30, 0xE3, 0x28, 0x03, 0x31, 0xE3, 0x40, 0xA2, 0x30, 0xE4, 0x68, 0x64, 0xA1");
asm(".byte 0x40, 0x28, 0xC2, 0x28, 0x03, 0x31, 0x03, 0x31, 0xA2, 0x20, 0x04, 0x29, 0x44, 0x31, 0x85, 0x39");
asm(".byte 0x24, 0x29, 0xA6, 0x39, 0xCA, 0x5A, 0x82, 0x18, 0x41, 0x08, 0x81, 0x10, 0x82, 0x10, 0x65, 0x31");
asm(".byte 0x82, 0x10, 0x61, 0x10, 0x82, 0x10, 0x82, 0x10, 0x61, 0x10, 0x82, 0x10, 0x41, 0x08, 0x61, 0x10");
asm(".byte 0x82, 0x10, 0xA2, 0x18, 0x61, 0x10, 0xC3, 0x20, 0x28, 0x52, 0x4D, 0x7B, 0x89, 0x5A, 0xAA, 0x5A");
asm(".byte 0xEB, 0x6A, 0x69, 0x5A, 0x49, 0x5A, 0xE3, 0x28, 0xC7, 0x41, 0xD2, 0xA4, 0x99, 0xD6, 0x38, 0xCE");
asm(".byte 0x51, 0x94, 0xEF, 0x8B, 0xEF, 0x8B, 0x8D, 0x7B, 0xAA, 0x5A, 0x08, 0x4A, 0x45, 0x39, 0x65, 0x39");
asm(".byte 0x86, 0x39, 0x71, 0x8C, 0x13, 0xA5, 0xF3, 0x9C, 0xEB, 0x62, 0x45, 0x31, 0x04, 0x31, 0x69, 0x62");
asm(".byte 0x65, 0x59, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x31, 0x29, 0x3A, 0x49, 0x3A, 0x08, 0x3A");
asm(".byte 0xEC, 0x4A, 0xE8, 0x39, 0xC7, 0x31, 0xA6, 0x39, 0xA7, 0x39, 0xA6, 0x31, 0xA6, 0x31, 0x86, 0x31");
asm(".byte 0x66, 0x31, 0x25, 0x31, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xE4, 0x28, 0xE4, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x20, 0xA3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE2, 0x28");
asm(".byte 0xE3, 0x28, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0x03, 0x29, 0xE6, 0x49");
asm(".byte 0x27, 0x52, 0x68, 0x5A, 0x68, 0x5A, 0xEA, 0x6A, 0x07, 0x4A, 0x85, 0x39, 0x88, 0x5A, 0xC6, 0x41");
asm(".byte 0x48, 0x52, 0xE6, 0x49, 0x27, 0x52, 0xE6, 0x49, 0xA5, 0x41, 0x24, 0x31, 0x23, 0x31, 0x24, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x03, 0x31, 0xE3, 0x28, 0x44, 0x39");
asm(".byte 0xE7, 0x49, 0x24, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xA2, 0x30, 0xA2, 0x30, 0xE3, 0x48");
asm(".byte 0x03, 0x89, 0xC2, 0x68, 0x82, 0x18, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x30, 0xA2, 0x20, 0x07, 0x4A");
asm(".byte 0xC6, 0x41, 0x85, 0x39, 0xE7, 0x41, 0x2C, 0x6B, 0xA2, 0x18, 0x61, 0x08, 0x81, 0x10, 0x82, 0x10");
asm(".byte 0x61, 0x10, 0x82, 0x10, 0x82, 0x10, 0x82, 0x10, 0x82, 0x10, 0xA2, 0x10, 0x82, 0x10, 0x41, 0x08");
asm(".byte 0xE3, 0x20, 0x82, 0x10, 0x82, 0x18, 0x82, 0x18, 0xE3, 0x28, 0x85, 0x39, 0xEB, 0x6A, 0xEC, 0x6A");
asm(".byte 0x4D, 0x73, 0x2C, 0x73, 0x4D, 0x7B, 0xEB, 0x6A, 0xA2, 0x20, 0xAA, 0x62, 0x28, 0x52, 0x71, 0x94");
asm(".byte 0x79, 0xD6, 0xB2, 0x9C, 0x4D, 0x73, 0xCF, 0x83, 0x30, 0x94, 0xCE, 0x83, 0x28, 0x4A, 0x49, 0x52");
asm(".byte 0xA6, 0x41, 0xE4, 0x28, 0x4D, 0x73, 0x92, 0x94, 0xB2, 0x94, 0x6D, 0x73, 0x24, 0x39, 0x24, 0x31");
asm(".byte 0x48, 0x62, 0x69, 0x72, 0xE3, 0x28, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x21, 0xE8, 0x31, 0xE7, 0x31");
asm(".byte 0xA7, 0x31, 0x86, 0x29, 0xA7, 0x31, 0x66, 0x29, 0x66, 0x29, 0x66, 0x29, 0x86, 0x29, 0xA7, 0x29");
asm(".byte 0x45, 0x29, 0x25, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xE4, 0x28, 0xE4, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0x44, 0x39, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xA5, 0x41, 0xE6, 0x49, 0x27, 0x52, 0x48, 0x52, 0x89, 0x5A, 0x27, 0x52, 0x85, 0x39, 0x48, 0x52");
asm(".byte 0x07, 0x52, 0xA6, 0x41, 0x07, 0x52, 0xC6, 0x49, 0xC6, 0x41, 0x85, 0x41, 0x03, 0x31, 0x03, 0x31");
asm(".byte 0x44, 0x39, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0xE3, 0x28, 0xE2, 0x28, 0xE3, 0x30, 0xE3, 0x30, 0x03, 0x31, 0xC3, 0x30, 0xE3, 0x38");
asm(".byte 0xA2, 0x30, 0xA2, 0x48, 0x85, 0xA9, 0x20, 0x10, 0x03, 0x39, 0xE3, 0x30, 0x03, 0x31, 0x82, 0x18");
asm(".byte 0x44, 0x31, 0x07, 0x4A, 0xC7, 0x41, 0x49, 0x52, 0x24, 0x29, 0xA2, 0x18, 0xC2, 0x18, 0x81, 0x10");
asm(".byte 0x81, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0xE3, 0x18, 0x61, 0x08");
asm(".byte 0x82, 0x10, 0xA2, 0x18, 0xC3, 0x18, 0x82, 0x18, 0xA2, 0x18, 0xC3, 0x20, 0x04, 0x29, 0x8E, 0x7B");
asm(".byte 0xCB, 0x6A, 0x2C, 0x73, 0x2C, 0x73, 0x8A, 0x62, 0x69, 0x5A, 0x86, 0x39, 0xA6, 0x41, 0x45, 0x31");
asm(".byte 0xEF, 0x83, 0xB6, 0xBD, 0xB2, 0x9C, 0x8E, 0x7B, 0xCF, 0x83, 0xAE, 0x7B, 0xAE, 0x83, 0xC7, 0x49");
asm(".byte 0x44, 0x31, 0x86, 0x41, 0xE3, 0x28, 0x08, 0x4A, 0xAE, 0x7B, 0x71, 0x8C, 0xAE, 0x83, 0x45, 0x39");
asm(".byte 0x24, 0x31, 0x86, 0x51, 0x24, 0x49, 0xA2, 0x20, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x25, 0x21, 0x86, 0x29");
asm(".byte 0x66, 0x29, 0x66, 0x29, 0x45, 0x21, 0x45, 0x29, 0x45, 0x29, 0x46, 0x29, 0x46, 0x29, 0x46, 0x29");
asm(".byte 0x45, 0x29, 0x45, 0x29, 0x24, 0x29, 0x04, 0x29, 0xE4, 0x28, 0xE4, 0x28, 0xE4, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x20, 0xC3, 0x20, 0xE3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28, 0x64, 0x39, 0x03, 0x31");
asm(".byte 0xE3, 0x28, 0x44, 0x31, 0xE6, 0x49, 0x07, 0x52, 0xE7, 0x49, 0x89, 0x62, 0xA9, 0x62, 0x27, 0x52");
asm(".byte 0xC6, 0x49, 0xCA, 0x6A, 0x64, 0x39, 0x07, 0x52, 0xC6, 0x49, 0xA5, 0x41, 0x85, 0x41, 0x64, 0x39");
asm(".byte 0x03, 0x31, 0xE3, 0x28, 0x23, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0xE3, 0x28");
asm(".byte 0x24, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE2, 0x28, 0xE3, 0x30, 0x03, 0x31");
asm(".byte 0xA2, 0x30, 0xC2, 0x28, 0xA2, 0x40, 0xA5, 0xB1, 0x20, 0x28, 0x03, 0x31, 0x03, 0x31, 0x23, 0x31");
asm(".byte 0x81, 0x18, 0xA6, 0x39, 0x48, 0x52, 0x48, 0x52, 0x89, 0x5A, 0xC2, 0x20, 0xC3, 0x20, 0x44, 0x29");
asm(".byte 0x81, 0x10, 0x81, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x08, 0x82, 0x10, 0x61, 0x08, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0x82, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0xE3, 0x20, 0x62, 0x18, 0x24, 0x31");
asm(".byte 0x92, 0x9C, 0xCA, 0x6A, 0x6D, 0x7B, 0xAE, 0x83, 0x28, 0x52, 0x4D, 0x73, 0x28, 0x52, 0x24, 0x31");
asm(".byte 0x08, 0x4A, 0x0C, 0x6B, 0xF3, 0xA4, 0xEF, 0x83, 0x92, 0x9C, 0x2C, 0x6B, 0xCF, 0x83, 0x8D, 0x7B");
asm(".byte 0x4D, 0x73, 0x45, 0x39, 0x65, 0x39, 0xC7, 0x41, 0x04, 0x31, 0xEB, 0x6A, 0xAE, 0x7B, 0xAE, 0x7B");
asm(".byte 0x86, 0x41, 0x29, 0x5A, 0x04, 0x41, 0x24, 0x49, 0xA3, 0x28, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x19");
asm(".byte 0x66, 0x29, 0x86, 0x29, 0xE7, 0x39, 0xA7, 0x31, 0x66, 0x29, 0x45, 0x29, 0x45, 0x29, 0x65, 0x29");
asm(".byte 0x45, 0x29, 0x25, 0x29, 0x24, 0x29, 0x04, 0x29, 0xE4, 0x20, 0xE4, 0x28, 0xE4, 0x28, 0xE4, 0x28");
asm(".byte 0xE3, 0x20, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xA3, 0x20");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x23, 0x31, 0x44, 0x39, 0x03, 0x31");
asm(".byte 0x24, 0x31, 0xE3, 0x28, 0x03, 0x29, 0xE6, 0x49, 0xC6, 0x49, 0xC6, 0x49, 0x48, 0x52, 0x69, 0x5A");
asm(".byte 0xAA, 0x62, 0xC6, 0x49, 0x89, 0x5A, 0xA5, 0x41, 0x85, 0x41, 0xA5, 0x41, 0x85, 0x41, 0x85, 0x41");
asm(".byte 0x85, 0x39, 0x03, 0x31, 0x03, 0x31, 0x44, 0x39, 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x28");
asm(".byte 0x23, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0xE3, 0x30, 0xE3, 0x30");
asm(".byte 0x03, 0x31, 0xE3, 0x40, 0xC2, 0x30, 0xE3, 0x38, 0x81, 0x58, 0xA2, 0x58, 0xC2, 0x30, 0xE3, 0x38");
asm(".byte 0x03, 0x31, 0xC2, 0x20, 0x24, 0x31, 0xE7, 0x41, 0x4C, 0x73, 0x44, 0x31, 0xA2, 0x20, 0x82, 0x18");
asm(".byte 0x44, 0x31, 0x81, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x61, 0x10, 0x82, 0x10");
asm(".byte 0x61, 0x10, 0x61, 0x08, 0x82, 0x10, 0x82, 0x10, 0x03, 0x21, 0x61, 0x10, 0xC2, 0x20, 0xC3, 0x20");
asm(".byte 0x04, 0x29, 0x0C, 0x6B, 0x4D, 0x7B, 0xCB, 0x62, 0xCB, 0x6A, 0xEB, 0x6A, 0xEB, 0x6A, 0x49, 0x5A");
asm(".byte 0xA6, 0x41, 0x86, 0x41, 0xE7, 0x49, 0x0C, 0x6B, 0x34, 0xAD, 0x0F, 0x8C, 0x4D, 0x7B, 0x4D, 0x73");
asm(".byte 0xEF, 0x8B, 0x6D, 0x7B, 0x08, 0x4A, 0x24, 0x31, 0x45, 0x39, 0x04, 0x29, 0xE7, 0x49, 0x0C, 0x6B");
asm(".byte 0x6D, 0x73, 0xAA, 0x62, 0x04, 0x31, 0x24, 0x51, 0x04, 0x39, 0xA2, 0x28, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0x04, 0x19, 0x66, 0x29, 0x66, 0x29, 0xAB, 0x52, 0x8A, 0x52, 0x87, 0x31, 0x45, 0x29, 0x45, 0x21");
asm(".byte 0x46, 0x29, 0xE8, 0x39, 0x08, 0x42, 0x24, 0x21, 0xAA, 0x5A, 0xC3, 0x20, 0x24, 0x29, 0xE8, 0x49");
asm(".byte 0xE4, 0x28, 0xE3, 0x20, 0x04, 0x29, 0x65, 0x39, 0x65, 0x39, 0xE3, 0x28, 0xC3, 0x20, 0x04, 0x29");
asm(".byte 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28");
asm(".byte 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x03, 0x31, 0x44, 0x39");
asm(".byte 0x24, 0x31, 0x44, 0x39, 0x03, 0x31, 0xE3, 0x28, 0x85, 0x41, 0xA5, 0x41, 0xC6, 0x41, 0x28, 0x52");
asm(".byte 0x68, 0x5A, 0x89, 0x62, 0x48, 0x5A, 0x0B, 0x6B, 0xE6, 0x49, 0x64, 0x39, 0x85, 0x41, 0x85, 0x41");
asm(".byte 0x85, 0x39, 0x85, 0x41, 0x64, 0x39, 0x03, 0x29, 0x44, 0x39, 0x03, 0x31, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xE3, 0x28, 0x24, 0x31, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x64, 0x39");
asm(".byte 0xE3, 0x28, 0x04, 0x31, 0x24, 0x41, 0x04, 0x49, 0xE3, 0x38, 0xA2, 0x40, 0x64, 0x89, 0x41, 0x20");
asm(".byte 0x03, 0x39, 0x03, 0x39, 0x24, 0x31, 0x03, 0x29, 0x0B, 0x6B, 0x89, 0x5A, 0x03, 0x29, 0x82, 0x18");
asm(".byte 0x82, 0x18, 0xC3, 0x20, 0x82, 0x10, 0x82, 0x10, 0x81, 0x10, 0x61, 0x08, 0x61, 0x10, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x10, 0x61, 0x08, 0xA2, 0x10, 0x41, 0x08, 0x03, 0x21, 0x41, 0x08, 0xC2, 0x20");
asm(".byte 0xA2, 0x18, 0x82, 0x18, 0xA6, 0x41, 0xCE, 0x83, 0xAA, 0x62, 0xCB, 0x6A, 0x8D, 0x7B, 0x69, 0x5A");
asm(".byte 0xCB, 0x6A, 0xC7, 0x49, 0x24, 0x31, 0x0C, 0x73, 0xCB, 0x62, 0x30, 0x94, 0x10, 0x8C, 0xAE, 0x83");
asm(".byte 0x69, 0x5A, 0x2C, 0x73, 0x71, 0x9C, 0xCB, 0x6A, 0x86, 0x41, 0x86, 0x41, 0x24, 0x31, 0x24, 0x31");
asm(".byte 0x8A, 0x5A, 0xEB, 0x6A, 0xEB, 0x6A, 0x04, 0x31, 0x25, 0x51, 0xE4, 0x38, 0x82, 0x20, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xE3, 0x18, 0x46, 0x29, 0x66, 0x29, 0x71, 0x8C, 0xF0, 0x7B, 0x45, 0x29, 0xAF, 0x73");
asm(".byte 0x45, 0x29, 0x51, 0x8C, 0x24, 0x21, 0x30, 0x8C, 0xAA, 0x5A, 0x0C, 0x6B, 0xE4, 0x20, 0x6D, 0x73");
asm(".byte 0xC3, 0x20, 0xE4, 0x28, 0x65, 0x31, 0x69, 0x5A, 0x0C, 0x6B, 0xA3, 0x20, 0xC3, 0x20, 0xE3, 0x28");
asm(".byte 0xB6, 0xBD, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0x03, 0x31");
asm(".byte 0x24, 0x31, 0x24, 0x39, 0x24, 0x31, 0x44, 0x39, 0x03, 0x31, 0x44, 0x39, 0xE6, 0x49, 0xE6, 0x49");
asm(".byte 0x48, 0x52, 0xC6, 0x49, 0x89, 0x5A, 0x89, 0x5A, 0x68, 0x5A, 0xA9, 0x62, 0x85, 0x41, 0x07, 0x52");
asm(".byte 0x65, 0x39, 0x85, 0x39, 0x64, 0x39, 0x64, 0x39, 0x03, 0x29, 0x24, 0x31, 0xE3, 0x28, 0x03, 0x31");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x64, 0x39, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xCA, 0x62");
asm(".byte 0xE2, 0x28, 0xE3, 0x28, 0x24, 0x39, 0xCA, 0x72, 0xC3, 0x38, 0xC2, 0x30, 0x82, 0x30, 0x65, 0x99");
asm(".byte 0x21, 0x28, 0x24, 0x41, 0x44, 0x39, 0xC6, 0x49, 0x04, 0x29, 0x28, 0x4A, 0x27, 0x52, 0xE7, 0x49");
asm(".byte 0xC2, 0x20, 0x82, 0x18, 0xA2, 0x20, 0xC3, 0x18, 0x61, 0x10, 0x82, 0x10, 0x61, 0x10, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0x61, 0x10, 0x41, 0x08, 0x61, 0x08, 0x82, 0x10, 0x61, 0x08, 0x81, 0x10, 0x20, 0x08");
asm(".byte 0xC3, 0x20, 0x41, 0x10, 0xAA, 0x62, 0x86, 0x39, 0xAE, 0x83, 0x28, 0x52, 0xAA, 0x62, 0xCF, 0x8B");
asm(".byte 0x89, 0x62, 0x6D, 0x7B, 0x69, 0x5A, 0xC7, 0x49, 0xAE, 0x83, 0x4D, 0x73, 0x2C, 0x73, 0xB2, 0xA4");
asm(".byte 0x2C, 0x73, 0x2C, 0x73, 0x10, 0x8C, 0x71, 0x9C, 0xEB, 0x6A, 0x49, 0x52, 0xAA, 0x62, 0xE3, 0x28");
asm(".byte 0xC3, 0x28, 0xC7, 0x49, 0x69, 0x5A, 0x48, 0x52, 0x69, 0x62, 0x04, 0x51, 0xE3, 0x30, 0x82, 0x20");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0x18, 0x45, 0x29, 0x66, 0x29, 0x8A, 0x4A, 0x45, 0x29, 0x45, 0x29");
asm(".byte 0x51, 0x8C, 0x04, 0x21, 0x51, 0x8C, 0xE4, 0x20, 0x2C, 0x6B, 0xE7, 0x41, 0x14, 0xA5, 0x04, 0x29");
asm(".byte 0x31, 0x94, 0x2C, 0x6B, 0x28, 0x4A, 0x65, 0x31, 0x8A, 0x5A, 0x30, 0x8C, 0x04, 0x29, 0xC3, 0x20");
asm(".byte 0x08, 0x4A, 0x8A, 0x5A, 0x04, 0x29, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xA3, 0x20, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xE3, 0x28");
asm(".byte 0x03, 0x31, 0x23, 0x31, 0x24, 0x31, 0x44, 0x39, 0x65, 0x39, 0x03, 0x31, 0xE3, 0x28, 0xE6, 0x49");
asm(".byte 0x27, 0x52, 0xC6, 0x41, 0x07, 0x52, 0x48, 0x5A, 0xA9, 0x62, 0xE7, 0x49, 0x89, 0x5A, 0x85, 0x41");
asm(".byte 0x85, 0x41, 0x85, 0x41, 0x85, 0x41, 0x64, 0x39, 0x64, 0x39, 0xA5, 0x41, 0x03, 0x31, 0x03, 0x29");
asm(".byte 0x03, 0x29, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x28, 0x03, 0x31, 0x24, 0x31, 0xE3, 0x28, 0xE3, 0x28");
asm(".byte 0xEA, 0x6A, 0xE2, 0x28, 0x24, 0x31, 0xE3, 0x28, 0xE3, 0x30, 0x04, 0x49, 0x82, 0x28, 0xE3, 0x38");
asm(".byte 0xC3, 0x60, 0x82, 0x48, 0x04, 0x39, 0xA6, 0x49, 0x28, 0x52, 0x64, 0x31, 0x24, 0x31, 0x89, 0x62");
asm(".byte 0xE3, 0x28, 0xC3, 0x20, 0xA2, 0x20, 0xC2, 0x20, 0x24, 0x29, 0x69, 0x4A, 0x61, 0x10, 0x61, 0x08");
asm(".byte 0x61, 0x08, 0xA2, 0x10, 0x61, 0x08, 0x41, 0x08, 0x82, 0x18, 0x61, 0x10, 0x41, 0x08, 0xE3, 0x20");
asm(".byte 0x61, 0x08, 0xC3, 0x20, 0x41, 0x10, 0x24, 0x31, 0x86, 0x41, 0x4C, 0x7B, 0xCA, 0x6A, 0x8A, 0x5A");
asm(".byte 0xAE, 0x8B, 0xEF, 0x8B, 0x69, 0x5A, 0x2C, 0x73, 0x86, 0x39, 0x0C, 0x6B, 0x4D, 0x73, 0xCB, 0x6A");
asm(".byte 0x6D, 0x7B, 0xB2, 0xA4, 0x92, 0x9C, 0xEF, 0x8B, 0x8E, 0x83, 0x6D, 0x7B, 0x2C, 0x73, 0x8A, 0x62");
asm(".byte 0xE4, 0x30, 0xC3, 0x28, 0x04, 0x31, 0xA6, 0x41, 0x07, 0x4A, 0x04, 0x39, 0x86, 0x59, 0xE3, 0x28");
asm(".byte 0x62, 0x20, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x18, 0x45, 0x29, 0x45, 0x29, 0x49, 0x42, 0x45, 0x29");
asm(".byte 0x25, 0x29, 0x86, 0x31, 0x0C, 0x63, 0x65, 0x31, 0x04, 0x29, 0x45, 0x31, 0x04, 0x29, 0x8E, 0x7B");
asm(".byte 0x45, 0x31, 0xE4, 0x28, 0xA7, 0x41, 0xC7, 0x41, 0xC3, 0x20, 0xC3, 0x20, 0xE7, 0x49, 0x49, 0x52");
asm(".byte 0xE4, 0x28, 0x91, 0x9C, 0x30, 0x8C, 0x59, 0xD6, 0xB2, 0x9C, 0xE7, 0x49, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xA3, 0x20, 0xA3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xC3, 0x28, 0xC3, 0x28, 0xC2, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0x03, 0x29, 0x04, 0x31, 0x24, 0x31, 0x85, 0x41, 0x85, 0x41, 0x85, 0x39, 0x24, 0x31");
asm(".byte 0xC6, 0x49, 0x48, 0x5A, 0xE6, 0x49, 0x07, 0x52, 0xA9, 0x62, 0xCA, 0x6A, 0xEA, 0x6A, 0x27, 0x52");
asm(".byte 0x07, 0x52, 0xA6, 0x41, 0x07, 0x4A, 0xE6, 0x49, 0xC6, 0x49, 0xC6, 0x49, 0xA5, 0x41, 0x03, 0x31");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0xE3, 0x30, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x64, 0x39, 0x64, 0x39");
asm(".byte 0x64, 0x39, 0x64, 0x39, 0x65, 0x39, 0x64, 0x39, 0xE2, 0x28, 0xE3, 0x28, 0xC3, 0x30, 0xA2, 0x38");
asm(".byte 0x44, 0x41, 0xE3, 0x48, 0x24, 0x71, 0xE4, 0x30, 0x89, 0x62, 0xEA, 0x72, 0x81, 0x18, 0x24, 0x31");
asm(".byte 0x28, 0x52, 0xC2, 0x28, 0xC3, 0x20, 0xA2, 0x20, 0x81, 0x18, 0xE3, 0x28, 0x69, 0x4A, 0x28, 0x4A");
asm(".byte 0xC3, 0x18, 0xC3, 0x18, 0xC3, 0x18, 0xA2, 0x10, 0xC3, 0x18, 0x82, 0x10, 0x61, 0x08, 0x41, 0x08");
asm(".byte 0xE3, 0x20, 0x20, 0x08, 0xA2, 0x18, 0x81, 0x18, 0xC3, 0x20, 0xC7, 0x41, 0x8D, 0x7B, 0x30, 0x94");
asm(".byte 0x6D, 0x7B, 0xEB, 0x6A, 0xEF, 0x93, 0xA9, 0x62, 0x6D, 0x7B, 0xE3, 0x28, 0xA2, 0x20, 0xEB, 0x6A");
asm(".byte 0x4D, 0x73, 0x2C, 0x73, 0x34, 0xB5, 0x34, 0xB5, 0xAE, 0x83, 0x6D, 0x7B, 0x92, 0xA4, 0x8E, 0x83");
asm(".byte 0xE7, 0x49, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0x04, 0x31, 0x86, 0x41, 0x24, 0x49, 0x49, 0x6A");
asm(".byte 0x08, 0x52, 0xC7, 0x49, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0x18, 0x25, 0x29, 0x45, 0x29, 0x24, 0x29");
asm(".byte 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0x04, 0x21, 0x04, 0x29, 0x04, 0x29, 0x04, 0x29, 0xE4, 0x28");
asm(".byte 0x04, 0x29, 0xE4, 0x28, 0xC3, 0x28, 0xE4, 0x28, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x20");
asm(".byte 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xA3, 0x28");
asm(".byte 0xE3, 0x28, 0xA3, 0x20, 0xA3, 0x20, 0xC3, 0x20, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x28, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xC3, 0x20, 0xC3, 0x28, 0xE4, 0x28, 0xC3, 0x20, 0xC3, 0x28");
asm(".byte 0xC3, 0x28, 0xC3, 0x28, 0x03, 0x29, 0x24, 0x31, 0x24, 0x31, 0x65, 0x39, 0x44, 0x39, 0x65, 0x39");
asm(".byte 0x03, 0x31, 0x24, 0x31, 0x89, 0x5A, 0xA6, 0x41, 0x48, 0x5A, 0x48, 0x52, 0xCA, 0x6A, 0xEB, 0x6A");
asm(".byte 0x48, 0x5A, 0xEA, 0x6A, 0xA5, 0x41, 0xC6, 0x49, 0xA5, 0x41, 0x64, 0x39, 0x44, 0x39, 0xE6, 0x49");
asm(".byte 0x03, 0x31, 0x03, 0x31, 0x03, 0x31, 0x03, 0x29, 0xE3, 0x28, 0xE3, 0x30, 0xE3, 0x28, 0x85, 0x41");
asm(".byte 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xE3, 0x28, 0xA5, 0x41, 0xE3, 0x28, 0xE3, 0x30, 0x03, 0x31");
asm(".byte 0x04, 0x41, 0x24, 0x41, 0xC3, 0x38, 0xA6, 0x71, 0x61, 0x20, 0x89, 0x6A, 0xE3, 0x30, 0x82, 0x20");
asm(".byte 0x41, 0x18, 0xC6, 0x49, 0xC2, 0x28, 0xC2, 0x20, 0x61, 0x18, 0x82, 0x18, 0xC3, 0x20, 0x65, 0x31");
asm(".byte 0xA2, 0x18, 0xA2, 0x18, 0x61, 0x10, 0x61, 0x08, 0x61, 0x08, 0x61, 0x08, 0xE3, 0x20, 0x41, 0x08");
asm(".byte 0x41, 0x08, 0xA2, 0x18, 0x82, 0x18, 0x82, 0x20, 0x62, 0x28, 0xC3, 0x30, 0xE3, 0x30, 0x4D, 0x9B");
asm(".byte 0xAA, 0x8A, 0xA6, 0x51, 0x45, 0x39, 0x8E, 0x8B, 0x85, 0x39, 0x6D, 0x7B, 0x08, 0x52, 0x82, 0x20");
asm(".byte 0x8A, 0x5A, 0x8E, 0x83, 0xEB, 0x6A, 0xD2, 0xA4, 0x0F, 0x8C, 0x0C, 0x73, 0x69, 0x5A, 0x8A, 0x62");
asm(".byte 0xCF, 0x8B, 0x08, 0x52, 0x45, 0x39, 0xE3, 0x28, 0xE4, 0x30, 0xE4, 0x28, 0x45, 0x39, 0x04, 0x51");
asm(".byte 0x69, 0x62, 0xE3, 0x28, 0x82, 0x20, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x41, 0x08, 0xA3, 0x18, 0xA3, 0x18");
asm(".byte 0xA2, 0x18, 0x82, 0x18, 0x82, 0x18, 0x82, 0x18, 0x82, 0x18, 0x82, 0x18, 0xA2, 0x20, 0x82, 0x18");
asm(".byte 0x82, 0x18, 0x62, 0x18, 0x62, 0x18, 0x62, 0x18, 0x62, 0x18, 0x62, 0x18, 0x61, 0x18, 0x61, 0x18");
asm(".byte 0x62, 0x18, 0x61, 0x18, 0x61, 0x18, 0x82, 0x18, 0x61, 0x18, 0x61, 0x18, 0x61, 0x18, 0x61, 0x18");
asm(".byte 0x41, 0x18, 0x61, 0x18, 0x61, 0x18, 0x41, 0x18, 0x41, 0x18, 0x41, 0x18, 0x41, 0x18, 0x41, 0x18");
asm(".byte 0x62, 0x18, 0x41, 0x18, 0x41, 0x18, 0x41, 0x18, 0x61, 0x18, 0x61, 0x18, 0x61, 0x18, 0x61, 0x18");
asm(".byte 0x61, 0x18, 0x61, 0x18, 0x61, 0x18, 0x82, 0x20, 0xA2, 0x20, 0x03, 0x31, 0xE3, 0x28, 0xC3, 0x28");
asm(".byte 0xE3, 0x28, 0x24, 0x31, 0x81, 0x18, 0x07, 0x4A, 0xA6, 0x41, 0xC6, 0x49, 0x07, 0x52, 0x07, 0x4A");
asm(".byte 0x48, 0x5A, 0xC6, 0x49, 0xEA, 0x6A, 0x44, 0x31, 0x03, 0x31, 0x24, 0x31, 0x44, 0x31, 0xE3, 0x28");
asm(".byte 0x23, 0x31, 0x23, 0x31, 0xA2, 0x20, 0xA1, 0x20, 0x81, 0x20, 0x81, 0x20, 0x81, 0x20, 0x23, 0x31");
asm(".byte 0x81, 0x20, 0x81, 0x20, 0x81, 0x20, 0x81, 0x20, 0x81, 0x20, 0xA2, 0x20, 0xC2, 0x20, 0xA2, 0x28");
asm(".byte 0xC2, 0x28, 0x40, 0x18, 0x44, 0x41, 0x03, 0x39, 0xCB, 0x8A, 0x00, 0x20, 0xA2, 0x38, 0x61, 0x28");
asm(".byte 0x61, 0x18, 0x00, 0x10, 0x03, 0x29, 0x85, 0x39, 0xD2, 0xA4, 0xEF, 0x8B, 0xA6, 0x41, 0x41, 0x10");
asm(".byte 0x20, 0x08, 0x61, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x10, 0x00, 0x10");
asm(".byte 0x41, 0x18, 0x00, 0x10, 0x42, 0x20, 0x00, 0x08, 0x20, 0x18, 0x21, 0x20, 0xC3, 0x30, 0x61, 0x20");
asm(".byte 0x69, 0x7A, 0x45, 0x69, 0xAA, 0xA2, 0x40, 0x20, 0x61, 0x18, 0xAA, 0x62, 0x08, 0x52, 0x6D, 0x7B");
asm(".byte 0x81, 0x18, 0xE7, 0x49, 0xC7, 0x49, 0x6D, 0x7B, 0x0C, 0x6B, 0x0F, 0x8C, 0xEB, 0x6A, 0xAA, 0x62");
asm(".byte 0xEB, 0x6A, 0xCB, 0x6A, 0x4D, 0x73, 0xA6, 0x41, 0xC3, 0x28, 0x62, 0x20, 0x82, 0x20, 0xC3, 0x28");
asm(".byte 0x08, 0x6A, 0x82, 0x20, 0x61, 0x20, 0x00, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
asm(".byte 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF");
#if defined (__C30__) && (__C30_VERSION__ <= 325)
asm(".section .const, psv");
#else
asm(".section .const, psv, page");
#endif

